import Svg from 'react-inlinesvg';
import clsx from 'clsx';
import React, { useState, useRef, useEffect, createContext, useContext, Fragment, forwardRef, useMemo, useImperativeHandle, useCallback, createElement } from 'react';
import { FlagsProvider } from 'react-unleash-flags';
import { Link, useLocation, useNavigate, useMatch } from 'react-router-dom';
import { range, isEmpty, capitalize } from 'lodash-es';
import he from 'he';
import fileDownload from 'js-file-download';
import { useTable, useFilters, useGlobalFilter, useSortBy, useFlexLayout, usePagination } from 'react-table';
import { CSSTransition } from 'react-transition-group';
import smoothScroll from 'smoothscroll-polyfill';
export { Helmet } from 'react-helmet';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "/*! tailwindcss v3.0.24 | MIT License | https://tailwindcss.com*/*,:after,:before{border:0 solid;box-sizing:border-box}:after,:before{--tw-content:\"\"}html{-webkit-text-size-adjust:100%;font-family:Inter,ui-sans-serif,system-ui,-apple-system,Segoe UI,Roboto,Ubuntu,Cantarell,Noto Sans,sans-serif,BlinkMacSystemFont,Helvetica Neue,Arial,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;line-height:1.5;-moz-tab-size:4;-o-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{color:inherit;font-family:inherit;font-size:100%;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}[type=button],[type=reset],[type=submit],button{-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}textarea{resize:vertical}input::-moz-placeholder,textarea::-moz-placeholder{color:#ddd;opacity:1}input:-ms-input-placeholder,textarea:-ms-input-placeholder{color:#ddd;opacity:1}input::placeholder,textarea::placeholder{color:#ddd;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]{display:none}*,:after,:before{--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(1,156,219,.5);--tw-ring-offset-shadow:0 0 transparent;--tw-ring-shadow:0 0 transparent;--tw-shadow:0 0 transparent;--tw-shadow-colored:0 0 transparent;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: }.ii-transition-base-i{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-transition-base{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px);transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-transition-scale{transform:scale(1.05)}.ii-transition-scale:active{transform:scale(1)}.ii-transition-base,.ii-transition-base div,.ii-transition-base h1,.ii-transition-base h2,.ii-transition-base h3,.ii-transition-base h4,.ii-transition-base p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-fade-in-animation{-webkit-animation:ii-fade-in .3s ease-in-out;animation:ii-fade-in .3s ease-in-out}@-webkit-keyframes ii-fade-in{0%{opacity:0}to{opacity:1}}@keyframes ii-fade-in{0%{opacity:0}to{opacity:1}}.ii-fade-out-animation{-webkit-animation:ii-fade-out .7s ease-in-out;animation:ii-fade-out .7s ease-in-out}@-webkit-keyframes ii-fade-out{0%{opacity:1}to{opacity:0}}@keyframes ii-fade-out{0%{opacity:1}to{opacity:0}}.ii-grow-down-animation{-webkit-animation:ii-grow-down .3s ease-in-out forwards;animation:ii-grow-down .3s ease-in-out forwards;transform-origin:top center}@-webkit-keyframes ii-grow-down{0%{transform:scaleY(.3)}to{transform:scaleY(1)}}@keyframes ii-grow-down{0%{transform:scaleY(.3)}to{transform:scaleY(1)}}.ii-shadow--strong{box-shadow:0 3px 6px rgba(0,0,0,.5)}.ii-shadow--normal{box-shadow:0 4px 16px rgba(0,0,0,.1)}.ii-shadow--bottom{box-shadow:0 3px 3px rgba(0,0,0,.05)}.ii-shadow--right-bottom{box-shadow:4px 2px 13px -4px hsla(240,5%,41%,.35)}::-webkit-scrollbar{width:.25rem}::-webkit-scrollbar-thumb{--tw-bg-opacity:0.1;background-color:rgba(34,33,36,var(--tw-bg-opacity));border-radius:9999px;height:2.5rem}.ii-app h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-app h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-app h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-app h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-app>h1,.ii-app>h2,.ii-app>h3,.ii-app>h4,.ii-app>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-app>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-app ol,.ii-app ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-app ol p,.ii-app ul p{display:contents}.ii-app li+li{margin-top:1rem}.ii-app ol{list-style-type:decimal}.ii-app ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-app ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-app blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-app blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-app blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-app li a[href]:before,.ii-app p>a[href]:before,.ii-app>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-app li a[href]:hover:before,.ii-app p>a[href]:hover:before,.ii-app>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-app li a[href],.ii-app p>a[href],.ii-app>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-app>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-app{position:relative}.ii-app ol h1,.ii-app p h1,.ii-app ul h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-app ol h2,.ii-app p h2,.ii-app ul h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-app ol h3,.ii-app p h3,.ii-app ul h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-app ol h4,.ii-app p h4,.ii-app ul h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-app ol>h1,.ii-app ol>h2,.ii-app ol>h3,.ii-app ol>h4,.ii-app ol>h5,.ii-app p>h1,.ii-app p>h2,.ii-app p>h3,.ii-app p>h4,.ii-app p>h5,.ii-app ul>h1,.ii-app ul>h2,.ii-app ul>h3,.ii-app ul>h4,.ii-app ul>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-app ol>p,.ii-app p>p,.ii-app ul>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-app ol ol,.ii-app ol ul,.ii-app p ol,.ii-app p ul,.ii-app ul ol,.ii-app ul ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-app ol ol p,.ii-app ol ul p,.ii-app p ol p,.ii-app p ul p,.ii-app ul ol p,.ii-app ul ul p{display:contents}.ii-app ol li+li,.ii-app p li+li,.ii-app ul li+li{margin-top:1rem}.ii-app ol ol,.ii-app p ol,.ii-app ul ol{list-style-type:decimal}.ii-app ol ol li:before,.ii-app p ol li:before,.ii-app ul ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-app ol ul li:before,.ii-app p ul li:before,.ii-app ul ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-app ol blockquote,.ii-app p blockquote,.ii-app ul blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-app ol blockquote>p,.ii-app p blockquote>p,.ii-app ul blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-app ol blockquote>blockquote,.ii-app p blockquote>blockquote,.ii-app ul blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-app ol li a[href]:before,.ii-app ol p>a[href]:before,.ii-app ol>a[href]:before,.ii-app p li a[href]:before,.ii-app p p>a[href]:before,.ii-app p>a[href]:before,.ii-app ul li a[href]:before,.ii-app ul p>a[href]:before,.ii-app ul>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-app ol li a[href]:hover:before,.ii-app ol p>a[href]:hover:before,.ii-app ol>a[href]:hover:before,.ii-app p li a[href]:hover:before,.ii-app p p>a[href]:hover:before,.ii-app p>a[href]:hover:before,.ii-app ul li a[href]:hover:before,.ii-app ul p>a[href]:hover:before,.ii-app ul>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-app ol li a[href],.ii-app ol p>a[href],.ii-app ol>a[href],.ii-app p li a[href],.ii-app p p>a[href],.ii-app p>a[href],.ii-app ul li a[href],.ii-app ul p>a[href],.ii-app ul>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-app ol>hr,.ii-app p>hr,.ii-app ul>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-app{display:flex;flex-direction:column;height:100vh}.ii-small-caps{font-size:1rem;font-weight:600;letter-spacing:.05em;line-height:1.625rem;text-transform:uppercase}.ii-background-image{background-position:50%;background-repeat:no-repeat;background-size:cover}.ii-full-width-children-div{display:flex;flex-wrap:nowrap;width:100%}.ii-full-width-children-div>*{flex:0 0 auto}.ii-fixed-width-content{width:100%}@media (min-width:1024px){.ii-fixed-width-content{max-width:60rem}}@media (min-width:1536px){.ii-fixed-width-content{max-width:1024px}}.ii-centered-content{width:100%}@media (min-width:1024px){.ii-centered-content{max-width:60rem}}@media (min-width:1536px){.ii-centered-content{max-width:1024px}}.ii-centered-content{margin:2rem auto;padding-left:2rem;padding-right:2rem}.ii-centered-content>*{margin-bottom:2rem;margin-top:2rem}.ii-full-width-content section{width:100%}@media (min-width:1024px){.ii-full-width-content section{max-width:60rem}}@media (min-width:1536px){.ii-full-width-content section{max-width:1024px}}.ii-full-width-content section{margin:2rem auto;padding-left:2rem;padding-right:2rem}.ii-full-width-content section>*{margin-bottom:2rem;margin-top:2rem}.ii-full-width-content section h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-full-width-content section h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-full-width-content section h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-full-width-content section h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-full-width-content section>h1,.ii-full-width-content section>h2,.ii-full-width-content section>h3,.ii-full-width-content section>h4,.ii-full-width-content section>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-full-width-content section>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section ol,.ii-full-width-content section ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-full-width-content section ol p,.ii-full-width-content section ul p{display:contents}.ii-full-width-content section li+li{margin-top:1rem}.ii-full-width-content section ol{list-style-type:decimal}.ii-full-width-content section ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-full-width-content section ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-full-width-content section blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-full-width-content section blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-full-width-content section li a[href]:before,.ii-full-width-content section p>a[href]:before,.ii-full-width-content section>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-full-width-content section li a[href]:hover:before,.ii-full-width-content section p>a[href]:hover:before,.ii-full-width-content section>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-full-width-content section li a[href],.ii-full-width-content section p>a[href],.ii-full-width-content section>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-full-width-content section>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-full-width-content section{position:relative}.ii-full-width-content section ol h1,.ii-full-width-content section p h1,.ii-full-width-content section ul h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-full-width-content section ol h2,.ii-full-width-content section p h2,.ii-full-width-content section ul h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-full-width-content section ol h3,.ii-full-width-content section p h3,.ii-full-width-content section ul h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-full-width-content section ol h4,.ii-full-width-content section p h4,.ii-full-width-content section ul h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-full-width-content section ol>h1,.ii-full-width-content section ol>h2,.ii-full-width-content section ol>h3,.ii-full-width-content section ol>h4,.ii-full-width-content section ol>h5,.ii-full-width-content section p>h1,.ii-full-width-content section p>h2,.ii-full-width-content section p>h3,.ii-full-width-content section p>h4,.ii-full-width-content section p>h5,.ii-full-width-content section ul>h1,.ii-full-width-content section ul>h2,.ii-full-width-content section ul>h3,.ii-full-width-content section ul>h4,.ii-full-width-content section ul>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-full-width-content section ol>p,.ii-full-width-content section p>p,.ii-full-width-content section ul>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section ol ol,.ii-full-width-content section ol ul,.ii-full-width-content section p ol,.ii-full-width-content section p ul,.ii-full-width-content section ul ol,.ii-full-width-content section ul ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-full-width-content section ol ol p,.ii-full-width-content section ol ul p,.ii-full-width-content section p ol p,.ii-full-width-content section p ul p,.ii-full-width-content section ul ol p,.ii-full-width-content section ul ul p{display:contents}.ii-full-width-content section ol li+li,.ii-full-width-content section p li+li,.ii-full-width-content section ul li+li{margin-top:1rem}.ii-full-width-content section ol ol,.ii-full-width-content section p ol,.ii-full-width-content section ul ol{list-style-type:decimal}.ii-full-width-content section ol ol li:before,.ii-full-width-content section p ol li:before,.ii-full-width-content section ul ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-full-width-content section ol ul li:before,.ii-full-width-content section p ul li:before,.ii-full-width-content section ul ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-full-width-content section ol blockquote,.ii-full-width-content section p blockquote,.ii-full-width-content section ul blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-full-width-content section ol blockquote>p,.ii-full-width-content section p blockquote>p,.ii-full-width-content section ul blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-full-width-content section ol blockquote>blockquote,.ii-full-width-content section p blockquote>blockquote,.ii-full-width-content section ul blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-full-width-content section ol li a[href]:before,.ii-full-width-content section ol p>a[href]:before,.ii-full-width-content section ol>a[href]:before,.ii-full-width-content section p li a[href]:before,.ii-full-width-content section p p>a[href]:before,.ii-full-width-content section p>a[href]:before,.ii-full-width-content section ul li a[href]:before,.ii-full-width-content section ul p>a[href]:before,.ii-full-width-content section ul>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-full-width-content section ol li a[href]:hover:before,.ii-full-width-content section ol p>a[href]:hover:before,.ii-full-width-content section ol>a[href]:hover:before,.ii-full-width-content section p li a[href]:hover:before,.ii-full-width-content section p p>a[href]:hover:before,.ii-full-width-content section p>a[href]:hover:before,.ii-full-width-content section ul li a[href]:hover:before,.ii-full-width-content section ul p>a[href]:hover:before,.ii-full-width-content section ul>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-full-width-content section ol li a[href],.ii-full-width-content section ol p>a[href],.ii-full-width-content section ol>a[href],.ii-full-width-content section p li a[href],.ii-full-width-content section p p>a[href],.ii-full-width-content section p>a[href],.ii-full-width-content section ul li a[href],.ii-full-width-content section ul p>a[href],.ii-full-width-content section ul>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-full-width-content section ol>hr,.ii-full-width-content section p>hr,.ii-full-width-content section ul>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-full-width-content section{margin-bottom:2rem;margin-top:2rem}.ii-scrolling-content{overflow-x:hidden;overflow-y:auto;position:relative}@media (min-width:1024px){.ii-scrolling-content::-webkit-scrollbar{width:.5rem}.ii-scrolling-content::-webkit-scrollbar-thumb{--tw-bg-opacity:0.2}}.ii-page-content h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-page-content h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-page-content h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-page-content h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-page-content>h1,.ii-page-content>h2,.ii-page-content>h3,.ii-page-content>h4,.ii-page-content>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-page-content>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content ol,.ii-page-content ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-page-content ol p,.ii-page-content ul p{display:contents}.ii-page-content li+li{margin-top:1rem}.ii-page-content ol{list-style-type:decimal}.ii-page-content ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-page-content ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-page-content blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-page-content blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-page-content li a[href]:before,.ii-page-content p>a[href]:before,.ii-page-content>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-page-content li a[href]:hover:before,.ii-page-content p>a[href]:hover:before,.ii-page-content>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-page-content li a[href],.ii-page-content p>a[href],.ii-page-content>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-page-content>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-page-content{position:relative}.ii-page-content ol h1,.ii-page-content p h1,.ii-page-content ul h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-page-content ol h2,.ii-page-content p h2,.ii-page-content ul h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-page-content ol h3,.ii-page-content p h3,.ii-page-content ul h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-page-content ol h4,.ii-page-content p h4,.ii-page-content ul h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-page-content ol>h1,.ii-page-content ol>h2,.ii-page-content ol>h3,.ii-page-content ol>h4,.ii-page-content ol>h5,.ii-page-content p>h1,.ii-page-content p>h2,.ii-page-content p>h3,.ii-page-content p>h4,.ii-page-content p>h5,.ii-page-content ul>h1,.ii-page-content ul>h2,.ii-page-content ul>h3,.ii-page-content ul>h4,.ii-page-content ul>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-page-content ol>p,.ii-page-content p>p,.ii-page-content ul>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content ol ol,.ii-page-content ol ul,.ii-page-content p ol,.ii-page-content p ul,.ii-page-content ul ol,.ii-page-content ul ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-page-content ol ol p,.ii-page-content ol ul p,.ii-page-content p ol p,.ii-page-content p ul p,.ii-page-content ul ol p,.ii-page-content ul ul p{display:contents}.ii-page-content ol li+li,.ii-page-content p li+li,.ii-page-content ul li+li{margin-top:1rem}.ii-page-content ol ol,.ii-page-content p ol,.ii-page-content ul ol{list-style-type:decimal}.ii-page-content ol ol li:before,.ii-page-content p ol li:before,.ii-page-content ul ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-page-content ol ul li:before,.ii-page-content p ul li:before,.ii-page-content ul ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-page-content ol blockquote,.ii-page-content p blockquote,.ii-page-content ul blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-page-content ol blockquote>p,.ii-page-content p blockquote>p,.ii-page-content ul blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content ol blockquote>blockquote,.ii-page-content p blockquote>blockquote,.ii-page-content ul blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-page-content ol li a[href]:before,.ii-page-content ol p>a[href]:before,.ii-page-content ol>a[href]:before,.ii-page-content p li a[href]:before,.ii-page-content p p>a[href]:before,.ii-page-content p>a[href]:before,.ii-page-content ul li a[href]:before,.ii-page-content ul p>a[href]:before,.ii-page-content ul>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-page-content ol li a[href]:hover:before,.ii-page-content ol p>a[href]:hover:before,.ii-page-content ol>a[href]:hover:before,.ii-page-content p li a[href]:hover:before,.ii-page-content p p>a[href]:hover:before,.ii-page-content p>a[href]:hover:before,.ii-page-content ul li a[href]:hover:before,.ii-page-content ul p>a[href]:hover:before,.ii-page-content ul>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-page-content ol li a[href],.ii-page-content ol p>a[href],.ii-page-content ol>a[href],.ii-page-content p li a[href],.ii-page-content p p>a[href],.ii-page-content p>a[href],.ii-page-content ul li a[href],.ii-page-content ul p>a[href],.ii-page-content ul>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-page-content ol>hr,.ii-page-content p>hr,.ii-page-content ul>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-page-content-i h1,h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-page-content-i h2,h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-page-content-i h3,h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-page-content-i h4,h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-page-content-i>h1,.ii-page-content-i>h2,.ii-page-content-i>h3,.ii-page-content-i>h4,.ii-page-content-i>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-p-class,.ii-page-content-i>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content-i ol,.ii-page-content-i ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-page-content-i ol p,.ii-page-content-i ul p{display:contents}.ii-page-content-i li+li{margin-top:1rem}.ii-page-content-i ol{list-style-type:decimal}.ii-page-content-i ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-page-content-i ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-page-content-i blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-page-content-i blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-page-content-i blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-page-content-i li a[href]:before,.ii-page-content-i p>a[href]:before,.ii-page-content-i>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-page-content-i li a[href]:hover:before,.ii-page-content-i p>a[href]:hover:before,.ii-page-content-i>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-page-content-i li a[href],.ii-page-content-i p>a[href],.ii-page-content-i>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-divider-i,.ii-page-content-i>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-navbar__second-level{--tw-bg-opacity:1;--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);background-color:rgba(255,255,255,var(--tw-bg-opacity));box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);height:3rem}.ii-navbar__link{transition-duration:.2s;transition-property:color,background-color,border-color,fill,stroke,-webkit-text-decoration-color;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,-webkit-text-decoration-color;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-navbar__link:hover{--tw-text-opacity:1;color:rgba(97,212,172,var(--tw-text-opacity))}.ii-black-bar-link{transition-duration:.2s;transition-property:color,background-color,border-color,fill,stroke,-webkit-text-decoration-color;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,-webkit-text-decoration-color;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-black-bar-link:hover{--tw-text-opacity:1;color:rgba(97,212,172,var(--tw-text-opacity))}.ii-black-bar-link{font-weight:600;padding:.75rem}@media (min-width:1024px){.ii-black-bar-link{font-size:.8rem;line-height:1.375rem}}.ii-navbar-mobile-expand-section{z-index:1}.ii-navbar-mobile-expand-section::-webkit-scrollbar-track{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.ii-navbar-mobile-expand-section__panel,.ii-navbar-mobile-expand-section__panel--black{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity));box-shadow:0 3px 3px rgba(0,0,0,.05);display:flex;flex-direction:column;height:-webkit-fit-content;height:-moz-fit-content;height:fit-content;margin-bottom:3rem;padding-bottom:2rem;width:100%}.ii-navbar-mobile-expand-section__panel--black a,.ii-navbar-mobile-expand-section__panel--black div{padding:.875rem 0}.ii-navbar-mobile-expand-section__panel--black{--tw-bg-opacity:1;align-items:center;background-color:rgba(51,50,53,var(--tw-bg-opacity));padding-top:.625rem}.ii-navbar-mobile-expand-section__links-spacing a,.ii-navbar-mobile-expand-section__links-spacing div{padding:.875rem 0}.ii-sidebar__entry{align-items:center;display:flex;flex-direction:row;min-height:1.5rem;padding-bottom:.75rem;padding-right:.5rem;padding-top:.75rem}.ii-before-hover-margin:before{bottom:-30px;content:\"\";left:-10px;position:absolute;right:-30px;top:-30px;z-index:-1}.ii-sidebar-grid{--sidebar-width:15rem;display:grid;grid-template-columns:var(--sidebar-width) auto;overflow:hidden}.ii-sidebar-grid-xl{--sidebar-width:17rem}.ii-height-screen-minus-spacer{min-height:calc(100vh - var(--navbar-height))}.ii-social-media-icon{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-social-media-icon,.ii-social-media-icon div,.ii-social-media-icon h1,.ii-social-media-icon h2,.ii-social-media-icon h3,.ii-social-media-icon h4,.ii-social-media-icon p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-social-media-icon{opacity:.6}.ii-group:hover .ii-social-media-icon{opacity:1}.ii-social-media-icon-base{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-social-media-icon-base,.ii-social-media-icon-base div,.ii-social-media-icon-base h1,.ii-social-media-icon-base h2,.ii-social-media-icon-base h3,.ii-social-media-icon-base h4,.ii-social-media-icon-base p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-social-media-icon-base{opacity:.6}.ii-group:hover .ii-social-media-icon-base{opacity:1}.ii-social-media-icon-base{height:1rem;width:1rem}.ii-social-media-icon-facebook{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-social-media-icon-facebook,.ii-social-media-icon-facebook div,.ii-social-media-icon-facebook h1,.ii-social-media-icon-facebook h2,.ii-social-media-icon-facebook h3,.ii-social-media-icon-facebook h4,.ii-social-media-icon-facebook p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-social-media-icon-facebook{opacity:.6}.ii-group:hover .ii-social-media-icon-facebook{opacity:1}.ii-social-media-icon-facebook{height:1rem;width:.5rem}.ii-cover-gradient-light{--cover-gradient:#fff,hsla(0,0%,100%,0) 8rem}.ii-cover-gradient-dark{--cover-gradient:#222124,rgba(34,33,36,0) 8rem}.ii-horizontal-scroll{--cover-gradient:#fff,hsla(0,0%,100%,0) 8rem}.ii-dark .ii-horizontal-scroll{--cover-gradient:#222124,rgba(34,33,36,0) 8rem}.ii-horizontal-scroll{--cover-gradient-left:linear-gradient(to left,var(--cover-gradient));--cover-gradient-right:linear-gradient(to right,var(--cover-gradient))}.ii-cover-gradient-right{background-image:var(--cover-gradient-right)}.ii-cover-gradient-left{background-image:var(--cover-gradient-left)}.ii-cover-gradient-both{background-image:var(--cover-gradient-left),var(--cover-gradient-right)}.ii-no-scrollbar::-webkit-scrollbar{display:none}.ii-no-scrollbar{-ms-overflow-style:none;scrollbar-width:none}.ii-horizontal-scroll-button{align-items:center;cursor:pointer;display:flex;height:2.5rem;justify-content:center;pointer-events:auto;position:absolute;width:5rem;z-index:50}.ii-button-text{font-size:.8rem;font-weight:500;line-height:1.375rem}.ii-button{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-button,.ii-button div,.ii-button h1,.ii-button h2,.ii-button h3,.ii-button h4,.ii-button p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-button{--tw-bg-opacity:1;--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);align-items:center;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:hsla(0,0%,44%,.129);border-width:1px;box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);display:flex;padding:.5rem 1.25rem}.ii-checkbox-list-item{align-items:center;cursor:pointer;display:flex}.ii-checkbox-list-item-text{--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity));font-size:.8rem;line-height:1.375rem;margin-left:.75rem}.ii-checkbox-list-item-text--active{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.ii-dropdown-header{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-dropdown-header,.ii-dropdown-header div,.ii-dropdown-header h1,.ii-dropdown-header h2,.ii-dropdown-header h3,.ii-dropdown-header h4,.ii-dropdown-header p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-dropdown-header{--tw-bg-opacity:1;--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);align-items:center;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:hsla(0,0%,44%,.129);border-radius:.375rem;border-width:1px;box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);display:flex;justify-content:space-between;max-width:20rem;padding:.5rem .75rem;position:relative;width:100%}.ii-dropdown-header:hover{--tw-border-opacity:1;--tw-bg-opacity:1;background-color:rgba(230,246,240,var(--tw-bg-opacity));border-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-dropdown-header--active{--tw-bg-opacity:0.6;background-color:rgba(97,212,172,var(--tw-bg-opacity))}.ii-dropdown-header--active:hover{--tw-bg-opacity:1;background-color:rgba(97,212,172,var(--tw-bg-opacity))}.ii-dropdown-header-chevron{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-dropdown-header-chevron,.ii-dropdown-header-chevron div,.ii-dropdown-header-chevron h1,.ii-dropdown-header-chevron h2,.ii-dropdown-header-chevron h3,.ii-dropdown-header-chevron h4,.ii-dropdown-header-chevron p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-dropdown-header-chevron{height:1rem;margin-left:.75rem;width:1rem}.ii-dropdown-header-chevron--active{--tw-rotate:180deg;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-dropdown-body{--tw-border-opacity:1;--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity));border-color:rgba(8,199,132,var(--tw-border-opacity));border-radius:.375rem;border-width:1px;margin-top:.5rem;max-width:20rem;padding:.5rem;position:absolute}.ii-dropdown-scroll{max-height:16rem;overflow-y:scroll;padding:1rem 3rem 1rem 1rem}.ii-calendar{--tw-border-opacity:0.2;--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);border-color:rgba(112,112,112,var(--tw-border-opacity));border-radius:.375rem;border-width:1px;box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);box-sizing:border-box;padding:1.25rem;position:relative;width:-webkit-max-content;width:-moz-max-content;width:max-content}.ii-calendar-header{align-items:center;display:flex;justify-content:space-between;padding-bottom:1rem}.ii-calendar-header-button{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-header-button,.ii-calendar-header-button div,.ii-calendar-header-button h1,.ii-calendar-header-button h2,.ii-calendar-header-button h3,.ii-calendar-header-button h4,.ii-calendar-header-button p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-calendar-header-button{--tw-border-opacity:0.3;--tw-bg-opacity:0.2;align-items:center;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:rgba(51,50,53,var(--tw-border-opacity));border-radius:9999px;border-width:1px;display:flex;height:1.75rem;justify-content:center;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));width:1.75rem}.ii-calendar-header-button:hover{--tw-bg-opacity:1}.ii-calendar-header-button-chevron{height:1rem;width:1rem}.ii-calendar-body{grid-column-gap:.75rem;grid-row-gap:.375rem;--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity));-moz-column-gap:.75rem;column-gap:.75rem;display:grid;grid-template-columns:repeat(7,minmax(0,1fr));row-gap:.375rem}.ii-calendar-body-item{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-body-item,.ii-calendar-body-item div,.ii-calendar-body-item h1,.ii-calendar-body-item h2,.ii-calendar-body-item h3,.ii-calendar-body-item h4,.ii-calendar-body-item p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-calendar-body-item{align-items:center;border-color:transparent;border-radius:.375rem;border-width:1.5px;display:flex;font-size:.8rem;height:2rem;justify-content:center;line-height:1.375rem;width:2rem}.ii-calendar-body-item-red{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-body-item-red,.ii-calendar-body-item-red div,.ii-calendar-body-item-red h1,.ii-calendar-body-item-red h2,.ii-calendar-body-item-red h3,.ii-calendar-body-item-red h4,.ii-calendar-body-item-red p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-calendar-body-item-red{--tw-border-opacity:1;--tw-bg-opacity:0.4;align-items:center;background-color:rgba(242,45,65,var(--tw-bg-opacity));border-color:transparent;border-color:rgba(255,0,0,var(--tw-border-opacity));border-radius:.375rem;border-width:1.5px;display:flex;font-size:.8rem;height:2rem;justify-content:center;line-height:1.375rem;width:2rem}.ii-calendar-body-item-red:hover{--tw-bg-opacity:1;--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.ii-calendar-body-item-green{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-calendar-body-item-green,.ii-calendar-body-item-green div,.ii-calendar-body-item-green h1,.ii-calendar-body-item-green h2,.ii-calendar-body-item-green h3,.ii-calendar-body-item-green h4,.ii-calendar-body-item-green p{-webkit-backface-visibility:hidden;backface-visibility:hidden;transform:perspective(1px)}.ii-calendar-body-item-green{--tw-border-opacity:1;--tw-bg-opacity:0.4;align-items:center;background-color:rgba(97,212,172,var(--tw-bg-opacity));border-color:transparent;border-color:rgba(8,199,132,var(--tw-border-opacity));border-radius:.375rem;border-width:1.5px;display:flex;font-size:.8rem;height:2rem;justify-content:center;line-height:1.375rem;width:2rem}.ii-calendar-body-item-green:hover{--tw-bg-opacity:1}.ii-calendar-popup{--tw-bg-opacity:1;--tw-text-opacity:1;--tw-shadow:0 10px 15px -3px rgba(0,0,0,.1),0 4px 6px -4px rgba(0,0,0,.1);--tw-shadow-colored:0 10px 15px -3px var(--tw-shadow-color),0 4px 6px -4px var(--tw-shadow-color);background-color:rgba(246,247,248,var(--tw-bg-opacity));border-radius:.25rem;box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);color:rgba(34,33,36,var(--tw-text-opacity));font-weight:400;padding:1rem;width:18rem}.ii-calendar-popup:hover{--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity))}.ii-input-base{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:hsla(0,0%,44%,.129);border-radius:.375rem;border-width:1px;color:rgba(34,33,36,var(--tw-text-opacity));margin-bottom:.5rem;margin-top:.5rem;padding:.25rem .5rem}.ii-input-base::-moz-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-input-base:-ms-input-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-input-base::placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-input-base{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-input,.ii-select{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:hsla(0,0%,44%,.129);border-radius:.375rem;border-width:1px;color:rgba(34,33,36,var(--tw-text-opacity));margin-bottom:.5rem;margin-top:.5rem;padding:.25rem .5rem}.ii-input::-moz-placeholder,.ii-select::-moz-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-input:-ms-input-placeholder,.ii-select:-ms-input-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-input::placeholder,.ii-select::placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-input,.ii-select{height:2.5rem;transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1);width:18rem}.ii-input--disabled{--tw-bg-opacity:1!important;--tw-text-opacity:1!important;background-color:rgba(237,237,237,var(--tw-bg-opacity))!important;color:rgba(204,204,204,var(--tw-text-opacity))!important;cursor:not-allowed!important}.ii-text-area{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:hsla(0,0%,44%,.129);border-radius:.375rem;border-width:1px;color:rgba(34,33,36,var(--tw-text-opacity));margin-bottom:.5rem;margin-top:.5rem;padding:.25rem .5rem}.ii-text-area::-moz-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-text-area:-ms-input-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-text-area::placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.ii-text-area{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1);width:100%}.ii-input--error{--tw-border-opacity:0.5;--tw-bg-opacity:0.05;background-color:rgba(242,45,65,var(--tw-bg-opacity));border-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-input--error-text{word-wrap:break-word;--tw-text-opacity:1;color:rgba(245,99,127,var(--tw-text-opacity));font-size:.64rem;margin-bottom:.25rem;margin-top:.25rem;width:18rem}.ii-select{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-image:url('data:image/svg+xml;charset=utf-8,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"20\" height=\"20\" fill=\"currentColor\"><path d=\"M5.293 7.293a1 1 0 0 1 1.414 0L10 10.586l3.293-3.293a1 1 0 1 1 1.414 1.414l-4 4a1 1 0 0 1-1.414 0l-4-4a1 1 0 0 1 0-1.414z\"/></svg>');background-position:calc(100% - .75rem);background-repeat:no-repeat}.ii-columns>* h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-columns>* h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-columns>* h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-columns>* h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-columns>*>h1,.ii-columns>*>h2,.ii-columns>*>h3,.ii-columns>*>h4,.ii-columns>*>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-columns>*>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-columns>* ol,.ii-columns>* ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-columns>* ol p,.ii-columns>* ul p{display:contents}.ii-columns>* li+li{margin-top:1rem}.ii-columns>* ol{list-style-type:decimal}.ii-columns>* ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-columns>* ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-columns>* blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-columns>* blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-columns>* blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-columns>* li a[href]:before,.ii-columns>* p>a[href]:before,.ii-columns>*>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-columns>* li a[href]:hover:before,.ii-columns>* p>a[href]:hover:before,.ii-columns>*>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-columns>* li a[href],.ii-columns>* p>a[href],.ii-columns>*>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-columns>*>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-columns>*{width:100%!important}.ii-columns.columns--leftsmall{grid-template-columns:1fr 3fr}.ii-video-card-title-shadow{filter:drop-shadow(0 0 3px rgba(0,0,0,.5))}.ii-table__data:first-of-type{border-bottom-left-radius:.375rem;border-top-left-radius:.375rem}.ii-table__data:last-of-type{border-bottom-right-radius:.375rem;border-top-right-radius:.375rem}.ii-icon{height:1.5rem;width:1.5rem}.ii-icon-horizontal{height:.75rem;width:1.5rem}.ii-icon-large{height:6rem;width:6rem}.ii-banner-gradient-div{background-image:linear-gradient(78deg,#000 -30%,rgba(84,84,84,0) 66%)}.ii-dynamic-flex{--multiplier:calc(25rem - 100%);display:flex;flex-wrap:wrap}.ii-dynamic-flex>*{flex-basis:calc(var(--multiplier)*999);flex-grow:1;max-width:100%}.ii-card-element-base{--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);border-radius:.375rem;box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow);margin-left:auto;margin-right:auto;overflow:hidden;width:100%}.ii-card-element-background{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity))}.ii-content-box-padding{padding:2rem}.ii-content-box-body h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-content-box-body h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-content-box-body h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-content-box-body h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-content-box-body>h1,.ii-content-box-body>h2,.ii-content-box-body>h3,.ii-content-box-body>h4,.ii-content-box-body>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-content-box-body>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body ol,.ii-content-box-body ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-content-box-body ol p,.ii-content-box-body ul p{display:contents}.ii-content-box-body li+li{margin-top:1rem}.ii-content-box-body ol{list-style-type:decimal}.ii-content-box-body ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-content-box-body ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-content-box-body blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-content-box-body blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-content-box-body li a[href]:before,.ii-content-box-body p>a[href]:before,.ii-content-box-body>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-content-box-body li a[href]:hover:before,.ii-content-box-body p>a[href]:hover:before,.ii-content-box-body>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-content-box-body li a[href],.ii-content-box-body p>a[href],.ii-content-box-body>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-content-box-body>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-content-box-body{position:relative}.ii-content-box-body ol h1,.ii-content-box-body p h1,.ii-content-box-body ul h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-content-box-body ol h2,.ii-content-box-body p h2,.ii-content-box-body ul h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-content-box-body ol h3,.ii-content-box-body p h3,.ii-content-box-body ul h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-content-box-body ol h4,.ii-content-box-body p h4,.ii-content-box-body ul h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-content-box-body ol>h1,.ii-content-box-body ol>h2,.ii-content-box-body ol>h3,.ii-content-box-body ol>h4,.ii-content-box-body ol>h5,.ii-content-box-body p>h1,.ii-content-box-body p>h2,.ii-content-box-body p>h3,.ii-content-box-body p>h4,.ii-content-box-body p>h5,.ii-content-box-body ul>h1,.ii-content-box-body ul>h2,.ii-content-box-body ul>h3,.ii-content-box-body ul>h4,.ii-content-box-body ul>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-content-box-body ol>p,.ii-content-box-body p>p,.ii-content-box-body ul>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body ol ol,.ii-content-box-body ol ul,.ii-content-box-body p ol,.ii-content-box-body p ul,.ii-content-box-body ul ol,.ii-content-box-body ul ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-content-box-body ol ol p,.ii-content-box-body ol ul p,.ii-content-box-body p ol p,.ii-content-box-body p ul p,.ii-content-box-body ul ol p,.ii-content-box-body ul ul p{display:contents}.ii-content-box-body ol li+li,.ii-content-box-body p li+li,.ii-content-box-body ul li+li{margin-top:1rem}.ii-content-box-body ol ol,.ii-content-box-body p ol,.ii-content-box-body ul ol{list-style-type:decimal}.ii-content-box-body ol ol li:before,.ii-content-box-body p ol li:before,.ii-content-box-body ul ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-content-box-body ol ul li:before,.ii-content-box-body p ul li:before,.ii-content-box-body ul ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-content-box-body ol blockquote,.ii-content-box-body p blockquote,.ii-content-box-body ul blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-content-box-body ol blockquote>p,.ii-content-box-body p blockquote>p,.ii-content-box-body ul blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-content-box-body ol blockquote>blockquote,.ii-content-box-body p blockquote>blockquote,.ii-content-box-body ul blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-content-box-body ol li a[href]:before,.ii-content-box-body ol p>a[href]:before,.ii-content-box-body ol>a[href]:before,.ii-content-box-body p li a[href]:before,.ii-content-box-body p p>a[href]:before,.ii-content-box-body p>a[href]:before,.ii-content-box-body ul li a[href]:before,.ii-content-box-body ul p>a[href]:before,.ii-content-box-body ul>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-content-box-body ol li a[href]:hover:before,.ii-content-box-body ol p>a[href]:hover:before,.ii-content-box-body ol>a[href]:hover:before,.ii-content-box-body p li a[href]:hover:before,.ii-content-box-body p p>a[href]:hover:before,.ii-content-box-body p>a[href]:hover:before,.ii-content-box-body ul li a[href]:hover:before,.ii-content-box-body ul p>a[href]:hover:before,.ii-content-box-body ul>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-content-box-body ol li a[href],.ii-content-box-body ol p>a[href],.ii-content-box-body ol>a[href],.ii-content-box-body p li a[href],.ii-content-box-body p p>a[href],.ii-content-box-body p>a[href],.ii-content-box-body ul li a[href],.ii-content-box-body ul p>a[href],.ii-content-box-body ul>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-content-box-body ol>hr,.ii-content-box-body p>hr,.ii-content-box-body ul>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-content-box-body{height:100%;width:100%}.ii-anchor-wrapper__content-box--image{width:auto!important}@-webkit-keyframes loader-rotate{0%{transform:rotate(0)}to{transform:rotate(1turn)}}@keyframes loader-rotate{0%{transform:rotate(0)}to{transform:rotate(1turn)}}.ii-spinner{--tw-border-opacity:1;-webkit-animation:loader-rotate .7s ease-in-out infinite;animation:loader-rotate .7s ease-in-out infinite;border-color:rgba(8,199,132,var(--tw-border-opacity));border-bottom-color:transparent}.ii-teams-list__body__action-column .ii-button{padding:0 1.25rem}.ii-team-selector__team-info>.ii-team-selector__team-text{font-size:.8rem;line-height:1.375rem}.ii-mdx-table{border-collapse:separate;border-spacing:0 .375rem}.ii-mdx-table td h1{font-size:2.441rem;font-weight:700;line-height:3rem}.ii-mdx-table td h2{font-size:1.953rem;font-weight:700;line-height:2.5rem}.ii-mdx-table td h3{font-size:1.563rem;font-weight:700;line-height:2.188rem}.ii-mdx-table td h4{font-size:1.25rem;font-weight:600;line-height:1.75rem}.ii-mdx-table td>h1,.ii-mdx-table td>h2,.ii-mdx-table td>h3,.ii-mdx-table td>h4,.ii-mdx-table td>h5{margin-bottom:1.5rem;margin-top:3rem}.ii-mdx-table td>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-mdx-table td ol,.ii-mdx-table td ul{list-style-position:inside;margin-bottom:2rem;margin-top:2rem;padding-left:2.5rem}.ii-mdx-table td ol p,.ii-mdx-table td ul p{display:contents}.ii-mdx-table td li+li{margin-top:1rem}.ii-mdx-table td ol{list-style-type:decimal}.ii-mdx-table td ol li:before{content:\"\";display:inline-block;margin-right:.125rem}.ii-mdx-table td ul li:before{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));content:\"•\";font-size:1.5rem;line-height:0;margin-right:.5rem;position:relative;top:.1rem}.ii-mdx-table td blockquote{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));margin-bottom:1rem;margin-top:1rem;padding:1rem 2rem}.ii-mdx-table td blockquote>p{font-size:1rem;line-height:1.625rem;margin-bottom:.75rem;margin-top:.75rem}.ii-mdx-table td blockquote>blockquote{padding-left:2rem;padding-right:2rem}.ii-mdx-table td li a[href]:before,.ii-mdx-table td p>a[href]:before,.ii-mdx-table td>a[href]:before{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity));bottom:0;content:\"\";height:1.5px;left:0;position:absolute;transform-origin:100% 50%;transition:all .3s ease-in-out;visibility:hidden;width:0}.ii-mdx-table td li a[href]:hover:before,.ii-mdx-table td p>a[href]:hover:before,.ii-mdx-table td>a[href]:hover:before{transform-origin:0 50%;visibility:visible;width:100%}.ii-mdx-table td li a[href],.ii-mdx-table td p>a[href],.ii-mdx-table td>a[href]{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity));position:relative;-webkit-text-decoration-line:none;text-decoration-line:none}.ii-mdx-table td>hr{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity));color:rgba(237,237,237,var(--tw-text-opacity));height:2px;width:100%}.ii-mdx-table td{--tw-border-opacity:1;--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:rgba(237,237,237,var(--tw-border-opacity));border-right-width:1px;padding-left:1rem;padding-right:1rem}.ii-mdx-table tr td:last-child{border-style:none}.ii-mdx-table th{padding-bottom:1rem}.ii-mdx-table td:first-child{border-bottom-left-radius:.75rem;border-top-left-radius:.75rem}.ii-mdx-table td:last-child{border-bottom-right-radius:.75rem;border-top-right-radius:.75rem}.ii-pointer-events-none{pointer-events:none}.ii-pointer-events-auto{pointer-events:auto}.ii-visible{visibility:visible}.ii-invisible{visibility:hidden}.ii-fixed{position:fixed}.ii-absolute{position:absolute}.ii-relative{position:relative}.ii-inset-0{bottom:0;left:0;right:0;top:0}.ii-bottom-0{bottom:0}.ii-left-0{left:0}.ii-top-0{top:0}.ii--right-0{right:0}.ii-top-full{top:100%}.ii-right-8{right:2rem}.ii-left-1\\/2{left:50%}.ii-right-0{right:0}.ii-bottom-full{bottom:100%}.ii-top-3{top:.75rem}.ii-left-auto{left:auto}.ii--top-4{top:-1rem}.ii-z-50{z-index:50}.ii-z-10{z-index:10}.ii-z-0{z-index:0}.ii--z-10{z-index:-10}.ii-clear-both{clear:both}.ii-m-2\\.5{margin:.625rem}.ii-m-2{margin:.5rem}.ii-m-4{margin:1rem}.ii-m-auto{margin:auto}.ii-mx-auto{margin-left:auto;margin-right:auto}.ii-my-8{margin-bottom:2rem;margin-top:2rem}.ii-my-3{margin-bottom:.75rem;margin-top:.75rem}.ii-my-2{margin-bottom:.5rem;margin-top:.5rem}.ii-my-1{margin-bottom:.25rem;margin-top:.25rem}.ii-mx-2\\.5{margin-left:.625rem;margin-right:.625rem}.ii-mx-2{margin-left:.5rem;margin-right:.5rem}.\\!ii-my-0{margin-bottom:0!important;margin-top:0!important}.ii-mx-3{margin-left:.75rem;margin-right:.75rem}.ii-my-0{margin-bottom:0;margin-top:0}.ii-mx-12{margin-left:3rem;margin-right:3rem}.ii-mt-12{margin-top:3rem}.ii-mr-0\\.5{margin-right:.125rem}.ii-mr-0{margin-right:0}.ii-mr-2{margin-right:.5rem}.ii-ml-3{margin-left:.75rem}.ii-mt-2{margin-top:.5rem}.ii-mb-2{margin-bottom:.5rem}.ii-mr-3{margin-right:.75rem}.ii-mb-1{margin-bottom:.25rem}.ii-mb-5{margin-bottom:1.25rem}.ii-ml-2{margin-left:.5rem}.\\!ii-mt-1{margin-top:.25rem!important}.ii-mt-1{margin-top:.25rem}.ii-mt-9{margin-top:2.25rem}.ii-mb-3{margin-bottom:.75rem}.ii-ml-1{margin-left:.25rem}.ii-mb-1\\.5{margin-bottom:.375rem}.ii-mr-5{margin-right:1.25rem}.ii--mt-\\[105rem\\]{margin-top:-105rem}.ii-mr-1{margin-right:.25rem}.ii-mb-12{margin-bottom:3rem}.ii-mb-24{margin-bottom:6rem}.ii-mb-36{margin-bottom:9rem}.ii-mb-48{margin-bottom:12rem}.ii-ml-20{margin-left:5rem}.ii-mb-4{margin-bottom:1rem}.ii-ml-5{margin-left:1.25rem}.ii-mr-4{margin-right:1rem}.ii--mb-1\\.5{margin-bottom:-.375rem}.ii--mb-1{margin-bottom:-.25rem}.ii-box-border{box-sizing:border-box}.ii-block{display:block}.ii-inline{display:inline}.ii-flex{display:flex}.ii-table{display:table}.ii-grid{display:grid}.ii-contents{display:contents}.ii-hidden{display:none}.\\!ii-hidden{display:none!important}.ii-aspect-video{aspect-ratio:16/9}.ii-h-screen{height:100vh}.ii-h-12{height:3rem}.ii-h-fit{height:-webkit-fit-content;height:-moz-fit-content;height:fit-content}.ii-h-10{height:2.5rem}.ii-h-4{height:1rem}.ii-h-7{height:1.75rem}.ii-h-8{height:2rem}.ii-h-6{height:1.5rem}.ii-h-24{height:6rem}.ii-h-36{height:9rem}.ii-h-48{height:12rem}.ii-h-60{height:15rem}.ii-h-full{height:100%}.ii-h-auto{height:auto}.ii-h-5{height:1.25rem}.ii-h-20{height:5rem}.ii-h-3{height:.75rem}.ii-h-px{height:1px}.ii-h-2{height:.5rem}.ii-h-max{height:-webkit-max-content;height:-moz-max-content;height:max-content}.ii-h-\\[105rem\\]{height:105rem}.ii-h-16{height:4rem}.ii-h-\\[3\\.25rem\\]{height:3.25rem}.ii-max-h-64{max-height:16rem}.ii-max-h-\\[30rem\\]{max-height:30rem}.ii-min-h-\\[1\\.5rem\\]{min-height:1.5rem}.ii-min-h-0{min-height:0}.ii-w-full{width:100%}.ii-w-4{width:1rem}.ii-w-2{width:.5rem}.ii-w-20{width:5rem}.ii-w-max{width:-webkit-max-content;width:-moz-max-content;width:max-content}.ii-w-7{width:1.75rem}.ii-w-8{width:2rem}.ii-w-72{width:18rem}.ii-w-6{width:1.5rem}.ii-w-24{width:6rem}.\\!ii-w-auto{width:auto!important}.ii-w-40{width:10rem}.ii-w-12{width:3rem}.ii-w-10{width:2.5rem}.ii-w-fit{width:-webkit-fit-content;width:-moz-fit-content;width:fit-content}.ii-w-5{width:1.25rem}.ii-w-1\\/3{width:33.333333%}.ii-w-5\\/6{width:83.333333%}.ii-w-auto{width:auto}.ii-w-3{width:.75rem}.ii-w-32{width:8rem}.ii-w-96{width:24rem}.ii-w-128{width:32rem}.ii-w-16{width:4rem}.ii-w-\\[3\\.25rem\\]{width:3.25rem}.ii-w-28{width:7rem}.ii-w-48{width:12rem}.ii-w-56{width:14rem}.ii-w-10\\/12{width:83.333333%}.ii-min-w-0{min-width:0}.ii-max-w-xs{max-width:20rem}.ii-max-w-full{max-width:100%}.ii-max-w-xl{max-width:36rem}.ii-flex-1{flex:1 1 0%}.ii-flex-shrink-0{flex-shrink:0}.ii-flex-grow{flex-grow:1}.ii-border-collapse{border-collapse:collapse}.ii-border-separate{border-collapse:separate}.-ii-translate-x-1\\/2{--tw-translate-x:-50%}.-ii-translate-x-1\\/2,.ii--translate-y-full{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii--translate-y-full{--tw-translate-y:-100%}.ii-translate-y-0{--tw-translate-y:0px;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.\\!ii--translate-x-full{--tw-translate-x:-100%!important;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))!important}.ii-translate-y-12{--tw-translate-y:3rem}.ii-rotate-90,.ii-translate-y-12{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-rotate-90{--tw-rotate:90deg}.ii--rotate-90{--tw-rotate:-90deg}.ii--rotate-90,.ii-rotate-180{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.ii-rotate-180{--tw-rotate:180deg}.\\!ii-rotate-180{--tw-rotate:180deg!important;transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))!important}.ii-transform{transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}.\\!ii-cursor-not-allowed{cursor:not-allowed!important}.ii-cursor-pointer{cursor:pointer}.ii-cursor-default{cursor:default}.ii-cursor-not-allowed{cursor:not-allowed}.ii-list-inside{list-style-position:inside}.ii-appearance-none{-webkit-appearance:none;-moz-appearance:none;appearance:none}.ii-grid-cols-7{grid-template-columns:repeat(7,minmax(0,1fr))}.ii-grid-cols-3{grid-template-columns:repeat(3,minmax(0,1fr))}.ii-grid-cols-2{grid-template-columns:repeat(2,minmax(0,1fr))}.ii-grid-rows-3{grid-template-rows:repeat(3,minmax(0,1fr))}.ii-flex-row{flex-direction:row}.ii-flex-row-reverse{flex-direction:row-reverse}.ii-flex-col{flex-direction:column}.ii-flex-col-reverse{flex-direction:column-reverse}.ii-flex-wrap{flex-wrap:wrap}.ii-flex-nowrap{flex-wrap:nowrap}.ii-items-start{align-items:flex-start}.ii-items-end{align-items:flex-end}.ii-items-center{align-items:center}.ii-items-stretch{align-items:stretch}.ii-justify-start{justify-content:flex-start}.ii-justify-end{justify-content:flex-end}.ii-justify-center{justify-content:center}.ii-justify-between{justify-content:space-between}.ii-justify-items-stretch{justify-items:stretch}.ii-gap-8{gap:2rem}.ii-gap-2{gap:.5rem}.ii-gap-4{gap:1rem}.ii-gap-20{gap:5rem}.ii-gap-3{gap:.75rem}.ii-gap-10{gap:2.5rem}.ii-gap-x-3{-moz-column-gap:.75rem;column-gap:.75rem}.ii-gap-y-1\\.5{row-gap:.375rem}.ii-gap-y-1{row-gap:.25rem}.ii-gap-y-3{row-gap:.75rem}.ii-gap-x-5{-moz-column-gap:1.25rem;column-gap:1.25rem}.ii-gap-x-12{-moz-column-gap:3rem;column-gap:3rem}.ii-gap-y-5{row-gap:1.25rem}.ii-gap-x-4{-moz-column-gap:1rem;column-gap:1rem}.ii-gap-x-8{-moz-column-gap:2rem;column-gap:2rem}.ii-gap-y-2{row-gap:.5rem}.ii-space-y-2>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-bottom:calc(.5rem*var(--tw-space-y-reverse));margin-top:calc(.5rem*(1 - var(--tw-space-y-reverse)))}.ii-space-x-1>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(.25rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(.25rem*var(--tw-space-x-reverse))}.ii-space-y-10>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-bottom:calc(2.5rem*var(--tw-space-y-reverse));margin-top:calc(2.5rem*(1 - var(--tw-space-y-reverse)))}.ii-space-x-8>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(2rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(2rem*var(--tw-space-x-reverse))}.ii-space-x-4>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(1rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(1rem*var(--tw-space-x-reverse))}.ii-space-y-4>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-bottom:calc(1rem*var(--tw-space-y-reverse));margin-top:calc(1rem*(1 - var(--tw-space-y-reverse)))}.ii-justify-self-end{justify-self:end}.ii-justify-self-center{justify-self:center}.ii-overflow-hidden{overflow:hidden}.ii-overflow-visible{overflow:visible}.ii-overflow-y-auto{overflow-y:auto}.ii-overflow-x-hidden{overflow-x:hidden}.ii-overflow-y-scroll{overflow-y:scroll}.ii-truncate{overflow:hidden;white-space:nowrap}.ii-text-ellipsis,.ii-truncate{text-overflow:ellipsis}.ii-text-clip{text-overflow:clip}.ii-whitespace-nowrap{white-space:nowrap}.ii-break-words{word-wrap:break-word}.ii-rounded-full{border-radius:9999px}.ii-rounded-md{border-radius:.375rem}.ii-rounded{border-radius:.25rem}.ii-rounded-2xl{border-radius:1rem}.ii-rounded-lg{border-radius:.5rem}.ii-rounded-l-xl{border-bottom-left-radius:.75rem;border-top-left-radius:.75rem}.ii-rounded-r-xl{border-bottom-right-radius:.75rem;border-top-right-radius:.75rem}.ii-rounded-r-none{border-bottom-right-radius:0;border-top-right-radius:0}.ii-rounded-l-none{border-bottom-left-radius:0;border-top-left-radius:0}.ii-rounded-l-full{border-bottom-left-radius:9999px;border-top-left-radius:9999px}.ii-border-0{border-width:0}.ii-border-2{border-width:2px}.ii-border-4{border-width:4px}.ii-border-8{border-width:8px}.ii-border{border-width:1px}.ii-border-1\\.5{border-width:1.5px}.ii-border-x-0{border-left-width:0;border-right-width:0}.ii-border-x-2{border-left-width:2px;border-right-width:2px}.ii-border-x-4{border-left-width:4px;border-right-width:4px}.ii-border-x-8{border-left-width:8px;border-right-width:8px}.ii-border-x{border-left-width:1px;border-right-width:1px}.ii-border-x-1\\.5{border-left-width:1.5px;border-right-width:1.5px}.ii-border-y-0{border-bottom-width:0;border-top-width:0}.ii-border-y-2{border-bottom-width:2px;border-top-width:2px}.ii-border-y-4{border-bottom-width:4px;border-top-width:4px}.ii-border-y-8{border-bottom-width:8px;border-top-width:8px}.ii-border-y{border-bottom-width:1px;border-top-width:1px}.ii-border-y-1\\.5{border-bottom-width:1.5px;border-top-width:1.5px}.ii-border-t-0{border-top-width:0}.ii-border-t-2{border-top-width:2px}.ii-border-t-4{border-top-width:4px}.ii-border-t-8{border-top-width:8px}.ii-border-t{border-top-width:1px}.ii-border-t-1\\.5{border-top-width:1.5px}.ii-border-r-0{border-right-width:0}.ii-border-r-2{border-right-width:2px}.ii-border-r-4{border-right-width:4px}.ii-border-r-8{border-right-width:8px}.ii-border-r{border-right-width:1px}.ii-border-r-1\\.5{border-right-width:1.5px}.ii-border-b-0{border-bottom-width:0}.ii-border-b-2{border-bottom-width:2px}.ii-border-b-4{border-bottom-width:4px}.ii-border-b-8{border-bottom-width:8px}.ii-border-b{border-bottom-width:1px}.ii-border-b-1\\.5{border-bottom-width:1.5px}.ii-border-l-0{border-left-width:0}.ii-border-l-2{border-left-width:2px}.ii-border-l-4{border-left-width:4px}.ii-border-l-8{border-left-width:8px}.ii-border-l{border-left-width:1px}.ii-border-l-1\\.5{border-left-width:1.5px}.ii-border-solid{border-style:solid}.ii-border-dashed{border-style:dashed}.ii-border-dotted{border-style:dotted}.ii-border-double{border-style:double}.ii-border-hidden{border-style:hidden}.ii-border-none{border-style:none}.ii-border-igem-black{--tw-border-opacity:1;border-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-igemo-gray-100{--tw-border-opacity:1;border-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-igemo-gray-200{--tw-border-opacity:1;border-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-igemo-gray-300{--tw-border-opacity:1;border-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-igemo-gray-400{--tw-border-opacity:1;border-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-igem-green-100{--tw-border-opacity:1;border-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-igem-green-400{--tw-border-opacity:1;border-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-igem-green{--tw-border-opacity:1;border-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-igem-blue-100{--tw-border-opacity:1;border-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-igem-blue{--tw-border-opacity:1;border-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-igem-red-100{--tw-border-opacity:1;border-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-igem-red-400{--tw-border-opacity:1;border-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-igem-red{--tw-border-opacity:1;border-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-igem-orange-100{--tw-border-opacity:1;border-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-igem-orange{--tw-border-opacity:1;border-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-igem-yellow-100{--tw-border-opacity:1;border-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-igem-yellow{--tw-border-opacity:1;border-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-igem-white{--tw-border-opacity:1;border-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-yellow-550{--tw-border-opacity:1;border-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-white{--tw-border-opacity:1;border-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-green-100{--tw-border-opacity:1;border-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-green-200{--tw-border-opacity:1;border-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-green-300{--tw-border-opacity:1;border-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-green-400{--tw-border-opacity:1;border-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-green-500{--tw-border-opacity:1;border-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-gray-400{--tw-border-opacity:1;border-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-gray-500{--tw-border-opacity:1;border-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-gray-600{border-color:hsla(0,0%,44%,.129)}.ii-border-gray-700{--tw-border-opacity:1;border-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-gray-800{border-color:rgba(35,35,35,.655)}.ii-border-red-200{border-color:rgba(244,80,98,.282)}.ii-border-red-300{--tw-border-opacity:1;border-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-red-400{--tw-border-opacity:1;border-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-red-500{--tw-border-opacity:1;border-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-turquoise{--tw-border-opacity:1;border-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-black-400{--tw-border-opacity:1;border-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-black-500{--tw-border-opacity:1;border-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-blue-500{--tw-border-opacity:1;border-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-transparent{border-color:transparent}.ii-border-x-igem-black{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity));border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-x-igemo-gray-100{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity));border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-x-igemo-gray-200{--tw-border-opacity:1;border-left-color:rgba(237,237,237,var(--tw-border-opacity));border-right-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-x-igemo-gray-300{--tw-border-opacity:1;border-left-color:rgba(204,204,204,var(--tw-border-opacity));border-right-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-x-igemo-gray-400{--tw-border-opacity:1;border-left-color:rgba(100,100,100,var(--tw-border-opacity));border-right-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-x-igem-green-100{--tw-border-opacity:1;border-left-color:rgba(234,251,245,var(--tw-border-opacity));border-right-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-x-igem-green-400{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity));border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-x-igem-green{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity));border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-x-igem-blue-100{--tw-border-opacity:1;border-left-color:rgba(235,247,252,var(--tw-border-opacity));border-right-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-x-igem-blue{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity));border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-x-igem-red-100{--tw-border-opacity:1;border-left-color:rgba(255,238,240,var(--tw-border-opacity));border-right-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-x-igem-red-400{--tw-border-opacity:1;border-left-color:rgba(240,110,123,var(--tw-border-opacity));border-right-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-x-igem-red{--tw-border-opacity:1;border-left-color:rgba(240,52,71,var(--tw-border-opacity));border-right-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-x-igem-orange-100{--tw-border-opacity:1;border-left-color:rgba(255,247,243,var(--tw-border-opacity));border-right-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-x-igem-orange{--tw-border-opacity:1;border-left-color:rgba(255,137,69,var(--tw-border-opacity));border-right-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-x-igem-yellow-100{--tw-border-opacity:1;border-left-color:rgba(255,252,244,var(--tw-border-opacity));border-right-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-x-igem-yellow{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity));border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-x-igem-white{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity));border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-x-yellow-550{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity));border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-x-white{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity));border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-x-green-100{--tw-border-opacity:1;border-left-color:rgba(230,246,240,var(--tw-border-opacity));border-right-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-x-green-200{--tw-border-opacity:1;border-left-color:rgba(186,233,217,var(--tw-border-opacity));border-right-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-x-green-300{--tw-border-opacity:1;border-left-color:rgba(212,241,231,var(--tw-border-opacity));border-right-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-x-green-400{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity));border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-x-green-500{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity));border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-x-gray-400{--tw-border-opacity:1;border-left-color:rgba(221,221,221,var(--tw-border-opacity));border-right-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-x-gray-500{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity));border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-x-gray-600{border-left-color:hsla(0,0%,44%,.129);border-right-color:hsla(0,0%,44%,.129)}.ii-border-x-gray-700{--tw-border-opacity:1;border-left-color:rgba(112,112,112,var(--tw-border-opacity));border-right-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-x-gray-800{border-left-color:rgba(35,35,35,.655);border-right-color:rgba(35,35,35,.655)}.ii-border-x-red-200{border-left-color:rgba(244,80,98,.282);border-right-color:rgba(244,80,98,.282)}.ii-border-x-red-300{--tw-border-opacity:1;border-left-color:rgba(245,99,127,var(--tw-border-opacity));border-right-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-x-red-400{--tw-border-opacity:1;border-left-color:rgba(242,45,65,var(--tw-border-opacity));border-right-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-x-red-500{--tw-border-opacity:1;border-left-color:rgba(255,0,0,var(--tw-border-opacity));border-right-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-x-turquoise{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity));border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-x-black-400{--tw-border-opacity:1;border-left-color:rgba(51,50,53,var(--tw-border-opacity));border-right-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-x-black-500{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity));border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-x-blue-500{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity));border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-x-transparent{border-left-color:transparent;border-right-color:transparent}.ii-border-y-igem-black{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity));border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-y-igemo-gray-100{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity));border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-y-igemo-gray-200{--tw-border-opacity:1;border-bottom-color:rgba(237,237,237,var(--tw-border-opacity));border-top-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-y-igemo-gray-300{--tw-border-opacity:1;border-bottom-color:rgba(204,204,204,var(--tw-border-opacity));border-top-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-y-igemo-gray-400{--tw-border-opacity:1;border-bottom-color:rgba(100,100,100,var(--tw-border-opacity));border-top-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-y-igem-green-100{--tw-border-opacity:1;border-bottom-color:rgba(234,251,245,var(--tw-border-opacity));border-top-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-y-igem-green-400{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity));border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-y-igem-green{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity));border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-y-igem-blue-100{--tw-border-opacity:1;border-bottom-color:rgba(235,247,252,var(--tw-border-opacity));border-top-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-y-igem-blue{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity));border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-y-igem-red-100{--tw-border-opacity:1;border-bottom-color:rgba(255,238,240,var(--tw-border-opacity));border-top-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-y-igem-red-400{--tw-border-opacity:1;border-bottom-color:rgba(240,110,123,var(--tw-border-opacity));border-top-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-y-igem-red{--tw-border-opacity:1;border-bottom-color:rgba(240,52,71,var(--tw-border-opacity));border-top-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-y-igem-orange-100{--tw-border-opacity:1;border-bottom-color:rgba(255,247,243,var(--tw-border-opacity));border-top-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-y-igem-orange{--tw-border-opacity:1;border-bottom-color:rgba(255,137,69,var(--tw-border-opacity));border-top-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-y-igem-yellow-100{--tw-border-opacity:1;border-bottom-color:rgba(255,252,244,var(--tw-border-opacity));border-top-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-y-igem-yellow{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity));border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-y-igem-white{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity));border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-y-yellow-550{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity));border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-y-white{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity));border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-y-green-100{--tw-border-opacity:1;border-bottom-color:rgba(230,246,240,var(--tw-border-opacity));border-top-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-y-green-200{--tw-border-opacity:1;border-bottom-color:rgba(186,233,217,var(--tw-border-opacity));border-top-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-y-green-300{--tw-border-opacity:1;border-bottom-color:rgba(212,241,231,var(--tw-border-opacity));border-top-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-y-green-400{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity));border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-y-green-500{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity));border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-y-gray-400{--tw-border-opacity:1;border-bottom-color:rgba(221,221,221,var(--tw-border-opacity));border-top-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-y-gray-500{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity));border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-y-gray-600{border-bottom-color:hsla(0,0%,44%,.129);border-top-color:hsla(0,0%,44%,.129)}.ii-border-y-gray-700{--tw-border-opacity:1;border-bottom-color:rgba(112,112,112,var(--tw-border-opacity));border-top-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-y-gray-800{border-bottom-color:rgba(35,35,35,.655);border-top-color:rgba(35,35,35,.655)}.ii-border-y-red-200{border-bottom-color:rgba(244,80,98,.282);border-top-color:rgba(244,80,98,.282)}.ii-border-y-red-300{--tw-border-opacity:1;border-bottom-color:rgba(245,99,127,var(--tw-border-opacity));border-top-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-y-red-400{--tw-border-opacity:1;border-bottom-color:rgba(242,45,65,var(--tw-border-opacity));border-top-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-y-red-500{--tw-border-opacity:1;border-bottom-color:rgba(255,0,0,var(--tw-border-opacity));border-top-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-y-turquoise{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity));border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-y-black-400{--tw-border-opacity:1;border-bottom-color:rgba(51,50,53,var(--tw-border-opacity));border-top-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-y-black-500{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity));border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-y-blue-500{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity));border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-y-transparent{border-bottom-color:transparent;border-top-color:transparent}.ii-border-t-igem-black{--tw-border-opacity:1;border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-t-igemo-gray-100{--tw-border-opacity:1;border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-t-igemo-gray-200{--tw-border-opacity:1;border-top-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-t-igemo-gray-300{--tw-border-opacity:1;border-top-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-t-igemo-gray-400{--tw-border-opacity:1;border-top-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-t-igem-green-100{--tw-border-opacity:1;border-top-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-t-igem-green-400{--tw-border-opacity:1;border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-t-igem-green{--tw-border-opacity:1;border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-t-igem-blue-100{--tw-border-opacity:1;border-top-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-t-igem-blue{--tw-border-opacity:1;border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-t-igem-red-100{--tw-border-opacity:1;border-top-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-t-igem-red-400{--tw-border-opacity:1;border-top-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-t-igem-red{--tw-border-opacity:1;border-top-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-t-igem-orange-100{--tw-border-opacity:1;border-top-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-t-igem-orange{--tw-border-opacity:1;border-top-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-t-igem-yellow-100{--tw-border-opacity:1;border-top-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-t-igem-yellow{--tw-border-opacity:1;border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-t-igem-white{--tw-border-opacity:1;border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-t-yellow-550{--tw-border-opacity:1;border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-t-white{--tw-border-opacity:1;border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-t-green-100{--tw-border-opacity:1;border-top-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-t-green-200{--tw-border-opacity:1;border-top-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-t-green-300{--tw-border-opacity:1;border-top-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-t-green-400{--tw-border-opacity:1;border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-t-green-500{--tw-border-opacity:1;border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-t-gray-400{--tw-border-opacity:1;border-top-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-t-gray-500{--tw-border-opacity:1;border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-t-gray-600{border-top-color:hsla(0,0%,44%,.129)}.ii-border-t-gray-700{--tw-border-opacity:1;border-top-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-t-gray-800{border-top-color:rgba(35,35,35,.655)}.ii-border-t-red-200{border-top-color:rgba(244,80,98,.282)}.ii-border-t-red-300{--tw-border-opacity:1;border-top-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-t-red-400{--tw-border-opacity:1;border-top-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-t-red-500{--tw-border-opacity:1;border-top-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-t-turquoise{--tw-border-opacity:1;border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-t-black-400{--tw-border-opacity:1;border-top-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-t-black-500{--tw-border-opacity:1;border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-t-blue-500{--tw-border-opacity:1;border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-t-transparent{border-top-color:transparent}.ii-border-r-igem-black{--tw-border-opacity:1;border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-r-igemo-gray-100{--tw-border-opacity:1;border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-r-igemo-gray-200{--tw-border-opacity:1;border-right-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-r-igemo-gray-300{--tw-border-opacity:1;border-right-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-r-igemo-gray-400{--tw-border-opacity:1;border-right-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-r-igem-green-100{--tw-border-opacity:1;border-right-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-r-igem-green-400{--tw-border-opacity:1;border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-r-igem-green{--tw-border-opacity:1;border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-r-igem-blue-100{--tw-border-opacity:1;border-right-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-r-igem-blue{--tw-border-opacity:1;border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-r-igem-red-100{--tw-border-opacity:1;border-right-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-r-igem-red-400{--tw-border-opacity:1;border-right-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-r-igem-red{--tw-border-opacity:1;border-right-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-r-igem-orange-100{--tw-border-opacity:1;border-right-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-r-igem-orange{--tw-border-opacity:1;border-right-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-r-igem-yellow-100{--tw-border-opacity:1;border-right-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-r-igem-yellow{--tw-border-opacity:1;border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-r-igem-white{--tw-border-opacity:1;border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-r-yellow-550{--tw-border-opacity:1;border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-r-white{--tw-border-opacity:1;border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-r-green-100{--tw-border-opacity:1;border-right-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-r-green-200{--tw-border-opacity:1;border-right-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-r-green-300{--tw-border-opacity:1;border-right-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-r-green-400{--tw-border-opacity:1;border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-r-green-500{--tw-border-opacity:1;border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-r-gray-400{--tw-border-opacity:1;border-right-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-r-gray-500{--tw-border-opacity:1;border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-r-gray-600{border-right-color:hsla(0,0%,44%,.129)}.ii-border-r-gray-700{--tw-border-opacity:1;border-right-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-r-gray-800{border-right-color:rgba(35,35,35,.655)}.ii-border-r-red-200{border-right-color:rgba(244,80,98,.282)}.ii-border-r-red-300{--tw-border-opacity:1;border-right-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-r-red-400{--tw-border-opacity:1;border-right-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-r-red-500{--tw-border-opacity:1;border-right-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-r-turquoise{--tw-border-opacity:1;border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-r-black-400{--tw-border-opacity:1;border-right-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-r-black-500{--tw-border-opacity:1;border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-r-blue-500{--tw-border-opacity:1;border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-r-transparent{border-right-color:transparent}.ii-border-b-igem-black{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-b-igemo-gray-100{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-b-igemo-gray-200{--tw-border-opacity:1;border-bottom-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-b-igemo-gray-300{--tw-border-opacity:1;border-bottom-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-b-igemo-gray-400{--tw-border-opacity:1;border-bottom-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-b-igem-green-100{--tw-border-opacity:1;border-bottom-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-b-igem-green-400{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-b-igem-green{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-b-igem-blue-100{--tw-border-opacity:1;border-bottom-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-b-igem-blue{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-b-igem-red-100{--tw-border-opacity:1;border-bottom-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-b-igem-red-400{--tw-border-opacity:1;border-bottom-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-b-igem-red{--tw-border-opacity:1;border-bottom-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-b-igem-orange-100{--tw-border-opacity:1;border-bottom-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-b-igem-orange{--tw-border-opacity:1;border-bottom-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-b-igem-yellow-100{--tw-border-opacity:1;border-bottom-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-b-igem-yellow{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-b-igem-white{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-b-yellow-550{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-b-white{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-b-green-100{--tw-border-opacity:1;border-bottom-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-b-green-200{--tw-border-opacity:1;border-bottom-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-b-green-300{--tw-border-opacity:1;border-bottom-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-b-green-400{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-b-green-500{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-b-gray-400{--tw-border-opacity:1;border-bottom-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-b-gray-500{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-b-gray-600{border-bottom-color:hsla(0,0%,44%,.129)}.ii-border-b-gray-700{--tw-border-opacity:1;border-bottom-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-b-gray-800{border-bottom-color:rgba(35,35,35,.655)}.ii-border-b-red-200{border-bottom-color:rgba(244,80,98,.282)}.ii-border-b-red-300{--tw-border-opacity:1;border-bottom-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-b-red-400{--tw-border-opacity:1;border-bottom-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-b-red-500{--tw-border-opacity:1;border-bottom-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-b-turquoise{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-b-black-400{--tw-border-opacity:1;border-bottom-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-b-black-500{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-b-blue-500{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-b-transparent{border-bottom-color:transparent}.ii-border-l-igem-black{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-l-igemo-gray-100{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-l-igemo-gray-200{--tw-border-opacity:1;border-left-color:rgba(237,237,237,var(--tw-border-opacity))}.ii-border-l-igemo-gray-300{--tw-border-opacity:1;border-left-color:rgba(204,204,204,var(--tw-border-opacity))}.ii-border-l-igemo-gray-400{--tw-border-opacity:1;border-left-color:rgba(100,100,100,var(--tw-border-opacity))}.ii-border-l-igem-green-100{--tw-border-opacity:1;border-left-color:rgba(234,251,245,var(--tw-border-opacity))}.ii-border-l-igem-green-400{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-l-igem-green{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-l-igem-blue-100{--tw-border-opacity:1;border-left-color:rgba(235,247,252,var(--tw-border-opacity))}.ii-border-l-igem-blue{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-l-igem-red-100{--tw-border-opacity:1;border-left-color:rgba(255,238,240,var(--tw-border-opacity))}.ii-border-l-igem-red-400{--tw-border-opacity:1;border-left-color:rgba(240,110,123,var(--tw-border-opacity))}.ii-border-l-igem-red{--tw-border-opacity:1;border-left-color:rgba(240,52,71,var(--tw-border-opacity))}.ii-border-l-igem-orange-100{--tw-border-opacity:1;border-left-color:rgba(255,247,243,var(--tw-border-opacity))}.ii-border-l-igem-orange{--tw-border-opacity:1;border-left-color:rgba(255,137,69,var(--tw-border-opacity))}.ii-border-l-igem-yellow-100{--tw-border-opacity:1;border-left-color:rgba(255,252,244,var(--tw-border-opacity))}.ii-border-l-igem-yellow{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-l-igem-white{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-l-yellow-550{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity))}.ii-border-l-white{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity))}.ii-border-l-green-100{--tw-border-opacity:1;border-left-color:rgba(230,246,240,var(--tw-border-opacity))}.ii-border-l-green-200{--tw-border-opacity:1;border-left-color:rgba(186,233,217,var(--tw-border-opacity))}.ii-border-l-green-300{--tw-border-opacity:1;border-left-color:rgba(212,241,231,var(--tw-border-opacity))}.ii-border-l-green-400{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity))}.ii-border-l-green-500{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-l-gray-400{--tw-border-opacity:1;border-left-color:rgba(221,221,221,var(--tw-border-opacity))}.ii-border-l-gray-500{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity))}.ii-border-l-gray-600{border-left-color:hsla(0,0%,44%,.129)}.ii-border-l-gray-700{--tw-border-opacity:1;border-left-color:rgba(112,112,112,var(--tw-border-opacity))}.ii-border-l-gray-800{border-left-color:rgba(35,35,35,.655)}.ii-border-l-red-200{border-left-color:rgba(244,80,98,.282)}.ii-border-l-red-300{--tw-border-opacity:1;border-left-color:rgba(245,99,127,var(--tw-border-opacity))}.ii-border-l-red-400{--tw-border-opacity:1;border-left-color:rgba(242,45,65,var(--tw-border-opacity))}.ii-border-l-red-500{--tw-border-opacity:1;border-left-color:rgba(255,0,0,var(--tw-border-opacity))}.ii-border-l-turquoise{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity))}.ii-border-l-black-400{--tw-border-opacity:1;border-left-color:rgba(51,50,53,var(--tw-border-opacity))}.ii-border-l-black-500{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity))}.ii-border-l-blue-500{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity))}.ii-border-l-transparent{border-left-color:transparent}.ii-border-opacity-0{--tw-border-opacity:0}.ii-border-opacity-5{--tw-border-opacity:0.05}.ii-border-opacity-10{--tw-border-opacity:0.1}.ii-border-opacity-15{--tw-border-opacity:.15}.ii-border-opacity-20{--tw-border-opacity:0.2}.ii-border-opacity-25{--tw-border-opacity:0.25}.ii-border-opacity-30{--tw-border-opacity:0.3}.ii-border-opacity-40{--tw-border-opacity:0.4}.ii-border-opacity-50{--tw-border-opacity:0.5}.ii-border-opacity-60{--tw-border-opacity:0.6}.ii-border-opacity-70{--tw-border-opacity:0.7}.ii-border-opacity-75{--tw-border-opacity:0.75}.ii-border-opacity-80{--tw-border-opacity:0.8}.ii-border-opacity-90{--tw-border-opacity:0.9}.ii-border-opacity-95{--tw-border-opacity:0.95}.ii-border-opacity-100{--tw-border-opacity:1}.ii-bg-igem-black{--tw-bg-opacity:1;background-color:rgba(34,33,36,var(--tw-bg-opacity))}.ii-bg-igemo-gray-100{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity))}.ii-bg-igemo-gray-200{--tw-bg-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity))}.ii-bg-igemo-gray-300{--tw-bg-opacity:1;background-color:rgba(204,204,204,var(--tw-bg-opacity))}.ii-bg-igemo-gray-400{--tw-bg-opacity:1;background-color:rgba(100,100,100,var(--tw-bg-opacity))}.ii-bg-igem-green-100{--tw-bg-opacity:1;background-color:rgba(234,251,245,var(--tw-bg-opacity))}.ii-bg-igem-green-400{--tw-bg-opacity:1;background-color:rgba(97,212,172,var(--tw-bg-opacity))}.ii-bg-igem-green{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity))}.ii-bg-igem-blue-100{--tw-bg-opacity:1;background-color:rgba(235,247,252,var(--tw-bg-opacity))}.ii-bg-igem-blue{--tw-bg-opacity:1;background-color:rgba(1,156,219,var(--tw-bg-opacity))}.ii-bg-igem-red-100{--tw-bg-opacity:1;background-color:rgba(255,238,240,var(--tw-bg-opacity))}.ii-bg-igem-red-400{--tw-bg-opacity:1;background-color:rgba(240,110,123,var(--tw-bg-opacity))}.ii-bg-igem-red{--tw-bg-opacity:1;background-color:rgba(240,52,71,var(--tw-bg-opacity))}.ii-bg-igem-orange-100{--tw-bg-opacity:1;background-color:rgba(255,247,243,var(--tw-bg-opacity))}.ii-bg-igem-orange{--tw-bg-opacity:1;background-color:rgba(255,137,69,var(--tw-bg-opacity))}.ii-bg-igem-yellow-100{--tw-bg-opacity:1;background-color:rgba(255,252,244,var(--tw-bg-opacity))}.ii-bg-igem-yellow{--tw-bg-opacity:1;background-color:rgba(252,208,117,var(--tw-bg-opacity))}.ii-bg-igem-white{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.ii-bg-yellow-550{--tw-bg-opacity:1;background-color:rgba(252,208,117,var(--tw-bg-opacity))}.ii-bg-white{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.ii-bg-green-100{--tw-bg-opacity:1;background-color:rgba(230,246,240,var(--tw-bg-opacity))}.ii-bg-green-200{--tw-bg-opacity:1;background-color:rgba(186,233,217,var(--tw-bg-opacity))}.ii-bg-green-300{--tw-bg-opacity:1;background-color:rgba(212,241,231,var(--tw-bg-opacity))}.ii-bg-green-400{--tw-bg-opacity:1;background-color:rgba(97,212,172,var(--tw-bg-opacity))}.ii-bg-green-500{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity))}.ii-bg-gray-400{--tw-bg-opacity:1;background-color:rgba(221,221,221,var(--tw-bg-opacity))}.ii-bg-gray-500{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity))}.ii-bg-gray-600{background-color:hsla(0,0%,44%,.129)}.ii-bg-gray-700{--tw-bg-opacity:1;background-color:rgba(112,112,112,var(--tw-bg-opacity))}.ii-bg-gray-800{background-color:rgba(35,35,35,.655)}.ii-bg-red-200{background-color:rgba(244,80,98,.282)}.ii-bg-red-300{--tw-bg-opacity:1;background-color:rgba(245,99,127,var(--tw-bg-opacity))}.ii-bg-red-400{--tw-bg-opacity:1;background-color:rgba(242,45,65,var(--tw-bg-opacity))}.ii-bg-red-500{--tw-bg-opacity:1;background-color:rgba(255,0,0,var(--tw-bg-opacity))}.ii-bg-turquoise{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity))}.ii-bg-black-400{--tw-bg-opacity:1;background-color:rgba(51,50,53,var(--tw-bg-opacity))}.ii-bg-black-500{--tw-bg-opacity:1;background-color:rgba(34,33,36,var(--tw-bg-opacity))}.ii-bg-blue-500{--tw-bg-opacity:1;background-color:rgba(1,156,219,var(--tw-bg-opacity))}.ii-bg-transparent{background-color:transparent}.\\!ii-bg-igemo-gray-200{--tw-bg-opacity:1!important;background-color:rgba(237,237,237,var(--tw-bg-opacity))!important}.ii-bg-opacity-0{--tw-bg-opacity:0}.ii-bg-opacity-5{--tw-bg-opacity:0.05}.ii-bg-opacity-10{--tw-bg-opacity:0.1}.ii-bg-opacity-15{--tw-bg-opacity:.15}.ii-bg-opacity-20{--tw-bg-opacity:0.2}.ii-bg-opacity-25{--tw-bg-opacity:0.25}.ii-bg-opacity-30{--tw-bg-opacity:0.3}.ii-bg-opacity-40{--tw-bg-opacity:0.4}.ii-bg-opacity-50{--tw-bg-opacity:0.5}.ii-bg-opacity-60{--tw-bg-opacity:0.6}.ii-bg-opacity-70{--tw-bg-opacity:0.7}.ii-bg-opacity-75{--tw-bg-opacity:0.75}.ii-bg-opacity-80{--tw-bg-opacity:0.8}.ii-bg-opacity-90{--tw-bg-opacity:0.9}.ii-bg-opacity-95{--tw-bg-opacity:0.95}.ii-bg-opacity-100{--tw-bg-opacity:1}.ii-bg-none{background-image:none}.ii-bg-gradient-to-t{background-image:linear-gradient(to top,var(--tw-gradient-stops))}.ii-bg-gradient-to-tr{background-image:linear-gradient(to top right,var(--tw-gradient-stops))}.ii-bg-gradient-to-r{background-image:linear-gradient(to right,var(--tw-gradient-stops))}.ii-bg-gradient-to-br{background-image:linear-gradient(to bottom right,var(--tw-gradient-stops))}.ii-bg-gradient-to-b{background-image:linear-gradient(to bottom,var(--tw-gradient-stops))}.ii-bg-gradient-to-bl{background-image:linear-gradient(to bottom left,var(--tw-gradient-stops))}.ii-bg-gradient-to-l{background-image:linear-gradient(to left,var(--tw-gradient-stops))}.ii-bg-gradient-to-tl{background-image:linear-gradient(to top left,var(--tw-gradient-stops))}.ii-from-igem-green{--tw-gradient-from:#08c784;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,rgba(8,199,132,0))}.ii-from-igem-yellow{--tw-gradient-from:#fcd075;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,hsla(40,96%,72%,0))}.ii-from-igem-blue{--tw-gradient-from:#019cdb;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,rgba(1,156,219,0))}.ii-from-igem-black{--tw-gradient-from:#222124;--tw-gradient-stops:var(--tw-gradient-from),var(--tw-gradient-to,rgba(34,33,36,0))}.ii-bg-auto{background-size:auto}.ii-bg-cover{background-size:cover}.ii-bg-contain{background-size:contain}.ii-bg-fixed{background-attachment:fixed}.ii-bg-local{background-attachment:local}.ii-bg-scroll{background-attachment:scroll}.ii-bg-clip-border{background-clip:border-box}.ii-bg-clip-padding{background-clip:padding-box}.ii-bg-clip-content{background-clip:content-box}.ii-bg-clip-text{-webkit-background-clip:text;background-clip:text}.ii-bg-bottom{background-position:bottom}.ii-bg-center{background-position:50%}.ii-bg-left{background-position:0}.ii-bg-left-bottom{background-position:0 100%}.ii-bg-left-top{background-position:0 0}.ii-bg-right{background-position:100%}.ii-bg-right-bottom{background-position:100% 100%}.ii-bg-right-top{background-position:100% 0}.ii-bg-top{background-position:top}.ii-bg-select{background-position:calc(100% - .75rem)}.ii-bg-repeat{background-repeat:repeat}.ii-bg-no-repeat{background-repeat:no-repeat}.ii-bg-repeat-x{background-repeat:repeat-x}.ii-bg-repeat-y{background-repeat:repeat-y}.ii-bg-repeat-round{background-repeat:round}.ii-bg-repeat-space{background-repeat:space}.ii-bg-origin-border{background-origin:border-box}.ii-bg-origin-padding{background-origin:padding-box}.ii-bg-origin-content{background-origin:content-box}.ii-fill-igemo-gray-200{fill:#ededed}.ii-object-cover{-o-object-fit:cover;object-fit:cover}.ii-object-center{-o-object-position:center;object-position:center}.ii-p-2{padding:.5rem}.ii-p-4{padding:1rem}.ii-p-5{padding:1.25rem}.ii-p-1{padding:.25rem}.ii-p-16{padding:4rem}.ii-px-8{padding-left:2rem;padding-right:2rem}.ii-py-4{padding-bottom:1rem;padding-top:1rem}.ii-py-3\\.5{padding-bottom:.875rem;padding-top:.875rem}.ii-py-3{padding-bottom:.75rem;padding-top:.75rem}.ii-px-5{padding-left:1.25rem;padding-right:1.25rem}.ii-py-2{padding-bottom:.5rem;padding-top:.5rem}.ii-px-3{padding-left:.75rem;padding-right:.75rem}.ii-px-2{padding-left:.5rem;padding-right:.5rem}.ii-py-1{padding-bottom:.25rem;padding-top:.25rem}.ii-py-0{padding-bottom:0;padding-top:0}.ii-px-4{padding-left:1rem;padding-right:1rem}.ii-py-0\\.5{padding-bottom:.125rem;padding-top:.125rem}.ii-py-8{padding-bottom:2rem;padding-top:2rem}.ii-px-7{padding-left:1.75rem;padding-right:1.75rem}.ii-px-12{padding-left:3rem;padding-right:3rem}.ii-py-6{padding-bottom:1.5rem;padding-top:1.5rem}.ii-py-5{padding-bottom:1.25rem;padding-top:1.25rem}.ii-pl-10{padding-left:2.5rem}.ii-pb-8{padding-bottom:2rem}.ii-pt-2\\.5{padding-top:.625rem}.ii-pt-2{padding-top:.5rem}.ii-pb-4{padding-bottom:1rem}.ii-pl-8{padding-left:2rem}.ii-pr-4{padding-right:1rem}.ii-pr-5{padding-right:1.25rem}.ii-pr-16{padding-right:4rem}.ii-pb-3{padding-bottom:.75rem}.ii-pb-\\[105rem\\]{padding-bottom:105rem}.ii-pt-4{padding-top:1rem}.ii-pb-48{padding-bottom:12rem}.ii-pl-6{padding-left:1.5rem}.ii-pr-6{padding-right:1.5rem}.ii-pt-3{padding-top:.75rem}.ii-pl-12{padding-left:3rem}.ii-pl-16{padding-left:4rem}.ii-pl-5{padding-left:1.25rem}.ii-text-left{text-align:left}.ii-text-center{text-align:center}.ii-text-right{text-align:right}.ii-text-justify{text-align:justify}.ii-align-top{vertical-align:top}.ii-align-bottom{vertical-align:bottom}.ii-text-xxs{font-size:.512rem}.ii-text-xs{font-size:.64rem}.ii-text-sm{font-size:.8rem;line-height:1.375rem}.ii-text-md{font-size:.9rem}.ii-text-base{font-size:1rem;line-height:1.625rem}.ii-text-lg{font-size:1.25rem;line-height:1.75rem}.ii-text-xl{font-size:1.563rem;line-height:2.188rem}.ii-text-2xl{font-size:1.953rem;line-height:2.5rem}.ii-text-3xl{font-size:2.441rem;line-height:3rem}.ii-text-4xl{font-size:3.052rem;line-height:3.375rem}.ii-font-semibold{font-weight:600}.ii-font-medium{font-weight:500}.ii-font-normal{font-weight:400}.ii-font-bold{font-weight:700}.ii-font-light{font-weight:300}.ii-uppercase{text-transform:uppercase}.ii-italic{font-style:italic}.ii-tracking-widest{letter-spacing:.1em}.ii-tracking-wider{letter-spacing:.05em}.ii-text-igem-black{--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity))}.ii-text-igemo-gray-100{--tw-text-opacity:1;color:rgba(246,247,248,var(--tw-text-opacity))}.ii-text-igemo-gray-200{--tw-text-opacity:1;color:rgba(237,237,237,var(--tw-text-opacity))}.ii-text-igemo-gray-300{--tw-text-opacity:1;color:rgba(204,204,204,var(--tw-text-opacity))}.ii-text-igemo-gray-400{--tw-text-opacity:1;color:rgba(100,100,100,var(--tw-text-opacity))}.ii-text-igem-green-100{--tw-text-opacity:1;color:rgba(234,251,245,var(--tw-text-opacity))}.ii-text-igem-green-400{--tw-text-opacity:1;color:rgba(97,212,172,var(--tw-text-opacity))}.ii-text-igem-green{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.ii-text-igem-blue-100{--tw-text-opacity:1;color:rgba(235,247,252,var(--tw-text-opacity))}.ii-text-igem-blue{--tw-text-opacity:1;color:rgba(1,156,219,var(--tw-text-opacity))}.ii-text-igem-red-100{--tw-text-opacity:1;color:rgba(255,238,240,var(--tw-text-opacity))}.ii-text-igem-red-400{--tw-text-opacity:1;color:rgba(240,110,123,var(--tw-text-opacity))}.ii-text-igem-red{--tw-text-opacity:1;color:rgba(240,52,71,var(--tw-text-opacity))}.ii-text-igem-orange-100{--tw-text-opacity:1;color:rgba(255,247,243,var(--tw-text-opacity))}.ii-text-igem-orange{--tw-text-opacity:1;color:rgba(255,137,69,var(--tw-text-opacity))}.ii-text-igem-yellow-100{--tw-text-opacity:1;color:rgba(255,252,244,var(--tw-text-opacity))}.ii-text-igem-yellow{--tw-text-opacity:1;color:rgba(252,208,117,var(--tw-text-opacity))}.ii-text-igem-white{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.ii-text-yellow-550{--tw-text-opacity:1;color:rgba(252,208,117,var(--tw-text-opacity))}.ii-text-white{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.ii-text-green-100{--tw-text-opacity:1;color:rgba(230,246,240,var(--tw-text-opacity))}.ii-text-green-200{--tw-text-opacity:1;color:rgba(186,233,217,var(--tw-text-opacity))}.ii-text-green-300{--tw-text-opacity:1;color:rgba(212,241,231,var(--tw-text-opacity))}.ii-text-green-400{--tw-text-opacity:1;color:rgba(97,212,172,var(--tw-text-opacity))}.ii-text-green-500{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.ii-text-gray-400{--tw-text-opacity:1;color:rgba(221,221,221,var(--tw-text-opacity))}.ii-text-gray-500{--tw-text-opacity:1;color:rgba(246,247,248,var(--tw-text-opacity))}.ii-text-gray-600{color:hsla(0,0%,44%,.129)}.ii-text-gray-700{--tw-text-opacity:1;color:rgba(112,112,112,var(--tw-text-opacity))}.ii-text-gray-800{color:rgba(35,35,35,.655)}.ii-text-red-200{color:rgba(244,80,98,.282)}.ii-text-red-300{--tw-text-opacity:1;color:rgba(245,99,127,var(--tw-text-opacity))}.ii-text-red-400{--tw-text-opacity:1;color:rgba(242,45,65,var(--tw-text-opacity))}.ii-text-red-500{--tw-text-opacity:1;color:rgba(255,0,0,var(--tw-text-opacity))}.ii-text-turquoise{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.ii-text-black-400{--tw-text-opacity:1;color:rgba(51,50,53,var(--tw-text-opacity))}.ii-text-black-500{--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity))}.ii-text-blue-500{--tw-text-opacity:1;color:rgba(1,156,219,var(--tw-text-opacity))}.ii-text-transparent{color:transparent}.\\!ii-text-igemo-gray-300{--tw-text-opacity:1!important;color:rgba(204,204,204,var(--tw-text-opacity))!important}.ii-text-opacity-0{--tw-text-opacity:0}.ii-text-opacity-5{--tw-text-opacity:0.05}.ii-text-opacity-10{--tw-text-opacity:0.1}.ii-text-opacity-15{--tw-text-opacity:.15}.ii-text-opacity-20{--tw-text-opacity:0.2}.ii-text-opacity-25{--tw-text-opacity:0.25}.ii-text-opacity-30{--tw-text-opacity:0.3}.ii-text-opacity-40{--tw-text-opacity:0.4}.ii-text-opacity-50{--tw-text-opacity:0.5}.ii-text-opacity-60{--tw-text-opacity:0.6}.ii-text-opacity-70{--tw-text-opacity:0.7}.ii-text-opacity-75{--tw-text-opacity:0.75}.ii-text-opacity-80{--tw-text-opacity:0.8}.ii-text-opacity-90{--tw-text-opacity:0.9}.ii-text-opacity-95{--tw-text-opacity:0.95}.ii-text-opacity-100{--tw-text-opacity:1}.ii-underline{-webkit-text-decoration-line:underline;text-decoration-line:underline}.ii-no-underline{-webkit-text-decoration-line:none;text-decoration-line:none}.ii-decoration-2{text-decoration-thickness:2px}.ii-underline-offset-8{text-underline-offset:8px}.ii-placeholder-opacity-80::-moz-placeholder{--tw-placeholder-opacity:0.8}.ii-placeholder-opacity-80:-ms-input-placeholder{--tw-placeholder-opacity:0.8}.ii-placeholder-opacity-80::placeholder{--tw-placeholder-opacity:0.8}.ii-opacity-60{opacity:.6}.ii-opacity-0{opacity:0}.ii-opacity-50{opacity:.5}.ii-opacity-40{opacity:.4}.ii-opacity-20{opacity:.2}.ii-opacity-100{opacity:1}.ii-bg-blend-normal{background-blend-mode:normal}.ii-bg-blend-multiply{background-blend-mode:multiply}.ii-bg-blend-screen{background-blend-mode:screen}.ii-bg-blend-overlay{background-blend-mode:overlay}.ii-bg-blend-darken{background-blend-mode:darken}.ii-bg-blend-lighten{background-blend-mode:lighten}.ii-bg-blend-color-dodge{background-blend-mode:color-dodge}.ii-bg-blend-color-burn{background-blend-mode:color-burn}.ii-bg-blend-hard-light{background-blend-mode:hard-light}.ii-bg-blend-soft-light{background-blend-mode:soft-light}.ii-bg-blend-difference{background-blend-mode:difference}.ii-bg-blend-exclusion{background-blend-mode:exclusion}.ii-bg-blend-hue{background-blend-mode:hue}.ii-bg-blend-saturation{background-blend-mode:saturation}.ii-bg-blend-color{background-blend-mode:color}.ii-bg-blend-luminosity{background-blend-mode:luminosity}.ii-shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color)}.ii-shadow,.ii-shadow-md{box-shadow:0 0 transparent,0 0 transparent,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 transparent),var(--tw-ring-shadow,0 0 transparent),var(--tw-shadow)}.ii-shadow-md{--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color)}.ii-transition{transition-duration:.15s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-transition-colors{transition-duration:.15s;transition-property:color,background-color,border-color,fill,stroke,-webkit-text-decoration-color;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,-webkit-text-decoration-color;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-transition-opacity{transition-duration:.15s;transition-property:opacity;transition-timing-function:cubic-bezier(.4,0,.2,1)}.ii-duration-300{transition-duration:.3s}.ii-duration-500{transition-duration:.5s}.ii-ease-in-out{transition-timing-function:cubic-bezier(.4,0,.2,1)}.hover\\:ii-transition-scale:hover{transform:scale(1.05)}.hover\\:ii-transition-scale:hover:active{transform:scale(1)}.hover\\:ii-text-area:hover{--tw-bg-opacity:1;--tw-text-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity));border-color:hsla(0,0%,44%,.129);border-radius:.375rem;border-width:1px;color:rgba(34,33,36,var(--tw-text-opacity));margin-bottom:.5rem;margin-top:.5rem;padding:.25rem .5rem}.hover\\:ii-text-area:hover::-moz-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.hover\\:ii-text-area:hover:-ms-input-placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.hover\\:ii-text-area:hover::placeholder{--tw-placeholder-opacity:1;color:rgba(204,204,204,var(--tw-placeholder-opacity))}.hover\\:ii-text-area:hover{transition-duration:.3s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,transform,filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1);width:100%}.hover\\:ii-border-collapse:hover{border-collapse:collapse}.hover\\:ii-border-separate:hover{border-collapse:separate}.hover\\:ii-cursor-pointer:hover{cursor:pointer}.hover\\:ii-text-ellipsis:hover{text-overflow:ellipsis}.hover\\:ii-text-clip:hover{text-overflow:clip}.hover\\:ii-border-0:hover{border-width:0}.hover\\:ii-border-2:hover{border-width:2px}.hover\\:ii-border-4:hover{border-width:4px}.hover\\:ii-border-8:hover{border-width:8px}.hover\\:ii-border:hover{border-width:1px}.hover\\:ii-border-1\\.5:hover{border-width:1.5px}.hover\\:ii-border-x-0:hover{border-left-width:0;border-right-width:0}.hover\\:ii-border-x-2:hover{border-left-width:2px;border-right-width:2px}.hover\\:ii-border-x-4:hover{border-left-width:4px;border-right-width:4px}.hover\\:ii-border-x-8:hover{border-left-width:8px;border-right-width:8px}.hover\\:ii-border-x:hover{border-left-width:1px;border-right-width:1px}.hover\\:ii-border-x-1\\.5:hover{border-left-width:1.5px;border-right-width:1.5px}.hover\\:ii-border-y-0:hover{border-bottom-width:0;border-top-width:0}.hover\\:ii-border-y-2:hover{border-bottom-width:2px;border-top-width:2px}.hover\\:ii-border-y-4:hover{border-bottom-width:4px;border-top-width:4px}.hover\\:ii-border-y-8:hover{border-bottom-width:8px;border-top-width:8px}.hover\\:ii-border-y:hover{border-bottom-width:1px;border-top-width:1px}.hover\\:ii-border-y-1\\.5:hover{border-bottom-width:1.5px;border-top-width:1.5px}.hover\\:ii-border-t-0:hover{border-top-width:0}.hover\\:ii-border-t-2:hover{border-top-width:2px}.hover\\:ii-border-t-4:hover{border-top-width:4px}.hover\\:ii-border-t-8:hover{border-top-width:8px}.hover\\:ii-border-t:hover{border-top-width:1px}.hover\\:ii-border-t-1\\.5:hover{border-top-width:1.5px}.hover\\:ii-border-r-0:hover{border-right-width:0}.hover\\:ii-border-r-2:hover{border-right-width:2px}.hover\\:ii-border-r-4:hover{border-right-width:4px}.hover\\:ii-border-r-8:hover{border-right-width:8px}.hover\\:ii-border-r:hover{border-right-width:1px}.hover\\:ii-border-r-1\\.5:hover{border-right-width:1.5px}.hover\\:ii-border-b-0:hover{border-bottom-width:0}.hover\\:ii-border-b-2:hover{border-bottom-width:2px}.hover\\:ii-border-b-4:hover{border-bottom-width:4px}.hover\\:ii-border-b-8:hover{border-bottom-width:8px}.hover\\:ii-border-b:hover{border-bottom-width:1px}.hover\\:ii-border-b-1\\.5:hover{border-bottom-width:1.5px}.hover\\:ii-border-l-0:hover{border-left-width:0}.hover\\:ii-border-l-2:hover{border-left-width:2px}.hover\\:ii-border-l-4:hover{border-left-width:4px}.hover\\:ii-border-l-8:hover{border-left-width:8px}.hover\\:ii-border-l:hover{border-left-width:1px}.hover\\:ii-border-l-1\\.5:hover{border-left-width:1.5px}.hover\\:ii-border-solid:hover{border-style:solid}.hover\\:ii-border-dashed:hover{border-style:dashed}.hover\\:ii-border-dotted:hover{border-style:dotted}.hover\\:ii-border-double:hover{border-style:double}.hover\\:ii-border-hidden:hover{border-style:hidden}.hover\\:ii-border-none:hover{border-style:none}.hover\\:ii-border-igem-black:hover{--tw-border-opacity:1;border-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-igemo-gray-100:hover{--tw-border-opacity:1;border-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-igemo-gray-200:hover{--tw-border-opacity:1;border-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-igemo-gray-300:hover{--tw-border-opacity:1;border-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-igemo-gray-400:hover{--tw-border-opacity:1;border-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-igem-green-100:hover{--tw-border-opacity:1;border-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-igem-green-400:hover{--tw-border-opacity:1;border-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-igem-green:hover{--tw-border-opacity:1;border-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-igem-blue-100:hover{--tw-border-opacity:1;border-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-igem-blue:hover{--tw-border-opacity:1;border-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-igem-red-100:hover{--tw-border-opacity:1;border-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-igem-red-400:hover{--tw-border-opacity:1;border-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-igem-red:hover{--tw-border-opacity:1;border-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-igem-orange-100:hover{--tw-border-opacity:1;border-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-igem-orange:hover{--tw-border-opacity:1;border-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-igem-yellow-100:hover{--tw-border-opacity:1;border-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-igem-yellow:hover{--tw-border-opacity:1;border-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-igem-white:hover{--tw-border-opacity:1;border-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-yellow-550:hover{--tw-border-opacity:1;border-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-white:hover{--tw-border-opacity:1;border-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-green-100:hover{--tw-border-opacity:1;border-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-green-200:hover{--tw-border-opacity:1;border-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-green-300:hover{--tw-border-opacity:1;border-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-green-400:hover{--tw-border-opacity:1;border-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-green-500:hover{--tw-border-opacity:1;border-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-gray-400:hover{--tw-border-opacity:1;border-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-gray-500:hover{--tw-border-opacity:1;border-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-gray-600:hover{border-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-gray-700:hover{--tw-border-opacity:1;border-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-gray-800:hover{border-color:rgba(35,35,35,.655)}.hover\\:ii-border-red-200:hover{border-color:rgba(244,80,98,.282)}.hover\\:ii-border-red-300:hover{--tw-border-opacity:1;border-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-red-400:hover{--tw-border-opacity:1;border-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-red-500:hover{--tw-border-opacity:1;border-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-turquoise:hover{--tw-border-opacity:1;border-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-black-400:hover{--tw-border-opacity:1;border-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-black-500:hover{--tw-border-opacity:1;border-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-blue-500:hover{--tw-border-opacity:1;border-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-transparent:hover{border-color:transparent}.hover\\:ii-border-x-igem-black:hover{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity));border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-x-igemo-gray-100:hover{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity));border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-x-igemo-gray-200:hover{--tw-border-opacity:1;border-left-color:rgba(237,237,237,var(--tw-border-opacity));border-right-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-x-igemo-gray-300:hover{--tw-border-opacity:1;border-left-color:rgba(204,204,204,var(--tw-border-opacity));border-right-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-x-igemo-gray-400:hover{--tw-border-opacity:1;border-left-color:rgba(100,100,100,var(--tw-border-opacity));border-right-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-green-100:hover{--tw-border-opacity:1;border-left-color:rgba(234,251,245,var(--tw-border-opacity));border-right-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-green-400:hover{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity));border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-green:hover{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity));border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-blue-100:hover{--tw-border-opacity:1;border-left-color:rgba(235,247,252,var(--tw-border-opacity));border-right-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-blue:hover{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity));border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-red-100:hover{--tw-border-opacity:1;border-left-color:rgba(255,238,240,var(--tw-border-opacity));border-right-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-red-400:hover{--tw-border-opacity:1;border-left-color:rgba(240,110,123,var(--tw-border-opacity));border-right-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-red:hover{--tw-border-opacity:1;border-left-color:rgba(240,52,71,var(--tw-border-opacity));border-right-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-orange-100:hover{--tw-border-opacity:1;border-left-color:rgba(255,247,243,var(--tw-border-opacity));border-right-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-orange:hover{--tw-border-opacity:1;border-left-color:rgba(255,137,69,var(--tw-border-opacity));border-right-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-yellow-100:hover{--tw-border-opacity:1;border-left-color:rgba(255,252,244,var(--tw-border-opacity));border-right-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-yellow:hover{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity));border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-x-igem-white:hover{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity));border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-x-yellow-550:hover{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity));border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-x-white:hover{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity));border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-x-green-100:hover{--tw-border-opacity:1;border-left-color:rgba(230,246,240,var(--tw-border-opacity));border-right-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-x-green-200:hover{--tw-border-opacity:1;border-left-color:rgba(186,233,217,var(--tw-border-opacity));border-right-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-x-green-300:hover{--tw-border-opacity:1;border-left-color:rgba(212,241,231,var(--tw-border-opacity));border-right-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-x-green-400:hover{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity));border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-x-green-500:hover{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity));border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-x-gray-400:hover{--tw-border-opacity:1;border-left-color:rgba(221,221,221,var(--tw-border-opacity));border-right-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-x-gray-500:hover{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity));border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-x-gray-600:hover{border-left-color:hsla(0,0%,44%,.129);border-right-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-x-gray-700:hover{--tw-border-opacity:1;border-left-color:rgba(112,112,112,var(--tw-border-opacity));border-right-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-x-gray-800:hover{border-left-color:rgba(35,35,35,.655);border-right-color:rgba(35,35,35,.655)}.hover\\:ii-border-x-red-200:hover{border-left-color:rgba(244,80,98,.282);border-right-color:rgba(244,80,98,.282)}.hover\\:ii-border-x-red-300:hover{--tw-border-opacity:1;border-left-color:rgba(245,99,127,var(--tw-border-opacity));border-right-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-x-red-400:hover{--tw-border-opacity:1;border-left-color:rgba(242,45,65,var(--tw-border-opacity));border-right-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-x-red-500:hover{--tw-border-opacity:1;border-left-color:rgba(255,0,0,var(--tw-border-opacity));border-right-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-x-turquoise:hover{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity));border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-x-black-400:hover{--tw-border-opacity:1;border-left-color:rgba(51,50,53,var(--tw-border-opacity));border-right-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-x-black-500:hover{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity));border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-x-blue-500:hover{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity));border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-x-transparent:hover{border-left-color:transparent;border-right-color:transparent}.hover\\:ii-border-y-igem-black:hover{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity));border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-y-igemo-gray-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity));border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-y-igemo-gray-200:hover{--tw-border-opacity:1;border-bottom-color:rgba(237,237,237,var(--tw-border-opacity));border-top-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-y-igemo-gray-300:hover{--tw-border-opacity:1;border-bottom-color:rgba(204,204,204,var(--tw-border-opacity));border-top-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-y-igemo-gray-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(100,100,100,var(--tw-border-opacity));border-top-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-green-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(234,251,245,var(--tw-border-opacity));border-top-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-green-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity));border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-green:hover{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity));border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-blue-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(235,247,252,var(--tw-border-opacity));border-top-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-blue:hover{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity));border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-red-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,238,240,var(--tw-border-opacity));border-top-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-red-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(240,110,123,var(--tw-border-opacity));border-top-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-red:hover{--tw-border-opacity:1;border-bottom-color:rgba(240,52,71,var(--tw-border-opacity));border-top-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-orange-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,247,243,var(--tw-border-opacity));border-top-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-orange:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,137,69,var(--tw-border-opacity));border-top-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-yellow-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,252,244,var(--tw-border-opacity));border-top-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-yellow:hover{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity));border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-y-igem-white:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity));border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-y-yellow-550:hover{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity));border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-y-white:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity));border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-y-green-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(230,246,240,var(--tw-border-opacity));border-top-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-y-green-200:hover{--tw-border-opacity:1;border-bottom-color:rgba(186,233,217,var(--tw-border-opacity));border-top-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-y-green-300:hover{--tw-border-opacity:1;border-bottom-color:rgba(212,241,231,var(--tw-border-opacity));border-top-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-y-green-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity));border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-y-green-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity));border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-y-gray-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(221,221,221,var(--tw-border-opacity));border-top-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-y-gray-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity));border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-y-gray-600:hover{border-bottom-color:hsla(0,0%,44%,.129);border-top-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-y-gray-700:hover{--tw-border-opacity:1;border-bottom-color:rgba(112,112,112,var(--tw-border-opacity));border-top-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-y-gray-800:hover{border-bottom-color:rgba(35,35,35,.655);border-top-color:rgba(35,35,35,.655)}.hover\\:ii-border-y-red-200:hover{border-bottom-color:rgba(244,80,98,.282);border-top-color:rgba(244,80,98,.282)}.hover\\:ii-border-y-red-300:hover{--tw-border-opacity:1;border-bottom-color:rgba(245,99,127,var(--tw-border-opacity));border-top-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-y-red-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(242,45,65,var(--tw-border-opacity));border-top-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-y-red-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,0,0,var(--tw-border-opacity));border-top-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-y-turquoise:hover{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity));border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-y-black-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(51,50,53,var(--tw-border-opacity));border-top-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-y-black-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity));border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-y-blue-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity));border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-y-transparent:hover{border-bottom-color:transparent;border-top-color:transparent}.hover\\:ii-border-t-igem-black:hover{--tw-border-opacity:1;border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-t-igemo-gray-100:hover{--tw-border-opacity:1;border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-t-igemo-gray-200:hover{--tw-border-opacity:1;border-top-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-t-igemo-gray-300:hover{--tw-border-opacity:1;border-top-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-t-igemo-gray-400:hover{--tw-border-opacity:1;border-top-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-green-100:hover{--tw-border-opacity:1;border-top-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-green-400:hover{--tw-border-opacity:1;border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-green:hover{--tw-border-opacity:1;border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-blue-100:hover{--tw-border-opacity:1;border-top-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-blue:hover{--tw-border-opacity:1;border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-red-100:hover{--tw-border-opacity:1;border-top-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-red-400:hover{--tw-border-opacity:1;border-top-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-red:hover{--tw-border-opacity:1;border-top-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-orange-100:hover{--tw-border-opacity:1;border-top-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-orange:hover{--tw-border-opacity:1;border-top-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-yellow-100:hover{--tw-border-opacity:1;border-top-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-yellow:hover{--tw-border-opacity:1;border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-t-igem-white:hover{--tw-border-opacity:1;border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-t-yellow-550:hover{--tw-border-opacity:1;border-top-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-t-white:hover{--tw-border-opacity:1;border-top-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-t-green-100:hover{--tw-border-opacity:1;border-top-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-t-green-200:hover{--tw-border-opacity:1;border-top-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-t-green-300:hover{--tw-border-opacity:1;border-top-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-t-green-400:hover{--tw-border-opacity:1;border-top-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-t-green-500:hover{--tw-border-opacity:1;border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-t-gray-400:hover{--tw-border-opacity:1;border-top-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-t-gray-500:hover{--tw-border-opacity:1;border-top-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-t-gray-600:hover{border-top-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-t-gray-700:hover{--tw-border-opacity:1;border-top-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-t-gray-800:hover{border-top-color:rgba(35,35,35,.655)}.hover\\:ii-border-t-red-200:hover{border-top-color:rgba(244,80,98,.282)}.hover\\:ii-border-t-red-300:hover{--tw-border-opacity:1;border-top-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-t-red-400:hover{--tw-border-opacity:1;border-top-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-t-red-500:hover{--tw-border-opacity:1;border-top-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-t-turquoise:hover{--tw-border-opacity:1;border-top-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-t-black-400:hover{--tw-border-opacity:1;border-top-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-t-black-500:hover{--tw-border-opacity:1;border-top-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-t-blue-500:hover{--tw-border-opacity:1;border-top-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-t-transparent:hover{border-top-color:transparent}.hover\\:ii-border-r-igem-black:hover{--tw-border-opacity:1;border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-r-igemo-gray-100:hover{--tw-border-opacity:1;border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-r-igemo-gray-200:hover{--tw-border-opacity:1;border-right-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-r-igemo-gray-300:hover{--tw-border-opacity:1;border-right-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-r-igemo-gray-400:hover{--tw-border-opacity:1;border-right-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-green-100:hover{--tw-border-opacity:1;border-right-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-green-400:hover{--tw-border-opacity:1;border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-green:hover{--tw-border-opacity:1;border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-blue-100:hover{--tw-border-opacity:1;border-right-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-blue:hover{--tw-border-opacity:1;border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-red-100:hover{--tw-border-opacity:1;border-right-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-red-400:hover{--tw-border-opacity:1;border-right-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-red:hover{--tw-border-opacity:1;border-right-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-orange-100:hover{--tw-border-opacity:1;border-right-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-orange:hover{--tw-border-opacity:1;border-right-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-yellow-100:hover{--tw-border-opacity:1;border-right-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-yellow:hover{--tw-border-opacity:1;border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-r-igem-white:hover{--tw-border-opacity:1;border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-r-yellow-550:hover{--tw-border-opacity:1;border-right-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-r-white:hover{--tw-border-opacity:1;border-right-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-r-green-100:hover{--tw-border-opacity:1;border-right-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-r-green-200:hover{--tw-border-opacity:1;border-right-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-r-green-300:hover{--tw-border-opacity:1;border-right-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-r-green-400:hover{--tw-border-opacity:1;border-right-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-r-green-500:hover{--tw-border-opacity:1;border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-r-gray-400:hover{--tw-border-opacity:1;border-right-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-r-gray-500:hover{--tw-border-opacity:1;border-right-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-r-gray-600:hover{border-right-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-r-gray-700:hover{--tw-border-opacity:1;border-right-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-r-gray-800:hover{border-right-color:rgba(35,35,35,.655)}.hover\\:ii-border-r-red-200:hover{border-right-color:rgba(244,80,98,.282)}.hover\\:ii-border-r-red-300:hover{--tw-border-opacity:1;border-right-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-r-red-400:hover{--tw-border-opacity:1;border-right-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-r-red-500:hover{--tw-border-opacity:1;border-right-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-r-turquoise:hover{--tw-border-opacity:1;border-right-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-r-black-400:hover{--tw-border-opacity:1;border-right-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-r-black-500:hover{--tw-border-opacity:1;border-right-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-r-blue-500:hover{--tw-border-opacity:1;border-right-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-r-transparent:hover{border-right-color:transparent}.hover\\:ii-border-b-igem-black:hover{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-b-igemo-gray-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-b-igemo-gray-200:hover{--tw-border-opacity:1;border-bottom-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-b-igemo-gray-300:hover{--tw-border-opacity:1;border-bottom-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-b-igemo-gray-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-green-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-green-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-green:hover{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-blue-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-blue:hover{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-red-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-red-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-red:hover{--tw-border-opacity:1;border-bottom-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-orange-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-orange:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-yellow-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-yellow:hover{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-b-igem-white:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-b-yellow-550:hover{--tw-border-opacity:1;border-bottom-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-b-white:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-b-green-100:hover{--tw-border-opacity:1;border-bottom-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-b-green-200:hover{--tw-border-opacity:1;border-bottom-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-b-green-300:hover{--tw-border-opacity:1;border-bottom-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-b-green-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-b-green-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-b-gray-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-b-gray-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-b-gray-600:hover{border-bottom-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-b-gray-700:hover{--tw-border-opacity:1;border-bottom-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-b-gray-800:hover{border-bottom-color:rgba(35,35,35,.655)}.hover\\:ii-border-b-red-200:hover{border-bottom-color:rgba(244,80,98,.282)}.hover\\:ii-border-b-red-300:hover{--tw-border-opacity:1;border-bottom-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-b-red-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-b-red-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-b-turquoise:hover{--tw-border-opacity:1;border-bottom-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-b-black-400:hover{--tw-border-opacity:1;border-bottom-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-b-black-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-b-blue-500:hover{--tw-border-opacity:1;border-bottom-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-b-transparent:hover{border-bottom-color:transparent}.hover\\:ii-border-l-igem-black:hover{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-l-igemo-gray-100:hover{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-l-igemo-gray-200:hover{--tw-border-opacity:1;border-left-color:rgba(237,237,237,var(--tw-border-opacity))}.hover\\:ii-border-l-igemo-gray-300:hover{--tw-border-opacity:1;border-left-color:rgba(204,204,204,var(--tw-border-opacity))}.hover\\:ii-border-l-igemo-gray-400:hover{--tw-border-opacity:1;border-left-color:rgba(100,100,100,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-green-100:hover{--tw-border-opacity:1;border-left-color:rgba(234,251,245,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-green-400:hover{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-green:hover{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-blue-100:hover{--tw-border-opacity:1;border-left-color:rgba(235,247,252,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-blue:hover{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-red-100:hover{--tw-border-opacity:1;border-left-color:rgba(255,238,240,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-red-400:hover{--tw-border-opacity:1;border-left-color:rgba(240,110,123,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-red:hover{--tw-border-opacity:1;border-left-color:rgba(240,52,71,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-orange-100:hover{--tw-border-opacity:1;border-left-color:rgba(255,247,243,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-orange:hover{--tw-border-opacity:1;border-left-color:rgba(255,137,69,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-yellow-100:hover{--tw-border-opacity:1;border-left-color:rgba(255,252,244,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-yellow:hover{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-l-igem-white:hover{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-l-yellow-550:hover{--tw-border-opacity:1;border-left-color:rgba(252,208,117,var(--tw-border-opacity))}.hover\\:ii-border-l-white:hover{--tw-border-opacity:1;border-left-color:rgba(255,255,255,var(--tw-border-opacity))}.hover\\:ii-border-l-green-100:hover{--tw-border-opacity:1;border-left-color:rgba(230,246,240,var(--tw-border-opacity))}.hover\\:ii-border-l-green-200:hover{--tw-border-opacity:1;border-left-color:rgba(186,233,217,var(--tw-border-opacity))}.hover\\:ii-border-l-green-300:hover{--tw-border-opacity:1;border-left-color:rgba(212,241,231,var(--tw-border-opacity))}.hover\\:ii-border-l-green-400:hover{--tw-border-opacity:1;border-left-color:rgba(97,212,172,var(--tw-border-opacity))}.hover\\:ii-border-l-green-500:hover{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-l-gray-400:hover{--tw-border-opacity:1;border-left-color:rgba(221,221,221,var(--tw-border-opacity))}.hover\\:ii-border-l-gray-500:hover{--tw-border-opacity:1;border-left-color:rgba(246,247,248,var(--tw-border-opacity))}.hover\\:ii-border-l-gray-600:hover{border-left-color:hsla(0,0%,44%,.129)}.hover\\:ii-border-l-gray-700:hover{--tw-border-opacity:1;border-left-color:rgba(112,112,112,var(--tw-border-opacity))}.hover\\:ii-border-l-gray-800:hover{border-left-color:rgba(35,35,35,.655)}.hover\\:ii-border-l-red-200:hover{border-left-color:rgba(244,80,98,.282)}.hover\\:ii-border-l-red-300:hover{--tw-border-opacity:1;border-left-color:rgba(245,99,127,var(--tw-border-opacity))}.hover\\:ii-border-l-red-400:hover{--tw-border-opacity:1;border-left-color:rgba(242,45,65,var(--tw-border-opacity))}.hover\\:ii-border-l-red-500:hover{--tw-border-opacity:1;border-left-color:rgba(255,0,0,var(--tw-border-opacity))}.hover\\:ii-border-l-turquoise:hover{--tw-border-opacity:1;border-left-color:rgba(8,199,132,var(--tw-border-opacity))}.hover\\:ii-border-l-black-400:hover{--tw-border-opacity:1;border-left-color:rgba(51,50,53,var(--tw-border-opacity))}.hover\\:ii-border-l-black-500:hover{--tw-border-opacity:1;border-left-color:rgba(34,33,36,var(--tw-border-opacity))}.hover\\:ii-border-l-blue-500:hover{--tw-border-opacity:1;border-left-color:rgba(1,156,219,var(--tw-border-opacity))}.hover\\:ii-border-l-transparent:hover{border-left-color:transparent}.hover\\:ii-border-opacity-0:hover{--tw-border-opacity:0}.hover\\:ii-border-opacity-5:hover{--tw-border-opacity:0.05}.hover\\:ii-border-opacity-10:hover{--tw-border-opacity:0.1}.hover\\:ii-border-opacity-15:hover{--tw-border-opacity:.15}.hover\\:ii-border-opacity-20:hover{--tw-border-opacity:0.2}.hover\\:ii-border-opacity-25:hover{--tw-border-opacity:0.25}.hover\\:ii-border-opacity-30:hover{--tw-border-opacity:0.3}.hover\\:ii-border-opacity-40:hover{--tw-border-opacity:0.4}.hover\\:ii-border-opacity-50:hover{--tw-border-opacity:0.5}.hover\\:ii-border-opacity-60:hover{--tw-border-opacity:0.6}.hover\\:ii-border-opacity-70:hover{--tw-border-opacity:0.7}.hover\\:ii-border-opacity-75:hover{--tw-border-opacity:0.75}.hover\\:ii-border-opacity-80:hover{--tw-border-opacity:0.8}.hover\\:ii-border-opacity-90:hover{--tw-border-opacity:0.9}.hover\\:ii-border-opacity-95:hover{--tw-border-opacity:0.95}.hover\\:ii-border-opacity-100:hover{--tw-border-opacity:1}.hover\\:ii-bg-igem-black:hover{--tw-bg-opacity:1;background-color:rgba(34,33,36,var(--tw-bg-opacity))}.hover\\:ii-bg-igemo-gray-100:hover{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity))}.hover\\:ii-bg-igemo-gray-200:hover{--tw-bg-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity))}.hover\\:ii-bg-igemo-gray-300:hover{--tw-bg-opacity:1;background-color:rgba(204,204,204,var(--tw-bg-opacity))}.hover\\:ii-bg-igemo-gray-400:hover{--tw-bg-opacity:1;background-color:rgba(100,100,100,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-green-100:hover{--tw-bg-opacity:1;background-color:rgba(234,251,245,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-green-400:hover{--tw-bg-opacity:1;background-color:rgba(97,212,172,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-green:hover{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-blue-100:hover{--tw-bg-opacity:1;background-color:rgba(235,247,252,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-blue:hover{--tw-bg-opacity:1;background-color:rgba(1,156,219,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-red-100:hover{--tw-bg-opacity:1;background-color:rgba(255,238,240,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-red-400:hover{--tw-bg-opacity:1;background-color:rgba(240,110,123,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-red:hover{--tw-bg-opacity:1;background-color:rgba(240,52,71,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-orange-100:hover{--tw-bg-opacity:1;background-color:rgba(255,247,243,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-orange:hover{--tw-bg-opacity:1;background-color:rgba(255,137,69,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-yellow-100:hover{--tw-bg-opacity:1;background-color:rgba(255,252,244,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-yellow:hover{--tw-bg-opacity:1;background-color:rgba(252,208,117,var(--tw-bg-opacity))}.hover\\:ii-bg-igem-white:hover{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.hover\\:ii-bg-yellow-550:hover{--tw-bg-opacity:1;background-color:rgba(252,208,117,var(--tw-bg-opacity))}.hover\\:ii-bg-white:hover{--tw-bg-opacity:1;background-color:rgba(255,255,255,var(--tw-bg-opacity))}.hover\\:ii-bg-green-100:hover{--tw-bg-opacity:1;background-color:rgba(230,246,240,var(--tw-bg-opacity))}.hover\\:ii-bg-green-200:hover{--tw-bg-opacity:1;background-color:rgba(186,233,217,var(--tw-bg-opacity))}.hover\\:ii-bg-green-300:hover{--tw-bg-opacity:1;background-color:rgba(212,241,231,var(--tw-bg-opacity))}.hover\\:ii-bg-green-400:hover{--tw-bg-opacity:1;background-color:rgba(97,212,172,var(--tw-bg-opacity))}.hover\\:ii-bg-green-500:hover{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity))}.hover\\:ii-bg-gray-400:hover{--tw-bg-opacity:1;background-color:rgba(221,221,221,var(--tw-bg-opacity))}.hover\\:ii-bg-gray-500:hover{--tw-bg-opacity:1;background-color:rgba(246,247,248,var(--tw-bg-opacity))}.hover\\:ii-bg-gray-600:hover{background-color:hsla(0,0%,44%,.129)}.hover\\:ii-bg-gray-700:hover{--tw-bg-opacity:1;background-color:rgba(112,112,112,var(--tw-bg-opacity))}.hover\\:ii-bg-gray-800:hover{background-color:rgba(35,35,35,.655)}.hover\\:ii-bg-red-200:hover{background-color:rgba(244,80,98,.282)}.hover\\:ii-bg-red-300:hover{--tw-bg-opacity:1;background-color:rgba(245,99,127,var(--tw-bg-opacity))}.hover\\:ii-bg-red-400:hover{--tw-bg-opacity:1;background-color:rgba(242,45,65,var(--tw-bg-opacity))}.hover\\:ii-bg-red-500:hover{--tw-bg-opacity:1;background-color:rgba(255,0,0,var(--tw-bg-opacity))}.hover\\:ii-bg-turquoise:hover{--tw-bg-opacity:1;background-color:rgba(8,199,132,var(--tw-bg-opacity))}.hover\\:ii-bg-black-400:hover{--tw-bg-opacity:1;background-color:rgba(51,50,53,var(--tw-bg-opacity))}.hover\\:ii-bg-black-500:hover{--tw-bg-opacity:1;background-color:rgba(34,33,36,var(--tw-bg-opacity))}.hover\\:ii-bg-blue-500:hover{--tw-bg-opacity:1;background-color:rgba(1,156,219,var(--tw-bg-opacity))}.hover\\:ii-bg-transparent:hover{background-color:transparent}.hover\\:ii-bg-opacity-0:hover{--tw-bg-opacity:0}.hover\\:ii-bg-opacity-5:hover{--tw-bg-opacity:0.05}.hover\\:ii-bg-opacity-10:hover{--tw-bg-opacity:0.1}.hover\\:ii-bg-opacity-15:hover{--tw-bg-opacity:.15}.hover\\:ii-bg-opacity-20:hover{--tw-bg-opacity:0.2}.hover\\:ii-bg-opacity-25:hover{--tw-bg-opacity:0.25}.hover\\:ii-bg-opacity-30:hover{--tw-bg-opacity:0.3}.hover\\:ii-bg-opacity-40:hover{--tw-bg-opacity:0.4}.hover\\:ii-bg-opacity-50:hover{--tw-bg-opacity:0.5}.hover\\:ii-bg-opacity-60:hover{--tw-bg-opacity:0.6}.hover\\:ii-bg-opacity-70:hover{--tw-bg-opacity:0.7}.hover\\:ii-bg-opacity-75:hover{--tw-bg-opacity:0.75}.hover\\:ii-bg-opacity-80:hover{--tw-bg-opacity:0.8}.hover\\:ii-bg-opacity-90:hover{--tw-bg-opacity:0.9}.hover\\:ii-bg-opacity-95:hover{--tw-bg-opacity:0.95}.hover\\:ii-bg-opacity-100:hover{--tw-bg-opacity:1}.hover\\:ii-bg-none:hover{background-image:none}.hover\\:ii-bg-gradient-to-t:hover{background-image:linear-gradient(to top,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-tr:hover{background-image:linear-gradient(to top right,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-r:hover{background-image:linear-gradient(to right,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-br:hover{background-image:linear-gradient(to bottom right,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-b:hover{background-image:linear-gradient(to bottom,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-bl:hover{background-image:linear-gradient(to bottom left,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-l:hover{background-image:linear-gradient(to left,var(--tw-gradient-stops))}.hover\\:ii-bg-gradient-to-tl:hover{background-image:linear-gradient(to top left,var(--tw-gradient-stops))}.hover\\:ii-bg-auto:hover{background-size:auto}.hover\\:ii-bg-cover:hover{background-size:cover}.hover\\:ii-bg-contain:hover{background-size:contain}.hover\\:ii-bg-fixed:hover{background-attachment:fixed}.hover\\:ii-bg-local:hover{background-attachment:local}.hover\\:ii-bg-scroll:hover{background-attachment:scroll}.hover\\:ii-bg-clip-border:hover{background-clip:border-box}.hover\\:ii-bg-clip-padding:hover{background-clip:padding-box}.hover\\:ii-bg-clip-content:hover{background-clip:content-box}.hover\\:ii-bg-clip-text:hover{-webkit-background-clip:text;background-clip:text}.hover\\:ii-bg-bottom:hover{background-position:bottom}.hover\\:ii-bg-center:hover{background-position:50%}.hover\\:ii-bg-left:hover{background-position:0}.hover\\:ii-bg-left-bottom:hover{background-position:0 100%}.hover\\:ii-bg-left-top:hover{background-position:0 0}.hover\\:ii-bg-right:hover{background-position:100%}.hover\\:ii-bg-right-bottom:hover{background-position:100% 100%}.hover\\:ii-bg-right-top:hover{background-position:100% 0}.hover\\:ii-bg-top:hover{background-position:top}.hover\\:ii-bg-select:hover{background-position:calc(100% - .75rem)}.hover\\:ii-bg-repeat:hover{background-repeat:repeat}.hover\\:ii-bg-no-repeat:hover{background-repeat:no-repeat}.hover\\:ii-bg-repeat-x:hover{background-repeat:repeat-x}.hover\\:ii-bg-repeat-y:hover{background-repeat:repeat-y}.hover\\:ii-bg-repeat-round:hover{background-repeat:round}.hover\\:ii-bg-repeat-space:hover{background-repeat:space}.hover\\:ii-bg-origin-border:hover{background-origin:border-box}.hover\\:ii-bg-origin-padding:hover{background-origin:padding-box}.hover\\:ii-bg-origin-content:hover{background-origin:content-box}.hover\\:ii-text-left:hover{text-align:left}.hover\\:ii-text-center:hover{text-align:center}.hover\\:ii-text-right:hover{text-align:right}.hover\\:ii-text-justify:hover{text-align:justify}.hover\\:ii-text-xxs:hover{font-size:.512rem}.hover\\:ii-text-xs:hover{font-size:.64rem}.hover\\:ii-text-sm:hover{font-size:.8rem;line-height:1.375rem}.hover\\:ii-text-md:hover{font-size:.9rem}.hover\\:ii-text-base:hover{font-size:1rem;line-height:1.625rem}.hover\\:ii-text-lg:hover{font-size:1.25rem;line-height:1.75rem}.hover\\:ii-text-xl:hover{font-size:1.563rem;line-height:2.188rem}.hover\\:ii-text-2xl:hover{font-size:1.953rem;line-height:2.5rem}.hover\\:ii-text-3xl:hover{font-size:2.441rem;line-height:3rem}.hover\\:ii-text-4xl:hover{font-size:3.052rem;line-height:3.375rem}.hover\\:ii-text-igem-black:hover{--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity))}.hover\\:ii-text-igemo-gray-100:hover{--tw-text-opacity:1;color:rgba(246,247,248,var(--tw-text-opacity))}.hover\\:ii-text-igemo-gray-200:hover{--tw-text-opacity:1;color:rgba(237,237,237,var(--tw-text-opacity))}.hover\\:ii-text-igemo-gray-300:hover{--tw-text-opacity:1;color:rgba(204,204,204,var(--tw-text-opacity))}.hover\\:ii-text-igemo-gray-400:hover{--tw-text-opacity:1;color:rgba(100,100,100,var(--tw-text-opacity))}.hover\\:ii-text-igem-green-100:hover{--tw-text-opacity:1;color:rgba(234,251,245,var(--tw-text-opacity))}.hover\\:ii-text-igem-green-400:hover{--tw-text-opacity:1;color:rgba(97,212,172,var(--tw-text-opacity))}.hover\\:ii-text-igem-green:hover{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.hover\\:ii-text-igem-blue-100:hover{--tw-text-opacity:1;color:rgba(235,247,252,var(--tw-text-opacity))}.hover\\:ii-text-igem-blue:hover{--tw-text-opacity:1;color:rgba(1,156,219,var(--tw-text-opacity))}.hover\\:ii-text-igem-red-100:hover{--tw-text-opacity:1;color:rgba(255,238,240,var(--tw-text-opacity))}.hover\\:ii-text-igem-red-400:hover{--tw-text-opacity:1;color:rgba(240,110,123,var(--tw-text-opacity))}.hover\\:ii-text-igem-red:hover{--tw-text-opacity:1;color:rgba(240,52,71,var(--tw-text-opacity))}.hover\\:ii-text-igem-orange-100:hover{--tw-text-opacity:1;color:rgba(255,247,243,var(--tw-text-opacity))}.hover\\:ii-text-igem-orange:hover{--tw-text-opacity:1;color:rgba(255,137,69,var(--tw-text-opacity))}.hover\\:ii-text-igem-yellow-100:hover{--tw-text-opacity:1;color:rgba(255,252,244,var(--tw-text-opacity))}.hover\\:ii-text-igem-yellow:hover{--tw-text-opacity:1;color:rgba(252,208,117,var(--tw-text-opacity))}.hover\\:ii-text-igem-white:hover{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.hover\\:ii-text-yellow-550:hover{--tw-text-opacity:1;color:rgba(252,208,117,var(--tw-text-opacity))}.hover\\:ii-text-white:hover{--tw-text-opacity:1;color:rgba(255,255,255,var(--tw-text-opacity))}.hover\\:ii-text-green-100:hover{--tw-text-opacity:1;color:rgba(230,246,240,var(--tw-text-opacity))}.hover\\:ii-text-green-200:hover{--tw-text-opacity:1;color:rgba(186,233,217,var(--tw-text-opacity))}.hover\\:ii-text-green-300:hover{--tw-text-opacity:1;color:rgba(212,241,231,var(--tw-text-opacity))}.hover\\:ii-text-green-400:hover{--tw-text-opacity:1;color:rgba(97,212,172,var(--tw-text-opacity))}.hover\\:ii-text-green-500:hover{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.hover\\:ii-text-gray-400:hover{--tw-text-opacity:1;color:rgba(221,221,221,var(--tw-text-opacity))}.hover\\:ii-text-gray-500:hover{--tw-text-opacity:1;color:rgba(246,247,248,var(--tw-text-opacity))}.hover\\:ii-text-gray-600:hover{color:hsla(0,0%,44%,.129)}.hover\\:ii-text-gray-700:hover{--tw-text-opacity:1;color:rgba(112,112,112,var(--tw-text-opacity))}.hover\\:ii-text-gray-800:hover{color:rgba(35,35,35,.655)}.hover\\:ii-text-red-200:hover{color:rgba(244,80,98,.282)}.hover\\:ii-text-red-300:hover{--tw-text-opacity:1;color:rgba(245,99,127,var(--tw-text-opacity))}.hover\\:ii-text-red-400:hover{--tw-text-opacity:1;color:rgba(242,45,65,var(--tw-text-opacity))}.hover\\:ii-text-red-500:hover{--tw-text-opacity:1;color:rgba(255,0,0,var(--tw-text-opacity))}.hover\\:ii-text-turquoise:hover{--tw-text-opacity:1;color:rgba(8,199,132,var(--tw-text-opacity))}.hover\\:ii-text-black-400:hover{--tw-text-opacity:1;color:rgba(51,50,53,var(--tw-text-opacity))}.hover\\:ii-text-black-500:hover{--tw-text-opacity:1;color:rgba(34,33,36,var(--tw-text-opacity))}.hover\\:ii-text-blue-500:hover{--tw-text-opacity:1;color:rgba(1,156,219,var(--tw-text-opacity))}.hover\\:ii-text-transparent:hover{color:transparent}.hover\\:ii-text-opacity-0:hover{--tw-text-opacity:0}.hover\\:ii-text-opacity-5:hover{--tw-text-opacity:0.05}.hover\\:ii-text-opacity-10:hover{--tw-text-opacity:0.1}.hover\\:ii-text-opacity-15:hover{--tw-text-opacity:.15}.hover\\:ii-text-opacity-20:hover{--tw-text-opacity:0.2}.hover\\:ii-text-opacity-25:hover{--tw-text-opacity:0.25}.hover\\:ii-text-opacity-30:hover{--tw-text-opacity:0.3}.hover\\:ii-text-opacity-40:hover{--tw-text-opacity:0.4}.hover\\:ii-text-opacity-50:hover{--tw-text-opacity:0.5}.hover\\:ii-text-opacity-60:hover{--tw-text-opacity:0.6}.hover\\:ii-text-opacity-70:hover{--tw-text-opacity:0.7}.hover\\:ii-text-opacity-75:hover{--tw-text-opacity:0.75}.hover\\:ii-text-opacity-80:hover{--tw-text-opacity:0.8}.hover\\:ii-text-opacity-90:hover{--tw-text-opacity:0.9}.hover\\:ii-text-opacity-95:hover{--tw-text-opacity:0.95}.hover\\:ii-text-opacity-100:hover{--tw-text-opacity:1}.hover\\:ii-bg-blend-normal:hover{background-blend-mode:normal}.hover\\:ii-bg-blend-multiply:hover{background-blend-mode:multiply}.hover\\:ii-bg-blend-screen:hover{background-blend-mode:screen}.hover\\:ii-bg-blend-overlay:hover{background-blend-mode:overlay}.hover\\:ii-bg-blend-darken:hover{background-blend-mode:darken}.hover\\:ii-bg-blend-lighten:hover{background-blend-mode:lighten}.hover\\:ii-bg-blend-color-dodge:hover{background-blend-mode:color-dodge}.hover\\:ii-bg-blend-color-burn:hover{background-blend-mode:color-burn}.hover\\:ii-bg-blend-hard-light:hover{background-blend-mode:hard-light}.hover\\:ii-bg-blend-soft-light:hover{background-blend-mode:soft-light}.hover\\:ii-bg-blend-difference:hover{background-blend-mode:difference}.hover\\:ii-bg-blend-exclusion:hover{background-blend-mode:exclusion}.hover\\:ii-bg-blend-hue:hover{background-blend-mode:hue}.hover\\:ii-bg-blend-saturation:hover{background-blend-mode:saturation}.hover\\:ii-bg-blend-color:hover{background-blend-mode:color}.hover\\:ii-bg-blend-luminosity:hover{background-blend-mode:luminosity}.active\\:ii-bg-igemo-gray-200:active{--tw-bg-opacity:1;background-color:rgba(237,237,237,var(--tw-bg-opacity))}.ii-group:hover .group-hover\\:ii-visible{visibility:visible}.ii-group:hover .group-hover\\:ii-block{display:block}.ii-group:hover .group-hover\\:ii-bg-gray-600{background-color:hsla(0,0%,44%,.129)}.ii-group:hover .group-hover\\:ii-opacity-100{opacity:1}@media (min-width:640px){.sm\\:ii-m-0{margin:0}.sm\\:ii-mx-2{margin-left:.5rem;margin-right:.5rem}.sm\\:ii-mr-4{margin-right:1rem}.sm\\:ii-ml-0{margin-left:0}.sm\\:ii-mt-0{margin-top:0}.sm\\:ii-block{display:block}.sm\\:ii-hidden{display:none}.sm\\:ii-h-6{height:1.5rem}.sm\\:ii-h-32{height:8rem}.sm\\:ii-h-24{height:6rem}.sm\\:ii-w-6{width:1.5rem}.sm\\:ii-w-24{width:6rem}.sm\\:ii-flex-row{flex-direction:row}.sm\\:ii-items-center{align-items:center}.sm\\:ii-space-x-12>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(3rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(3rem*var(--tw-space-x-reverse))}}@media (min-width:768px){.md\\:ii-mx-0{margin-left:0;margin-right:0}.md\\:ii-ml-6{margin-left:1.5rem}.md\\:ii-mb-4{margin-bottom:1rem}.md\\:ii--mt-\\[70rem\\]{margin-top:-70rem}.md\\:ii-h-40{height:10rem}.md\\:ii-h-\\[70rem\\]{height:70rem}.md\\:ii-w-auto{width:auto}.md\\:ii-grid-cols-2{grid-template-columns:repeat(2,minmax(0,1fr))}.md\\:ii-grid-cols-3{grid-template-columns:repeat(3,minmax(0,1fr))}.md\\:ii-grid-cols-4{grid-template-columns:repeat(4,minmax(0,1fr))}.md\\:ii-grid-cols-5{grid-template-columns:repeat(5,minmax(0,1fr))}.md\\:ii-grid-rows-1{grid-template-rows:repeat(1,minmax(0,1fr))}.md\\:ii-flex-row{flex-direction:row}.md\\:ii-items-center{align-items:center}.md\\:ii-gap-12{gap:3rem}.md\\:ii-pb-\\[70rem\\]{padding-bottom:70rem}.md\\:ii-text-3xl{font-size:2.441rem;line-height:3rem}}@media (min-width:1024px){.lg\\:ii-sidebar-grid{--sidebar-width:15rem;display:grid;grid-template-columns:var(--sidebar-width) auto;overflow:hidden}.lg\\:ii-ml-8{margin-left:2rem}.lg\\:ii--mt-\\[48rem\\]{margin-top:-48rem}.lg\\:ii-mb-12{margin-bottom:3rem}.lg\\:ii-mb-24{margin-bottom:6rem}.lg\\:ii-mb-36{margin-bottom:9rem}.lg\\:ii-mb-48{margin-bottom:12rem}.lg\\:ii-ml-6{margin-left:1.5rem}.lg\\:ii-block{display:block}.lg\\:ii-flex{display:flex}.lg\\:ii-hidden{display:none}.lg\\:ii-h-44{height:11rem}.lg\\:ii-h-\\[48rem\\]{height:48rem}.lg\\:ii-h-12{height:3rem}.lg\\:ii-w-12{width:3rem}.lg\\:ii-max-w-\\[60rem\\]{max-width:60rem}.lg\\:ii-flex-row{flex-direction:row}.lg\\:ii-items-center{align-items:center}.lg\\:ii-justify-between{justify-content:space-between}.lg\\:ii-gap-y-0{row-gap:0}.lg\\:ii-gap-x-2{-moz-column-gap:.5rem;column-gap:.5rem}.lg\\:ii-space-y-0>:not([hidden])~:not([hidden]){--tw-space-y-reverse:0;margin-bottom:calc(0px*var(--tw-space-y-reverse));margin-top:calc(0px*(1 - var(--tw-space-y-reverse)))}.lg\\:ii-space-x-3>:not([hidden])~:not([hidden]){--tw-space-x-reverse:0;margin-left:calc(.75rem*(1 - var(--tw-space-x-reverse)));margin-right:calc(.75rem*var(--tw-space-x-reverse))}.lg\\:ii-pb-\\[48rem\\]{padding-bottom:48rem}.lg\\:ii-pl-2{padding-left:.5rem}.lg\\:ii-text-sm{font-size:.8rem;line-height:1.375rem}.lg\\:ii-text-4xl{font-size:3.052rem;line-height:3.375rem}}@media (min-width:1280px){.xl\\:ii-sidebar-grid-xl{--sidebar-width:17rem}.xl\\:ii-mb-8{margin-bottom:2rem}.xl\\:ii-ml-16{margin-left:4rem}.xl\\:ii-block{display:block}.xl\\:ii-h-52{height:13rem}.xl\\:ii-px-4{padding-left:1rem;padding-right:1rem}}@media (min-width:1536px){.\\32xl\\:ii-h-64{height:16rem}.\\32xl\\:ii-px-32{padding-left:8rem;padding-right:8rem}}";
styleInject(css_248z,{"insertAt":"top"});

var css_248z$1 = "@font-face{font-family:Inter;font-weight:100;src:url(https://static.igem.io/common/fonts/Inter/Inter-Thin.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:100;src:url(https://static.igem.io/common/fonts/Inter/Inter-ThinItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:200;src:url(https://static.igem.io/common/fonts/Inter/Inter-ExtraLight.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:200;src:url(https://static.igem.io/common/fonts/Inter/Inter-ExtraLightItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:300;src:url(https://static.igem.io/common/fonts/Inter/Inter-Light.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:300;src:url(https://static.igem.io/common/fonts/Inter/Inter-LightItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:400;src:url(https://static.igem.io/common/fonts/Inter/Inter-Regular.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:400;src:url(https://static.igem.io/common/fonts/Inter/Inter-Italic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:500;src:url(https://static.igem.io/common/fonts/Inter/Inter-Medium.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:500;src:url(https://static.igem.io/common/fonts/Inter/Inter-MediumItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:600;src:url(https://static.igem.io/common/fonts/Inter/Inter-Semibold.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:600;src:url(https://static.igem.io/common/fonts/Inter/Inter-SemiboldItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:700;src:url(https://static.igem.io/common/fonts/Inter/Inter-Bold.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:700;src:url(https://static.igem.io/common/fonts/Inter/Inter-BoldItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:800;src:url(https://static.igem.io/common/fonts/Inter/Inter-ExtraBold.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:800;src:url(https://static.igem.io/common/fonts/Inter/Inter-ExtraBoldItalic.woff) format(\"woff\")}@font-face{font-family:Inter;font-weight:900;src:url(https://static.igem.io/common/fonts/Inter/Inter-Black.woff) format(\"woff\")}@font-face{font-family:Inter;font-style:italic;font-weight:900;src:url(https://static.igem.io/common/fonts/Inter/Inter-BlackItalic.woff) format(\"woff\")}";
styleInject(css_248z$1,{"insertAt":"top"});

var countries = [{
  name: 'Afghanistan',
  'alpha-2': 'AF',
  'alpha-3': 'AFG',
  'country-code': '004',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Åland Islands',
  'alpha-2': 'AX',
  'alpha-3': 'ALA',
  'country-code': '248',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Albania',
  'alpha-2': 'AL',
  'alpha-3': 'ALB',
  'country-code': '008',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Algeria',
  'alpha-2': 'DZ',
  'alpha-3': 'DZA',
  'country-code': '012',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'American Samoa',
  'alpha-2': 'AS',
  'alpha-3': 'ASM',
  'country-code': '016',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Andorra',
  'alpha-2': 'AD',
  'alpha-3': 'AND',
  'country-code': '020',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Angola',
  'alpha-2': 'AO',
  'alpha-3': 'AGO',
  'country-code': '024',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Anguilla',
  'alpha-2': 'AI',
  'alpha-3': 'AIA',
  'country-code': '660',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Antarctica',
  'alpha-2': 'AQ',
  'alpha-3': 'ATA',
  'country-code': '010',
  region: '',
  'sub-region': '',
  'intermediate-region': '',
  'region-code': '',
  'sub-region-code': '',
  'intermediate-region-code': ''
}, {
  name: 'Antigua and Barbuda',
  'alpha-2': 'AG',
  'alpha-3': 'ATG',
  'country-code': '028',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Argentina',
  'alpha-2': 'AR',
  'alpha-3': 'ARG',
  'country-code': '032',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Armenia',
  'alpha-2': 'AM',
  'alpha-3': 'ARM',
  'country-code': '051',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Aruba',
  'alpha-2': 'AW',
  'alpha-3': 'ABW',
  'country-code': '533',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Australia',
  'alpha-2': 'AU',
  'alpha-3': 'AUS',
  'country-code': '036',
  region: 'Oceania',
  'sub-region': 'Australia and New Zealand',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '053',
  'intermediate-region-code': ''
}, {
  name: 'Austria',
  'alpha-2': 'AT',
  'alpha-3': 'AUT',
  'country-code': '040',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Azerbaijan',
  'alpha-2': 'AZ',
  'alpha-3': 'AZE',
  'country-code': '031',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Bahamas',
  'alpha-2': 'BS',
  'alpha-3': 'BHS',
  'country-code': '044',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Bahrain',
  'alpha-2': 'BH',
  'alpha-3': 'BHR',
  'country-code': '048',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Bangladesh',
  'alpha-2': 'BD',
  'alpha-3': 'BGD',
  'country-code': '050',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Barbados',
  'alpha-2': 'BB',
  'alpha-3': 'BRB',
  'country-code': '052',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Belarus',
  'alpha-2': 'BY',
  'alpha-3': 'BLR',
  'country-code': '112',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Belgium',
  'alpha-2': 'BE',
  'alpha-3': 'BEL',
  'country-code': '056',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Belize',
  'alpha-2': 'BZ',
  'alpha-3': 'BLZ',
  'country-code': '084',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Benin',
  'alpha-2': 'BJ',
  'alpha-3': 'BEN',
  'country-code': '204',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Bermuda',
  'alpha-2': 'BM',
  'alpha-3': 'BMU',
  'country-code': '060',
  region: 'Americas',
  'sub-region': 'Northern America',
  'intermediate-region': '',
  'region-code': '019',
  'sub-region-code': '021',
  'intermediate-region-code': ''
}, {
  name: 'Bhutan',
  'alpha-2': 'BT',
  'alpha-3': 'BTN',
  'country-code': '064',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Bolivia (Plurinational State of)',
  'alpha-2': 'BO',
  'alpha-3': 'BOL',
  'country-code': '068',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Bonaire, Sint Eustatius and Saba',
  'alpha-2': 'BQ',
  'alpha-3': 'BES',
  'country-code': '535',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Bosnia and Herzegovina',
  'alpha-2': 'BA',
  'alpha-3': 'BIH',
  'country-code': '070',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Botswana',
  'alpha-2': 'BW',
  'alpha-3': 'BWA',
  'country-code': '072',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Southern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '018'
}, {
  name: 'Bouvet Island',
  'alpha-2': 'BV',
  'alpha-3': 'BVT',
  'country-code': '074',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Brazil',
  'alpha-2': 'BR',
  'alpha-3': 'BRA',
  'country-code': '076',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'British Indian Ocean Territory',
  'alpha-2': 'IO',
  'alpha-3': 'IOT',
  'country-code': '086',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Brunei Darussalam',
  'alpha-2': 'BN',
  'alpha-3': 'BRN',
  'country-code': '096',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Bulgaria',
  'alpha-2': 'BG',
  'alpha-3': 'BGR',
  'country-code': '100',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Burkina Faso',
  'alpha-2': 'BF',
  'alpha-3': 'BFA',
  'country-code': '854',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Burundi',
  'alpha-2': 'BI',
  'alpha-3': 'BDI',
  'country-code': '108',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Cabo Verde',
  'alpha-2': 'CV',
  'alpha-3': 'CPV',
  'country-code': '132',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Cambodia',
  'alpha-2': 'KH',
  'alpha-3': 'KHM',
  'country-code': '116',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Cameroon',
  'alpha-2': 'CM',
  'alpha-3': 'CMR',
  'country-code': '120',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Canada',
  'alpha-2': 'CA',
  'alpha-3': 'CAN',
  'country-code': '124',
  region: 'Americas',
  'sub-region': 'Northern America',
  'intermediate-region': '',
  'region-code': '019',
  'sub-region-code': '021',
  'intermediate-region-code': ''
}, {
  name: 'Cayman Islands',
  'alpha-2': 'KY',
  'alpha-3': 'CYM',
  'country-code': '136',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Central African Republic',
  'alpha-2': 'CF',
  'alpha-3': 'CAF',
  'country-code': '140',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Chad',
  'alpha-2': 'TD',
  'alpha-3': 'TCD',
  'country-code': '148',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Chile',
  'alpha-2': 'CL',
  'alpha-3': 'CHL',
  'country-code': '152',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'China',
  'alpha-2': 'CN',
  'alpha-3': 'CHN',
  'country-code': '156',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Christmas Island',
  'alpha-2': 'CX',
  'alpha-3': 'CXR',
  'country-code': '162',
  region: 'Oceania',
  'sub-region': 'Australia and New Zealand',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '053',
  'intermediate-region-code': ''
}, {
  name: 'Cocos (Keeling) Islands',
  'alpha-2': 'CC',
  'alpha-3': 'CCK',
  'country-code': '166',
  region: 'Oceania',
  'sub-region': 'Australia and New Zealand',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '053',
  'intermediate-region-code': ''
}, {
  name: 'Colombia',
  'alpha-2': 'CO',
  'alpha-3': 'COL',
  'country-code': '170',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Comoros',
  'alpha-2': 'KM',
  'alpha-3': 'COM',
  'country-code': '174',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Congo',
  'alpha-2': 'CG',
  'alpha-3': 'COG',
  'country-code': '178',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Congo, Democratic Republic of the',
  'alpha-2': 'CD',
  'alpha-3': 'COD',
  'country-code': '180',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Cook Islands',
  'alpha-2': 'CK',
  'alpha-3': 'COK',
  'country-code': '184',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Costa Rica',
  'alpha-2': 'CR',
  'alpha-3': 'CRI',
  'country-code': '188',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: "Côte d'Ivoire",
  'alpha-2': 'CI',
  'alpha-3': 'CIV',
  'country-code': '384',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Croatia',
  'alpha-2': 'HR',
  'alpha-3': 'HRV',
  'country-code': '191',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Cuba',
  'alpha-2': 'CU',
  'alpha-3': 'CUB',
  'country-code': '192',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Curaçao',
  'alpha-2': 'CW',
  'alpha-3': 'CUW',
  'country-code': '531',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Cyprus',
  'alpha-2': 'CY',
  'alpha-3': 'CYP',
  'country-code': '196',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Czechia',
  'alpha-2': 'CZ',
  'alpha-3': 'CZE',
  'country-code': '203',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Denmark',
  'alpha-2': 'DK',
  'alpha-3': 'DNK',
  'country-code': '208',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Djibouti',
  'alpha-2': 'DJ',
  'alpha-3': 'DJI',
  'country-code': '262',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Dominica',
  'alpha-2': 'DM',
  'alpha-3': 'DMA',
  'country-code': '212',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Dominican Republic',
  'alpha-2': 'DO',
  'alpha-3': 'DOM',
  'country-code': '214',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Ecuador',
  'alpha-2': 'EC',
  'alpha-3': 'ECU',
  'country-code': '218',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Egypt',
  'alpha-2': 'EG',
  'alpha-3': 'EGY',
  'country-code': '818',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'El Salvador',
  'alpha-2': 'SV',
  'alpha-3': 'SLV',
  'country-code': '222',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Equatorial Guinea',
  'alpha-2': 'GQ',
  'alpha-3': 'GNQ',
  'country-code': '226',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Eritrea',
  'alpha-2': 'ER',
  'alpha-3': 'ERI',
  'country-code': '232',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Estonia',
  'alpha-2': 'EE',
  'alpha-3': 'EST',
  'country-code': '233',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Eswatini',
  'alpha-2': 'SZ',
  'alpha-3': 'SWZ',
  'country-code': '748',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Southern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '018'
}, {
  name: 'Ethiopia',
  'alpha-2': 'ET',
  'alpha-3': 'ETH',
  'country-code': '231',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Falkland Islands (Malvinas)',
  'alpha-2': 'FK',
  'alpha-3': 'FLK',
  'country-code': '238',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Faroe Islands',
  'alpha-2': 'FO',
  'alpha-3': 'FRO',
  'country-code': '234',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Fiji',
  'alpha-2': 'FJ',
  'alpha-3': 'FJI',
  'country-code': '242',
  region: 'Oceania',
  'sub-region': 'Melanesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '054',
  'intermediate-region-code': ''
}, {
  name: 'Finland',
  'alpha-2': 'FI',
  'alpha-3': 'FIN',
  'country-code': '246',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'France',
  'alpha-2': 'FR',
  'alpha-3': 'FRA',
  'country-code': '250',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'French Guiana',
  'alpha-2': 'GF',
  'alpha-3': 'GUF',
  'country-code': '254',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'French Polynesia',
  'alpha-2': 'PF',
  'alpha-3': 'PYF',
  'country-code': '258',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'French Southern Territories',
  'alpha-2': 'TF',
  'alpha-3': 'ATF',
  'country-code': '260',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Gabon',
  'alpha-2': 'GA',
  'alpha-3': 'GAB',
  'country-code': '266',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Gambia',
  'alpha-2': 'GM',
  'alpha-3': 'GMB',
  'country-code': '270',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Georgia',
  'alpha-2': 'GE',
  'alpha-3': 'GEO',
  'country-code': '268',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Germany',
  'alpha-2': 'DE',
  'alpha-3': 'DEU',
  'country-code': '276',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Ghana',
  'alpha-2': 'GH',
  'alpha-3': 'GHA',
  'country-code': '288',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Gibraltar',
  'alpha-2': 'GI',
  'alpha-3': 'GIB',
  'country-code': '292',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Greece',
  'alpha-2': 'GR',
  'alpha-3': 'GRC',
  'country-code': '300',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Greenland',
  'alpha-2': 'GL',
  'alpha-3': 'GRL',
  'country-code': '304',
  region: 'Americas',
  'sub-region': 'Northern America',
  'intermediate-region': '',
  'region-code': '019',
  'sub-region-code': '021',
  'intermediate-region-code': ''
}, {
  name: 'Grenada',
  'alpha-2': 'GD',
  'alpha-3': 'GRD',
  'country-code': '308',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Guadeloupe',
  'alpha-2': 'GP',
  'alpha-3': 'GLP',
  'country-code': '312',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Guam',
  'alpha-2': 'GU',
  'alpha-3': 'GUM',
  'country-code': '316',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Guatemala',
  'alpha-2': 'GT',
  'alpha-3': 'GTM',
  'country-code': '320',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Guernsey',
  'alpha-2': 'GG',
  'alpha-3': 'GGY',
  'country-code': '831',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': 'Channel Islands',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': '830'
}, {
  name: 'Guinea',
  'alpha-2': 'GN',
  'alpha-3': 'GIN',
  'country-code': '324',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Guinea-Bissau',
  'alpha-2': 'GW',
  'alpha-3': 'GNB',
  'country-code': '624',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Guyana',
  'alpha-2': 'GY',
  'alpha-3': 'GUY',
  'country-code': '328',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Haiti',
  'alpha-2': 'HT',
  'alpha-3': 'HTI',
  'country-code': '332',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Heard Island and McDonald Islands',
  'alpha-2': 'HM',
  'alpha-3': 'HMD',
  'country-code': '334',
  region: 'Oceania',
  'sub-region': 'Australia and New Zealand',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '053',
  'intermediate-region-code': ''
}, {
  name: 'Holy See',
  'alpha-2': 'VA',
  'alpha-3': 'VAT',
  'country-code': '336',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Honduras',
  'alpha-2': 'HN',
  'alpha-3': 'HND',
  'country-code': '340',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Hong Kong',
  'alpha-2': 'HK',
  'alpha-3': 'HKG',
  'country-code': '344',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Hungary',
  'alpha-2': 'HU',
  'alpha-3': 'HUN',
  'country-code': '348',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Iceland',
  'alpha-2': 'IS',
  'alpha-3': 'ISL',
  'country-code': '352',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'India',
  'alpha-2': 'IN',
  'alpha-3': 'IND',
  'country-code': '356',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Indonesia',
  'alpha-2': 'ID',
  'alpha-3': 'IDN',
  'country-code': '360',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Iran (Islamic Republic of)',
  'alpha-2': 'IR',
  'alpha-3': 'IRN',
  'country-code': '364',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Iraq',
  'alpha-2': 'IQ',
  'alpha-3': 'IRQ',
  'country-code': '368',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Ireland',
  'alpha-2': 'IE',
  'alpha-3': 'IRL',
  'country-code': '372',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Isle of Man',
  'alpha-2': 'IM',
  'alpha-3': 'IMN',
  'country-code': '833',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Israel',
  'alpha-2': 'IL',
  'alpha-3': 'ISR',
  'country-code': '376',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Italy',
  'alpha-2': 'IT',
  'alpha-3': 'ITA',
  'country-code': '380',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Jamaica',
  'alpha-2': 'JM',
  'alpha-3': 'JAM',
  'country-code': '388',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Japan',
  'alpha-2': 'JP',
  'alpha-3': 'JPN',
  'country-code': '392',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Jersey',
  'alpha-2': 'JE',
  'alpha-3': 'JEY',
  'country-code': '832',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': 'Channel Islands',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': '830'
}, {
  name: 'Jordan',
  'alpha-2': 'JO',
  'alpha-3': 'JOR',
  'country-code': '400',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Kazakhstan',
  'alpha-2': 'KZ',
  'alpha-3': 'KAZ',
  'country-code': '398',
  region: 'Asia',
  'sub-region': 'Central Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '143',
  'intermediate-region-code': ''
}, {
  name: 'Kenya',
  'alpha-2': 'KE',
  'alpha-3': 'KEN',
  'country-code': '404',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Kiribati',
  'alpha-2': 'KI',
  'alpha-3': 'KIR',
  'country-code': '296',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: "Korea (Democratic People's Republic of)",
  'alpha-2': 'KP',
  'alpha-3': 'PRK',
  'country-code': '408',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Korea, Republic of',
  'alpha-2': 'KR',
  'alpha-3': 'KOR',
  'country-code': '410',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Kuwait',
  'alpha-2': 'KW',
  'alpha-3': 'KWT',
  'country-code': '414',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Kyrgyzstan',
  'alpha-2': 'KG',
  'alpha-3': 'KGZ',
  'country-code': '417',
  region: 'Asia',
  'sub-region': 'Central Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '143',
  'intermediate-region-code': ''
}, {
  name: "Lao People's Democratic Republic",
  'alpha-2': 'LA',
  'alpha-3': 'LAO',
  'country-code': '418',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Latvia',
  'alpha-2': 'LV',
  'alpha-3': 'LVA',
  'country-code': '428',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Lebanon',
  'alpha-2': 'LB',
  'alpha-3': 'LBN',
  'country-code': '422',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Lesotho',
  'alpha-2': 'LS',
  'alpha-3': 'LSO',
  'country-code': '426',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Southern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '018'
}, {
  name: 'Liberia',
  'alpha-2': 'LR',
  'alpha-3': 'LBR',
  'country-code': '430',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Libya',
  'alpha-2': 'LY',
  'alpha-3': 'LBY',
  'country-code': '434',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'Liechtenstein',
  'alpha-2': 'LI',
  'alpha-3': 'LIE',
  'country-code': '438',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Lithuania',
  'alpha-2': 'LT',
  'alpha-3': 'LTU',
  'country-code': '440',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Luxembourg',
  'alpha-2': 'LU',
  'alpha-3': 'LUX',
  'country-code': '442',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Macao',
  'alpha-2': 'MO',
  'alpha-3': 'MAC',
  'country-code': '446',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Madagascar',
  'alpha-2': 'MG',
  'alpha-3': 'MDG',
  'country-code': '450',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Malawi',
  'alpha-2': 'MW',
  'alpha-3': 'MWI',
  'country-code': '454',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Malaysia',
  'alpha-2': 'MY',
  'alpha-3': 'MYS',
  'country-code': '458',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Maldives',
  'alpha-2': 'MV',
  'alpha-3': 'MDV',
  'country-code': '462',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Mali',
  'alpha-2': 'ML',
  'alpha-3': 'MLI',
  'country-code': '466',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Malta',
  'alpha-2': 'MT',
  'alpha-3': 'MLT',
  'country-code': '470',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Marshall Islands',
  'alpha-2': 'MH',
  'alpha-3': 'MHL',
  'country-code': '584',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Martinique',
  'alpha-2': 'MQ',
  'alpha-3': 'MTQ',
  'country-code': '474',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Mauritania',
  'alpha-2': 'MR',
  'alpha-3': 'MRT',
  'country-code': '478',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Mauritius',
  'alpha-2': 'MU',
  'alpha-3': 'MUS',
  'country-code': '480',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Mayotte',
  'alpha-2': 'YT',
  'alpha-3': 'MYT',
  'country-code': '175',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Mexico',
  'alpha-2': 'MX',
  'alpha-3': 'MEX',
  'country-code': '484',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Micronesia (Federated States of)',
  'alpha-2': 'FM',
  'alpha-3': 'FSM',
  'country-code': '583',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Moldova, Republic of',
  'alpha-2': 'MD',
  'alpha-3': 'MDA',
  'country-code': '498',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Monaco',
  'alpha-2': 'MC',
  'alpha-3': 'MCO',
  'country-code': '492',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Mongolia',
  'alpha-2': 'MN',
  'alpha-3': 'MNG',
  'country-code': '496',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Montenegro',
  'alpha-2': 'ME',
  'alpha-3': 'MNE',
  'country-code': '499',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Montserrat',
  'alpha-2': 'MS',
  'alpha-3': 'MSR',
  'country-code': '500',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Morocco',
  'alpha-2': 'MA',
  'alpha-3': 'MAR',
  'country-code': '504',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'Mozambique',
  'alpha-2': 'MZ',
  'alpha-3': 'MOZ',
  'country-code': '508',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Myanmar',
  'alpha-2': 'MM',
  'alpha-3': 'MMR',
  'country-code': '104',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Namibia',
  'alpha-2': 'NA',
  'alpha-3': 'NAM',
  'country-code': '516',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Southern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '018'
}, {
  name: 'Nauru',
  'alpha-2': 'NR',
  'alpha-3': 'NRU',
  'country-code': '520',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Nepal',
  'alpha-2': 'NP',
  'alpha-3': 'NPL',
  'country-code': '524',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Netherlands',
  'alpha-2': 'NL',
  'alpha-3': 'NLD',
  'country-code': '528',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'New Caledonia',
  'alpha-2': 'NC',
  'alpha-3': 'NCL',
  'country-code': '540',
  region: 'Oceania',
  'sub-region': 'Melanesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '054',
  'intermediate-region-code': ''
}, {
  name: 'New Zealand',
  'alpha-2': 'NZ',
  'alpha-3': 'NZL',
  'country-code': '554',
  region: 'Oceania',
  'sub-region': 'Australia and New Zealand',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '053',
  'intermediate-region-code': ''
}, {
  name: 'Nicaragua',
  'alpha-2': 'NI',
  'alpha-3': 'NIC',
  'country-code': '558',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Niger',
  'alpha-2': 'NE',
  'alpha-3': 'NER',
  'country-code': '562',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Nigeria',
  'alpha-2': 'NG',
  'alpha-3': 'NGA',
  'country-code': '566',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Niue',
  'alpha-2': 'NU',
  'alpha-3': 'NIU',
  'country-code': '570',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Norfolk Island',
  'alpha-2': 'NF',
  'alpha-3': 'NFK',
  'country-code': '574',
  region: 'Oceania',
  'sub-region': 'Australia and New Zealand',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '053',
  'intermediate-region-code': ''
}, {
  name: 'North Macedonia',
  'alpha-2': 'MK',
  'alpha-3': 'MKD',
  'country-code': '807',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Northern Mariana Islands',
  'alpha-2': 'MP',
  'alpha-3': 'MNP',
  'country-code': '580',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Norway',
  'alpha-2': 'NO',
  'alpha-3': 'NOR',
  'country-code': '578',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Oman',
  'alpha-2': 'OM',
  'alpha-3': 'OMN',
  'country-code': '512',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Pakistan',
  'alpha-2': 'PK',
  'alpha-3': 'PAK',
  'country-code': '586',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Palau',
  'alpha-2': 'PW',
  'alpha-3': 'PLW',
  'country-code': '585',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Palestine, State of',
  'alpha-2': 'PS',
  'alpha-3': 'PSE',
  'country-code': '275',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Panama',
  'alpha-2': 'PA',
  'alpha-3': 'PAN',
  'country-code': '591',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Central America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '013'
}, {
  name: 'Papua New Guinea',
  'alpha-2': 'PG',
  'alpha-3': 'PNG',
  'country-code': '598',
  region: 'Oceania',
  'sub-region': 'Melanesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '054',
  'intermediate-region-code': ''
}, {
  name: 'Paraguay',
  'alpha-2': 'PY',
  'alpha-3': 'PRY',
  'country-code': '600',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Peru',
  'alpha-2': 'PE',
  'alpha-3': 'PER',
  'country-code': '604',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Philippines',
  'alpha-2': 'PH',
  'alpha-3': 'PHL',
  'country-code': '608',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Pitcairn',
  'alpha-2': 'PN',
  'alpha-3': 'PCN',
  'country-code': '612',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Poland',
  'alpha-2': 'PL',
  'alpha-3': 'POL',
  'country-code': '616',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Portugal',
  'alpha-2': 'PT',
  'alpha-3': 'PRT',
  'country-code': '620',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Puerto Rico',
  'alpha-2': 'PR',
  'alpha-3': 'PRI',
  'country-code': '630',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Qatar',
  'alpha-2': 'QA',
  'alpha-3': 'QAT',
  'country-code': '634',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Réunion',
  'alpha-2': 'RE',
  'alpha-3': 'REU',
  'country-code': '638',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Romania',
  'alpha-2': 'RO',
  'alpha-3': 'ROU',
  'country-code': '642',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Russian Federation',
  'alpha-2': 'RU',
  'alpha-3': 'RUS',
  'country-code': '643',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Rwanda',
  'alpha-2': 'RW',
  'alpha-3': 'RWA',
  'country-code': '646',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Saint Barthélemy',
  'alpha-2': 'BL',
  'alpha-3': 'BLM',
  'country-code': '652',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Saint Helena, Ascension and Tristan da Cunha',
  'alpha-2': 'SH',
  'alpha-3': 'SHN',
  'country-code': '654',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Saint Kitts and Nevis',
  'alpha-2': 'KN',
  'alpha-3': 'KNA',
  'country-code': '659',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Saint Lucia',
  'alpha-2': 'LC',
  'alpha-3': 'LCA',
  'country-code': '662',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Saint Martin (French part)',
  'alpha-2': 'MF',
  'alpha-3': 'MAF',
  'country-code': '663',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Saint Pierre and Miquelon',
  'alpha-2': 'PM',
  'alpha-3': 'SPM',
  'country-code': '666',
  region: 'Americas',
  'sub-region': 'Northern America',
  'intermediate-region': '',
  'region-code': '019',
  'sub-region-code': '021',
  'intermediate-region-code': ''
}, {
  name: 'Saint Vincent and the Grenadines',
  'alpha-2': 'VC',
  'alpha-3': 'VCT',
  'country-code': '670',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Samoa',
  'alpha-2': 'WS',
  'alpha-3': 'WSM',
  'country-code': '882',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'San Marino',
  'alpha-2': 'SM',
  'alpha-3': 'SMR',
  'country-code': '674',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Sao Tome and Principe',
  'alpha-2': 'ST',
  'alpha-3': 'STP',
  'country-code': '678',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Middle Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '017'
}, {
  name: 'Saudi Arabia',
  'alpha-2': 'SA',
  'alpha-3': 'SAU',
  'country-code': '682',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Senegal',
  'alpha-2': 'SN',
  'alpha-3': 'SEN',
  'country-code': '686',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Serbia',
  'alpha-2': 'RS',
  'alpha-3': 'SRB',
  'country-code': '688',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Seychelles',
  'alpha-2': 'SC',
  'alpha-3': 'SYC',
  'country-code': '690',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Sierra Leone',
  'alpha-2': 'SL',
  'alpha-3': 'SLE',
  'country-code': '694',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Singapore',
  'alpha-2': 'SG',
  'alpha-3': 'SGP',
  'country-code': '702',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Sint Maarten (Dutch part)',
  'alpha-2': 'SX',
  'alpha-3': 'SXM',
  'country-code': '534',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Slovakia',
  'alpha-2': 'SK',
  'alpha-3': 'SVK',
  'country-code': '703',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'Slovenia',
  'alpha-2': 'SI',
  'alpha-3': 'SVN',
  'country-code': '705',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Solomon Islands',
  'alpha-2': 'SB',
  'alpha-3': 'SLB',
  'country-code': '090',
  region: 'Oceania',
  'sub-region': 'Melanesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '054',
  'intermediate-region-code': ''
}, {
  name: 'Somalia',
  'alpha-2': 'SO',
  'alpha-3': 'SOM',
  'country-code': '706',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'South Africa',
  'alpha-2': 'ZA',
  'alpha-3': 'ZAF',
  'country-code': '710',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Southern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '018'
}, {
  name: 'South Georgia and the South Sandwich Islands',
  'alpha-2': 'GS',
  'alpha-3': 'SGS',
  'country-code': '239',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'South Sudan',
  'alpha-2': 'SS',
  'alpha-3': 'SSD',
  'country-code': '728',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Spain',
  'alpha-2': 'ES',
  'alpha-3': 'ESP',
  'country-code': '724',
  region: 'Europe',
  'sub-region': 'Southern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '039',
  'intermediate-region-code': ''
}, {
  name: 'Sri Lanka',
  'alpha-2': 'LK',
  'alpha-3': 'LKA',
  'country-code': '144',
  region: 'Asia',
  'sub-region': 'Southern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '034',
  'intermediate-region-code': ''
}, {
  name: 'Sudan',
  'alpha-2': 'SD',
  'alpha-3': 'SDN',
  'country-code': '729',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'Suriname',
  'alpha-2': 'SR',
  'alpha-3': 'SUR',
  'country-code': '740',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Svalbard and Jan Mayen',
  'alpha-2': 'SJ',
  'alpha-3': 'SJM',
  'country-code': '744',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Sweden',
  'alpha-2': 'SE',
  'alpha-3': 'SWE',
  'country-code': '752',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'Switzerland',
  'alpha-2': 'CH',
  'alpha-3': 'CHE',
  'country-code': '756',
  region: 'Europe',
  'sub-region': 'Western Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '155',
  'intermediate-region-code': ''
}, {
  name: 'Syrian Arab Republic',
  'alpha-2': 'SY',
  'alpha-3': 'SYR',
  'country-code': '760',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Taiwan',
  'alpha-2': 'TW',
  'alpha-3': 'TWN',
  'country-code': '158',
  region: 'Asia',
  'sub-region': 'Eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '030',
  'intermediate-region-code': ''
}, {
  name: 'Tajikistan',
  'alpha-2': 'TJ',
  'alpha-3': 'TJK',
  'country-code': '762',
  region: 'Asia',
  'sub-region': 'Central Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '143',
  'intermediate-region-code': ''
}, {
  name: 'Tanzania, United Republic of',
  'alpha-2': 'TZ',
  'alpha-3': 'TZA',
  'country-code': '834',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Thailand',
  'alpha-2': 'TH',
  'alpha-3': 'THA',
  'country-code': '764',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Timor-Leste',
  'alpha-2': 'TL',
  'alpha-3': 'TLS',
  'country-code': '626',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Togo',
  'alpha-2': 'TG',
  'alpha-3': 'TGO',
  'country-code': '768',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Western Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '011'
}, {
  name: 'Tokelau',
  'alpha-2': 'TK',
  'alpha-3': 'TKL',
  'country-code': '772',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Tonga',
  'alpha-2': 'TO',
  'alpha-3': 'TON',
  'country-code': '776',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Trinidad and Tobago',
  'alpha-2': 'TT',
  'alpha-3': 'TTO',
  'country-code': '780',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Tunisia',
  'alpha-2': 'TN',
  'alpha-3': 'TUN',
  'country-code': '788',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'Turkey',
  'alpha-2': 'TR',
  'alpha-3': 'TUR',
  'country-code': '792',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Turkmenistan',
  'alpha-2': 'TM',
  'alpha-3': 'TKM',
  'country-code': '795',
  region: 'Asia',
  'sub-region': 'Central Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '143',
  'intermediate-region-code': ''
}, {
  name: 'Turks and Caicos Islands',
  'alpha-2': 'TC',
  'alpha-3': 'TCA',
  'country-code': '796',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Tuvalu',
  'alpha-2': 'TV',
  'alpha-3': 'TUV',
  'country-code': '798',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Uganda',
  'alpha-2': 'UG',
  'alpha-3': 'UGA',
  'country-code': '800',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Ukraine',
  'alpha-2': 'UA',
  'alpha-3': 'UKR',
  'country-code': '804',
  region: 'Europe',
  'sub-region': 'Eastern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '151',
  'intermediate-region-code': ''
}, {
  name: 'United Arab Emirates',
  'alpha-2': 'AE',
  'alpha-3': 'ARE',
  'country-code': '784',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'United Kingdom of Great Britain and Northern Ireland',
  'alpha-2': 'GB',
  'alpha-3': 'GBR',
  'country-code': '826',
  region: 'Europe',
  'sub-region': 'Northern Europe',
  'intermediate-region': '',
  'region-code': '150',
  'sub-region-code': '154',
  'intermediate-region-code': ''
}, {
  name: 'United States of America',
  'alpha-2': 'US',
  'alpha-3': 'USA',
  'country-code': '840',
  region: 'Americas',
  'sub-region': 'Northern America',
  'intermediate-region': '',
  'region-code': '019',
  'sub-region-code': '021',
  'intermediate-region-code': ''
}, {
  name: 'United States Minor Outlying Islands',
  'alpha-2': 'UM',
  'alpha-3': 'UMI',
  'country-code': '581',
  region: 'Oceania',
  'sub-region': 'Micronesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '057',
  'intermediate-region-code': ''
}, {
  name: 'Uruguay',
  'alpha-2': 'UY',
  'alpha-3': 'URY',
  'country-code': '858',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Uzbekistan',
  'alpha-2': 'UZ',
  'alpha-3': 'UZB',
  'country-code': '860',
  region: 'Asia',
  'sub-region': 'Central Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '143',
  'intermediate-region-code': ''
}, {
  name: 'Vanuatu',
  'alpha-2': 'VU',
  'alpha-3': 'VUT',
  'country-code': '548',
  region: 'Oceania',
  'sub-region': 'Melanesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '054',
  'intermediate-region-code': ''
}, {
  name: 'Venezuela (Bolivarian Republic of)',
  'alpha-2': 'VE',
  'alpha-3': 'VEN',
  'country-code': '862',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'South America',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '005'
}, {
  name: 'Viet Nam',
  'alpha-2': 'VN',
  'alpha-3': 'VNM',
  'country-code': '704',
  region: 'Asia',
  'sub-region': 'South-eastern Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '035',
  'intermediate-region-code': ''
}, {
  name: 'Virgin Islands (British)',
  'alpha-2': 'VG',
  'alpha-3': 'VGB',
  'country-code': '092',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Virgin Islands (U.S.)',
  'alpha-2': 'VI',
  'alpha-3': 'VIR',
  'country-code': '850',
  region: 'Americas',
  'sub-region': 'Latin America and the Caribbean',
  'intermediate-region': 'Caribbean',
  'region-code': '019',
  'sub-region-code': '419',
  'intermediate-region-code': '029'
}, {
  name: 'Wallis and Futuna',
  'alpha-2': 'WF',
  'alpha-3': 'WLF',
  'country-code': '876',
  region: 'Oceania',
  'sub-region': 'Polynesia',
  'intermediate-region': '',
  'region-code': '009',
  'sub-region-code': '061',
  'intermediate-region-code': ''
}, {
  name: 'Western Sahara',
  'alpha-2': 'EH',
  'alpha-3': 'ESH',
  'country-code': '732',
  region: 'Africa',
  'sub-region': 'Northern Africa',
  'intermediate-region': '',
  'region-code': '002',
  'sub-region-code': '015',
  'intermediate-region-code': ''
}, {
  name: 'Yemen',
  'alpha-2': 'YE',
  'alpha-3': 'YEM',
  'country-code': '887',
  region: 'Asia',
  'sub-region': 'Western Asia',
  'intermediate-region': '',
  'region-code': '142',
  'sub-region-code': '145',
  'intermediate-region-code': ''
}, {
  name: 'Zambia',
  'alpha-2': 'ZM',
  'alpha-3': 'ZMB',
  'country-code': '894',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}, {
  name: 'Zimbabwe',
  'alpha-2': 'ZW',
  'alpha-3': 'ZWE',
  'country-code': '716',
  region: 'Africa',
  'sub-region': 'Sub-Saharan Africa',
  'intermediate-region': 'Eastern Africa',
  'region-code': '002',
  'sub-region-code': '202',
  'intermediate-region-code': '014'
}];
var countryCodeToNameMap = /*#__PURE__*/new Map( /*#__PURE__*/countries.map(function (i) {
  return [i['alpha-3'], i.name];
}));

var languages = [{
  name: 'Afar',
  iso6392B: 'aar',
  iso6391: 'aa'
}, {
  name: 'Abkhazian',
  iso6392B: 'abk',
  iso6391: 'ab'
}, {
  name: 'Achinese',
  iso6392B: 'ace'
}, {
  name: 'Acoli',
  iso6392B: 'ach'
}, {
  name: 'Adangme',
  iso6392B: 'ada'
}, {
  name: 'Adyghe; Adygei',
  iso6392B: 'ady'
}, {
  name: 'Afro-Asiatic languages',
  iso6392B: 'afa'
}, {
  name: 'Afrihili',
  iso6392B: 'afh'
}, {
  name: 'Afrikaans',
  iso6392B: 'afr',
  iso6391: 'af'
}, {
  name: 'Ainu',
  iso6392B: 'ain'
}, {
  name: 'Akan',
  iso6392B: 'aka',
  iso6391: 'ak'
}, {
  name: 'Akkadian',
  iso6392B: 'akk'
}, {
  name: 'Albanian',
  iso6392B: 'alb',
  iso6392T: 'sqi',
  iso6391: 'sq'
}, {
  name: 'Aleut',
  iso6392B: 'ale'
}, {
  name: 'Algonquian languages',
  iso6392B: 'alg'
}, {
  name: 'Southern Altai',
  iso6392B: 'alt'
}, {
  name: 'Amharic',
  iso6392B: 'amh',
  iso6391: 'am'
}, {
  name: 'English, Old (ca.450-1100)',
  iso6392B: 'ang'
}, {
  name: 'Angika',
  iso6392B: 'anp'
}, {
  name: 'Apache languages',
  iso6392B: 'apa'
}, {
  name: 'Arabic',
  iso6392B: 'ara',
  iso6391: 'ar'
}, {
  name: 'Official Aramaic (700-300 BCE); Imperial Aramaic (700-300 BCE)',
  iso6392B: 'arc'
}, {
  name: 'Aragonese',
  iso6392B: 'arg',
  iso6391: 'an'
}, {
  name: 'Armenian',
  iso6392B: 'arm',
  iso6392T: 'hye',
  iso6391: 'hy'
}, {
  name: 'Mapudungun; Mapuche',
  iso6392B: 'arn'
}, {
  name: 'Arapaho',
  iso6392B: 'arp'
}, {
  name: 'Artificial languages',
  iso6392B: 'art'
}, {
  name: 'Arawak',
  iso6392B: 'arw'
}, {
  name: 'Assamese',
  iso6392B: 'asm',
  iso6391: 'as'
}, {
  name: 'Asturian; Bable; Leonese; Asturleonese',
  iso6392B: 'ast'
}, {
  name: 'Athapascan languages',
  iso6392B: 'ath'
}, {
  name: 'Australian languages',
  iso6392B: 'aus'
}, {
  name: 'Avaric',
  iso6392B: 'ava',
  iso6391: 'av'
}, {
  name: 'Avestan',
  iso6392B: 'ave',
  iso6391: 'ae'
}, {
  name: 'Awadhi',
  iso6392B: 'awa'
}, {
  name: 'Aymara',
  iso6392B: 'aym',
  iso6391: 'ay'
}, {
  name: 'Azerbaijani',
  iso6392B: 'aze',
  iso6391: 'az'
}, {
  name: 'Banda languages',
  iso6392B: 'bad'
}, {
  name: 'Bamileke languages',
  iso6392B: 'bai'
}, {
  name: 'Bashkir',
  iso6392B: 'bak',
  iso6391: 'ba'
}, {
  name: 'Baluchi',
  iso6392B: 'bal'
}, {
  name: 'Bambara',
  iso6392B: 'bam',
  iso6391: 'bm'
}, {
  name: 'Balinese',
  iso6392B: 'ban'
}, {
  name: 'Basque',
  iso6392B: 'baq',
  iso6392T: 'eus',
  iso6391: 'eu'
}, {
  name: 'Basa',
  iso6392B: 'bas'
}, {
  name: 'Baltic languages',
  iso6392B: 'bat'
}, {
  name: 'Beja; Bedawiyet',
  iso6392B: 'bej'
}, {
  name: 'Belarusian',
  iso6392B: 'bel',
  iso6391: 'be'
}, {
  name: 'Bemba',
  iso6392B: 'bem'
}, {
  name: 'Bengali',
  iso6392B: 'ben',
  iso6391: 'bn'
}, {
  name: 'Berber languages',
  iso6392B: 'ber'
}, {
  name: 'Bhojpuri',
  iso6392B: 'bho'
}, {
  name: 'Bihari languages',
  iso6392B: 'bih',
  iso6391: 'bh'
}, {
  name: 'Bikol',
  iso6392B: 'bik'
}, {
  name: 'Bini; Edo',
  iso6392B: 'bin'
}, {
  name: 'Bislama',
  iso6392B: 'bis',
  iso6391: 'bi'
}, {
  name: 'Siksika',
  iso6392B: 'bla'
}, {
  name: 'Bantu languages',
  iso6392B: 'bnt'
}, {
  name: 'Bosnian',
  iso6392B: 'bos',
  iso6391: 'bs'
}, {
  name: 'Braj',
  iso6392B: 'bra'
}, {
  name: 'Breton',
  iso6392B: 'bre',
  iso6391: 'br'
}, {
  name: 'Batak languages',
  iso6392B: 'btk'
}, {
  name: 'Buriat',
  iso6392B: 'bua'
}, {
  name: 'Buginese',
  iso6392B: 'bug'
}, {
  name: 'Bulgarian',
  iso6392B: 'bul',
  iso6391: 'bg'
}, {
  name: 'Burmese',
  iso6392B: 'bur',
  iso6392T: 'mya',
  iso6391: 'my'
}, {
  name: 'Blin; Bilin',
  iso6392B: 'byn'
}, {
  name: 'Caddo',
  iso6392B: 'cad'
}, {
  name: 'Central American Indian languages',
  iso6392B: 'cai'
}, {
  name: 'Galibi Carib',
  iso6392B: 'car'
}, {
  name: 'Catalan; Valencian',
  iso6392B: 'cat',
  iso6391: 'ca'
}, {
  name: 'Caucasian languages',
  iso6392B: 'cau'
}, {
  name: 'Cebuano',
  iso6392B: 'ceb'
}, {
  name: 'Celtic languages',
  iso6392B: 'cel'
}, {
  name: 'Chamorro',
  iso6392B: 'cha',
  iso6391: 'ch'
}, {
  name: 'Chibcha',
  iso6392B: 'chb'
}, {
  name: 'Chechen',
  iso6392B: 'che',
  iso6391: 'ce'
}, {
  name: 'Chagatai',
  iso6392B: 'chg'
}, {
  name: 'Chinese',
  iso6392B: 'chi',
  iso6392T: 'zho',
  iso6391: 'zh'
}, {
  name: 'Chuukese',
  iso6392B: 'chk'
}, {
  name: 'Mari',
  iso6392B: 'chm'
}, {
  name: 'Chinook jargon',
  iso6392B: 'chn'
}, {
  name: 'Choctaw',
  iso6392B: 'cho'
}, {
  name: 'Chipewyan; Dene Suline',
  iso6392B: 'chp'
}, {
  name: 'Cherokee',
  iso6392B: 'chr'
}, {
  name: 'Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic',
  iso6392B: 'chu',
  iso6391: 'cu'
}, {
  name: 'Chuvash',
  iso6392B: 'chv',
  iso6391: 'cv'
}, {
  name: 'Cheyenne',
  iso6392B: 'chy'
}, {
  name: 'Chamic languages',
  iso6392B: 'cmc'
}, {
  name: 'Montenegrin',
  iso6392B: 'cnr'
}, {
  name: 'Coptic',
  iso6392B: 'cop'
}, {
  name: 'Cornish',
  iso6392B: 'cor',
  iso6391: 'kw'
}, {
  name: 'Corsican',
  iso6392B: 'cos',
  iso6391: 'co'
}, {
  name: 'Creoles and pidgins, English based',
  iso6392B: 'cpe'
}, {
  name: 'Creoles and pidgins, French-based',
  iso6392B: 'cpf'
}, {
  name: 'Creoles and pidgins, Portuguese-based',
  iso6392B: 'cpp'
}, {
  name: 'Cree',
  iso6392B: 'cre',
  iso6391: 'cr'
}, {
  name: 'Crimean Tatar; Crimean Turkish',
  iso6392B: 'crh'
}, {
  name: 'Creoles and pidgins',
  iso6392B: 'crp'
}, {
  name: 'Kashubian',
  iso6392B: 'csb'
}, {
  name: 'Cushitic languages',
  iso6392B: 'cus'
}, {
  name: 'Czech',
  iso6392B: 'cze',
  iso6392T: 'ces',
  iso6391: 'cs'
}, {
  name: 'Dakota',
  iso6392B: 'dak'
}, {
  name: 'Danish',
  iso6392B: 'dan',
  iso6391: 'da'
}, {
  name: 'Dargwa',
  iso6392B: 'dar'
}, {
  name: 'Land Dayak languages',
  iso6392B: 'day'
}, {
  name: 'Delaware',
  iso6392B: 'del'
}, {
  name: 'Slave (Athapascan)',
  iso6392B: 'den'
}, {
  name: 'Dogrib',
  iso6392B: 'dgr'
}, {
  name: 'Dinka',
  iso6392B: 'din'
}, {
  name: 'Divehi; Dhivehi; Maldivian',
  iso6392B: 'div',
  iso6391: 'dv'
}, {
  name: 'Dogri',
  iso6392B: 'doi'
}, {
  name: 'Dravidian languages',
  iso6392B: 'dra'
}, {
  name: 'Lower Sorbian',
  iso6392B: 'dsb'
}, {
  name: 'Duala',
  iso6392B: 'dua'
}, {
  name: 'Dutch, Middle (ca.1050-1350)',
  iso6392B: 'dum'
}, {
  name: 'Dutch; Flemish',
  iso6392B: 'dut',
  iso6392T: 'nld',
  iso6391: 'nl'
}, {
  name: 'Dyula',
  iso6392B: 'dyu'
}, {
  name: 'Dzongkha',
  iso6392B: 'dzo',
  iso6391: 'dz'
}, {
  name: 'Efik',
  iso6392B: 'efi'
}, {
  name: 'Egyptian (Ancient)',
  iso6392B: 'egy'
}, {
  name: 'Ekajuk',
  iso6392B: 'eka'
}, {
  name: 'Elamite',
  iso6392B: 'elx'
}, {
  name: 'English',
  iso6392B: 'eng',
  iso6391: 'en'
}, {
  name: 'English, Middle (1100-1500)',
  iso6392B: 'enm'
}, {
  name: 'Esperanto',
  iso6392B: 'epo',
  iso6391: 'eo'
}, {
  name: 'Estonian',
  iso6392B: 'est',
  iso6391: 'et'
}, {
  name: 'Ewe',
  iso6392B: 'ewe',
  iso6391: 'ee'
}, {
  name: 'Ewondo',
  iso6392B: 'ewo'
}, {
  name: 'Fang',
  iso6392B: 'fan'
}, {
  name: 'Faroese',
  iso6392B: 'fao',
  iso6391: 'fo'
}, {
  name: 'Fanti',
  iso6392B: 'fat'
}, {
  name: 'Fijian',
  iso6392B: 'fij',
  iso6391: 'fj'
}, {
  name: 'Filipino; Pilipino',
  iso6392B: 'fil'
}, {
  name: 'Finnish',
  iso6392B: 'fin',
  iso6391: 'fi'
}, {
  name: 'Finno-Ugrian languages',
  iso6392B: 'fiu'
}, {
  name: 'Fon',
  iso6392B: 'fon'
}, {
  name: 'French',
  iso6392B: 'fre',
  iso6392T: 'fra',
  iso6391: 'fr'
}, {
  name: 'French, Middle (ca.1400-1600)',
  iso6392B: 'frm'
}, {
  name: 'French, Old (842-ca.1400)',
  iso6392B: 'fro'
}, {
  name: 'Northern Frisian',
  iso6392B: 'frr'
}, {
  name: 'Eastern Frisian',
  iso6392B: 'frs'
}, {
  name: 'Western Frisian',
  iso6392B: 'fry',
  iso6391: 'fy'
}, {
  name: 'Fulah',
  iso6392B: 'ful',
  iso6391: 'ff'
}, {
  name: 'Friulian',
  iso6392B: 'fur'
}, {
  name: 'Ga',
  iso6392B: 'gaa'
}, {
  name: 'Gayo',
  iso6392B: 'gay'
}, {
  name: 'Gbaya',
  iso6392B: 'gba'
}, {
  name: 'Germanic languages',
  iso6392B: 'gem'
}, {
  name: 'Georgian',
  iso6392B: 'geo',
  iso6392T: 'kat',
  iso6391: 'ka'
}, {
  name: 'German',
  iso6392B: 'ger',
  iso6392T: 'deu',
  iso6391: 'de'
}, {
  name: 'Geez',
  iso6392B: 'gez'
}, {
  name: 'Gilbertese',
  iso6392B: 'gil'
}, {
  name: 'Gaelic; Scottish Gaelic',
  iso6392B: 'gla',
  iso6391: 'gd'
}, {
  name: 'Irish',
  iso6392B: 'gle',
  iso6391: 'ga'
}, {
  name: 'Galician',
  iso6392B: 'glg',
  iso6391: 'gl'
}, {
  name: 'Manx',
  iso6392B: 'glv',
  iso6391: 'gv'
}, {
  name: 'German, Middle High (ca.1050-1500)',
  iso6392B: 'gmh'
}, {
  name: 'German, Old High (ca.750-1050)',
  iso6392B: 'goh'
}, {
  name: 'Gondi',
  iso6392B: 'gon'
}, {
  name: 'Gorontalo',
  iso6392B: 'gor'
}, {
  name: 'Gothic',
  iso6392B: 'got'
}, {
  name: 'Grebo',
  iso6392B: 'grb'
}, {
  name: 'Greek, Ancient (to 1453)',
  iso6392B: 'grc'
}, {
  name: 'Greek, Modern (1453-)',
  iso6392B: 'gre',
  iso6392T: 'ell',
  iso6391: 'el'
}, {
  name: 'Guarani',
  iso6392B: 'grn',
  iso6391: 'gn'
}, {
  name: 'Swiss German; Alemannic; Alsatian',
  iso6392B: 'gsw'
}, {
  name: 'Gujarati',
  iso6392B: 'guj',
  iso6391: 'gu'
}, {
  name: "Gwich'in",
  iso6392B: 'gwi'
}, {
  name: 'Haida',
  iso6392B: 'hai'
}, {
  name: 'Haitian; Haitian Creole',
  iso6392B: 'hat',
  iso6391: 'ht'
}, {
  name: 'Hausa',
  iso6392B: 'hau',
  iso6391: 'ha'
}, {
  name: 'Hawaiian',
  iso6392B: 'haw'
}, {
  name: 'Hebrew',
  iso6392B: 'heb',
  iso6391: 'he'
}, {
  name: 'Herero',
  iso6392B: 'her',
  iso6391: 'hz'
}, {
  name: 'Hiligaynon',
  iso6392B: 'hil'
}, {
  name: 'Himachali languages; Western Pahari languages',
  iso6392B: 'him'
}, {
  name: 'Hindi',
  iso6392B: 'hin',
  iso6391: 'hi'
}, {
  name: 'Hittite',
  iso6392B: 'hit'
}, {
  name: 'Hmong; Mong',
  iso6392B: 'hmn'
}, {
  name: 'Hiri Motu',
  iso6392B: 'hmo',
  iso6391: 'ho'
}, {
  name: 'Croatian',
  iso6392B: 'hrv',
  iso6391: 'hr'
}, {
  name: 'Upper Sorbian',
  iso6392B: 'hsb'
}, {
  name: 'Hungarian',
  iso6392B: 'hun',
  iso6391: 'hu'
}, {
  name: 'Hupa',
  iso6392B: 'hup'
}, {
  name: 'Iban',
  iso6392B: 'iba'
}, {
  name: 'Igbo',
  iso6392B: 'ibo',
  iso6391: 'ig'
}, {
  name: 'Icelandic',
  iso6392B: 'ice',
  iso6392T: 'isl',
  iso6391: 'is'
}, {
  name: 'Ido',
  iso6392B: 'ido',
  iso6391: 'io'
}, {
  name: 'Sichuan Yi; Nuosu',
  iso6392B: 'iii',
  iso6391: 'ii'
}, {
  name: 'Ijo languages',
  iso6392B: 'ijo'
}, {
  name: 'Inuktitut',
  iso6392B: 'iku',
  iso6391: 'iu'
}, {
  name: 'Interlingue; Occidental',
  iso6392B: 'ile',
  iso6391: 'ie'
}, {
  name: 'Iloko',
  iso6392B: 'ilo'
}, {
  name: 'Interlingua (International Auxiliary Language Association)',
  iso6392B: 'ina',
  iso6391: 'ia'
}, {
  name: 'Indic languages',
  iso6392B: 'inc'
}, {
  name: 'Indonesian',
  iso6392B: 'ind',
  iso6391: 'id'
}, {
  name: 'Indo-European languages',
  iso6392B: 'ine'
}, {
  name: 'Ingush',
  iso6392B: 'inh'
}, {
  name: 'Inupiaq',
  iso6392B: 'ipk',
  iso6391: 'ik'
}, {
  name: 'Iranian languages',
  iso6392B: 'ira'
}, {
  name: 'Iroquoian languages',
  iso6392B: 'iro'
}, {
  name: 'Italian',
  iso6392B: 'ita',
  iso6391: 'it'
}, {
  name: 'Javanese',
  iso6392B: 'jav',
  iso6391: 'jv'
}, {
  name: 'Lojban',
  iso6392B: 'jbo'
}, {
  name: 'Japanese',
  iso6392B: 'jpn',
  iso6391: 'ja'
}, {
  name: 'Judeo-Persian',
  iso6392B: 'jpr'
}, {
  name: 'Judeo-Arabic',
  iso6392B: 'jrb'
}, {
  name: 'Kara-Kalpak',
  iso6392B: 'kaa'
}, {
  name: 'Kabyle',
  iso6392B: 'kab'
}, {
  name: 'Kachin; Jingpho',
  iso6392B: 'kac'
}, {
  name: 'Kalaallisut; Greenlandic',
  iso6392B: 'kal',
  iso6391: 'kl'
}, {
  name: 'Kamba',
  iso6392B: 'kam'
}, {
  name: 'Kannada',
  iso6392B: 'kan',
  iso6391: 'kn'
}, {
  name: 'Karen languages',
  iso6392B: 'kar'
}, {
  name: 'Kashmiri',
  iso6392B: 'kas',
  iso6391: 'ks'
}, {
  name: 'Kanuri',
  iso6392B: 'kau',
  iso6391: 'kr'
}, {
  name: 'Kawi',
  iso6392B: 'kaw'
}, {
  name: 'Kazakh',
  iso6392B: 'kaz',
  iso6391: 'kk'
}, {
  name: 'Kabardian',
  iso6392B: 'kbd'
}, {
  name: 'Khasi',
  iso6392B: 'kha'
}, {
  name: 'Khoisan languages',
  iso6392B: 'khi'
}, {
  name: 'Central Khmer',
  iso6392B: 'khm',
  iso6391: 'km'
}, {
  name: 'Khotanese; Sakan',
  iso6392B: 'kho'
}, {
  name: 'Kikuyu; Gikuyu',
  iso6392B: 'kik',
  iso6391: 'ki'
}, {
  name: 'Kinyarwanda',
  iso6392B: 'kin',
  iso6391: 'rw'
}, {
  name: 'Kirghiz; Kyrgyz',
  iso6392B: 'kir',
  iso6391: 'ky'
}, {
  name: 'Kimbundu',
  iso6392B: 'kmb'
}, {
  name: 'Konkani',
  iso6392B: 'kok'
}, {
  name: 'Komi',
  iso6392B: 'kom',
  iso6391: 'kv'
}, {
  name: 'Kongo',
  iso6392B: 'kon',
  iso6391: 'kg'
}, {
  name: 'Korean',
  iso6392B: 'kor',
  iso6391: 'ko'
}, {
  name: 'Kosraean',
  iso6392B: 'kos'
}, {
  name: 'Kpelle',
  iso6392B: 'kpe'
}, {
  name: 'Karachay-Balkar',
  iso6392B: 'krc'
}, {
  name: 'Karelian',
  iso6392B: 'krl'
}, {
  name: 'Kru languages',
  iso6392B: 'kro'
}, {
  name: 'Kurukh',
  iso6392B: 'kru'
}, {
  name: 'Kuanyama; Kwanyama',
  iso6392B: 'kua',
  iso6391: 'kj'
}, {
  name: 'Kumyk',
  iso6392B: 'kum'
}, {
  name: 'Kurdish',
  iso6392B: 'kur',
  iso6391: 'ku'
}, {
  name: 'Kutenai',
  iso6392B: 'kut'
}, {
  name: 'Ladino',
  iso6392B: 'lad'
}, {
  name: 'Lahnda',
  iso6392B: 'lah'
}, {
  name: 'Lamba',
  iso6392B: 'lam'
}, {
  name: 'Lao',
  iso6392B: 'lao',
  iso6391: 'lo'
}, {
  name: 'Latin',
  iso6392B: 'lat',
  iso6391: 'la'
}, {
  name: 'Latvian',
  iso6392B: 'lav',
  iso6391: 'lv'
}, {
  name: 'Lezghian',
  iso6392B: 'lez'
}, {
  name: 'Limburgan; Limburger; Limburgish',
  iso6392B: 'lim',
  iso6391: 'li'
}, {
  name: 'Lingala',
  iso6392B: 'lin',
  iso6391: 'ln'
}, {
  name: 'Lithuanian',
  iso6392B: 'lit',
  iso6391: 'lt'
}, {
  name: 'Mongo',
  iso6392B: 'lol'
}, {
  name: 'Lozi',
  iso6392B: 'loz'
}, {
  name: 'Luxembourgish; Letzeburgesch',
  iso6392B: 'ltz',
  iso6391: 'lb'
}, {
  name: 'Luba-Lulua',
  iso6392B: 'lua'
}, {
  name: 'Luba-Katanga',
  iso6392B: 'lub',
  iso6391: 'lu'
}, {
  name: 'Ganda',
  iso6392B: 'lug',
  iso6391: 'lg'
}, {
  name: 'Luiseno',
  iso6392B: 'lui'
}, {
  name: 'Lunda',
  iso6392B: 'lun'
}, {
  name: 'Luo (Kenya and Tanzania)',
  iso6392B: 'luo'
}, {
  name: 'Lushai',
  iso6392B: 'lus'
}, {
  name: 'Macedonian',
  iso6392B: 'mac',
  iso6392T: 'mkd',
  iso6391: 'mk'
}, {
  name: 'Madurese',
  iso6392B: 'mad'
}, {
  name: 'Magahi',
  iso6392B: 'mag'
}, {
  name: 'Marshallese',
  iso6392B: 'mah',
  iso6391: 'mh'
}, {
  name: 'Maithili',
  iso6392B: 'mai'
}, {
  name: 'Makasar',
  iso6392B: 'mak'
}, {
  name: 'Malayalam',
  iso6392B: 'mal',
  iso6391: 'ml'
}, {
  name: 'Mandingo',
  iso6392B: 'man'
}, {
  name: 'Maori',
  iso6392B: 'mao',
  iso6392T: 'mri',
  iso6391: 'mi'
}, {
  name: 'Austronesian languages',
  iso6392B: 'map'
}, {
  name: 'Marathi',
  iso6392B: 'mar',
  iso6391: 'mr'
}, {
  name: 'Masai',
  iso6392B: 'mas'
}, {
  name: 'Malay',
  iso6392B: 'may',
  iso6392T: 'msa',
  iso6391: 'ms'
}, {
  name: 'Moksha',
  iso6392B: 'mdf'
}, {
  name: 'Mandar',
  iso6392B: 'mdr'
}, {
  name: 'Mende',
  iso6392B: 'men'
}, {
  name: 'Irish, Middle (900-1200)',
  iso6392B: 'mga'
}, {
  name: "Mi'kmaq; Micmac",
  iso6392B: 'mic'
}, {
  name: 'Minangkabau',
  iso6392B: 'min'
}, {
  name: 'Uncoded languages',
  iso6392B: 'mis'
}, {
  name: 'Mon-Khmer languages',
  iso6392B: 'mkh'
}, {
  name: 'Malagasy',
  iso6392B: 'mlg',
  iso6391: 'mg'
}, {
  name: 'Maltese',
  iso6392B: 'mlt',
  iso6391: 'mt'
}, {
  name: 'Manchu',
  iso6392B: 'mnc'
}, {
  name: 'Manipuri',
  iso6392B: 'mni'
}, {
  name: 'Manobo languages',
  iso6392B: 'mno'
}, {
  name: 'Mohawk',
  iso6392B: 'moh'
}, {
  name: 'Mongolian',
  iso6392B: 'mon',
  iso6391: 'mn'
}, {
  name: 'Mossi',
  iso6392B: 'mos'
}, {
  name: 'Multiple languages',
  iso6392B: 'mul'
}, {
  name: 'Munda languages',
  iso6392B: 'mun'
}, {
  name: 'Creek',
  iso6392B: 'mus'
}, {
  name: 'Mirandese',
  iso6392B: 'mwl'
}, {
  name: 'Marwari',
  iso6392B: 'mwr'
}, {
  name: 'Mayan languages',
  iso6392B: 'myn'
}, {
  name: 'Erzya',
  iso6392B: 'myv'
}, {
  name: 'Nahuatl languages',
  iso6392B: 'nah'
}, {
  name: 'North American Indian languages',
  iso6392B: 'nai'
}, {
  name: 'Neapolitan',
  iso6392B: 'nap'
}, {
  name: 'Nauru',
  iso6392B: 'nau',
  iso6391: 'na'
}, {
  name: 'Navajo; Navaho',
  iso6392B: 'nav',
  iso6391: 'nv'
}, {
  name: 'Ndebele, South; South Ndebele',
  iso6392B: 'nbl',
  iso6391: 'nr'
}, {
  name: 'Ndebele, North; North Ndebele',
  iso6392B: 'nde',
  iso6391: 'nd'
}, {
  name: 'Ndonga',
  iso6392B: 'ndo',
  iso6391: 'ng'
}, {
  name: 'Low German; Low Saxon; German, Low; Saxon, Low',
  iso6392B: 'nds'
}, {
  name: 'Nepali',
  iso6392B: 'nep',
  iso6391: 'ne'
}, {
  name: 'Nepal Bhasa; Newari',
  iso6392B: 'new'
}, {
  name: 'Nias',
  iso6392B: 'nia'
}, {
  name: 'Niger-Kordofanian languages',
  iso6392B: 'nic'
}, {
  name: 'Niuean',
  iso6392B: 'niu'
}, {
  name: 'Norwegian Nynorsk; Nynorsk, Norwegian',
  iso6392B: 'nno',
  iso6391: 'nn'
}, {
  name: 'Bokmål, Norwegian; Norwegian Bokmål',
  iso6392B: 'nob',
  iso6391: 'nb'
}, {
  name: 'Nogai',
  iso6392B: 'nog'
}, {
  name: 'Norse, Old',
  iso6392B: 'non'
}, {
  name: 'Norwegian',
  iso6392B: 'nor',
  iso6391: 'no'
}, {
  name: "N'Ko",
  iso6392B: 'nqo'
}, {
  name: 'Pedi; Sepedi; Northern Sotho',
  iso6392B: 'nso'
}, {
  name: 'Nubian languages',
  iso6392B: 'nub'
}, {
  name: 'Classical Newari; Old Newari; Classical Nepal Bhasa',
  iso6392B: 'nwc'
}, {
  name: 'Chichewa; Chewa; Nyanja',
  iso6392B: 'nya',
  iso6391: 'ny'
}, {
  name: 'Nyamwezi',
  iso6392B: 'nym'
}, {
  name: 'Nyankole',
  iso6392B: 'nyn'
}, {
  name: 'Nyoro',
  iso6392B: 'nyo'
}, {
  name: 'Nzima',
  iso6392B: 'nzi'
}, {
  name: 'Occitan (post 1500)',
  iso6392B: 'oci',
  iso6391: 'oc'
}, {
  name: 'Ojibwa',
  iso6392B: 'oji',
  iso6391: 'oj'
}, {
  name: 'Oriya',
  iso6392B: 'ori',
  iso6391: 'or'
}, {
  name: 'Oromo',
  iso6392B: 'orm',
  iso6391: 'om'
}, {
  name: 'Osage',
  iso6392B: 'osa'
}, {
  name: 'Ossetian; Ossetic',
  iso6392B: 'oss',
  iso6391: 'os'
}, {
  name: 'Turkish, Ottoman (1500-1928)',
  iso6392B: 'ota'
}, {
  name: 'Otomian languages',
  iso6392B: 'oto'
}, {
  name: 'Papuan languages',
  iso6392B: 'paa'
}, {
  name: 'Pangasinan',
  iso6392B: 'pag'
}, {
  name: 'Pahlavi',
  iso6392B: 'pal'
}, {
  name: 'Pampanga; Kapampangan',
  iso6392B: 'pam'
}, {
  name: 'Panjabi; Punjabi',
  iso6392B: 'pan',
  iso6391: 'pa'
}, {
  name: 'Papiamento',
  iso6392B: 'pap'
}, {
  name: 'Palauan',
  iso6392B: 'pau'
}, {
  name: 'Persian, Old (ca.600-400 B.C.)',
  iso6392B: 'peo'
}, {
  name: 'Persian',
  iso6392B: 'per',
  iso6392T: 'fas',
  iso6391: 'fa'
}, {
  name: 'Philippine languages',
  iso6392B: 'phi'
}, {
  name: 'Phoenician',
  iso6392B: 'phn'
}, {
  name: 'Pali',
  iso6392B: 'pli',
  iso6391: 'pi'
}, {
  name: 'Polish',
  iso6392B: 'pol',
  iso6391: 'pl'
}, {
  name: 'Pohnpeian',
  iso6392B: 'pon'
}, {
  name: 'Portuguese',
  iso6392B: 'por',
  iso6391: 'pt'
}, {
  name: 'Prakrit languages',
  iso6392B: 'pra'
}, {
  name: 'Provençal, Old (to 1500); Occitan, Old (to 1500)',
  iso6392B: 'pro'
}, {
  name: 'Pushto; Pashto',
  iso6392B: 'pus',
  iso6391: 'ps'
}, {
  name: 'Reserved for local use',
  iso6392B: 'qaa-qtz'
}, {
  name: 'Quechua',
  iso6392B: 'que',
  iso6391: 'qu'
}, {
  name: 'Rajasthani',
  iso6392B: 'raj'
}, {
  name: 'Rapanui',
  iso6392B: 'rap'
}, {
  name: 'Rarotongan; Cook Islands Maori',
  iso6392B: 'rar'
}, {
  name: 'Romance languages',
  iso6392B: 'roa'
}, {
  name: 'Romansh',
  iso6392B: 'roh',
  iso6391: 'rm'
}, {
  name: 'Romany',
  iso6392B: 'rom'
}, {
  name: 'Romanian; Moldavian; Moldovan',
  iso6392B: 'rum',
  iso6392T: 'ron',
  iso6391: 'ro'
}, {
  name: 'Rundi',
  iso6392B: 'run',
  iso6391: 'rn'
}, {
  name: 'Aromanian; Arumanian; Macedo-Romanian',
  iso6392B: 'rup'
}, {
  name: 'Russian',
  iso6392B: 'rus',
  iso6391: 'ru'
}, {
  name: 'Sandawe',
  iso6392B: 'sad'
}, {
  name: 'Sango',
  iso6392B: 'sag',
  iso6391: 'sg'
}, {
  name: 'Yakut',
  iso6392B: 'sah'
}, {
  name: 'South American Indian languages',
  iso6392B: 'sai'
}, {
  name: 'Salishan languages',
  iso6392B: 'sal'
}, {
  name: 'Samaritan Aramaic',
  iso6392B: 'sam'
}, {
  name: 'Sanskrit',
  iso6392B: 'san',
  iso6391: 'sa'
}, {
  name: 'Sasak',
  iso6392B: 'sas'
}, {
  name: 'Santali',
  iso6392B: 'sat'
}, {
  name: 'Sicilian',
  iso6392B: 'scn'
}, {
  name: 'Scots',
  iso6392B: 'sco'
}, {
  name: 'Selkup',
  iso6392B: 'sel'
}, {
  name: 'Semitic languages',
  iso6392B: 'sem'
}, {
  name: 'Irish, Old (to 900)',
  iso6392B: 'sga'
}, {
  name: 'Sign Languages',
  iso6392B: 'sgn'
}, {
  name: 'Shan',
  iso6392B: 'shn'
}, {
  name: 'Sidamo',
  iso6392B: 'sid'
}, {
  name: 'Sinhala; Sinhalese',
  iso6392B: 'sin',
  iso6391: 'si'
}, {
  name: 'Siouan languages',
  iso6392B: 'sio'
}, {
  name: 'Sino-Tibetan languages',
  iso6392B: 'sit'
}, {
  name: 'Slavic languages',
  iso6392B: 'sla'
}, {
  name: 'Slovak',
  iso6392B: 'slo',
  iso6392T: 'slk',
  iso6391: 'sk'
}, {
  name: 'Slovenian',
  iso6392B: 'slv',
  iso6391: 'sl'
}, {
  name: 'Southern Sami',
  iso6392B: 'sma'
}, {
  name: 'Northern Sami',
  iso6392B: 'sme',
  iso6391: 'se'
}, {
  name: 'Sami languages',
  iso6392B: 'smi'
}, {
  name: 'Lule Sami',
  iso6392B: 'smj'
}, {
  name: 'Inari Sami',
  iso6392B: 'smn'
}, {
  name: 'Samoan',
  iso6392B: 'smo',
  iso6391: 'sm'
}, {
  name: 'Skolt Sami',
  iso6392B: 'sms'
}, {
  name: 'Shona',
  iso6392B: 'sna',
  iso6391: 'sn'
}, {
  name: 'Sindhi',
  iso6392B: 'snd',
  iso6391: 'sd'
}, {
  name: 'Soninke',
  iso6392B: 'snk'
}, {
  name: 'Sogdian',
  iso6392B: 'sog'
}, {
  name: 'Somali',
  iso6392B: 'som',
  iso6391: 'so'
}, {
  name: 'Songhai languages',
  iso6392B: 'son'
}, {
  name: 'Sotho, Southern',
  iso6392B: 'sot',
  iso6391: 'st'
}, {
  name: 'Spanish; Castilian',
  iso6392B: 'spa',
  iso6391: 'es'
}, {
  name: 'Sardinian',
  iso6392B: 'srd',
  iso6391: 'sc'
}, {
  name: 'Sranan Tongo',
  iso6392B: 'srn'
}, {
  name: 'Serbian',
  iso6392B: 'srp',
  iso6391: 'sr'
}, {
  name: 'Serer',
  iso6392B: 'srr'
}, {
  name: 'Nilo-Saharan languages',
  iso6392B: 'ssa'
}, {
  name: 'Swati',
  iso6392B: 'ssw',
  iso6391: 'ss'
}, {
  name: 'Sukuma',
  iso6392B: 'suk'
}, {
  name: 'Sundanese',
  iso6392B: 'sun',
  iso6391: 'su'
}, {
  name: 'Susu',
  iso6392B: 'sus'
}, {
  name: 'Sumerian',
  iso6392B: 'sux'
}, {
  name: 'Swahili',
  iso6392B: 'swa',
  iso6391: 'sw'
}, {
  name: 'Swedish',
  iso6392B: 'swe',
  iso6391: 'sv'
}, {
  name: 'Classical Syriac',
  iso6392B: 'syc'
}, {
  name: 'Syriac',
  iso6392B: 'syr'
}, {
  name: 'Tahitian',
  iso6392B: 'tah',
  iso6391: 'ty'
}, {
  name: 'Tai languages',
  iso6392B: 'tai'
}, {
  name: 'Tamil',
  iso6392B: 'tam',
  iso6391: 'ta'
}, {
  name: 'Tatar',
  iso6392B: 'tat',
  iso6391: 'tt'
}, {
  name: 'Telugu',
  iso6392B: 'tel',
  iso6391: 'te'
}, {
  name: 'Timne',
  iso6392B: 'tem'
}, {
  name: 'Tereno',
  iso6392B: 'ter'
}, {
  name: 'Tetum',
  iso6392B: 'tet'
}, {
  name: 'Tajik',
  iso6392B: 'tgk',
  iso6391: 'tg'
}, {
  name: 'Tagalog',
  iso6392B: 'tgl',
  iso6391: 'tl'
}, {
  name: 'Thai',
  iso6392B: 'tha',
  iso6391: 'th'
}, {
  name: 'Tibetan',
  iso6392B: 'tib',
  iso6392T: 'bod',
  iso6391: 'bo'
}, {
  name: 'Tigre',
  iso6392B: 'tig'
}, {
  name: 'Tigrinya',
  iso6392B: 'tir',
  iso6391: 'ti'
}, {
  name: 'Tiv',
  iso6392B: 'tiv'
}, {
  name: 'Tokelau',
  iso6392B: 'tkl'
}, {
  name: 'Klingon; tlhIngan-Hol',
  iso6392B: 'tlh'
}, {
  name: 'Tlingit',
  iso6392B: 'tli'
}, {
  name: 'Tamashek',
  iso6392B: 'tmh'
}, {
  name: 'Tonga (Nyasa)',
  iso6392B: 'tog'
}, {
  name: 'Tonga (Tonga Islands)',
  iso6392B: 'ton',
  iso6391: 'to'
}, {
  name: 'Tok Pisin',
  iso6392B: 'tpi'
}, {
  name: 'Tsimshian',
  iso6392B: 'tsi'
}, {
  name: 'Tswana',
  iso6392B: 'tsn',
  iso6391: 'tn'
}, {
  name: 'Tsonga',
  iso6392B: 'tso',
  iso6391: 'ts'
}, {
  name: 'Turkmen',
  iso6392B: 'tuk',
  iso6391: 'tk'
}, {
  name: 'Tumbuka',
  iso6392B: 'tum'
}, {
  name: 'Tupi languages',
  iso6392B: 'tup'
}, {
  name: 'Turkish',
  iso6392B: 'tur',
  iso6391: 'tr'
}, {
  name: 'Altaic languages',
  iso6392B: 'tut'
}, {
  name: 'Tuvalu',
  iso6392B: 'tvl'
}, {
  name: 'Twi',
  iso6392B: 'twi',
  iso6391: 'tw'
}, {
  name: 'Tuvinian',
  iso6392B: 'tyv'
}, {
  name: 'Udmurt',
  iso6392B: 'udm'
}, {
  name: 'Ugaritic',
  iso6392B: 'uga'
}, {
  name: 'Uighur; Uyghur',
  iso6392B: 'uig',
  iso6391: 'ug'
}, {
  name: 'Ukrainian',
  iso6392B: 'ukr',
  iso6391: 'uk'
}, {
  name: 'Umbundu',
  iso6392B: 'umb'
}, {
  name: 'Undetermined',
  iso6392B: 'und'
}, {
  name: 'Urdu',
  iso6392B: 'urd',
  iso6391: 'ur'
}, {
  name: 'Uzbek',
  iso6392B: 'uzb',
  iso6391: 'uz'
}, {
  name: 'Vai',
  iso6392B: 'vai'
}, {
  name: 'Venda',
  iso6392B: 'ven',
  iso6391: 've'
}, {
  name: 'Vietnamese',
  iso6392B: 'vie',
  iso6391: 'vi'
}, {
  name: 'Volapük',
  iso6392B: 'vol',
  iso6391: 'vo'
}, {
  name: 'Votic',
  iso6392B: 'vot'
}, {
  name: 'Wakashan languages',
  iso6392B: 'wak'
}, {
  name: 'Wolaitta; Wolaytta',
  iso6392B: 'wal'
}, {
  name: 'Waray',
  iso6392B: 'war'
}, {
  name: 'Washo',
  iso6392B: 'was'
}, {
  name: 'Welsh',
  iso6392B: 'wel',
  iso6392T: 'cym',
  iso6391: 'cy'
}, {
  name: 'Sorbian languages',
  iso6392B: 'wen'
}, {
  name: 'Walloon',
  iso6392B: 'wln',
  iso6391: 'wa'
}, {
  name: 'Wolof',
  iso6392B: 'wol',
  iso6391: 'wo'
}, {
  name: 'Kalmyk; Oirat',
  iso6392B: 'xal'
}, {
  name: 'Xhosa',
  iso6392B: 'xho',
  iso6391: 'xh'
}, {
  name: 'Yao',
  iso6392B: 'yao'
}, {
  name: 'Yapese',
  iso6392B: 'yap'
}, {
  name: 'Yiddish',
  iso6392B: 'yid',
  iso6391: 'yi'
}, {
  name: 'Yoruba',
  iso6392B: 'yor',
  iso6391: 'yo'
}, {
  name: 'Yupik languages',
  iso6392B: 'ypk'
}, {
  name: 'Zapotec',
  iso6392B: 'zap'
}, {
  name: 'Blissymbols; Blissymbolics; Bliss',
  iso6392B: 'zbl'
}, {
  name: 'Zenaga',
  iso6392B: 'zen'
}, {
  name: 'Standard Moroccan Tamazight',
  iso6392B: 'zgh'
}, {
  name: 'Zhuang; Chuang',
  iso6392B: 'zha',
  iso6391: 'za'
}, {
  name: 'Zande languages',
  iso6392B: 'znd'
}, {
  name: 'Zulu',
  iso6392B: 'zul',
  iso6391: 'zu'
}, {
  name: 'Zuni',
  iso6392B: 'zun'
}, {
  name: 'No linguistic content; Not applicable',
  iso6392B: 'zxx'
}, {
  name: 'Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki',
  iso6392B: 'zza'
}];
var languagesOptions = /*#__PURE__*/new Map( /*#__PURE__*/languages.map(function (i) {
  return [i.iso6392B, i.name];
}));

var LogoVariant;

(function (LogoVariant) {
  LogoVariant["LIGHT"] = "light-text";
  LogoVariant["DARK"] = "dark-text";
})(LogoVariant || (LogoVariant = {}));

var IgemLogo = function IgemLogo(_ref) {
  var className = _ref.className,
      variant = _ref.variant;
  return React.createElement(React.Fragment, null, variant === LogoVariant.LIGHT ? React.createElement(Svg, {
    src: 'https://static.igem.io/common/logos/2022/igem-logo.svg',
    className: clsx('ii-icon-large', className)
  }) : React.createElement(Svg, {
    src: 'https://static.igem.io/common/logos/2022/igem-logo-dark.svg',
    className: clsx('ii-icon-large', className)
  }));
};

var DocsIcon = function DocsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 22.367 22.367',
    fill: 'currentColor',
    className: className
  }, React.createElement("g", {
    transform: 'translate(-111.296 -42.532)'
  }, React.createElement("path", {
    d: 'M122.48,64.9a11.2,11.2,0,1,1,7.9-3.279,11.184,11.184,0,0,1-7.9,3.279Zm0-21.317a10.144,10.144,0,1,0,7.162,2.971,10.133,10.133,0,0,0-7.162-2.971Z'
  }), React.createElement("path", {
    d: 'M228.3,166.091H216.826a.525.525,0,0,1,0-1.049H228.3a.525.525,0,0,1,0,1.049Z',
    transform: 'translate(-100.085 -116.77)'
  }), React.createElement("path", {
    d: 'M228.3,218.591H216.826a.525.525,0,0,1,0-1.049H228.3a.525.525,0,0,1,0,1.049Z',
    transform: 'translate(-100.085 -166.811)'
  }), React.createElement("path", {
    d: 'M228.3,271.091H216.826a.525.525,0,0,1,0-1.049H228.3a.525.525,0,0,1,0,1.049Z',
    transform: 'translate(-100.085 -216.851)'
  }), React.createElement("path", {
    d: 'M228.3,323.591H216.826a.525.525,0,0,1,0-1.049H228.3a.525.525,0,0,1,0,1.049Z',
    transform: 'translate(-100.085 -266.891)'
  }), React.createElement("path", {
    d: 'M222.565,376.091h-5.739a.525.525,0,1,1,0-1.049h5.739a.525.525,0,1,1,0,1.049Z',
    transform: 'translate(-100.085 -316.932)'
  })));
};

var PlayIcon = function PlayIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 21 21',
    fill: 'currentColor',
    className: className
  }, React.createElement("g", {
    transform: 'translate(-69.998)'
  }, React.createElement("path", {
    d: 'M80.5,0a10.5,10.5,0,1,0,7.425,3.076A10.5,10.5,0,0,0,80.5,0ZM77.873,14.875V6.125l7.875,4.5Z'
  })));
};

var FormsIcon = function FormsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 17.112 22.367',
    fill: 'currentColor',
    className: className
  }, React.createElement("g", {
    transform: 'translate(-175.95 -52.5)'
  }, React.createElement("path", {
    d: 'M175.95,52.5V74.867h17.112V52.5Zm13.812,16.976H179.251V68.9h10.511Zm0-3.671H179.251v-.574h10.511Zm0-3.67H179.251v-.574h10.511Zm0-3.671H179.251v-.574h10.511Z'
  })));
};

var StatusIcon = function StatusIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '-1 -1 24 24',
    fill: 'currentColor',
    stroke: 'currentColor',
    strokeWidth: '2',
    className: className
  }, React.createElement("g", {
    fill: 'none'
  }, React.createElement("circle", {
    cx: '11',
    cy: '11',
    r: '11',
    stroke: 'none'
  }), React.createElement("circle", {
    cx: '11',
    cy: '11',
    r: '10',
    fill: 'none'
  })), React.createElement("path", {
    d: 'M4489.18,8175.851h5.257l2.427-5.022,4.435,10.129,2.614-5.106h5',
    transform: 'translate(-4488 -8165)',
    fill: 'none',
    strokeLinecap: 'round',
    strokeLinejoin: 'round'
  }));
};

var WorkspacesIcon = function WorkspacesIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 28 28',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M6.667,17a2.333,2.333,0,1,1-2.333,2.333A2.34,2.34,0,0,1,6.667,17m0-2.333a4.667,4.667,0,1,0,4.667,4.667A4.68,4.68,0,0,0,6.667,14.667Zm7-9.333a2.333,2.333,0,1,1-2.333,2.333,2.34,2.34,0,0,1,2.333-2.333m0-2.333a4.667,4.667,0,1,0,4.667,4.667A4.68,4.68,0,0,0,13.667,3Zm7,14a2.333,2.333,0,1,1-2.333,2.333A2.34,2.34,0,0,1,20.667,17m0-2.333a4.667,4.667,0,1,0,4.667,4.667A4.68,4.68,0,0,0,20.667,14.667Z'
  }));
};

var ArticleIcon = function ArticleIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("g", {
    transform: 'translate(4 4)'
  }, React.createElement("path", {
    d: 'M24.333,5.667V24.333H5.667V5.667H24.333m0-2.667H5.667A2.675,2.675,0,0,0,3,5.667V24.333A2.675,2.675,0,0,0,5.667,27H24.333A2.675,2.675,0,0,0,27,24.333V5.667A2.675,2.675,0,0,0,24.333,3Z',
    transform: 'translate(-3 -3)'
  })), React.createElement("path", {
    d: 'M16.333,20.333H7V17.667h9.333Zm4-5.333H7V12.333H20.333Zm0-5.333H7V7H20.333Z',
    transform: 'translate(2.333 2.333)'
  }));
};

var PinIcon = function PinIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("g", {
    transform: 'translate(6.667 2.667)'
  }, React.createElement("path", {
    d: 'M17,4.667v6.667a6.647,6.647,0,0,0,1.333,4h-8a6.591,6.591,0,0,0,1.333-4V4.667H17M21,2H7.667a1.333,1.333,0,1,0,0,2.667H9v6.667a4,4,0,0,1-4,4V18h7.96v9.333l1.333,1.333,1.333-1.333V18h8.04V15.333h0a4,4,0,0,1-4-4V4.667H21A1.333,1.333,0,0,0,21,2Z',
    transform: 'translate(-5 -2)'
  })));
};

var CampaignIcon = function CampaignIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M18,11v2.647h5.295V11Z',
    transform: 'translate(5.826 3.56)'
  }), React.createElement("path", {
    d: 'M16,18.131c1.271.94,2.925,2.184,4.236,3.164.529-.7,1.059-1.416,1.588-2.118-1.31-.979-2.965-2.224-4.236-3.177C17.059,16.715,16.529,17.43,16,18.131Z',
    transform: 'translate(5.178 5.178)'
  }), React.createElement("path", {
    d: 'M21.824,6.118C21.295,5.416,20.765,4.7,20.236,4c-1.31.979-2.965,2.224-4.236,3.177.529.7,1.059,1.416,1.588,2.118C18.859,8.342,20.514,7.111,21.824,6.118Z',
    transform: 'translate(5.178 1.295)'
  }), React.createElement("path", {
    d: 'M4.647,9.971A2.655,2.655,0,0,0,2,12.618v2.647a2.655,2.655,0,0,0,2.647,2.647H5.971v5.295H8.618V17.913H9.942l6.618,3.971V6L9.942,9.971Zm6.658,2.263,2.608-1.562v6.539l-2.608-1.562-.635-.384H4.647V12.618H10.67Z',
    transform: 'translate(0.647 1.942)'
  }), React.createElement("path", {
    d: 'M15.985,13.084A5.93,5.93,0,0,0,14,8.65v8.855A5.88,5.88,0,0,0,15.985,13.084Z',
    transform: 'translate(4.531 2.8)'
  }));
};

var QuestionIcon = function QuestionIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M14.6,24.4h2.8V21.6H14.6ZM16,2A14,14,0,1,0,30,16,14.005,14.005,0,0,0,16,2Zm0,25.2A11.2,11.2,0,1,1,27.2,16,11.215,11.215,0,0,1,16,27.2ZM16,7.6a5.6,5.6,0,0,0-5.6,5.6h2.8a2.8,2.8,0,0,1,5.6,0c0,2.8-4.2,2.45-4.2,7h2.8c0-3.15,4.2-3.5,4.2-7A5.6,5.6,0,0,0,16,7.6Z'
  }));
};

var ExclamationIcon = function ExclamationIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor'
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z'
  }));
};

var NotificationsIcon = function NotificationsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 32 32',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M14.667,28.5a2.675,2.675,0,0,0,2.667-2.667H12A2.675,2.675,0,0,0,14.667,28.5Zm8-8V13.833c0-4.093-2.173-7.52-6-8.427V4.5a2,2,0,1,0-4,0v.907c-3.813.907-6,4.32-6,8.427V20.5L4,23.167V24.5H25.333V23.167ZM20,21.833H9.333v-8c0-3.307,2.013-6,5.333-6S20,10.527,20,13.833Z',
    transform: 'translate(1.333 0.833)'
  }));
};

var SlackIcon = function SlackIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 22.665 22.683'
  }, React.createElement("path", {
    d: 'M136.311,128a2.268,2.268,0,0,0,0,4.537h2.265v-2.268A2.27,2.27,0,0,0,136.311,128Zm0,6.049h-6.046a2.268,2.268,0,0,0,0,4.537h6.043a2.268,2.268,0,0,0,0-4.537Zm6.043,4.537a2.264,2.264,0,0,0,2.265-2.268v-6.049a2.265,2.265,0,1,0-4.531,0v6.049A2.264,2.264,0,0,0,142.354,138.585Zm8.311-2.268a2.265,2.265,0,1,0-4.531,0v2.268H148.4A2.268,2.268,0,0,0,150.665,136.317ZM148.4,140.1h-6.043a2.268,2.268,0,0,0,0,4.537H148.4a2.268,2.268,0,0,0,0-4.537Zm-6.043,6.049h-2.265v2.268a2.265,2.265,0,1,0,2.265-2.268Zm-6.043-6.049a2.266,2.266,0,0,0-2.265,2.268v6.049a2.265,2.265,0,1,0,4.531,0v-6.049a2.264,2.264,0,0,0-2.265-2.268ZM128,142.366a2.265,2.265,0,1,0,4.531,0V140.1h-2.265A2.268,2.268,0,0,0,128,142.366Z',
    transform: 'translate(-128 -128)'
  }));
};

var TikTokIcon = function TikTokIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 2859 3333',
    fillRule: 'evenodd',
    clipRule: 'evenodd'
  }, React.createElement("path", {
    d: 'M2081 0c55 473 319 755 778 785v532c-266 26-499-61-770-225v995c0 1264-1378 1659-1932 753-356-583-138-1606 1004-1647v561c-87 14-180 36-265 65-254 86-398 247-358 531 77 544 1075 705 992-358V1h551z'
  }));
};

var TwitterIcon = function TwitterIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 20.898 16.95'
  }, React.createElement("path", {
    d: 'M44.618,18.95A12.082,12.082,0,0,0,56.808,6.76V6.18A9.437,9.437,0,0,0,58.9,3.974a9.637,9.637,0,0,1-2.438.7,4.517,4.517,0,0,0,1.858-2.322,10.649,10.649,0,0,1-2.67,1.045A4.146,4.146,0,0,0,52.512,2a4.362,4.362,0,0,0-4.3,4.3,2.264,2.264,0,0,0,.116.929A12,12,0,0,1,39.509,2.7,4.446,4.446,0,0,0,38.929,4.9a4.613,4.613,0,0,0,1.858,3.6,3.914,3.914,0,0,1-1.974-.58h0A4.243,4.243,0,0,0,42.3,12.1a3.579,3.579,0,0,1-1.161.116,1.976,1.976,0,0,1-.813-.116,4.4,4.4,0,0,0,4.063,3.019,8.766,8.766,0,0,1-5.34,1.858A3.214,3.214,0,0,1,38,16.861a10.958,10.958,0,0,0,6.618,2.09',
    transform: 'translate(-38 -2)'
  }));
};

var YoutubeIcon = function YoutubeIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    fill: 'currentColor',
    className: clsx('ii-icon', className),
    viewBox: '0 0 512 512',
    xmlns: 'http://www.w3.org/2000/svg'
  }, React.createElement("g", null, React.createElement("path", {
    d: 'M508.6,148.8c0-45-33.1-81.2-74-81.2C379.2,65,322.7,64,265,64c-3,0-6,0-9,0s-6,0-9,0c-57.6,0-114.2,1-169.6,3.6   c-40.8,0-73.9,36.4-73.9,81.4C1,184.6-0.1,220.2,0,255.8C-0.1,291.4,1,327,3.4,362.7c0,45,33.1,81.5,73.9,81.5   c58.2,2.7,117.9,3.9,178.6,3.8c60.8,0.2,120.3-1,178.6-3.8c40.9,0,74-36.5,74-81.5c2.4-35.7,3.5-71.3,3.4-107   C512.1,220.1,511,184.5,508.6,148.8z M207,353.9V157.4l145,98.2L207,353.9z'
  })));
};

var FacebookIcon = function FacebookIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-h-4 ii-w-2', className),
    fill: 'currentColor',
    viewBox: '0 0 10.995 21.053'
  }, React.createElement("path", {
    d: 'M87.135,21.053V11.462H90.41l.468-3.743H87.135V5.38c0-1.053.351-1.871,1.871-1.871h1.988V.117C90.527.117,89.357,0,88.071,0a4.515,4.515,0,0,0-4.8,4.912V7.72H80v3.743h3.275v9.591Z',
    transform: 'translate(-80)'
  }));
};

var LinkedInIcon = function LinkedInIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 21.349 21.335'
  }, React.createElement("path", {
    d: 'M1819.415,1146.947q0-3.569,0-7.137c0-.661.009-1.322,0-1.983a1.538,1.538,0,0,0-1.573-1.532h-18.2a1.562,1.562,0,0,0-1.569,1.652q.005,9,0,18c0,.06,0,.121,0,.181a1.557,1.557,0,0,0,1.544,1.5q9.121,0,18.242,0a1.463,1.463,0,0,0,.747-.2,1.566,1.566,0,0,0,.808-1.46Q1819.411,1151.459,1819.415,1146.947Zm-15.184,7.521q-1.424-.007-2.848,0c-.119,0-.146-.034-.145-.148q0-4.943,0-9.886c0-.118.035-.146.149-.145q1.431.007,2.863,0c.118,0,.146.035.145.149q-.005,2.479,0,4.957c0,1.639,0,3.276,0,4.915C1804.4,1154.441,1804.355,1154.468,1804.231,1154.468Zm-1.4-11.561a1.839,1.839,0,1,1,1.838-1.846A1.842,1.842,0,0,1,1802.828,1142.907Zm13.435,9.517c.005.633,0,1.266,0,1.9,0,.119-.034.144-.148.144q-1.432-.007-2.864,0c-.125,0-.164-.028-.163-.16q.006-2.626,0-5.252a3.805,3.805,0,0,0-.185-1.265,1.349,1.349,0,0,0-1.268-.968,2.422,2.422,0,0,0-.83.07,1.544,1.544,0,0,0-1.082,1.072,4.428,4.428,0,0,0-.191,1.433q-.006,2.451,0,4.9c0,.139-.039.168-.171.167q-1.4-.008-2.808,0c-.147,0-.172-.044-.172-.18q.007-2.458,0-4.917t0-4.93c0-.124.032-.155.155-.154q1.362.008,2.724,0c.116,0,.151.031.148.148-.007.382,0,.764,0,1.145,0,.034-.021.083.028.1s.05-.032.066-.059a3.184,3.184,0,0,1,2.343-1.522,4.572,4.572,0,0,1,2.349.233,2.834,2.834,0,0,1,1.7,1.807,6.148,6.148,0,0,1,.333,1.791C1816.3,1149.426,1816.251,1150.926,1816.263,1152.424Z',
    transform: 'translate(-1798.069 -1136.295)'
  }));
};

var InstagramIcon = function InstagramIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 21.309 21.309'
  }, React.createElement("path", {
    d: 'M10.654,1.894a32.669,32.669,0,0,1,4.262.118,5.491,5.491,0,0,1,2.013.355A4.158,4.158,0,0,1,18.941,4.38,5.491,5.491,0,0,1,19.3,6.393c0,1.065.118,1.421.118,4.262a32.667,32.667,0,0,1-.118,4.262,5.491,5.491,0,0,1-.355,2.013,4.158,4.158,0,0,1-2.013,2.013,5.491,5.491,0,0,1-2.012.355c-1.065,0-1.421.118-4.262.118A32.667,32.667,0,0,1,6.393,19.3a5.491,5.491,0,0,1-2.013-.355,4.158,4.158,0,0,1-2.013-2.013,5.491,5.491,0,0,1-.355-2.012c0-1.065-.118-1.421-.118-4.262a32.669,32.669,0,0,1,.118-4.262A5.491,5.491,0,0,1,2.368,4.38,4.252,4.252,0,0,1,3.2,3.2,2,2,0,0,1,4.38,2.368a5.491,5.491,0,0,1,2.013-.355,32.669,32.669,0,0,1,4.262-.118m0-1.894a34.979,34.979,0,0,0-4.38.118,7.308,7.308,0,0,0-2.6.474A4.634,4.634,0,0,0,1.776,1.776,4.634,4.634,0,0,0,.592,3.67a5.394,5.394,0,0,0-.474,2.6A34.979,34.979,0,0,0,0,10.654a34.979,34.979,0,0,0,.118,4.38,7.308,7.308,0,0,0,.474,2.6,4.634,4.634,0,0,0,1.184,1.894A4.634,4.634,0,0,0,3.67,20.717a7.308,7.308,0,0,0,2.6.474,34.977,34.977,0,0,0,4.38.118,34.977,34.977,0,0,0,4.38-.118,7.308,7.308,0,0,0,2.6-.474,4.967,4.967,0,0,0,3.078-3.078,7.308,7.308,0,0,0,.474-2.6c0-1.184.118-1.539.118-4.38a34.977,34.977,0,0,0-.118-4.38,7.308,7.308,0,0,0-.474-2.6,4.634,4.634,0,0,0-1.184-1.894A4.634,4.634,0,0,0,17.639.592a7.309,7.309,0,0,0-2.6-.474A34.979,34.979,0,0,0,10.654,0m0,5.209a5.358,5.358,0,0,0-5.446,5.446,5.446,5.446,0,1,0,5.446-5.446m0,9A3.488,3.488,0,0,1,7.1,10.654,3.488,3.488,0,0,1,10.654,7.1a3.488,3.488,0,0,1,3.551,3.551,3.488,3.488,0,0,1-3.551,3.551M16.337,3.67a1.3,1.3,0,1,0,1.3,1.3,1.314,1.314,0,0,0-1.3-1.3'
  }));
};

var WeChatIcon = function WeChatIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 23.13 19.97'
  }, React.createElement("path", {
    d: 'M21.06,17.32a5.29,5.29,0,0,0,.76-7.06A7.22,7.22,0,0,0,11.7,8.86l-.51.42a5.38,5.38,0,0,0-1.48,6,6.6,6.6,0,0,0,7.74,3.87,2.87,2.87,0,0,1,2.47.27c.2.11.41.2.65.32a1.29,1.29,0,0,0,0-.19.54.54,0,0,0-.05-.21C20.08,18.48,20.43,17.9,21.06,17.32Zm-7.23-5.63a.8.8,0,0,1-.05.21,1.74,1.74,0,0,1-.11.18l-.05.05a.83.83,0,0,1-.18.13.68.68,0,0,1-.35.09H13a.76.76,0,0,1-.67-.66v-.07s0-.09,0-.14l0-.08a.61.61,0,0,1,.13-.22.7.7,0,0,1,.54-.26.6.6,0,0,1,.23,0l.07,0,.13.06a.71.71,0,0,1,.33.59Zm4.5.53a.71.71,0,0,1-.4.13.68.68,0,0,1-.65-.43,1.27,1.27,0,0,1-.06-.28h0a.93.93,0,0,1,.05-.29.7.7,0,0,1,.24-.32.67.67,0,0,1,.39-.12h.16a.72.72,0,0,1,.42.24.73.73,0,0,1,.17.47.7.7,0,0,1-.32.58Z'
  }), React.createElement("path", {
    d: 'M3.22,15.44a10.76,10.76,0,0,0,1.81-1,2.29,2.29,0,0,1,1.8-.35c.57.1,1.15.14,1.73.21,0-4.92,2.89-7,7.41-7.62a6.25,6.25,0,0,0-1.33-3.33A8.48,8.48,0,0,0,2.74,2.17,6.44,6.44,0,0,0,.3,6.85v.82l0,.38a6.46,6.46,0,0,0,2.76,4.52c.66.51.66.5.46,1.32C3.42,14.4,3.32,14.93,3.22,15.44ZM10.62,5.3A1,1,0,0,1,11,5a1.06,1.06,0,0,1,.25-.09h.18a1.05,1.05,0,0,1,.34.08,1,1,0,0,1,.32.26.78.78,0,0,1,.16.37.3.3,0,0,1,0,.1v.09a.81.81,0,0,1-.62.83,1,1,0,0,1-.25,0,.89.89,0,0,1-.52-.14l-.07,0a.86.86,0,0,1-.3-.5s0-.06,0-.09v-.1a.79.79,0,0,1,.17-.49Zm-6.11.34a.29.29,0,0,1,0-.09l.06-.16a1,1,0,0,1,.15-.21.86.86,0,0,1,.63-.26h0a.9.9,0,0,1,.48.14l.07.05.13.12a.85.85,0,0,1,.21.45.28.28,0,0,1,0,.09h0a1.09,1.09,0,0,1,0,.18s0,.06,0,.09a.92.92,0,0,1-.16.31.94.94,0,0,1-1.27.14l-.12-.11L4.6,6.25l0-.08a1,1,0,0,1-.07-.34,1.23,1.23,0,0,1,0-.19Z'
  }));
};

var MailIcon = function MailIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 26.016 26.016'
  }, React.createElement("path", {
    d: 'M0,0H26.016V26.016H0Z',
    fill: 'none'
  }), React.createElement("path", {
    d: 'M23.68,6.168A2.174,2.174,0,0,0,21.512,4H4.168A2.174,2.174,0,0,0,2,6.168V19.176a2.174,2.174,0,0,0,2.168,2.168H21.512a2.174,2.174,0,0,0,2.168-2.168Zm-2.168,0L12.84,11.577,4.168,6.168Zm0,13.008H4.168V8.336l8.672,5.42,8.672-5.42Z',
    transform: 'translate(0.168 0.336)'
  }));
};

var MenuIcon = function MenuIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor'
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M4 6h16M4 12h16M4 18h16'
  }));
};

var CheckIcon = function CheckIcon(_ref) {
  var className = _ref.className,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 2 : _ref$strokeWidth;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor',
    strokeWidth: strokeWidth
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    d: 'M5 13l4 4L19 7'
  }));
};

var CloseIcon = function CloseIcon(_ref) {
  var className = _ref.className,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 2 : _ref$strokeWidth;
  return React.createElement("svg", {
    className: className,
    viewBox: '0 0 24 24',
    xmlns: 'http://www.w3.org/2000/svg',
    stroke: 'currentColor',
    strokeWidth: strokeWidth
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    d: 'M12 11.293l10.293-10.293.707.707-10.293 10.293 10.293 10.293-.707.707-10.293-10.293-10.293 10.293-.707-.707 10.293-10.293-10.293-10.293.707-.707 10.293 10.293z'
  }));
};

var TeamsIcon = function TeamsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 30 30',
    fill: 'currentColor',
    className: className
  }, React.createElement("g", {
    transform: 'translate(1.25 5)'
  }, React.createElement("path", {
    d: 'M16.67,13.13a5.814,5.814,0,0,1,2.913,4.837v3.75h5v-3.75C24.583,15.242,20.12,13.63,16.67,13.13Z',
    transform: 'translate(2.917 -1.718)'
  }), React.createElement("path", {
    d: 'M15.333,14a5,5,0,1,0,0-10,5.223,5.223,0,0,0-1.662.3,7.475,7.475,0,0,1,0,9.4A5.223,5.223,0,0,0,15.333,14Z',
    transform: 'translate(2.167 -4)'
  }), React.createElement("path", {
    d: 'M10,14A5,5,0,1,0,5,9,5,5,0,0,0,10,14Zm0-7.5A2.5,2.5,0,1,1,7.5,9,2.507,2.507,0,0,1,10,6.5Z',
    transform: 'translate(0 -4)'
  }), React.createElement("path", {
    d: 'M11,13C7.663,13,1,14.675,1,18v3.75H21V18C21,14.675,14.338,13,11,13Zm7.5,6.25H3.5V18.013c.25-.9,4.125-2.512,7.5-2.512s7.25,1.612,7.5,2.5Z',
    transform: 'translate(-1 -1.75)'
  })));
};

var BricksIcon = function BricksIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 68.938 41.627',
    fill: '#222124'
  }, React.createElement("path", {
    d: 'M370.13,290.286h20.745V280.5H370.13Z',
    transform: 'translate(-359.17 -259.619)'
  }), React.createElement("path", {
    d: 'M311.045,200.69H290.3v9.783h20.745Z',
    transform: 'translate(-268.377 -190.769)'
  }), React.createElement("path", {
    d: 'M231.245,280.5H210.5v9.784h20.745Z',
    transform: 'translate(-177.617 -259.618)'
  }), React.createElement("path", {
    d: 'M130.68,370.1h20.745v-9.784H130.68Z',
    transform: 'translate(-86.835 -328.469)'
  }), React.createElement("path", {
    d: 'M290.3,370.1h20.745v-9.784H290.3Z',
    transform: 'translate(-268.377 -328.469)'
  }), React.createElement("path", {
    d: 'M449.94,370.1h20.744v-9.784H449.94Z',
    transform: 'translate(-449.94 -328.469)'
  }), React.createElement("path", {
    d: 'M539.533,280.5H529.75v9.784h9.783Z',
    transform: 'translate(-529.75 -259.618)'
  }), React.createElement("path", {
    d: 'M459.716,210.479h10.962V200.7H449.934v9.783Z',
    transform: 'translate(-449.933 -190.774)'
  }), React.createElement("path", {
    d: 'M102.283,144.59l19.556-6.918-3.263-9.223L99.02,135.367Z',
    transform: 'translate(-52.9 -128.449)'
  }));
};

var AccountIcon = function AccountIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 20 20',
    fill: 'currentColor'
  }, React.createElement("path", {
    fillRule: 'evenodd',
    d: 'M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-6-3a2 2 0 11-4 0 2 2 0 014 0zm-2 4a5 5 0 00-4.546 2.916A5.986 5.986 0 0010 16a5.986 5.986 0 004.546-2.084A5 5 0 0010 11z',
    clipRule: 'evenodd'
  }));
};

var ChevronIcon = function ChevronIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 20 20',
    fill: 'currentColor'
  }, React.createElement("path", {
    fillRule: 'evenodd',
    d: 'M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z',
    clipRule: 'evenodd'
  }));
};

var WarningIcon = function WarningIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 24 24',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M12 5.99L19.53 19H4.47L12 5.99M12 2L1 21h22L12 2zm1 14h-2v2h2v-2zm0-6h-2v4h2v-4z'
  }));
};

var DownloadIcon = function DownloadIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 30.797 30.797',
    className: className
  }, React.createElement("g", {
    transform: 'translate(5.153 5.033)'
  }, React.createElement("path", {
    d: 'M22.035,18.17v3.865H6.576V18.17H4v3.865a2.584,2.584,0,0,0,2.576,2.576H22.035a2.584,2.584,0,0,0,2.576-2.576V18.17Zm-1.288-5.153L18.93,11.2l-3.336,3.324V4H13.017V14.525L9.681,11.2,7.865,13.017l6.441,6.441Z',
    transform: 'translate(-4 -4)',
    fill: 'currentColor'
  })));
};

var LocationIcon = function LocationIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'currentColor',
    viewBox: '0 0 24 24'
  }, React.createElement("path", {
    d: 'M0,0H24V24H0Z',
    fill: 'none'
  }), React.createElement("path", {
    d: 'M12,12a2,2,0,1,1,2-2A2.006,2.006,0,0,1,12,12Zm6-1.8a6,6,0,1,0-12,0c0,2.34,1.95,5.44,6,9.14C16.05,15.64,18,12.54,18,10.2ZM12,2a7.955,7.955,0,0,1,8,8.2q0,4.98-8,11.8Q4.005,15.175,4,10.2A7.955,7.955,0,0,1,12,2Z'
  }));
};

var SettingsIcon = function SettingsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    fill: 'none',
    viewBox: '0 0 24 24',
    stroke: 'currentColor'
  }, React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M10.325 4.317c.426-1.756 2.924-1.756 3.35 0a1.724 1.724 0 002.573 1.066c1.543-.94 3.31.826 2.37 2.37a1.724 1.724 0 001.065 2.572c1.756.426 1.756 2.924 0 3.35a1.724 1.724 0 00-1.066 2.573c.94 1.543-.826 3.31-2.37 2.37a1.724 1.724 0 00-2.572 1.065c-.426 1.756-2.924 1.756-3.35 0a1.724 1.724 0 00-2.573-1.066c-1.543.94-3.31-.826-2.37-2.37a1.724 1.724 0 00-1.065-2.572c-1.756-.426-1.756-2.924 0-3.35a1.724 1.724 0 001.066-2.573c-.94-1.543.826-3.31 2.37-2.37.996.608 2.296.07 2.572-1.065z'
  }), React.createElement("path", {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeWidth: 2,
    d: 'M15 12a3 3 0 11-6 0 3 3 0 016 0z'
  }));
};

var TriangleIcon = function TriangleIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 48 24',
    className: clsx('ii-icon-horizontal', className),
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M21.172,2.828a4,4,0,0,1,5.657,0L41.172,17.172A4,4,0,0,1,38.343,24H9.657a4,4,0,0,1-2.828-6.828Z'
  }));
};

var ChainLinkIcon = function ChainLinkIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 21.494 21.494',
    fill: '#202334'
  }, React.createElement("path", {
    d: 'M133.87,73.005l-1.088,1.081a2.437,2.437,0,0,1-3.419,0,2.37,2.37,0,0,1,0-3.364l4-3.97c.829-.823,2.39-2.035,3.528-.907a1.332,1.332,0,1,0,1.877-1.89c-1.932-1.918-4.79-1.564-7.28.907l-4,3.971a5.027,5.027,0,0,0,0,7.141,5.1,5.1,0,0,0,7.171,0l1.089-1.081a1.332,1.332,0,0,0-1.878-1.889ZM146,57.578a4.757,4.757,0,0,0-6.9-.265l-1.356,1.346a1.331,1.331,0,1,0,1.875,1.889l1.357-1.345a2.159,2.159,0,0,1,3.151.265,2.366,2.366,0,0,1,0,3.362l-4.272,4.237c-1.953,1.936-2.869,1.029-3.26.641A1.331,1.331,0,0,0,134.72,69.6a4.2,4.2,0,0,0,2.993,1.33,5.87,5.87,0,0,0,4.021-1.971l4.272-4.236a5.029,5.029,0,0,0,0-7.143Z',
    transform: 'translate(-125.999 -55.955)'
  }));
};

var NotAllowedIcon = function NotAllowedIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    className: clsx('ii-icon', className),
    viewBox: '0 0 24 24',
    fill: 'currentColor'
  }, React.createElement("path", {
    d: 'M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zM4 12c0-4.42 3.58-8 8-8 1.85 0 3.55.63 4.9 1.69L5.69 16.9C4.63 15.55 4 13.85 4 12zm8 8c-1.85 0-3.55-.63-4.9-1.69L18.31 7.1C19.37 8.45 20 10.15 20 12c0 4.42-3.58 8-8 8z'
  }));
};

var InstitutionIcon = function InstitutionIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 42.545 36',
    className: className,
    fill: 'currentColor'
  }, React.createElement("g", {
    transform: 'translate(-103.1 -71.082)'
  }, React.createElement("path", {
    d: 'M179.07,242.02h4.909v14.727H179.07Z',
    transform: 'translate(-69.425 -156.211)'
  }), React.createElement("path", {
    d: 'M274.03,242.02h4.909v14.727H274.03Z',
    transform: 'translate(-156.203 -156.211)'
  }), React.createElement("path", {
    d: 'M369,242.02h4.909v14.727H369Z',
    transform: 'translate(-242.991 -156.211)'
  }), React.createElement("path", {
    d: 'M463.95,242.02h4.909v14.727H463.95Z',
    transform: 'translate(-329.76 -156.211)'
  }), React.createElement("path", {
    d: 'M141.08,431.94h36v1.637h-36Z',
    transform: 'translate(-34.708 -329.768)'
  }), React.createElement("path", {
    d: 'M103.1,469.93h42.545v1.637H103.1Z',
    transform: 'translate(0 -364.485)'
  }), React.createElement("path", {
    d: 'M143.37,71.082H140.1l-18,11.455v1.637H161.37V82.537Z',
    transform: 'translate(-17.361)'
  })));
};

var NewsIcon = function NewsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M19,5v14H5V5H19 M19,3H5C3.9,3,3,3.9,3,5v14c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V5C21,3.9,20.1,3,19,3L19,3z'
  }), React.createElement("path", {
    d: 'M14,17H7v-2h7V17z M17,13H7v-2h10V13z M17,9H7V7h10V9z'
  }));
};

var JudgingIcon = function JudgingIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M19,5h-2V3H7v2H5C3.9,5,3,5.9,3,7v1c0,2.55,1.92,4.63,4.39,4.94c0.63,1.5,1.98,2.63,3.61,2.96V19H7v2h10v-2h-4v-3.1 c1.63-0.33,2.98-1.46,3.61-2.96C19.08,12.63,21,10.55,21,8V7C21,5.9,20.1,5,19,5z M5,8V7h2v3.82C5.84,10.4,5,9.3,5,8z M12,14 c-1.65,0-3-1.35-3-3V5h6v6C15,12.65,13.65,14,12,14z M19,8c0,1.3-0.84,2.4-2,2.82V7h2V8z'
  }));
};

var CalendarIcon = function CalendarIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("g", null, React.createElement("path", {
    d: 'M19,4h-1V2h-2v2H8V2H6v2H5C3.89,4,3.01,4.9,3.01,6L3,20c0,1.1,0.89,2,2,2h14c1.1,0,2-0.9,2-2V6C21,4.9,20.1,4,19,4z M19,20 H5V10h14V20z M19,8H5V6h14V8z M9,14H7v-2h2V14z M13,14h-2v-2h2V14z M17,14h-2v-2h2V14z M9,18H7v-2h2V18z M13,18h-2v-2h2V18z M17,18 h-2v-2h2V18z'
  })));
};

var DeliverablesIcon = function DeliverablesIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M5,5h2v3h10V5h2v5h2V5c0-1.1-0.9-2-2-2h-4.18C14.4,1.84,13.3,1,12,1S9.6,1.84,9.18,3H5C3.9,3,3,3.9,3,5v14 c0,1.1,0.9,2,2,2h6v-2H5V5z M12,3c0.55,0,1,0.45,1,1s-0.45,1-1,1s-1-0.45-1-1S11.45,3,12,3z'
  }), React.createElement("polygon", {
    points: '21,11.5 15.51,17 12.5,14 11,15.5 15.51,20 22.5,13'
  }));
};

var RegistrationIcon = function RegistrationIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M11,7L9.6,8.4l2.6,2.6H2v2h10.2l-2.6,2.6L11,17l5-5L11,7z M20,19h-8v2h8c1.1,0,2-0.9,2-2V5c0-1.1-0.9-2-2-2h-8v2h8V19z'
  }));
};

var SponsorshipsIcon = function SponsorshipsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M12.22,19.85c-0.18,0.18-0.5,0.21-0.71,0c-0.18-0.18-0.21-0.5,0-0.71l3.39-3.39l-1.41-1.41l-3.39,3.39 c-0.19,0.2-0.51,0.19-0.71,0c-0.21-0.21-0.18-0.53,0-0.71l3.39-3.39l-1.41-1.41l-3.39,3.39c-0.18,0.18-0.5,0.21-0.71,0 c-0.19-0.19-0.19-0.51,0-0.71l3.39-3.39L9.24,10.1l-3.39,3.39c-0.18,0.18-0.5,0.21-0.71,0c-0.19-0.2-0.19-0.51,0-0.71L9.52,8.4 l1.87,1.86c0.95,0.95,2.59,0.94,3.54,0c0.98-0.98,0.98-2.56,0-3.54l-1.86-1.86l0.28-0.28c0.78-0.78,2.05-0.78,2.83,0l4.24,4.24 c0.78,0.78,0.78,2.05,0,2.83L12.22,19.85z M21.83,13.07c1.56-1.56,1.56-4.09,0-5.66l-4.24-4.24c-1.56-1.56-4.09-1.56-5.66,0 l-0.28,0.28l-0.28-0.28c-1.56-1.56-4.09-1.56-5.66,0L2.17,6.71c-1.42,1.42-1.55,3.63-0.4,5.19l1.45-1.45 C2.83,9.7,2.96,8.75,3.59,8.12l3.54-3.54c0.78-0.78,2.05-0.78,2.83,0l3.56,3.56c0.18,0.18,0.21,0.5,0,0.71 c-0.21,0.21-0.53,0.18-0.71,0L9.52,5.57l-5.8,5.79c-0.98,0.97-0.98,2.56,0,3.54c0.39,0.39,0.89,0.63,1.42,0.7 c0.07,0.52,0.3,1.02,0.7,1.42c0.4,0.4,0.9,0.63,1.42,0.7c0.07,0.52,0.3,1.02,0.7,1.42c0.4,0.4,0.9,0.63,1.42,0.7 c0.07,0.54,0.31,1.03,0.7,1.42c0.47,0.47,1.1,0.73,1.77,0.73c0.67,0,1.3-0.26,1.77-0.73L21.83,13.07z'
  }));
};

var ParticipationIcon = function ParticipationIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M12.36 6l.4 2H18v6h-3.36l-.4-2H7V6h5.36M14 4H5v17h2v-7h5.6l.4 2h7V6h-5.6L14 4z'
  }));
};

var PreviousYearsIcon = function PreviousYearsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: clsx('ii-sidebar-icon', className)
  }, React.createElement("path", {
    d: 'M12 7.13l.97 2.29.47 1.11 1.2.1 2.47.21-1.88 1.63-.91.79.27 1.18.56 2.41-2.12-1.28-1.03-.64-1.03.62-2.12 1.28.56-2.41.27-1.18-.91-.79-1.88-1.63 2.47-.21 1.2-.1.47-1.11.97-2.27M12 2L9.19 8.63 2 9.24l5.46 4.73L5.82 21 12 17.27 18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2z'
  }));
};

var HomeIcon = function HomeIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M12,5.69l5,4.5V18H15V12H9v6H7V10.19l5-4.5M12,3,2,12H5v8h6V14h2v6h6V12h3Z'
  }));
};

var FormsIcon$1 = function FormsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M11,7h6V9H11Zm0,4h6v2H11Zm0,4h6v2H11ZM7,7H9V9H7Zm0,4H9v2H7Zm0,4H9v2H7ZM20.1,3H3.9a.9.9,0,0,0-.9.9V20.1a.967.967,0,0,0,.9.9H20.1a1.061,1.061,0,0,0,.9-.9V3.9A.967.967,0,0,0,20.1,3ZM19,19H5V5H19Z'
  }));
};

var TeamListIcon = function TeamListIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M12.5,10a3,3,0,1,0-3,3A3.009,3.009,0,0,0,12.5,10Zm-3,1a1,1,0,1,1,1-1A1,1,0,0,1,9.5,11ZM16,13a2,2,0,1,0-2-2A1.993,1.993,0,0,0,16,13ZM11.99,2.01a10,10,0,1,0,10,10,10,10,0,0,0-10-10ZM5.84,17.12A6.813,6.813,0,0,1,9.5,16.01c.07,0,.15.01.23.01a4.825,4.825,0,0,1,1.3-1.86A9.05,9.05,0,0,0,9.5,14a8.939,8.939,0,0,0-4.73,1.43A7.884,7.884,0,0,1,3.99,12a8,8,0,1,1,15.25,3.37A7.041,7.041,0,0,0,16,14.5c-1.52,0-4.5.81-4.5,2.7v2.78A7.935,7.935,0,0,1,5.84,17.12Z'
  }));
};

var DashboardIcon = function DashboardIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M19,5V7H15V5h4M9,5v6H5V5H9m10,8v6H15V13h4M9,17v2H5V17H9M21,3H13V9h8ZM11,3H3V13h8Zm10,8H13V21h8ZM11,15H3v6h8Z'
  }));
};

var SubmissionsIcon = function SubmissionsIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M14,2H6A2,2,0,0,0,4.01,4L4,20a2,2,0,0,0,1.99,2H18a2.006,2.006,0,0,0,2-2V8Zm4,18H6V4h7V9h5ZM8,15.01l1.41,1.41L11,14.84V19h2V14.84l1.59,1.59L16,15.01,12.01,11Z'
  }));
};

var WikiEditingIcon = function WikiEditingIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M3,10H14v2H3ZM3,8H14V6H3Zm0,8h7V14H3Zm15.01-3.13.71-.71a1,1,0,0,1,1.41,0l.71.71a1,1,0,0,1,0,1.41l-.71.71Zm-.71.71L12,18.88V21h2.12l5.3-5.3Z'
  }));
};

var MyIgemExperienceIcon = function MyIgemExperienceIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M19,4h-1V2h-2v2H8V2H6v2H5C3.89,4,3.01,4.9,3.01,6L3,20c0,1.1,0.89,2,2,2h14c1.1,0,2-0.9,2-2V6C21,4.9,20.1,4,19,4z M19,20 H5V10h14V20z M19,8H5V6h14V8z M9,14H7v-2h2V14z M13,14h-2v-2h2V14z M17,14h-2v-2h2V14z M9,18H7v-2h2V18z M13,18h-2v-2h2V18z M17,18 h-2v-2h2V18z'
  }));
};

var EventRegistrationIcon = function EventRegistrationIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 24 24',
    fill: 'currentColor',
    className: className
  }, React.createElement("path", {
    d: 'M19,4H18V2H16V4H8V2H6V4H5A1.991,1.991,0,0,0,3.01,6L3,20a2,2,0,0,0,2,2H19a2.006,2.006,0,0,0,2-2V6A2.006,2.006,0,0,0,19,4Zm0,16H5V10H19ZM19,8H5V6H19Zm-7,5h5v5H12Z',
    transform: 'translate(0 0)'
  }));
};

var IconsMap = /*#__PURE__*/new Map([['AccountIcon', AccountIcon], ['ArticleIcon', ArticleIcon], ['BricksIcon', BricksIcon], ['CalendarIcon', CalendarIcon], ['CampaignIcon', CampaignIcon], ['ChainLinkIcon', ChainLinkIcon], ['CheckIcon', CheckIcon], ['ChevronIcon', ChevronIcon], ['CloseIcon', CloseIcon], ['DashboardIcon', DashboardIcon], ['DeliverablesIcon', DeliverablesIcon], ['DocsIcon', DocsIcon], ['DownloadIcon', DownloadIcon], ['EventRegistrationIcon', EventRegistrationIcon], ['ExclamationIcon', ExclamationIcon], ['FacebookIcon', FacebookIcon], ['FormsIcon', FormsIcon$1], ['HomeIcon', HomeIcon], ['InstagramIcon', InstagramIcon], ['InstitutionIcon', InstitutionIcon], ['JudgingIcon', JudgingIcon], ['LinkedInIcon', LinkedInIcon], ['LocationIcon', LocationIcon], ['MailIcon', MailIcon], ['MenuIcon', MenuIcon], ['MyFormsIcon', FormsIcon], ['MyIgemExperienceIcon', MyIgemExperienceIcon], ['NewsIcon', NewsIcon], ['NotAllowedIcon', NotAllowedIcon], ['NotificationsIcon', NotificationsIcon], ['ParticipationIcon', ParticipationIcon], ['PinIcon', PinIcon], ['PlayIcon', PlayIcon], ['PreviousYearsIcon', PreviousYearsIcon], ['QuestionIcon', QuestionIcon], ['RegistrationIcon', RegistrationIcon], ['SettingsIcon', SettingsIcon], ['SlackIcon', SlackIcon], ['SponsorshipsIcon', SponsorshipsIcon], ['StatusIcon', StatusIcon], ['SubmissionsIcon', SubmissionsIcon], ['TeamListIcon', TeamListIcon], ['TeamsIcon', TeamsIcon], ['TikTokIcon', TikTokIcon], ['TriangleIcon', TriangleIcon], ['TwitterIcon', TwitterIcon], ['WarningIcon', WarningIcon], ['WeChatIcon', WeChatIcon], ['WikiEditingIcon', WikiEditingIcon], ['WorkspacesIcon', WorkspacesIcon], ['YoutubeIcon', YoutubeIcon]]);

var useClickOutside = function useClickOutside(initialIsVisible, onOutsideClick) {
  var _useState = useState(initialIsVisible),
      isClickOutside = _useState[0],
      setIsClickOutside = _useState[1];

  var ref = useRef(null);

  var handleClickOutside = function handleClickOutside(event) {
    if (ref.current != null && !ref.current.contains(event.target)) {
      setIsClickOutside(true);
      onOutsideClick == null ? void 0 : onOutsideClick();
    }
  };

  useEffect(function () {
    document.addEventListener('click', handleClickOutside, true);
    return function () {
      document.removeEventListener('click', handleClickOutside, true);
    };
  }, []);
  return {
    ref: ref,
    isClickOutside: isClickOutside
  };
};

var ConditionalWrapper = function ConditionalWrapper(_ref) {
  var _ref$condition = _ref.condition,
      condition = _ref$condition === void 0 ? true : _ref$condition,
      wrapper = _ref.wrapper,
      children = _ref.children;
  return condition && wrapper != null ? wrapper(children) : React.createElement(React.Fragment, null, children);
};

var flagConfig = {
  appName: process.env.REACT_APP_FLAGS_CTX_APP_NAME,
  url: process.env.REACT_APP_FLAGS_CTX_URL,
  instanceId: process.env.REACT_APP_FLAGS_CTX_INSTANCE_ID
};
var FeatureFlagWrapper = function FeatureFlagWrapper(_ref) {
  var children = _ref.children;
  return React.createElement(FlagsProvider, {
    config: flagConfig
  }, children);
};

var linkIsOutside = function linkIsOutside(link) {
  return Boolean(link == null ? void 0 : link.includes('http'));
};

var LinkWrapper = function LinkWrapper(_ref) {
  var shouldOpenInNewTabOverride = _ref.shouldOpenInNewTabOverride,
      link = _ref.link,
      children = _ref.children,
      onClick = _ref.onClick,
      className = _ref.className;
  if (link == null) return React.createElement("div", {
    onClick: onClick
  }, children);

  var anchorWrapper = function anchorWrapper(link) {
    return React.createElement("a", {
      target: shouldOpenInNewTabOverride === false ? '_self' : '_blank',
      href: link,
      rel: 'noopener noreferrer',
      onClick: onClick,
      className: className
    }, children);
  };

  var newTabProps = shouldOpenInNewTabOverride === true ? {
    rel: 'noopener',
    target: '_blank'
  } : {};

  var linkWrapper = function linkWrapper(link) {
    return React.createElement(Link, Object.assign({
      to: link,
      className: className,
      onClick: onClick
    }, newTabProps), children);
  };

  return linkIsOutside(link) ? anchorWrapper(link) : linkWrapper(link);
};

var PopoutLinkWrapper = function PopoutLinkWrapper(props) {
  return React.createElement(LinkWrapper, Object.assign({}, props, {
    className: clsx('ii-anchor-wrapper ii-mx-auto ii-flex ii-w-fit', props.link !== undefined && 'ii-transition-base hover:ii-transition-scale', props.className)
  }), props.children);
};

var dateOptions = {
  year: 'numeric',
  month: 'long',
  day: 'numeric'
};
var NewsBox = function NewsBox(props) {
  var imageUrl = props.imageUrl,
      alt = props.alt,
      date = props.date,
      title = props.title,
      children = props.children,
      link = props.link,
      shouldOpenInNewTabOverride = props.shouldOpenInNewTabOverride,
      _props$showFullImage = props.showFullImage,
      showFullImage = _props$showFullImage === void 0 ? false : _props$showFullImage;
  return React.createElement(ConditionalWrapper, {
    condition: link !== undefined,
    wrapper: function wrapper(children) {
      return React.createElement(PopoutLinkWrapper, {
        shouldOpenInNewTabOverride: shouldOpenInNewTabOverride,
        link: link
      }, children);
    }
  }, React.createElement("div", {
    className: 'ii-card-element-base ii-news-box-div ii-flex ii-max-w-xl ii-flex-col'
  }, React.createElement("img", {
    className: clsx('ii-news-box-img', !showFullImage && 'ii-aspect-video ii-object-cover'),
    src: imageUrl,
    alt: alt
  }), React.createElement("div", {
    className: 'ii-card-element-background ii-content-box-padding ii-page-content ii-news-box-text-div ii-flex-grow'
  }, date !== undefined && React.createElement("div", {
    className: 'ii-small-caps ii-news-box-date ii-text-neutral-600 ii-mb-2 ii-text-sm'
  }, new Date(date).toLocaleString('en-US', dateOptions).toUpperCase()), React.createElement("h4", {
    className: 'ii-news-box-title !ii-my-0'
  }, title), children !== undefined && React.createElement("p", {
    className: 'ii-news-box-text'
  }, children))));
};

var LinkCardSize;

(function (LinkCardSize) {
  LinkCardSize["TINY"] = "tiny";
  LinkCardSize["SMALL"] = "small";
  LinkCardSize["MEDIUM"] = "medium";
  LinkCardSize["LARGE"] = "large";
})(LinkCardSize || (LinkCardSize = {}));

var linkCardSizeMap = {
  tiny: 'ii-h-24',
  small: 'ii-h-36',
  medium: 'ii-h-48',
  large: 'ii-h-60'
};
var LinkCard = function LinkCard(props) {
  var title = props.title,
      link = props.link,
      imageUrl = props.imageUrl,
      _props$showFullImage = props.showFullImage,
      showFullImage = _props$showFullImage === void 0 ? false : _props$showFullImage,
      size = props.size,
      _props$displayFullPat = props.displayFullPath,
      displayFullPath = _props$displayFullPat === void 0 ? false : _props$displayFullPat,
      shouldOpenInNewTabOverride = props.shouldOpenInNewTabOverride;
  var strippedUrl;

  try {
    var urlObj;

    if (link.startsWith('/')) {
      urlObj = new URL(link, window.location.origin);
      if (displayFullPath) strippedUrl = "" + urlObj.hostname + urlObj.pathname;else strippedUrl = link;
    } else {
      urlObj = new URL(link);
      if (displayFullPath) strippedUrl = "" + urlObj.hostname + urlObj.pathname;else strippedUrl = urlObj.hostname;
    }
  } catch (_unused) {
    strippedUrl = 'N/A';
  }

  return React.createElement(PopoutLinkWrapper, {
    className: 'ii-card-element-base ii-link-card-div ii-flex ii-flex-col ii-bg-white',
    link: link,
    shouldOpenInNewTabOverride: shouldOpenInNewTabOverride
  }, React.createElement("div", {
    style: {
      backgroundImage: "url(" + imageUrl + ")"
    },
    className: clsx('ii-background-image ii-w-full ii-flex-grow', showFullImage && 'ii-bg-contain', linkCardSizeMap[size != null ? size : LinkCardSize.SMALL])
  }), React.createElement("div", {
    className: 'ii-flex-wrap-none ii-m-2.5 ii-flex ii-flex-row ii-items-center'
  }, React.createElement(ChainLinkIcon, {
    className: 'ii-mx-2.5 ii-h-4 ii-w-4 ii-flex-shrink-0'
  }), React.createElement("div", {
    className: 'ii-mx-2 ii-min-w-0'
  }, React.createElement("p", {
    className: 'ii-truncate ii-text-sm ii-font-bold'
  }, title), React.createElement("p", {
    className: 'ii-truncate ii-text-sm ii-placeholder-opacity-80'
  }, strippedUrl))));
};

var VideoSize;

(function (VideoSize) {
  VideoSize["SMALL"] = "small";
  VideoSize["MEDIUM"] = "medium";
  VideoSize["LARGE"] = "large";
  VideoSize["AUTO"] = "auto";
})(VideoSize || (VideoSize = {}));

var videoSizeMap = {
  small: 'ii-h-36',
  medium: 'ii-h-48',
  large: 'ii-h-60',
  auto: 'ii-w-full'
};
var igemVideosUrl = 'video.igem.org';
var VideoCard = function VideoCard(props) {
  var title = props.title,
      video = props.video,
      size = props.size;

  var _useState = useState(true),
      titleVisible = _useState[0],
      setTitleVisible = _useState[1];

  var _useState2 = useState(true),
      isPaused = _useState2[0],
      setIsPaused = _useState2[1];

  return React.createElement("div", {
    className: clsx('ii-shadow--normal ii-video-card-div ii-relative ii-aspect-video ii-overflow-hidden ii-rounded-md ii-bg-white', videoSizeMap[size != null ? size : VideoSize.AUTO]),
    onMouseEnter: function onMouseEnter() {
      return setTitleVisible(true);
    },
    onMouseLeave: function onMouseLeave() {
      return !isPaused && setTitleVisible(false);
    }
  }, video.includes(igemVideosUrl) ? React.createElement("iframe", {
    className: 'ii-video-card-iframe ii-h-full ii-w-full',
    title: title,
    width: '560',
    height: '315',
    src: video + '?warningTitle=0&amp;peertubeLink=0',
    frameBorder: '0',
    allowFullScreen: true,
    sandbox: 'allow-same-origin allow-scripts allow-popups'
  }) : React.createElement(React.Fragment, null, React.createElement("video", {
    className: 'ii-h-full',
    controls: true,
    src: video,
    onPlay: function onPlay() {
      setIsPaused(false);
    },
    onPause: function onPause() {
      setIsPaused(true);
      setTitleVisible(true);
    }
  }, "Sorry, your browser doesn't support embedded videos."), React.createElement("div", {
    className: clsx(!titleVisible && 'ii-fade-out-animation ii-opacity-0', 'ii-video-card-title ii-video-card-title-shadow ii-absolute ii-top-0 ii-m-4 ii-font-bold ii-text-white')
  }, title)));
};

var ContentBox = function ContentBox(props) {
  var title = props.title,
      subtitle = props.subtitle,
      children = props.children,
      link = props.link,
      shouldOpenInNewTabOverride = props.shouldOpenInNewTabOverride,
      imageUrl = props.imageUrl,
      showFullImage = props.showFullImage,
      alt = props.alt;
  return React.createElement(ConditionalWrapper, {
    condition: link !== undefined,
    wrapper: function wrapper(children) {
      return React.createElement(PopoutLinkWrapper, {
        shouldOpenInNewTabOverride: shouldOpenInNewTabOverride,
        link: link,
        className: clsx(imageUrl !== undefined && 'ii-anchor-wrapper__content-box--image')
      }, children);
    }
  }, React.createElement("div", {
    className: 'ii-card-element-base ii-card-element-background ii-dynamic-flex'
  }, imageUrl !== undefined && React.createElement("div", {
    className: clsx('ii-background-image ii-h-auto ii-w-full', showFullImage === true && 'ii-bg-contain'),
    title: alt,
    style: {
      backgroundImage: "url(" + imageUrl + ")",
      backgroundPosition: 'center',
      minHeight: '12rem'
    }
  }), React.createElement("div", {
    className: 'ii-content-box-padding ii-content-box-body'
  }, title !== undefined && React.createElement("h4", {
    className: 'ii-content-box__title !ii-my-0'
  }, title), subtitle !== undefined && React.createElement("p", {
    className: 'ii-content-box__subtitle !ii-mt-1 ii-text-igem-red'
  }, subtitle), children !== undefined && React.createElement("p", {
    className: 'ii-content-box__text'
  }, children))));
};

var RibbonPosition;

(function (RibbonPosition) {
  RibbonPosition["RIGHT"] = "right";
  RibbonPosition["LEFT"] = "left";
  RibbonPosition["TOP"] = "top";
  RibbonPosition["BOTTOM"] = "bottom";
})(RibbonPosition || (RibbonPosition = {}));

var RibbonColor;

(function (RibbonColor) {
  RibbonColor["YELLOW"] = "yellow";
  RibbonColor["BLUE"] = "blue";
  RibbonColor["GREEN"] = "green";
  RibbonColor["ORANGE"] = "orange";
  RibbonColor["RED"] = "red";
  RibbonColor["BLACK"] = "black";
})(RibbonColor || (RibbonColor = {}));

var RibbonContentBox = function RibbonContentBox(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? RibbonColor.GREEN : _ref$color,
      _ref$position = _ref.position,
      position = _ref$position === void 0 ? RibbonPosition.TOP : _ref$position,
      children = _ref.children;
  var ribbonIsHorizontal = position === RibbonPosition.BOTTOM || position === RibbonPosition.TOP;

  var getRibbonPosition = function getRibbonPosition() {
    switch (position) {
      case RibbonPosition.BOTTOM:
        return 'ii-flex-col-reverse';

      case RibbonPosition.LEFT:
        return 'ii-flex-row';

      case RibbonPosition.RIGHT:
        return 'ii-flex-row-reverse';

      case RibbonPosition.TOP:
        return 'ii-flex-col';
    }
  };

  return React.createElement("div", {
    className: clsx('ii-ribbon-content-box ii-flex ii-overflow-hidden ii-rounded-md ii-bg-gray-500 ii-shadow-md', getRibbonPosition())
  }, React.createElement("div", {
    className: clsx('ii-ribbon-content-box__ribbon ii-flex-shrink-0', "ii-bg-igem-" + color, ribbonIsHorizontal ? 'ii-h-3' : 'ii-w-3')
  }), React.createElement("div", {
    className: 'ii-ribbon-content-box__content ii-p-2'
  }, children));
};

var _styles;
var AnnotatedContentBoxVariant;

(function (AnnotatedContentBoxVariant) {
  AnnotatedContentBoxVariant["WHY"] = "why";
  AnnotatedContentBoxVariant["NOTE"] = "note";
  AnnotatedContentBoxVariant["REMINDER"] = "reminder";
  AnnotatedContentBoxVariant["ALERT"] = "alert";
  AnnotatedContentBoxVariant["NOT_ALLOWED"] = "not-allowed";
  AnnotatedContentBoxVariant["PINNED"] = "pinned";
  AnnotatedContentBoxVariant["ANNOUNCEMENT"] = "announcement";
  AnnotatedContentBoxVariant["WARNING"] = "warning";
})(AnnotatedContentBoxVariant || (AnnotatedContentBoxVariant = {}));

var renderAnnotation = function renderAnnotation(title, icon, annotationDivClassname) {
  return React.createElement("div", {
    className: clsx('ii-flex ii-items-center', 'ii-content-box-annotation-div ii-mb-5', annotationDivClassname)
  }, icon, React.createElement("div", {
    className: 'ii-small-caps ii-content-box-annotation ii-ml-2'
  }, title.replace('-', ' ')));
};

var styles = (_styles = {}, _styles[AnnotatedContentBoxVariant.WHY] = {
  box: ['ii-bg-igem-green ii-border-igem-green'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.WHY, React.createElement(QuestionIcon, null), 'ii-text-igem-green');
  }
}, _styles[AnnotatedContentBoxVariant.NOTE] = {
  box: ['ii-bg-igem-blue ii-border-igem-blue'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.NOTE, React.createElement(ArticleIcon, null), 'ii-text-igem-blue');
  }
}, _styles[AnnotatedContentBoxVariant.REMINDER] = {
  box: ['ii-bg-igem-red ii-border-igem-red'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.REMINDER, React.createElement(NotificationsIcon, null), 'ii-text-igem-red');
  }
}, _styles[AnnotatedContentBoxVariant.ALERT] = {
  box: ['ii-bg-igem-red ii-border-igem-red'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.ALERT, React.createElement(ExclamationIcon, null), 'ii-text-igem-red');
  }
}, _styles[AnnotatedContentBoxVariant.NOT_ALLOWED] = {
  box: ['ii-bg-igem-red ii-border-igem-red'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.NOT_ALLOWED, React.createElement(NotAllowedIcon, null), 'ii-text-igem-red');
  }
}, _styles[AnnotatedContentBoxVariant.PINNED] = {
  box: ['ii-bg-igem-orange ii-border-igem-orange'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.PINNED, React.createElement(LocationIcon, null), 'ii-text-igem-orange');
  }
}, _styles[AnnotatedContentBoxVariant.ANNOUNCEMENT] = {
  box: ['ii-bg-igem-orange ii-border-igem-orange'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.ANNOUNCEMENT, React.createElement(CampaignIcon, null), 'ii-text-igem-orange');
  }
}, _styles[AnnotatedContentBoxVariant.WARNING] = {
  box: ['ii-bg-igem-orange ii-border-igem-orange'],
  annotation: function annotation() {
    return renderAnnotation(AnnotatedContentBoxVariant.WARNING, React.createElement(WarningIcon, null), 'ii-text-igem-orange');
  }
}, _styles);
var AnnotatedContentBox = function AnnotatedContentBox(props) {
  var _props$variant = props.variant,
      variant = _props$variant === void 0 ? AnnotatedContentBoxVariant.NOTE : _props$variant,
      title = props.title,
      children = props.children,
      link = props.link,
      shouldOpenInNewTabOverride = props.shouldOpenInNewTabOverride;
  return React.createElement(ConditionalWrapper, {
    condition: link !== undefined,
    wrapper: function wrapper(children1) {
      return React.createElement(PopoutLinkWrapper, {
        link: link,
        shouldOpenInNewTabOverride: shouldOpenInNewTabOverride
      }, children1);
    }
  }, React.createElement("div", {
    className: clsx('ii-card-element-base ii-content-box-padding ii-annotated-content-box-div ii-border ii-bg-opacity-10', styles[variant].box)
  }, styles[variant].annotation(), title !== undefined && React.createElement("h4", null, title), React.createElement("div", {
    className: 'ii-content-box-body ii-annotated-content-box__body'
  }, children !== undefined && React.createElement("p", {
    className: 'ii-annotated-content-box__text'
  }, children))));
};

var daysOfWeek = ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'];
var monthNames = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
var getCurrentMonthDays = function getCurrentMonthDays(currentDate) {
  return Array(currentDate.getDate()).fill(undefined).map(function (_, index) {
    var date = new Date(currentDate.getUTCFullYear(), currentDate.getMonth(), index + 1);
    return {
      date: date,
      dayOfMonth: index + 1,
      isCurrentMonth: true
    };
  });
};
var getPreviousMonthDays = function getPreviousMonthDays(currentDate, currentMonthDays) {
  var firstDate = currentMonthDays[0].date;
  var date = new Date(currentDate.getUTCFullYear(), currentDate.getMonth() - 1, 1);
  var visibleNumberOfDaysFromPreviousMonth = firstDate.getDay();
  var previousMonthLastMondayDayOfMonth = new Date(firstDate.getUTCFullYear(), firstDate.getMonth(), firstDate.getDate() - visibleNumberOfDaysFromPreviousMonth).getDate();
  return [].concat(Array(visibleNumberOfDaysFromPreviousMonth)).map(function (_, index) {
    return {
      date: new Date(date.getUTCFullYear(), date.getMonth(), previousMonthLastMondayDayOfMonth + index),
      dayOfMonth: previousMonthLastMondayDayOfMonth + index,
      isCurrentMonth: false,
      isPreviousMonth: true
    };
  });
};
var getNextMonthDays = function getNextMonthDays(currentDate, currentMonthDays) {
  var date = new Date(currentDate.getUTCFullYear(), currentDate.getMonth() + 1, 1);
  var visibleNumberOfDaysFromNextMonth = 6 - new Date(currentDate.getUTCFullYear(), currentDate.getMonth(), currentMonthDays.length).getDay();
  return [].concat(Array(visibleNumberOfDaysFromNextMonth)).map(function (_, index) {
    return {
      date: new Date(date.getUTCFullYear(), date.getMonth(), index + 1),
      dayOfMonth: index + 1,
      isCurrentMonth: false,
      isNextMonth: true
    };
  });
};
var isSameDay = function isSameDay(a, b) {
  return a.getFullYear() === b.getFullYear() && a.getMonth() === b.getMonth() && a.getDate() === b.getDate();
};
var isDuringDays = function isDuringDays(startDate, endDate, targetDate) {
  return startDate.getTime() <= targetDate.getTime() && endDate.getTime() >= targetDate.getTime();
};
var getFormattedDate = function getFormattedDate(startDate, endDate) {
  var startMonth = monthNames[startDate.getMonth()];

  if (endDate === undefined) {
    return startDate.getDate() + " " + startMonth;
  } else {
    var endMonth = monthNames[endDate.getMonth()];

    if (startMonth === endMonth) {
      return startDate.getDate() + "-" + endDate.getDate() + " " + startMonth;
    } else {
      return startDate.getDate() + " " + startMonth + " - " + endDate.getDate() + " " + endMonth;
    }
  }
};

var Modal = function Modal(_ref) {
  var children = _ref.children,
      close = _ref.close,
      isOpen = _ref.isOpen;
  return React.createElement("div", {
    className: clsx('ii-modal__wrapper ii-fixed ii-top-0 ii-left-0 ii-z-50 ii-h-full ii-w-full ii-bg-black-500 ii-bg-opacity-30', isOpen || 'ii-modal__wrapper--hidden ii-hidden')
  }, React.createElement("div", {
    className: 'ii-modal__body-wrapper ii-flex ii-h-full ii-items-center ii-justify-center'
  }, React.createElement("div", {
    className: 'ii-modal__body ii-relative ii-rounded ii-bg-white ii-px-12 ii-py-6'
  }, close !== undefined && React.createElement("div", {
    className: 'ii-modal__close-wrapper ii-pointer-events-none ii-absolute ii-top-0 ii-left-0 ii-flex ii-h-full ii-w-full ii-justify-end ii-p-4'
  }, React.createElement("button", {
    onClick: close,
    type: 'button',
    className: 'ii-modal__close-button ii-pointer-events-auto ii-h-max'
  }, React.createElement(CloseIcon, {
    className: 'ii-h-3 ii-w-3'
  }))), children)));
};

var Dropdown = function Dropdown(props) {
  var _dropdownRef$current2;

  var title = props.title,
      children = props.children,
      isActive = props.isActive,
      className = props.className;

  var _useState = useState(false),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  var _useState2 = useState(0),
      width = _useState2[0],
      setWidth = _useState2[1];

  var dropdownRef = useRef(null);
  useEffect(function () {
    var _dropdownRef$current$, _dropdownRef$current;

    setWidth((_dropdownRef$current$ = (_dropdownRef$current = dropdownRef.current) == null ? void 0 : _dropdownRef$current.offsetWidth) != null ? _dropdownRef$current$ : 0);
  }, [(_dropdownRef$current2 = dropdownRef.current) == null ? void 0 : _dropdownRef$current2.clientWidth, children]);

  var closeOnOutsideClick = function closeOnOutsideClick() {
    return setIsOpen(false);
  };

  var _useClickOutside = useClickOutside(isOpen, closeOnOutsideClick),
      ref = _useClickOutside.ref;

  return React.createElement("div", {
    style: {
      width: width > 0 ? width + "px" : 'max-content'
    },
    className: clsx('ii-relative', className),
    ref: isOpen ? ref : undefined
  }, React.createElement("div", {
    className: clsx('ii-dropdown-header', isActive === true && 'ii-dropdown-header--active'),
    onClick: function onClick() {
      return setIsOpen(!isOpen);
    }
  }, React.createElement("p", {
    className: 'ii-text-sm'
  }, title), React.createElement(ChevronIcon, {
    className: clsx('ii-dropdown-header-chevron', isOpen && 'ii-dropdown-header-chevron--active')
  })), children !== undefined && React.createElement("div", {
    className: clsx('ii-dropdown-body', isOpen ? 'ii-visible' : 'ii-invisible'),
    ref: dropdownRef
  }, React.createElement("div", {
    className: 'ii-dropdown-scroll'
  }, children)));
};

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }

  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}

function _asyncToGenerator(fn) {
  return function () {
    var self = this,
        args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);

      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }

      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }

      _next(undefined);
    });
  };
}

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var Status;

(function (Status) {
  Status["WARNING"] = "warning";
  Status["INFO"] = "info";
  Status["SUCCESS"] = "success";
  Status["ERROR"] = "error";
})(Status || (Status = {}));

var Message = function Message(_ref) {
  var status = _ref.status,
      message = _ref.message,
      remove = _ref.remove,
      className = _ref.className;

  var getStatusColor = function getStatusColor() {
    switch (status) {
      case Status.ERROR:
        return 'igem-red';

      case Status.INFO:
        return 'igem-blue';

      case Status.SUCCESS:
        return 'igem-green';

      case Status.WARNING:
        return 'igem-orange';
    }
  };

  var color = getStatusColor();

  var getStatusIcon = function getStatusIcon() {
    var baseStyle = "ii-w-8 ii-h-8 ii-text-" + color + " ii-mr-3 ii-flex-shrink-0";

    switch (status) {
      case Status.ERROR:
        return React.createElement(CloseIcon, {
          className: "ii-h-5 ii-w-5 ii-text-" + color + " ii-ml-1 ii-mr-5 ii-flex-shrink-0"
        });

      case Status.INFO:
        return React.createElement(NewsIcon, {
          className: baseStyle
        });

      case Status.SUCCESS:
        return React.createElement(CheckIcon, {
          className: baseStyle
        });

      case Status.WARNING:
        return React.createElement(ExclamationIcon, {
          className: baseStyle
        });
    }
  };

  return React.createElement("div", {
    className: clsx("ii-bg-" + color + "-100 ii-border-" + color, 'ii-flex  ii-w-128 ii-items-center ii-rounded-md ii-border ii-px-8 ii-py-2', className)
  }, getStatusIcon(), React.createElement("div", {
    className: 'ii-flex-1'
  }, React.createElement("p", {
    className: "ii-text-base ii-font-semibold ii-text-" + color
  }, status.toUpperCase()), React.createElement("p", {
    className: "ii-text-sm ii-text-" + color + " ii-font-medium"
  }, message)), remove !== undefined && React.createElement("button", {
    onClick: remove
  }, React.createElement(CloseIcon, {
    className: "ii-h-5 ii-w-5 ii-text-white ii-shadow ii-bg-" + color + " ii-rounded-full ii-p-1"
  })));
};

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

var runtime_1 = createCommonjsModule(function (module) {
/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var runtime = (function (exports) {

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined$1; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  function define(obj, key, value) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
    return obj[key];
  }
  try {
    // IE 8 has a broken Object.defineProperty that only works on DOM objects.
    define({}, "");
  } catch (err) {
    define = function(obj, key, value) {
      return obj[key] = value;
    };
  }

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  exports.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  define(IteratorPrototype, iteratorSymbol, function () {
    return this;
  });

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = GeneratorFunctionPrototype;
  define(Gp, "constructor", GeneratorFunctionPrototype);
  define(GeneratorFunctionPrototype, "constructor", GeneratorFunction);
  GeneratorFunction.displayName = define(
    GeneratorFunctionPrototype,
    toStringTagSymbol,
    "GeneratorFunction"
  );

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      define(prototype, method, function(arg) {
        return this._invoke(method, arg);
      });
    });
  }

  exports.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  exports.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      define(genFun, toStringTagSymbol, "GeneratorFunction");
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  exports.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator, PromiseImpl) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return PromiseImpl.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return PromiseImpl.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration.
          result.value = unwrapped;
          resolve(result);
        }, function(error) {
          // If a rejected Promise was yielded, throw the rejection back
          // into the async generator function so it can be handled there.
          return invoke("throw", error, resolve, reject);
        });
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new PromiseImpl(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  define(AsyncIterator.prototype, asyncIteratorSymbol, function () {
    return this;
  });
  exports.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  exports.async = function(innerFn, outerFn, self, tryLocsList, PromiseImpl) {
    if (PromiseImpl === void 0) PromiseImpl = Promise;

    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList),
      PromiseImpl
    );

    return exports.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined$1) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        // Note: ["return"] must be used for ES3 parsing compatibility.
        if (delegate.iterator["return"]) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined$1;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined$1;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  define(Gp, toStringTagSymbol, "Generator");

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  define(Gp, iteratorSymbol, function() {
    return this;
  });

  define(Gp, "toString", function() {
    return "[object Generator]";
  });

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  exports.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined$1;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  exports.values = values;

  function doneResult() {
    return { value: undefined$1, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined$1;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined$1;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined$1;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined$1;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined$1;
      }

      return ContinueSentinel;
    }
  };

  // Regardless of whether this script is executing as a CommonJS module
  // or not, return the runtime object so that we can declare the variable
  // regeneratorRuntime in the outer scope, which allows this module to be
  // injected easily by `bin/regenerator --include-runtime script.js`.
  return exports;

}(
  // If this script is executing as a CommonJS module, use module.exports
  // as the regeneratorRuntime namespace. Otherwise create a new empty
  // object. Either way, the resulting object will be used to initialize
  // the regeneratorRuntime variable at the top of this file.
   module.exports 
));

try {
  regeneratorRuntime = runtime;
} catch (accidentalStrictMode) {
  // This module should not be running in strict mode, so the above
  // assignment should always work unless something is misconfigured. Just
  // in case runtime.js accidentally runs in strict mode, in modern engines
  // we can explicitly access globalThis. In older engines we can escape
  // strict mode using a global Function call. This could conceivably fail
  // if a Content Security Policy forbids using Function, but in that case
  // the proper solution is to fix the accidental strict mode problem. If
  // you've misconfigured your bundler to force strict mode and applied a
  // CSP to forbid Function, and you're not willing to fix either of those
  // problems, please detail your unique predicament in a GitHub issue.
  if (typeof globalThis === "object") {
    globalThis.regeneratorRuntime = runtime;
  } else {
    Function("r", "regeneratorRuntime = r")(runtime);
  }
}
});

var callApi = /*#__PURE__*/function () {
  var _ref = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(formApiParams) {
    var formData, key;
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            formData = new FormData();

            for (key in formApiParams) {
              formData.append(key, formApiParams[key]);
            }

            _context2.next = 4;
            return fetch('https://old.igem.org/cgi/forms/form.cgi', {
              method: 'POST',
              credentials: 'include',
              body: formData
            }).then( /*#__PURE__*/function () {
              var _ref2 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(response) {
                return runtime_1.wrap(function _callee$(_context) {
                  while (1) {
                    switch (_context.prev = _context.next) {
                      case 0:
                        _context.next = 2;
                        return response.json();

                      case 2:
                        return _context.abrupt("return", _context.sent);

                      case 3:
                      case "end":
                        return _context.stop();
                    }
                  }
                }, _callee);
              }));

              return function (_x2) {
                return _ref2.apply(this, arguments);
              };
            }());

          case 4:
            return _context2.abrupt("return", _context2.sent);

          case 5:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));

  return function callApi(_x) {
    return _ref.apply(this, arguments);
  };
}(); // ---------- store ----------


var storeFormData = /*#__PURE__*/function () {
  var _ref3 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee3(formName, entryList, teamId) {
    return runtime_1.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            _context3.next = 2;
            return callApi({
              command: 'store',
              form_name: formName,
              entry_list: JSON.stringify(entryList),
              team_id: teamId
            });

          case 2:
            return _context3.abrupt("return", _context3.sent);

          case 3:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3);
  }));

  return function storeFormData(_x3, _x4, _x5) {
    return _ref3.apply(this, arguments);
  };
}();

var initialResponse = {
  status: Status.SUCCESS,
  message: '',
  visible: false
};
var storeFormData2 = /*#__PURE__*/function () {
  var _ref = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(teamId, formName, entryList) {
    return runtime_1.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return storeFormData(formName, entryList, teamId).then(function (result) {
              if (result.return_error !== '') throw new Error(result.return_error);
              return {
                status: Status.SUCCESS,
                message: 'Form data was saved successfully',
                visible: true
              };
            })["catch"](function (error) {
              console.log('Error:', error.toString());
              console.log('Form data sent before error:', entryList);
              return {
                status: Status.ERROR,
                message: error.toString(),
                visible: true
              };
            });

          case 2:
            return _context.abrupt("return", _context.sent);

          case 3:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function storeFormData2(_x, _x2, _x3) {
    return _ref.apply(this, arguments);
  };
}();

var TeamSelectorType;

(function (TeamSelectorType) {
  TeamSelectorType["DEFAULT"] = "default";
  TeamSelectorType["SPECIFIC_YEAR"] = "specific-year";
  TeamSelectorType["SUPERUSER"] = "superuser";
})(TeamSelectorType || (TeamSelectorType = {}));

var startYear = 2004;
var currentYear = /*#__PURE__*/new Date().getFullYear();
var yearsArray = /*#__PURE__*/range(currentYear, startYear - 1); // Make matched parts of the string bold

var markString = function markString(strToMatch, strToBold) {
  var matchIndex = strToBold.toLowerCase().indexOf(strToMatch.toLowerCase());
  if (matchIndex === -1) return strToBold;
  return strToBold.substring(0, matchIndex) + "<b>" + strToBold.substring(matchIndex, matchIndex + strToMatch.length) + "</b>" + strToBold.substring(matchIndex - 1 + strToMatch.length + 1);
};
var getFetchUrlParams = function getFetchUrlParams(type, searchString, teamSelectorYear, searchYear) {
  var str = 'https://old.igem.org/aj/team_selector_reply.cgi?limit_to=150&lab=0';
  if (type === TeamSelectorType.SUPERUSER) return str + ("&all_years_permitted=1&term=" + searchString);
  if (type === TeamSelectorType.DEFAULT) str += '&all_years_permitted=1';

  if (type === TeamSelectorType.SPECIFIC_YEAR && teamSelectorYear !== undefined) {
    str += "&require_year=" + teamSelectorYear;
    searchYear = teamSelectorYear.toString();
  }

  return str + ("&term=" + (searchYear === undefined ? currentYear.toString() : searchYear) + " " + searchString);
}; // Fetch teams from Perl code and put it to state

var textDecoder = /*#__PURE__*/new TextDecoder('ISO-8859-1');
var fetchTeams = /*#__PURE__*/function () {
  var _ref = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee2(url) {
    return runtime_1.wrap(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return fetch(url).then( /*#__PURE__*/function () {
              var _ref2 = _asyncToGenerator( /*#__PURE__*/runtime_1.mark(function _callee(res) {
                return runtime_1.wrap(function _callee$(_context) {
                  while (1) {
                    switch (_context.prev = _context.next) {
                      case 0:
                        if (!(!res.ok || res.body == null)) {
                          _context.next = 3;
                          break;
                        }

                        console.log('Response body from server:\n', res);
                        throw new Error('Server side error');

                      case 3:
                        _context.next = 5;
                        return res.arrayBuffer();

                      case 5:
                        return _context.abrupt("return", _context.sent);

                      case 6:
                      case "end":
                        return _context.stop();
                    }
                  }
                }, _callee);
              }));

              return function (_x2) {
                return _ref2.apply(this, arguments);
              };
            }()).then(function (res) {
              return textDecoder.decode(res);
            }).then(he.decode).then(JSON.parse);

          case 2:
            return _context2.abrupt("return", _context2.sent);

          case 3:
          case "end":
            return _context2.stop();
        }
      }
    }, _callee2);
  }));

  return function fetchTeams(_x) {
    return _ref.apply(this, arguments);
  };
}();

var _excluded = ["comm"];
var teamSelectionEventName = 'team_selection_event';
var teamSelectionEvent = /*#__PURE__*/new Event(teamSelectionEventName);
var TeamSelector = function TeamSelector(_ref) {
  var _ref$type = _ref.type,
      type = _ref$type === void 0 ? TeamSelectorType.DEFAULT : _ref$type,
      year = _ref.year,
      onTeamSelectCallback = _ref.onTeamSelectCallback;

  var _useState = useState([]),
      teams = _useState[0],
      setTeams = _useState[1];

  var _useState2 = useState(undefined),
      error = _useState2[0],
      setError = _useState2[1];

  var _useState3 = useState(false),
      loading = _useState3[0],
      setLoading = _useState3[1];

  var _useState4 = useState(false),
      teamListOpen = _useState4[0],
      setTeamListOpen = _useState4[1];

  var _useState5 = useState(undefined),
      teamSelectorValue = _useState5[0],
      setTeamSelectorValue = _useState5[1];

  var _useState6 = useState({
    searchYear: currentYear.toString(),
    searchString: ''
  }),
      searchParams = _useState6[0],
      setSearchParams = _useState6[1];

  useEffect(function () {
    if (searchParams.searchString === '') return;
    setLoading(true);
    fetchTeams(getFetchUrlParams(type, searchParams.searchString, year, searchParams.searchYear)).then(function (res) {
      setLoading(false);
      setError(undefined);
      setTeams(res);
    }, function (error) {
      setLoading(false);
      setError(error);
    })["catch"](function (error) {
      setLoading(false);
      setError(error);
    });
  }, [searchParams]);

  var resultsList = function resultsList() {
    if (error !== undefined) return error.toString();

    if (loading) {
      return React.createElement("div", {
        className: 'ii-flex ii-justify-center ii-p-4'
      }, React.createElement(Loader, null));
    }

    if (teams === undefined || teams.length <= 0) return undefined;
    if (teams[0].error !== undefined) return React.createElement("div", {
      className: 'ii-p-4 ii-text-igem-red'
    }, teams[0].error);
    return teams.map(function (_ref2) {
      var comm = _ref2.comm,
          other = _objectWithoutPropertiesLoose(_ref2, _excluded);

      if (comm !== undefined) {
        return React.createElement(React.Fragment, null, React.createElement("div", {
          key: comm,
          className: 'ii-my-2 ii-text-center'
        }, React.createElement("u", {
          className: 'ii-block'
        }, comm)), React.createElement(Divider, {
          className: 'ii-flex-shrink-0'
        }));
      } // TODO: use country, value parameters in hover thing

      /* eslint-disable-next-line @typescript-eslint/naming-convention */


      var label = other.label,
          schools = other.schools,
          team_id = other.team_id;
      return React.createElement("div", {
        key: team_id,
        className: 'ii-cursor-pointer hover:ii-bg-igemo-gray-100 active:ii-bg-igemo-gray-200',
        onClick: function onClick() {
          teamSelectionEvent.selectedTeam = other;
          teamSelectionEvent.selectedTeamId = team_id;
          dispatchEvent(teamSelectionEvent);
          onTeamSelectCallback == null ? void 0 : onTeamSelectCallback(other);
          setTeamListOpen(false);
          setTeamSelectorValue(label);
        }
      }, React.createElement("div", {
        className: 'ii-team-selector__team-info ii-p-2'
      }, label !== undefined && React.createElement("label", {
        dangerouslySetInnerHTML: {
          __html: markString(searchParams.searchString, label)
        }
      }), schools === undefined ? undefined : React.createElement("div", {
        dangerouslySetInnerHTML: {
          __html: markString(searchParams.searchString, schools)
        }
      })), React.createElement(Divider, null));
    });
  };

  return React.createElement("div", {
    className: 'ii-flex ii-w-96 ii-flex-col ii-gap-2'
  }, React.createElement("div", {
    className: 'ii-team-selector__inputs ii-mb-4 ii-flex'
  }, type === TeamSelectorType.DEFAULT && React.createElement("select", {
    onChange: function onChange(value) {
      setSearchParams(function (prevState) {
        return _extends({}, prevState, {
          searchYear: value.target.value
        });
      });
    },
    className: 'ii-select ii-my-0 ii-w-28 ii-flex-shrink-0 ii-rounded-r-none',
    defaultValue: currentYear.toString()
  }, React.createElement("option", {
    value: 'all'
  }, "All years"), yearsArray.map(function (year) {
    return React.createElement("option", {
      key: year,
      value: year
    }, year);
  })), type === TeamSelectorType.SPECIFIC_YEAR && React.createElement("input", {
    className: 'ii-input ii-my-0 ii-w-16 ii-rounded-r-none',
    value: year,
    disabled: true
  }), React.createElement("input", {
    placeholder: type === TeamSelectorType.SUPERUSER ? '(All|Year) TeamName' : 'Start typing the team name...',
    type: 'text',
    onFocus: function onFocus() {
      return setTeamSelectorValue('');
    },
    onChange: function onChange(value) {
      setTeamSelectorValue(undefined);
      setTeamListOpen(true);
      setSearchParams(function (prevState) {
        var targetValue = value.target.value;
        return _extends({}, prevState, {
          searchString: targetValue
        });
      });
    },
    value: teamSelectorValue,
    className: clsx('ii-input ii-my-0 ii-w-full', type !== TeamSelectorType.SUPERUSER && 'ii-rounded-l-none')
  })), teams.length > 0 && searchParams.searchString !== '' && teamListOpen && React.createElement("div", {
    className: 'ii-flex ii-max-h-[30rem] ii-flex-col ii-overflow-y-auto ii-rounded-md ii-border ii-border-igemo-gray-300'
  }, resultsList()));
};

var FormContext = /*#__PURE__*/createContext({});
var FormWrapper = function FormWrapper(_ref) {
  var children = _ref.children,
      callbackFn = _ref.callbackFn,
      formName = _ref.formName;

  var _useState = useState({}),
      currentFormFieldsData = _useState[0],
      setCurrentFormFieldsData = _useState[1];

  var _useState2 = useState(initialResponse),
      formMessagePopup = _useState2[0],
      setFormMessagePopup = _useState2[1];

  var _useState3 = useState(undefined),
      cooldownTimeout = _useState3[0],
      setCooldownTimeout = _useState3[1];

  var _useState4 = useState(undefined),
      statusAnimationTimeout = _useState4[0],
      setStatusAnimationTimeout = _useState4[1];

  var _useState5 = useState({}),
      selectedTeamId = _useState5[0],
      setSelectedTeamId = _useState5[1];

  useEffect(function () {
    if (isEmpty(currentFormFieldsData)) return;
    clearTimeout(cooldownTimeout);
    setCooldownTimeout(setTimeout(function () {
      if (selectedTeamId === undefined) {
        setFormMessagePopup({
          status: Status.ERROR,
          message: 'Team is not selected',
          visible: true
        });
        return;
      }

      var entryList = Object.entries(currentFormFieldsData).map(function (_ref2) {
        var key = _ref2[0],
            value = _ref2[1];
        return {
          field_name: key,
          answer: value
        };
      });
      void storeFormData2(selectedTeamId, formName, entryList).then(function (response) {
        console.log(response);
        setFormMessagePopup(response);
        clearTimeout(statusAnimationTimeout);
        setStatusAnimationTimeout(setTimeout(function () {
          return setFormMessagePopup(function (prevResponse) {
            return _extends({}, prevResponse, {
              visible: false
            });
          });
        }, 3000));
      });
    }, 1000));
    return function () {
      return [cooldownTimeout, statusAnimationTimeout].forEach(clearTimeout);
    };
  }, [currentFormFieldsData]);
  useEffect(function () {
    if (callbackFn !== undefined && !isEmpty(currentFormFieldsData)) callbackFn(currentFormFieldsData);
  }, [currentFormFieldsData]);
  useEffect(function () {
    window.addEventListener(teamSelectionEventName, function (e) {
      setSelectedTeamId(e.selectedTeamId);
      console.log('Filling in form data for:', e.selectedTeam); // getFormData(formName, selectedTeamId).then((e) => {
      //   console.log(e)
      // })
      //   for (const entry of e.entry_list) {
      //     // if (currentFormFieldsData[entry.field_name] === entry.answer) setCurrentFormFieldsData
      //     setCurrentFormFieldsData((prevState: any) => ({ ...prevState, [entry.field_name]: entry.answer }))
      //   }
      // })
    });
  }, []);

  var grabFieldsData = function grabFieldsData(e) {
    setCurrentFormFieldsData(function (prevState) {
      var _extends2;

      return _extends({}, prevState, (_extends2 = {}, _extends2[e.target.name] = e.target.value, _extends2));
    });
    console.log(currentFormFieldsData);
  };

  return React.createElement(FormContext.Provider, {
    value: {
      onChange: grabFieldsData
    }
  }, React.createElement("div", {
    className: 'ii-form ii-page-content-i'
  }, React.createElement("div", {
    className: clsx('ii-opacity-0 ii-duration-500', formMessagePopup.visible && 'ii-opacity-100')
  }, React.createElement(Message, {
    status: formMessagePopup.status,
    message: formMessagePopup.message,
    className: 'ii-shadow--normal ii-pointer-events-none ii-fixed ii-right-8 ii-z-10'
  })), children));
};

var _excluded$1 = ["checked", "type"];
var CheckboxType;

(function (CheckboxType) {
  CheckboxType["CHECK"] = "check";
  CheckboxType["CROSS"] = "cross";
})(CheckboxType || (CheckboxType = {}));

var Checkbox = function Checkbox(props) {
  var _props$checked = props.checked,
      checked = _props$checked === void 0 ? false : _props$checked,
      _props$type = props.type,
      type = _props$type === void 0 ? CheckboxType.CHECK : _props$type,
      other = _objectWithoutPropertiesLoose(props, _excluded$1);

  var getCheckboxIcon = function getCheckboxIcon() {
    switch (type) {
      case CheckboxType.CHECK:
        return React.createElement(CheckIcon, {
          className: 'ii-checkbox--check ii-h-3 ii-w-3 ii-text-green-500'
        });

      case CheckboxType.CROSS:
        return React.createElement(CloseIcon, {
          className: 'ii-checkbox--cross ii-h-2 ii-w-2 ii-text-red-500'
        });
    }
  };

  var getActiveClass = function getActiveClass() {
    switch (type) {
      case CheckboxType.CHECK:
        return 'ii-bg-green-300 ii-border-green-500';

      case CheckboxType.CROSS:
        return 'ii-bg-red-200 ii-border-red-500';
    }
  };

  var _useContext = useContext(FormContext),
      onChange = _useContext.onChange;

  var _useState = useState(checked),
      isChecked = _useState[0],
      setIsChecked = _useState[1];

  return React.createElement("button", Object.assign({
    className: clsx('ii-checkbox ii-flex ii-h-4 ii-w-4 ii-items-center ii-justify-center ii-border', 'ii-flex-shrink-0 ii-rounded ii-shadow', other.disabled === true && 'ii-input--disabled', isChecked ? clsx('ii-checkbox--active ii-border-opacity-100', getActiveClass()) : 'ii-border-gray-700 ii-border-opacity-50'),
    onClick: function onClick() {
      var e = {
        target: {
          name: other.name,
          value: !isChecked ? other.value : ''
        }
      };
      setIsChecked(!isChecked);
      onChange(e);
    }
  }, other), isChecked && getCheckboxIcon());
};

var CheckboxList = function CheckboxList(_ref) {
  var items = _ref.items,
      _onClick = _ref.onClick,
      checkedValues = _ref.checkedValues,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-space-y-2', className)
  }, items.map(function (item) {
    var _checkedValues$includ;

    var checked = (_checkedValues$includ = checkedValues == null ? void 0 : checkedValues.includes(item.value)) != null ? _checkedValues$includ : false;
    return React.createElement("li", {
      className: 'ii-checkbox-list-item',
      key: item.value,
      onClick: function onClick() {
        return _onClick != null ? _onClick(item.value) : {};
      }
    }, React.createElement(Checkbox, {
      checked: checked
    }), React.createElement("p", {
      className: clsx('ii-checkbox-list-item-text', checked && 'ii-checkbox-list-item-text--active')
    }, item.label));
  }));
};

var DropdownFilter = function DropdownFilter(_ref) {
  var items = _ref.items,
      title = _ref.title,
      className = _ref.className,
      activeFilters = _ref.activeFilters,
      setActiveFilters = _ref.setActiveFilters;
  var isActive = activeFilters.length > 0;

  var setActiveFilter = function setActiveFilter(value) {
    if (activeFilters.includes(value)) {
      setActiveFilters(activeFilters.filter(function (filter) {
        return filter !== value;
      }));
    } else {
      setActiveFilters([].concat(activeFilters, [value]));
    }
  };

  return React.createElement(Dropdown, {
    title: title,
    isActive: isActive,
    className: className
  }, React.createElement(CheckboxList, {
    items: items,
    onClick: setActiveFilter,
    checkedValues: activeFilters
  }));
};

var InformationPopupPosition;

(function (InformationPopupPosition) {
  InformationPopupPosition["BOTTOM_LEFT"] = "bottom-left";
  InformationPopupPosition["BOTTOM_CENTER"] = "bottom-center";
  InformationPopupPosition["BOTTOM_RIGHT"] = "bottom-right";
  InformationPopupPosition["TOP_LEFT"] = "top-left";
  InformationPopupPosition["TOP_CENTER"] = "top-center";
  InformationPopupPosition["TOP_RIGHT"] = "top-right";
})(InformationPopupPosition || (InformationPopupPosition = {}));

var InformationPopup = function InformationPopup(_ref) {
  var children = _ref.children,
      position = _ref.position;
  var popupRef = useRef(null);

  var _useState = useState(position != null ? position : InformationPopupPosition.BOTTOM_RIGHT),
      popupPosition = _useState[0],
      setPopupPosition = _useState[1];

  var calculatePopupPosition = function calculatePopupPosition(popup) {
    if (popup.right > window.innerWidth && window.screenLeft <= popup.left) {
      setPopupPosition(popup.bottom >= window.innerHeight && popup.top < window.screenTop ? InformationPopupPosition.TOP_LEFT : InformationPopupPosition.BOTTOM_LEFT);
    } else {
      setPopupPosition(popup.bottom >= window.innerHeight && popup.top < window.screenTop ? InformationPopupPosition.TOP_RIGHT : InformationPopupPosition.BOTTOM_RIGHT);
    }
  };

  useEffect(function () {
    if (position === undefined) {
      var _popupRef$current;

      var popup = (_popupRef$current = popupRef.current) == null ? void 0 : _popupRef$current.getBoundingClientRect();

      if (popup !== undefined) {
        calculatePopupPosition(popup);
      }
    }
  }, [popupRef, window]);
  useEffect(function () {
    position !== undefined && setPopupPosition(position);
  }, [position]);

  var getPositionStyles = function getPositionStyles() {
    switch (popupPosition) {
      case InformationPopupPosition.BOTTOM_CENTER:
        return 'ii-top-full ii-left-1/2 ii-transform -ii-translate-x-1/2';

      case InformationPopupPosition.BOTTOM_LEFT:
        return 'ii-top-full ii-right-0';

      case InformationPopupPosition.BOTTOM_RIGHT:
        return 'ii-top-full ii-left-0';

      case InformationPopupPosition.TOP_CENTER:
        return 'ii-bottom-full ii-left-1/2 ii-transform -ii-translate-x-1/2';

      case InformationPopupPosition.TOP_LEFT:
        return 'ii-bottom-full ii-right-0';

      case InformationPopupPosition.TOP_RIGHT:
        return 'ii-bottom-full ii-left-0';
    }
  };

  return React.createElement("div", {
    className: 'ii-information-popup ii-group ii-relative ii-w-max'
  }, React.createElement(ExclamationIcon, {
    className: 'ii-information-popup__icon ii-ml-1 ii-h-4 ii-w-4'
  }), React.createElement("div", {
    ref: popupRef,
    className: clsx('ii-information-popup__content ii-invisible ii-absolute ii-z-10 ii-w-96 ', 'ii-rounded ii-bg-igemo-gray-100 ii-p-5 ii-shadow-md group-hover:ii-visible', getPositionStyles())
  }, children));
};

var InputWrapper = function InputWrapper(_ref) {
  var title = _ref.title,
      errorMessage = _ref.errorMessage,
      error = _ref.error,
      className = _ref.className,
      informationalComponent = _ref.informationalComponent,
      children = _ref.children,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled;
  return React.createElement("div", {
    className: className
  }, title !== undefined && React.createElement("div", {
    className: clsx('ii-input-label ii-flex  ii-items-center ii-text-sm', error !== undefined && error && 'ii-input-label--error ii-text-red-300', disabled ? 'ii-text-gray-700' : 'ii-text-black-500')
  }, React.createElement("p", null, title), informationalComponent !== undefined && React.createElement(InformationPopup, null, informationalComponent)), children, errorMessage !== undefined && React.createElement("p", {
    className: 'ii-input--error-text'
  }, errorMessage));
};

var _excluded$2 = ["addEmptyOption", "value", "error", "errorMessage", "children"];
var Select = function Select(props) {
  var _props$addEmptyOption = props.addEmptyOption,
      addEmptyOption = _props$addEmptyOption === void 0 ? false : _props$addEmptyOption,
      error = props.error,
      children = props.children,
      other = _objectWithoutPropertiesLoose(props, _excluded$2);

  var _useContext = useContext(FormContext),
      onChange = _useContext.onChange;

  return React.createElement(InputWrapper, Object.assign({}, props), React.createElement("select", Object.assign({
    onChange: onChange,
    className: clsx('ii-select', error !== undefined && error && 'ii-input--error', other.disabled === true && 'ii-input--disabled')
  }, other), addEmptyOption && React.createElement("option", {
    value: '',
    disabled: true,
    selected: true
  }), children));
};

var StatusCellColor;

(function (StatusCellColor) {
  StatusCellColor["YELLOW"] = "yellow";
  StatusCellColor["BLUE"] = "blue";
  StatusCellColor["GREEN"] = "green";
  StatusCellColor["ORANGE"] = "orange";
  StatusCellColor["RED"] = "red";
  StatusCellColor["BLACK"] = "black";
})(StatusCellColor || (StatusCellColor = {}));

var StatusCell = function StatusCell(_ref) {
  var statusLabel = _ref.statusLabel,
      color = _ref.color,
      onClick = _ref.onClick;
  return React.createElement("p", {
    onClick: onClick,
    className: clsx('ii-status-cell ii-w-max ii-rounded-md ii-px-3 ii-py-0.5 ii-text-center ii-text-sm ii-font-semibold ii-uppercase ii-text-igem-white', "ii-bg-igem-" + color, onClick !== undefined && 'ii-cursor-pointer')
  }, statusLabel);
};

var ButtonVariant;

(function (ButtonVariant) {
  ButtonVariant["DEFAULT"] = "default";
  ButtonVariant["PRIMARY"] = "primary";
})(ButtonVariant || (ButtonVariant = {}));

var ButtonColor;

(function (ButtonColor) {
  ButtonColor["YELLOW"] = "yellow";
  ButtonColor["BLUE"] = "blue";
  ButtonColor["GREEN"] = "green";
  ButtonColor["ORANGE"] = "orange";
  ButtonColor["RED"] = "red";
  ButtonColor["BLACK"] = "black";
})(ButtonColor || (ButtonColor = {}));

var getDefaultHover = function getDefaultHover(color) {
  switch (color) {
    case ButtonColor.GREEN:
      return 'hover:ii-text-igem-green hover:ii-border-igem-green hover:ii-bg-igem-green-100';

    case ButtonColor.BLACK:
      return 'hover:ii-text-igem-igemo-gray-300 hover:ii-border-igemo-gray-300 hover:ii-bg-igemo-gray-100';

    case ButtonColor.RED:
      return 'hover:ii-text-igem-red hover:ii-border-igem-red hover:ii-bg-igem-red-100';

    case ButtonColor.BLUE:
      return 'hover:ii-text-igem-blue hover:ii-border-igem-blue hover:ii-bg-igem-blue-100';

    case ButtonColor.ORANGE:
      return 'hover:ii-text-igem-orange hover:ii-border-igem-orange hover:ii-bg-igem-orange-100';

    case ButtonColor.YELLOW:
      return 'hover:ii-text-igem-yellow hover:ii-border-igem-yellow hover:ii-bg-igem-yellow-100';
  }
};
var getPrimaryStyles = function getPrimaryStyles(color) {
  switch (color) {
    case ButtonColor.GREEN:
      return 'ii-text-igem-green ii-border-igem-green ii-bg-igem-green-100';

    case ButtonColor.BLUE:
      return 'ii-text-igem-blue ii-border-igem-blue ii-bg-igem-blue-100';

    case ButtonColor.RED:
      return 'ii-text-igem-red ii-border-igem-red ii-bg-igem-red-100';

    case ButtonColor.BLACK:
      return 'ii-text-igemo-gray-400 ii-border-igemo-gray-300 ii-bg-igemo-gray-100';

    case ButtonColor.ORANGE:
      return 'ii-text-igem-orange ii-border-igem-orange ii-bg-igem-orange-100';

    case ButtonColor.YELLOW:
      return 'ii-text-igem-yellow ii-border-igem-yellow ii-bg-igem-yellow-100';
  }
};
var getPrimaryHover = function getPrimaryHover(color) {
  switch (color) {
    case ButtonColor.GREEN:
      return 'hover:ii-border-igem-green hover:ii-bg-igem-green hover:ii-text-igem-white';

    case ButtonColor.BLUE:
      return 'hover:ii-border-igem-blue hover:ii-bg-igem-blue hover:ii-text-igem-white';

    case ButtonColor.RED:
      return 'hover:ii-border-igem-red hover:ii-bg-igem-red hover:ii-text-igem-white';

    case ButtonColor.BLACK:
      return 'hover:ii-border-igem-black hover:ii-bg-igem-black hover:ii-text-igem-white';

    case ButtonColor.ORANGE:
      return 'hover:ii-border-igem-orange hover:ii-bg-igem-orange hover:ii-text-igem-white';

    case ButtonColor.YELLOW:
      return 'hover:ii-border-igem-yellow hover:ii-bg-igem-yellow hover:ii-text-igem-white';
  }
};

var _excluded$3 = ["variant", "link", "shouldOpenInNewTabOverride", "shouldNotStyleText", "children", "color", "className", "disabled"];
var Button = function Button(props) {
  var _props$variant = props.variant,
      variant = _props$variant === void 0 ? ButtonVariant.DEFAULT : _props$variant,
      link = props.link,
      shouldOpenInNewTabOverride = props.shouldOpenInNewTabOverride,
      shouldNotStyleText = props.shouldNotStyleText,
      children = props.children,
      _props$color = props.color,
      color = _props$color === void 0 ? ButtonColor.GREEN : _props$color,
      className = props.className,
      disabled = props.disabled,
      other = _objectWithoutPropertiesLoose(props, _excluded$3);

  return React.createElement(ConditionalWrapper, {
    condition: link !== undefined,
    wrapper: function wrapper(children1) {
      return React.createElement(LinkWrapper, {
        link: link,
        shouldOpenInNewTabOverride: shouldOpenInNewTabOverride
      }, children1);
    }
  }, React.createElement("button", Object.assign({
    className: clsx('ii-button ii-transition-base ii-flex ii-items-center ii-rounded-full ii-border ii-px-7 ii-py-1 ii-shadow-md', disabled === true ? 'ii-button--disabled ii-border-gray-600 ii-bg-gray-500' : [variant === ButtonVariant.DEFAULT && ['ii-button--default ii-border-igemo-gray-300 ii-bg-igemo-gray-100', getDefaultHover(color)], (variant === ButtonVariant.PRIMARY || link !== undefined) && ['ii-button--primary', getPrimaryStyles(color), getPrimaryHover(color)]], disabled === true ? 'ii-cursor-default' : 'ii-cursor-pointer', className),
    disabled: disabled
  }, other), link !== undefined && React.createElement(ChevronIcon, {
    className: 'ii--rotate-90'
  }), children !== undefined && React.createElement("div", {
    className: clsx(shouldNotStyleText === undefined && [link !== undefined && 'ii-small-caps ii-button-children--with-link ii-font-semibold', disabled === true && 'ii-button-children--disabled ii-opacity-20', 'ii-button-children'])
  }, children)));
};

var TabButton = function TabButton(props) {
  var title = props.title,
      isActive = props.isActive,
      buttonProps = props.buttonProps;
  return React.createElement("button", Object.assign({
    className: clsx('ii-button ii-rounded-md', isActive === true ? ['ii-border-green-500 ii-bg-green-200', 'ii-tab-button--active'] : ['ii-bg-gray-500', 'hover:ii-border-green-500 hover:ii-bg-green-100', 'ii-tab-button--inactive'])
  }, buttonProps), React.createElement("div", {
    className: 'ii-button-text'
  }, title));
};

var getInputClassNames = function getInputClassNames(error, disabled) {
  return clsx(error !== undefined && error && 'ii-input--error', disabled === true && 'ii-input--disabled');
};

var Input = function Input(props) {
  var _useContext = useContext(FormContext),
      onChange = _useContext.onChange;

  return React.createElement(InputWrapper, Object.assign({}, props), React.createElement("input", Object.assign({
    className: clsx('ii-input', getInputClassNames(props.error, props.disabled)),
    onChange: onChange
  }, props)));
};

var Textarea = function Textarea(props) {
  var _useContext = useContext(FormContext),
      onChange = _useContext.onChange;

  return React.createElement(InputWrapper, Object.assign({}, props), React.createElement("textarea", Object.assign({
    className: clsx('ii-text-area', getInputClassNames(props.error, props.disabled)),
    onChange: onChange
  }, props)));
};

var RadioContext = /*#__PURE__*/createContext({});
var RadioGroup = function RadioGroup(_ref) {
  var name = _ref.name,
      children = _ref.children;
  return React.createElement(RadioContext.Provider, {
    value: {
      name: name
    }
  }, children);
};

var _excluded$4 = ["children"];
var RadioButton = function RadioButton(_ref) {
  var children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, _excluded$4);

  var _useContext = useContext(FormContext),
      onChange = _useContext.onChange;

  var _useContext2 = useContext(RadioContext),
      name = _useContext2.name;

  return React.createElement("div", {
    className: 'ii-flex ii-items-center ii-gap-2'
  }, React.createElement("input", Object.assign({
    type: 'radio',
    onChange: onChange,
    name: name
  }, props)), children);
};

var InvitationType;

(function (InvitationType) {
  InvitationType["ACCEPT"] = "accept";
  InvitationType["REJECT"] = "reject";
  InvitationType["REMOVE"] = "remove";
  InvitationType["JOIN"] = "join";
})(InvitationType || (InvitationType = {}));

var InvitationTargetType;

(function (InvitationTargetType) {
  InvitationTargetType["TEAM"] = "team";
  InvitationTargetType["HOST_INSTITUTION"] = "host institution";
})(InvitationTargetType || (InvitationTargetType = {}));

var InvitationModal = function InvitationModal(_ref) {
  var onClose = _ref.onClose,
      onConfirm = _ref.onConfirm,
      onReject = _ref.onReject,
      isOpen = _ref.isOpen,
      invitationType = _ref.invitationType,
      target = _ref.target,
      userName = _ref.userName,
      _ref$closeOnReject = _ref.closeOnReject,
      closeOnReject = _ref$closeOnReject === void 0 ? true : _ref$closeOnReject,
      _ref$isSuccess = _ref.isSuccess,
      isSuccess = _ref$isSuccess === void 0 ? false : _ref$isSuccess,
      error = _ref.error;

  var renderInviteText = function renderInviteText() {
    switch (invitationType) {
      case InvitationType.ACCEPT:
        return React.createElement("p", null, "Are you sure you want to ", React.createElement("span", {
          className: 'ii-text-green-500'
        }, "accept"), " ", React.createElement("b", null, userName), " to the", ' ', React.createElement("b", null, target.name), " ", target.type, "?");

      case InvitationType.REJECT:
      case InvitationType.REMOVE:
        return React.createElement("p", null, "Are you sure you want to ", React.createElement("span", {
          className: 'ii-text-red-500'
        }, invitationType), " ", React.createElement("b", null, userName), " from the ", React.createElement("b", null, target.name), " ", target.type, "?");

      case InvitationType.JOIN:
        return React.createElement("p", null, "Are you sure you want to ", React.createElement("span", {
          className: 'ii-text-green-500'
        }, "join"), " ", React.createElement("b", null, target.name), " ", target.type, "?");
    }
  };

  var renderConfirmText = function renderConfirmText() {
    switch (invitationType) {
      case InvitationType.ACCEPT:
        return React.createElement("p", null, React.createElement("b", null, userName), " was successfully ", React.createElement("span", {
          className: 'ii-text-green-500'
        }, "accepted"), " to the", ' ', React.createElement("b", null, target.name), " ", target.type, ".");

      case InvitationType.REJECT:
        return React.createElement("p", null, React.createElement("b", null, userName), " was successfully ", React.createElement("span", {
          className: 'ii-text-red-500'
        }, "rejected"), " from the", ' ', React.createElement("b", null, target.name), " ", target.type, ".");

      case InvitationType.REMOVE:
        return React.createElement("p", null, React.createElement("b", null, userName), " was successfully ", React.createElement("span", {
          className: 'ii-text-red-500'
        }, "removed"), " from the", ' ', React.createElement("b", null, target.name), " ", target.type, ".");

      case InvitationType.JOIN:
        return React.createElement("p", null, "Request to ", React.createElement("span", {
          className: 'ii-text-green-500'
        }, "join"), " ", React.createElement("b", null, target.name), " ", target.type, " was successfully sent.");
    }
  };

  var confirmHandler = function confirmHandler() {
    onConfirm();
  };

  return React.createElement(Modal, {
    isOpen: isOpen,
    close: onClose
  }, React.createElement("div", {
    className: 'ii-flex ii-w-96 ii-flex-col ii-items-center ii-gap-y-3 ii-p-16 ii-text-center'
  }, isSuccess ? React.createElement(React.Fragment, null, renderConfirmText(), React.createElement(Button, {
    onClick: onClose
  }, "Cancel")) : React.createElement(React.Fragment, null, renderInviteText(), React.createElement("div", {
    className: 'ii-flex ii-items-center ii-gap-x-5'
  }, React.createElement(Button, {
    onClick: confirmHandler
  }, "Yes"), React.createElement("p", null, "or"), React.createElement(Button, {
    onClick: closeOnReject ? onClose : onReject
  }, "No")), error !== undefined && React.createElement("p", {
    className: 'ii-my-1 ii-w-72 ii-text-center ii-text-sm ii-text-igem-red'
  }, error))));
};

var ComingSoonBanner = function ComingSoonBanner(_ref) {
  var title = _ref.title,
      description = _ref.description,
      _ref$withLogo = _ref.withLogo,
      withLogo = _ref$withLogo === void 0 ? true : _ref$withLogo,
      _ref$withBricks = _ref.withBricks,
      withBricks = _ref$withBricks === void 0 ? true : _ref$withBricks;
  return React.createElement("div", {
    className: 'ii-bg-gray-500 ii-py-8'
  }, React.createElement("section", null, React.createElement("div", {
    className: 'ii-flex ii-flex-col ii-items-stretch ii-gap-8 md:ii-flex-row md:ii-gap-12'
  }, withLogo ? React.createElement(IgemLogo, {
    className: 'ii-mx-auto ii-h-auto ii-w-40 md:ii-mx-0',
    variant: LogoVariant.DARK
  }) : null, React.createElement("div", {
    className: 'ii-flex ii-w-full ii-flex-col ii-items-stretch ii-gap-2'
  }, React.createElement("h3", null, withBricks && React.createElement(BricksIcon, {
    className: 'ii-mr-3 ii-inline ii-h-10 ii-w-12 ii-align-bottom'
  }), title), description !== undefined && React.createElement("p", null, description)))));
};

var Divider = function Divider(_ref) {
  var className = _ref.className;
  return React.createElement("hr", {
    className: clsx('ii-divider-i ii-divider', className)
  });
};

var Download = function Download(_ref) {
  var content = _ref.content,
      fileName = _ref.fileName;
  var defaultFileName = "download-" + new Date().toString();
  return React.createElement("button", {
    onClick: function onClick() {
      return fileDownload(content, fileName != null ? fileName : defaultFileName);
    }
  }, React.createElement(DownloadIcon, {
    className: 'ii-transition-base ii-h-10 ii-w-10 ii-cursor-pointer ii-rounded-full ii-border ii-border-igem-green ii-bg-igem-green-100 ii-p-2 hover:ii-bg-igem-green hover:ii-text-igem-white'
  }));
};

var LoaderType;

(function (LoaderType) {
  LoaderType["INLINE"] = "inline";
  LoaderType["FULL_SCREEN"] = "full-screen";
})(LoaderType || (LoaderType = {}));

var Loader = function Loader(props) {
  var className = props.className,
      _props$type = props.type,
      type = _props$type === void 0 ? LoaderType.INLINE : _props$type;
  return React.createElement("div", {
    className: clsx('ii-spinner__wrapper', type === LoaderType.FULL_SCREEN && 'ii-spinner__wrapper--full-screen ii-fixed ii-top-0 ii-left-0 ii-z-50 ii-flex ii-h-full ii-w-full ii-items-center ii-justify-center ii-bg-white')
  }, React.createElement("div", {
    className: clsx('ii-spinner ii-h-12 ii-w-12 ii-rounded-full ii-border-4', className)
  }));
};

var Popup = function Popup(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-popup ii-absolute ii-z-10 ii-hidden group-hover:ii-block', className)
  }, children);
};

var CalendarPopup = function CalendarPopup(_ref) {
  var dayEvents = _ref.dayEvents;
  return React.createElement(Popup, {
    className: 'ii-left-0 ii-top-full ii-pt-2'
  }, React.createElement("div", {
    className: 'ii-calendar-popup'
  }, dayEvents.map(function (event, index) {
    return React.createElement(Fragment, {
      key: event.title
    }, React.createElement("div", {
      className: 'ii-p-2'
    }, React.createElement("p", {
      className: 'ii-text-xxs ii-font-semibold ii-uppercase ii-tracking-widest'
    }, getFormattedDate(event.startDate, event.endDate)), React.createElement("p", {
      className: 'ii-py-2 ii-text-sm ii-font-semibold'
    }, event.title), React.createElement("p", {
      className: 'ii-text-xxs ii-font-bold ii-uppercase ii-tracking-widest ii-opacity-40'
    }, event.type)), index < dayEvents.length - 1 && React.createElement(Divider, null));
  })));
};

var CalendarEventType;

(function (CalendarEventType) {
  CalendarEventType["DEADLINE"] = "deadlines";
  CalendarEventType["EVENT"] = "events";
})(CalendarEventType || (CalendarEventType = {}));

var Calendar = function Calendar(_ref) {
  var events = _ref.events,
      className = _ref.className;
  var todaysDate = new Date();

  var _useState = useState(new Date(todaysDate.getUTCFullYear(), todaysDate.getMonth() + 1, 0)),
      date = _useState[0],
      setDate = _useState[1];

  var currentMonthDays = getCurrentMonthDays(date);
  var days = [].concat(getPreviousMonthDays(date, currentMonthDays), currentMonthDays, getNextMonthDays(date, currentMonthDays));

  var changeMonth = function changeMonth(changeToPrevious) {
    setDate(new Date(date.getUTCFullYear(), date.getMonth() + (changeToPrevious ? 0 : 2), 0));
  };

  var getDayEvents = function getDayEvents(day) {
    var dayEvents = events.filter(function (event) {
      if (event.endDate === undefined) {
        return isSameDay(event.startDate, day.date);
      } else {
        return isDuringDays(event.startDate, event.endDate, day.date);
      }
    });
    return {
      dayEvents: dayEvents,
      hasDeadline: dayEvents.some(function (event) {
        return event.type === CalendarEventType.DEADLINE;
      }),
      hasSimpleEvent: dayEvents.some(function (event) {
        return event.type !== CalendarEventType.DEADLINE;
      })
    };
  };

  return React.createElement("div", {
    className: clsx('ii-calendar', className)
  }, React.createElement("div", {
    className: 'ii-calendar-header'
  }, React.createElement("button", {
    onClick: function onClick() {
      return changeMonth(true);
    },
    className: 'ii-calendar-header-button ii-rotate-90'
  }, React.createElement(ChevronIcon, {
    className: 'ii-calendar-header-button-chevron'
  })), React.createElement("p", null, date.toLocaleString('en-US', {
    year: 'numeric',
    month: 'long'
  })), React.createElement("button", {
    onClick: function onClick() {
      return changeMonth(false);
    },
    className: 'ii-calendar-header-button ii--rotate-90'
  }, React.createElement(ChevronIcon, {
    className: 'ii-calendar-header-button-chevron'
  }))), React.createElement("div", {
    className: 'ii-calendar-body'
  }, daysOfWeek.map(function (day) {
    return React.createElement("div", {
      key: day,
      className: clsx('ii-calendar-body-item ii-opacity-50')
    }, React.createElement("p", {
      className: ''
    }, day[0]));
  }), days.map(function (day) {
    var _getDayEvents = getDayEvents(day),
        dayEvents = _getDayEvents.dayEvents,
        hasDeadline = _getDayEvents.hasDeadline,
        hasSimpleEvent = _getDayEvents.hasSimpleEvent;

    return React.createElement("div", {
      className: 'ii-group ii-relative',
      key: day.date.toDateString()
    }, React.createElement("div", {
      className: clsx(dayEvents.length === 0 && 'ii-calendar-body-item', day.isCurrentMonth ? 'ii-font-bold' : 'ii-opacity-50', hasDeadline ? 'ii-calendar-body-item-red' : hasSimpleEvent && 'ii-calendar-body-item-green')
    }, React.createElement("p", null, day.date.getDate())), dayEvents.length > 0 && React.createElement(CalendarPopup, {
      dayEvents: dayEvents
    }));
  })));
};

var CalendarItemType;

(function (CalendarItemType) {
  CalendarItemType["DEADLINES"] = "deadlines";
  CalendarItemType["EVENTS"] = "events";
})(CalendarItemType || (CalendarItemType = {}));

var dateOptions$1 = {
  month: 'long',
  day: 'numeric'
};

var getMonthAndDay = function getMonthAndDay(date) {
  return new Date(date).toLocaleString('en-US', dateOptions$1).toUpperCase().split(' ');
};

var CalendarItem = function CalendarItem(props) {
  var children = props.children,
      title = props.title,
      date = props.date,
      hour = props.hour,
      type = props.type;

  var _ref = date !== undefined ? getMonthAndDay(date) : [undefined, undefined],
      month = _ref[0],
      day = _ref[1];

  return React.createElement("div", {
    className: 'ii-flex ii-gap-8 ii-py-8'
  }, React.createElement("div", {
    className: 'ii-flex ii-flex-col'
  }, date !== undefined && React.createElement("div", {
    className: 'ii-flex ii-h-24 ii-w-32 ii-flex-col ii-items-center ii-justify-center ii-rounded-md ii-border-2\n            ii-border-igemo-gray-200'
  }, month !== undefined && React.createElement("div", {
    className: 'ii-small-caps ii-text-sm ii-text-igemo-gray-400'
  }, month), day !== undefined && React.createElement("div", {
    className: 'ii-text-4xl'
  }, day)), React.createElement("div", {
    className: 'ii-small-caps ii-mt-1 ii-flex ii-justify-center ii-text-md ii-text-igem-red'
  }, hour)), React.createElement("div", {
    className: 'ii-max-w-xl'
  }, React.createElement("div", {
    className: clsx('ii-small-caps ii-mb-1 ii-text-sm', type === CalendarItemType.DEADLINES ? 'ii-text-igem-red' : 'ii-text-igemo-gray-300')
  }, type == null ? void 0 : type.toUpperCase()), React.createElement("div", {
    className: 'ii-mb-2 ii-text-xl ii-font-bold'
  }, title), React.createElement("div", {
    className: 'ii-page-content-i'
  }, children)));
};

var Pagination = function Pagination(_ref) {
  var pageSize = _ref.pageSize,
      pageCount = _ref.pageCount,
      pageIndex = _ref.pageIndex,
      setPageSize = _ref.setPageSize,
      gotoPage = _ref.gotoPage,
      itemsCount = _ref.itemsCount;
  var currentPage = pageIndex + 1;
  var isLastPage = currentPage === pageCount;
  var isFirstPage = currentPage === 1;
  var pageVariation = isFirstPage || isLastPage ? [pageCount, pageCount - 1, pageCount - 2, 1, 2, 3] : [1, currentPage, currentPage - 1, currentPage + 1, pageCount];
  var pageSizeOptions = Array.from(new Set([10, 20, 30, 50])).filter(function (option) {
    return option <= itemsCount;
  });

  var onPageSizeChange = function onPageSizeChange(newPage) {
    gotoPage(1);
    setPageSize(newPage);
  };

  return React.createElement("div", {
    className: 'ii-pagination ii-relative ii-mt-9 ii-flex ii-items-center'
  }, React.createElement("div", {
    className: 'ii-pagination__size-select ii-absolute ii-flex ii-items-center'
  }, React.createElement("p", {
    className: 'ii-pagination__size-select__title ii-pr-5 ii-text-xs'
  }, "Show:"), React.createElement(Dropdown, {
    title: String(pageSize)
  }, React.createElement("div", {
    className: 'ii-pagination__size-select__options ii-flex ii-flex-col ii-items-start ii-space-y-2 ii-pr-16 ii-text-sm'
  }, pageSizeOptions == null ? void 0 : pageSizeOptions.map(function (option) {
    return React.createElement("button", {
      key: option,
      onClick: function onClick() {
        return onPageSizeChange(option);
      },
      className: 'ii-pagination__size-select__option'
    }, option === itemsCount ? 'All' : option);
  })))), pageCount > 1 && React.createElement("div", {
    className: 'ii-pagination__page-select ii-mx-auto ii-flex ii-items-center ii-space-x-1'
  }, React.createElement("button", {
    onClick: function onClick() {
      return isFirstPage || gotoPage(pageIndex - 1);
    },
    className: clsx(isFirstPage && 'cursor-default', 'ii-pagination__page-select__navigate-left')
  }, isFirstPage ? React.createElement("div", {
    className: 'ii-h-5 ii-w-5'
  }) : React.createElement(ChevronIcon, {
    className: 'ii-h-5 ii-w-5 ii-rotate-90 ii-transform ii-opacity-60'
  })), Array.from({
    length: pageCount
  }, function (_, i) {
    if (pageVariation.includes(i + 1)) {
      return React.createElement("button", {
        onClick: function onClick() {
          return gotoPage(i);
        },
        className: clsx('ii-h-7 ii-w-7 ii-rounded-full ii-border ii-border-transparent ii-text-xs', 'ii-page-item hover:ii-border-green-200 hover:ii-bg-green-100', 'ii-pagination__page-select__button', currentPage === i + 1 && 'ii-border-green-400 ii-bg-green-200 hover:ii-border-green-400 hover:ii-bg-green-200')
      }, i + 1);
    } else if (pageVariation.includes(i)) {
      return React.createElement("p", null, "...");
    }

    return React.createElement(React.Fragment, null);
  }), React.createElement("button", {
    onClick: function onClick() {
      return isLastPage || gotoPage(pageIndex + 1);
    },
    className: clsx(isLastPage && 'ii-cursor-default', 'ii-pagination__page-select__navigate-right')
  }, isLastPage ? React.createElement("div", {
    className: 'ii-h-5 ii-w-5'
  }) : React.createElement(ChevronIcon, {
    className: 'ii-h-5 ii-w-5 ii--rotate-90 ii-transform ii-opacity-60'
  }))));
};

var TableHeader = function TableHeader(_ref) {
  var headerGroups = _ref.headerGroups;
  return React.createElement("div", {
    className: 'ii-table__head ii-thead ii-mb-3'
  }, headerGroups.map(function (headerGroup) {
    return React.createElement("div", Object.assign({}, headerGroup.getHeaderGroupProps(), {
      key: headerGroup.id,
      className: 'ii-tr'
    }), headerGroup.headers.map(function (column) {
      return React.createElement("div", Object.assign({}, column.getHeaderProps(_extends({}, column.getSortByToggleProps({
        title: undefined
      }), {
        style: {
          minWidth: column.minWidth,
          width: column.width === undefined ? undefined : column.minWidth === undefined || column.minWidth < column.width ? column.width : column.minWidth,
          maxWidth: column.maxWidth
        }
      })), {
        className: clsx('ii-table__header ii-th ii-px-5 ii-font-medium hover:ii-cursor-pointer', column.className),
        key: column.id
      }), React.createElement("div", {
        className: 'ii-table__header-cell ii-flex ii-items-center ii-justify-center ii-text-center ii-font-bold'
      }, column.render('Header'), column.canSort && React.createElement(TriangleIcon, {
        className: clsx('ii-transition-base ii-ml-1 ii-h-3 ii-w-3 ii-flex-shrink-0', column.isSorted ? 'ii-text-green-500' : 'ii-text-gray-700 ii-text-opacity-50', column.isSortedDesc === true && 'ii-rotate-180 ii-transform')
      })));
    }));
  }), React.createElement("div", {
    className: 'ii-h-3'
  }));
};

var TableRow = function TableRow(_ref) {
  var row = _ref.row,
      isMultiline = _ref.isMultiline,
      onRowClick = _ref.onRowClick,
      rowIndex = _ref.rowIndex,
      biggerText = _ref.biggerText;
  return React.createElement("div", Object.assign({}, row.getRowProps(), {
    className: clsx('ii-table__row ii-tr ii-mb-1.5 ii-items-stretch ii-rounded-md ii-bg-gray-500', onRowClick !== undefined && 'ii-transition-base hover:ii-cursor-pointer hover:ii-bg-gray-600'),
    key: row.id,
    onClick: function onClick() {
      return onRowClick == null ? void 0 : onRowClick(row);
    }
  }), row.cells.map(function (cell, index) {
    return React.createElement("div", Object.assign({}, cell.getCellProps(), {
      className: clsx('ii-transition-base ii-table__data ii-td ii-py-1 ii-align-top ii-font-normal', biggerText === undefined && 'ii-text-sm'),
      key: row.id + "-" + cell.column.id
    }), React.createElement("div", {
      className: clsx('ii-table__cell ii-h-full ii-px-5 ', row.cells.length - 1 > index && 'ii-border-r ii-border-gray-600', isMultiline || cell.column.isMultiline === true ? 'ii-break-words' : 'ii-truncate')
    }, cell.column.isNumbering === true ? rowIndex + 1 : cell.render('Cell')));
  }));
};

var TableBody = function TableBody(_ref) {
  var tableBodyProps = _ref.tableBodyProps,
      page = _ref.page,
      prepareRow = _ref.prepareRow,
      isMultiline = _ref.isMultiline,
      onRowClick = _ref.onRowClick,
      biggerText = _ref.biggerText;
  return React.createElement(CSSTransition, {
    key: page.map(function (row) {
      return row.id;
    }).join(),
    timeout: 0
  }, React.createElement("div", Object.assign({}, tableBodyProps), page.map(function (row, index) {
    prepareRow(row);
    return React.createElement(React.Fragment, {
      key: row.id
    }, React.createElement(TableRow, {
      row: row,
      isMultiline: isMultiline,
      onRowClick: onRowClick,
      rowIndex: index,
      biggerText: biggerText
    }));
  })));
};

var Table = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var columns = _ref.columns,
      data = _ref.data,
      _ref$isMultiline = _ref.isMultiline,
      isMultiline = _ref$isMultiline === void 0 ? true : _ref$isMultiline,
      _ref$initialPageSize = _ref.initialPageSize,
      initialPageSize = _ref$initialPageSize === void 0 ? 20 : _ref$initialPageSize,
      _ref$renderPagination = _ref.renderPagination,
      renderPagination = _ref$renderPagination === void 0 ? false : _ref$renderPagination,
      _ref$withNumbering = _ref.withNumbering,
      withNumbering = _ref$withNumbering === void 0 ? false : _ref$withNumbering,
      _ref$disableSorting = _ref.disableSorting,
      disableSorting = _ref$disableSorting === void 0 ? false : _ref$disableSorting,
      onRowClick = _ref.onRowClick,
      _ref$defaultColumn = _ref.defaultColumn,
      defaultColumn = _ref$defaultColumn === void 0 ? {} : _ref$defaultColumn,
      biggerText = _ref.biggerText;

  var count = function count(children) {
    return children == null ? void 0 : children.reduce(function (depth, child) {
      return child.columns !== undefined ? Math.max(depth, 1 + count(child.columns)) : depth;
    }, 0);
  };

  var deepestNestLevel = count(columns);

  var generateNestedNumberingColumn = function generateNestedNumberingColumn(nestLevel) {
    return {
      Header: ' ',
      columns: nestLevel === 0 ? undefined : [generateNestedNumberingColumn(nestLevel - 1)],
      maxWidth: 70,
      minWidth: 70,
      width: undefined,
      Cell: function Cell() {
        return nestLevel === 0 ? React.createElement("div", null) : undefined;
      },
      isNumbering: true,
      disableSortBy: true
    };
  };

  var numberingColumn = useMemo(function () {
    return generateNestedNumberingColumn(deepestNestLevel);
  }, [deepestNestLevel]);
  var memoizedColumns = useMemo(function () {
    return withNumbering ? [numberingColumn].concat(columns) : columns;
  }, [columns, withNumbering, numberingColumn]);
  var memoizedData = useMemo(function () {
    return data;
  }, [data]);
  var sortTypes = useMemo(function () {
    return {
      alphanumeric: function alphanumeric(a, b, id) {
        var valueA = typeof a.values[id] === 'string' ? a.values[id].toLowerCase() : a.values[id];
        var valueB = typeof b.values[id] === 'string' ? b.values[id].toLowerCase() : b.values[id];
        return valueB > valueA ? 1 : valueB < valueA ? -1 : 0;
      }
    };
  }, []);
  var tableOptions = {
    data: memoizedData,
    columns: memoizedColumns,
    defaultColumn: defaultColumn,
    sortTypes: sortTypes,
    disableSortBy: disableSorting,
    initialState: {
      pageIndex: 0,
      pageSize: !renderPagination ? data.length : initialPageSize
    }
  };
  var tableInstance = useTable(tableOptions, useFilters, useGlobalFilter, useSortBy, useFlexLayout, usePagination);
  var getTableProps = tableInstance.getTableProps,
      getTableBodyProps = tableInstance.getTableBodyProps,
      headerGroups = tableInstance.headerGroups,
      page = tableInstance.page,
      prepareRow = tableInstance.prepareRow,
      setPageSize = tableInstance.setPageSize,
      gotoPage = tableInstance.gotoPage,
      pageCount = tableInstance.pageCount,
      _tableInstance$state = tableInstance.state,
      pageIndex = _tableInstance$state.pageIndex,
      pageSize = _tableInstance$state.pageSize;
  useImperativeHandle(ref, function () {
    return tableInstance;
  });
  return React.createElement("div", {
    className: 'ii-table__wrapper ii-max-w-full'
  }, React.createElement("div", {
    className: 'ii-table__wrapper-overflow ii-pb-3'
  }, React.createElement("div", Object.assign({}, getTableProps(), {
    className: 'ii-table ii-h-px ii-w-full'
  }), React.createElement(TableHeader, {
    headerGroups: headerGroups
  }), React.createElement(TableBody, {
    biggerText: biggerText,
    tableBodyProps: getTableBodyProps(),
    page: page,
    isMultiline: isMultiline,
    prepareRow: prepareRow,
    onRowClick: onRowClick
  }))), renderPagination && React.createElement(Pagination, {
    gotoPage: gotoPage,
    setPageSize: setPageSize,
    pageSize: pageSize,
    pageIndex: pageIndex,
    pageCount: pageCount,
    itemsCount: data.length
  }));
});

var MdxTable = function MdxTable(_ref) {
  var children = _ref.children;
  return React.createElement("table", {
    className: 'ii-mdx-table'
  }, children);
};

var Columns = function Columns(columnClass) {
  return function (_ref) {
    var children = _ref.children,
        className = _ref.className,
        _ref$centerVertically = _ref.centerVertically,
        centerVertically = _ref$centerVertically === void 0 ? false : _ref$centerVertically;
    return React.createElement("div", {
      className: clsx('ii-columns ii-grid ii-justify-items-stretch ii-gap-8', centerVertically && 'ii-items-center', columnClass, className)
    }, children);
  };
};

var ColumnItem = function ColumnItem(_ref2) {
  var children = _ref2.children;
  return React.createElement("div", null, children);
};
var TwoColumns = /*#__PURE__*/Columns('md:ii-grid-cols-2');
var ThreeColumns = /*#__PURE__*/Columns('md:ii-grid-cols-3');
var FourColumns = /*#__PURE__*/Columns('md:ii-grid-cols-4');

var socialMedia = [// {
//   link: '',
//   Component: Slack,
//   className: 'social-media-icon-base'
// },
{
  link: 'https://www.instagram.com/igem_hq/',
  Icon: InstagramIcon,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://twitter.com/igem',
  Icon: TwitterIcon,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://www.linkedin.com/company/igem-foundation/',
  Icon: LinkedInIcon,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://www.facebook.com/iGEMFoundation/',
  Icon: FacebookIcon,
  className: 'ii-social-media-icon-facebook'
}, {
  link: 'https://www.youtube.com/c/iGEMFoundation',
  Icon: YoutubeIcon,
  className: 'ii-social-media-icon-base'
}, {
  link: 'https://www.tiktok.com/@igem_hq',
  Icon: TikTokIcon,
  className: 'ii-social-media-icon-base'
}];
var newsletterHref = 'https://confirmsubscription.com/h/i/F2D48D61C2EA742F';
var footerLinks = [{
  title: 'iGEM',
  link: 'https://igem.org',
  items: [{
    title: 'Our Vision',
    link: 'https://igem.org/about-us/our-vision'
  }, {
    title: 'Sponsorship',
    link: 'https://igem.org/patronage/sponsorship'
  }, {
    title: 'iGEM Blog',
    link: 'https://blog.igem.org'
  }, {
    title: 'Videos',
    link: 'https://video.igem.org'
  }, {
    title: 'News',
    link: 'https://igem.org/news'
  }, {
    title: 'Jobs',
    link: 'https://jobs.igem.org'
  }]
}, {
  title: 'Competition',
  link: 'https://competition.igem.org',
  items: [{
    title: 'Deliverables',
    link: 'https://competition.igem.org/deliverables/introduction'
  }, {
    title: 'Calendar',
    link: 'https://competition.igem.org/calendar'
  }, {
    title: 'Timeline',
    link: 'https://old.igem.org/Timeline'
  }, {
    title: 'Previous Year',
    link: 'https://2021.igem.org'
  }, {
    title: 'iGEM Cycle',
    link: 'https://blog.igem.org/blog/the-igem-cycle-how-to-navigate-the-igem-competition'
  }, {
    title: 'Starting a Team',
    link: 'https://blog.igem.org/blog/how-to-start-an-igem-team'
  }]
}, {
  title: 'Projects',
  link: 'https://projects.igem.org/',
  items: [{
    title: 'Team List',
    link: 'https://old.igem.org/Team_List'
  }, {
    title: 'Phoenix Database',
    link: 'https://community.igem.org/initiatives/phoenix-project/'
  }, {
    title: '2021 Team Presentations',
    link: 'https://video.igem.org/w/p/nZMNP58MNFrhBYosAeH26L'
  }, {
    title: '2021 Project Promotions',
    link: 'https://video.igem.org/w/p/m36RVd4xsAyjiXBrDvopTf'
  }]
}, {
  title: 'Community',
  link: 'https://community.igem.org/',
  items: [{
    title: 'Projects',
    link: 'https://community.igem.org/projects'
  }, {
    title: 'News',
    link: 'https://community.igem.org/news'
  }, {
    title: 'Events',
    link: 'https://community.igem.org/events'
  }, {
    title: 'Ambassadors',
    link: 'https://community.igem.org/ambassador-program/'
  }]
}, {
  title: 'Technology',
  link: 'https://technology.igem.org/',
  items: [{
    title: 'Registry',
    link: 'https://technology.igem.org/registry'
  }, {
    title: 'Distribution',
    link: 'https://technology.igem.org/distribution'
  }, {
    title: 'Assembly',
    link: 'https://technology.igem.org/assembly'
  }, {
    title: 'Team Parts',
    link: 'https://old.igem.org/Team_Parts?year=2021'
  }, {
    title: 'Engineering Resources',
    link: 'https://technology.igem.org/engineering/introduction'
  }, {
    title: 'Engineering Webinars',
    link: 'https://technology.igem.org/engineering/webinars'
  }]
}, {
  title: 'Responsibility',
  link: 'https://responsibility.igem.org/',
  items: [{
    title: 'Safety Policies',
    link: 'https://responsibility.igem.org/safety-policies/introduction'
  }, {
    title: 'Human Practices',
    link: 'https://responsibility.igem.org/human-practices/what-is-human-practices'
  }, {
    title: 'Responsible Design',
    link: 'https://responsibility.igem.org/guidance/responsible-design'
  }, {
    title: 'Check In Form',
    link: 'https://responsibility.igem.org/safety-forms/check-in'
  }, {
    title: 'Animal Use Form',
    link: 'https://responsibility.igem.org/safety-forms/animal-use'
  }]
}, {
  title: 'Startups',
  link: 'https://startups.igem.org/',
  items: [{
    title: 'What is EPIC?',
    link: 'https://startups.igem.org/'
  }, {
    title: 'Resources',
    link: 'https://startups.igem.org/resources'
  }, {
    title: 'iGEM Startups',
    link: 'https://old.igem.org/Startups'
  }, {
    title: 'EPIC Journey Blog',
    link: 'https://blog.igem.org/epic-journey'
  }]
}, {
  title: 'Leagues',
  link: 'https://leagues.igem.org/',
  items: [{
    title: 'Vision',
    link: 'https://leagues.igem.org/'
  }, {
    title: 'Design League',
    link: 'https://leagues.igem.org/design'
  }, {
    title: 'Indian League',
    link: 'https://leagues.igem.org/indian'
  }, {
    title: 'iGEM Academy',
    link: 'https://academy.igem.org/'
  }]
}, {
  title: 'Jamboree',
  link: 'https://jamboree.igem.org/',
  items: [{
    title: '2021 Recap',
    link: 'https://jamboree.igem.org/2021/recap'
  }, {
    title: '2021 Startup Showcase',
    link: 'https://jamboree.igem.org/2021/epic'
  }, {
    title: '2021 Meetups',
    link: 'https://jamboree.igem.org/2021/meetups'
  }]
}];

var ScrollingContentWrapper = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var children = _ref.children,
      className = _ref.className;
  smoothScroll.polyfill();
  var scrollDivRef = useRef(null);
  useImperativeHandle(ref, function () {
    return {
      scrollTo: function scrollTo(x, y, behavior) {
        try {
          var _scrollDivRef$current;

          /**
           * Latest API
           */
          (_scrollDivRef$current = scrollDivRef.current) == null ? void 0 : _scrollDivRef$current.scroll({
            left: x,
            top: y,
            behavior: behavior != null ? behavior : 'smooth'
          });
        } catch (_) {
          var _scrollDivRef$current2;

          /**
           * Fallback
           */
          (_scrollDivRef$current2 = scrollDivRef.current) == null ? void 0 : _scrollDivRef$current2.scrollTo(x, y);
        }
      }
    };
  });
  return React.createElement("div", {
    ref: scrollDivRef,
    id: 'ii-scrolling-content',
    className: clsx('ii-scrolling-content', className)
  }, children);
});

var ScrollToTopWrapper = function ScrollToTopWrapper(_ref) {
  var children = _ref.children,
      scrollBehavior = _ref.scrollBehavior;
  var scrollingDivRef = useRef(null);
  var location = useLocation();
  React.useEffect(function () {
    var _scrollingDivRef$curr;

    (_scrollingDivRef$curr = scrollingDivRef.current) == null ? void 0 : _scrollingDivRef$curr.scrollTo(0, 0, scrollBehavior != null ? scrollBehavior : 'auto');
  }, [location]);
  return React.createElement(ScrollingContentWrapper, {
    ref: scrollingDivRef
  }, children);
};
var SmoothScrollToTopWrapper = function SmoothScrollToTopWrapper(_ref2) {
  var children = _ref2.children;
  return React.createElement(ScrollToTopWrapper, {
    scrollBehavior: 'smooth'
  }, children);
};

var CenteredContentWrapper = function CenteredContentWrapper(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-page-content ii-centered-content', className)
  }, children);
};

var FullWidthContentWrapper = function FullWidthContentWrapper(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return (// section - horizontally centered element (as in default centered content)
    // div with class w-full - full width element
    React.createElement("div", {
      className: clsx('ii-page-content ii-full-width-content ii-w-full', className)
    }, children)
  );
};

var Footer = function Footer(_ref) {
  var subMenu = _ref.subMenu;

  var renderLinkComponent = function renderLinkComponent(link) {
    var _link$items;

    return React.createElement("div", {
      className: 'ii-flex ii-flex-col ii-gap-y-1.5',
      key: link.title
    }, React.createElement("a", {
      className: 'ii-transition-base ii-mb-3 ii-text-sm ii-font-bold hover:ii-text-igem-green',
      href: link.link
    }, link.title), (_link$items = link.items) == null ? void 0 : _link$items.map(function (item) {
      return React.createElement("a", {
        className: 'ii-transition-base ii-text-sm hover:ii-text-igem-green',
        key: item.title,
        href: "" + item.link
      }, item.title);
    }));
  };

  var renderLocationComponent = function renderLocationComponent(title, location) {
    return React.createElement("div", {
      className: clsx('ii-flex ii-flex-col ii-text-gray-700 md:ii-w-auto md:ii-flex-row md:ii-items-center')
    }, React.createElement("p", {
      className: 'ii-hidden sm:ii-block'
    }, title), React.createElement("div", {
      className: 'ii-flex ii-items-center'
    }, React.createElement(LocationIcon, {
      className: 'ii-mr-1 ii-h-5 ii-w-5 ii-flex-shrink-0 sm:ii-mx-2'
    }), React.createElement("p", {
      className: 'ii-font-semibold sm:ii-hidden'
    }, title)), React.createElement("p", {
      className: 'ii-ml-1 ii-mt-2 sm:ii-m-0 sm:ii-ml-0 sm:ii-mt-0'
    }, location));
  };

  var renderMailButton = function renderMailButton() {
    return React.createElement("a", {
      className: 'ii-group ii-flex ii-items-center',
      href: 'mailto:hq@igem.org'
    }, React.createElement("div", {
      className: 'ii-transition-base ii-flex ii-h-12 ii-w-12 ii-items-center ii-justify-center ii-rounded-full ii-border ii-border-gray-600 ii-bg-gray-500 group-hover:ii-bg-gray-600'
    }, React.createElement(MailIcon, {
      className: 'ii-social-media-icon-base ii-h-7 ii-w-7'
    })), React.createElement("p", {
      className: 'ii-ml-2 ii-text-sm'
    }, "hq@igem.org"));
  };

  var renderNewsletterButton = function renderNewsletterButton() {
    return React.createElement("div", {
      className: 'ii-flex ii-items-center'
    }, React.createElement("a", {
      href: newsletterHref,
      target: '_blank',
      rel: 'noreferrer'
    }, React.createElement("button", {
      className: 'ii-button ii-rounded-full ii-rounded-2xl ii-text-sm ii-font-light ii-text-black-400 hover:ii-border-green-500 hover:ii-bg-green-100'
    }, "+ Newsletter")));
  };

  return React.createElement("footer", {
    className: 'ii-h-[105rem] ii-bg-igemo-gray-100 ii-pt-4 ii-pb-48 md:ii-h-[70rem] lg:ii-h-[48rem]'
  }, React.createElement(CenteredContentWrapper, null, React.createElement("div", {
    className: 'ii-flex ii-flex-col ii-items-center ii-justify-between ii-px-4 md:ii-flex-row'
  }, React.createElement("div", {
    className: 'ii-flex ii-w-full ii-flex-col ii-items-center ii-justify-between ii-space-y-10 lg:ii-flex-row lg:ii-space-y-0'
  }, React.createElement("div", {
    className: 'ii-flex ii-w-full ii-items-center ii-justify-between ii-space-x-8 sm:ii-space-x-12 md:ii-w-auto'
  }, React.createElement(IgemLogo, {
    className: 'ii-h-16 ii-w-16 ii-flex-shrink-0 sm:ii-h-24 sm:ii-w-24'
  }), React.createElement("div", {
    className: 'ii-block lg:ii-hidden'
  }, renderMailButton())), React.createElement("div", {
    className: 'lg:ii-hidden'
  }, renderNewsletterButton()), React.createElement("div", {
    className: 'ii-grid ii-grid-cols-3 ii-gap-x-12 ii-gap-y-5 ii-px-3 lg:ii-flex lg:ii-gap-y-0 lg:ii-gap-x-2'
  }, socialMedia.map(function (_ref2) {
    var link = _ref2.link,
        Icon = _ref2.Icon,
        className = _ref2.className;
    return React.createElement("div", {
      className: 'ii-group',
      key: link
    }, React.createElement("a", {
      className: 'ii-transition-base ii-flex ii-h-12 ii-w-12 ii-items-center ii-justify-center ii-rounded-full ii-border ii-border-gray-600 ii-bg-gray-500 group-hover:ii-bg-gray-600',
      href: link,
      target: '_blank',
      rel: 'noreferrer'
    }, React.createElement(Icon, {
      className: className
    })));
  }), React.createElement("div", {
    className: 'ii-hidden lg:ii-block'
  }, renderMailButton())), React.createElement("div", {
    className: 'ii-hidden lg:ii-block'
  }, renderNewsletterButton()))), React.createElement(Divider, null), subMenu, React.createElement("div", {
    className: 'ii-grid ii-grid-cols-2 ii-gap-y-5 ii-gap-x-4 ii-px-4 md:ii-grid-cols-5'
  }, Object.values(footerLinks).map(function (link) {
    return renderLinkComponent(link);
  })), React.createElement(Divider, null), React.createElement("div", {
    className: 'ii-flex ii-flex-col ii-justify-between ii-px-4 ii-text-xs sm:ii-flex-row sm:ii-items-center'
  }, React.createElement("div", {
    className: 'ii-flex ii-gap-x-12'
  }, renderLocationComponent('iGEM Foundation', '45 Prospect Street, 02139 Cambridge MA, USA'), renderLocationComponent('iGEM Europe', '8 bis rue Charles V, 75004 Paris, France')), React.createElement("a", {
    href: 'https://igem.org/privacy-policy',
    target: '_blank',
    rel: 'noreferrer',
    className: 'ii-ml-1 ii-mt-2 ii-py-4 ii-text-xs ii-text-gray-700 sm:ii-m-0'
  }, React.createElement("p", null, "Privacy Policy")))));
};

var ContentWithFooter = function ContentWithFooter(_ref) {
  var children = _ref.children,
      subMenu = _ref.subMenu,
      className = _ref.className;
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: clsx('ii-height-screen-minus-spacer ii-pb-[105rem] md:ii-pb-[70rem] lg:ii-pb-[48rem]', className)
  }, children), React.createElement("div", {
    className: 'ii-clear-both ii--mt-[105rem] ii-flex ii-flex-col ii-justify-end md:ii--mt-[70rem] lg:ii--mt-[48rem]'
  }, React.createElement(Footer, {
    subMenu: subMenu
  })));
};

var LINK_VALUE;

(function (LINK_VALUE) {
  LINK_VALUE["IGEM"] = "igem";
  LINK_VALUE["COMPETITION"] = "competition";
  LINK_VALUE["PROJECTS"] = "projects";
  LINK_VALUE["COMMUNITY"] = "community";
  LINK_VALUE["TECHNOLOGY"] = "technology";
  LINK_VALUE["RESPONSIBILITY"] = "responsibility";
  LINK_VALUE["STARTUPS"] = "startups";
  LINK_VALUE["LEAGUES"] = "leagues";
  LINK_VALUE["JAMBOREE"] = "jamboree"; // VIDEOS = 'videos',
  // REGISTRY = 'registry',
  // MEDIA = 'media',

  LINK_VALUE["DASHBOARD"] = "dashboard";
})(LINK_VALUE || (LINK_VALUE = {}));

var navbarItems = {
  igem: {
    title: 'iGEM',
    link: 'https://igem.org',
    toggle: ''
  },
  competition: {
    title: 'Competition',
    link: 'https://competition.igem.org',
    toggle: ''
  },
  projects: {
    title: 'Projects',
    link: 'https://projects.igem.org',
    toggle: ''
  },
  community: {
    title: 'Community',
    link: 'https://community.igem.org',
    toggle: ''
  },
  technology: {
    title: 'Technology',
    link: 'https://technology.igem.org',
    // toggle: "navbar_technology",
    toggle: ''
  },
  responsibility: {
    title: 'Responsibility',
    link: 'https://responsibility.igem.org',
    // toggle: "navbar_responsibility",
    toggle: ''
  },
  startups: {
    title: 'Startups',
    link: 'https://startups.igem.org',
    // toggle: "navbar_startups",
    toggle: ''
  },
  leagues: {
    title: 'Leagues',
    link: 'https://leagues.igem.org',
    // toggle: "navbar_leagues",
    toggle: ''
  },
  jamboree: {
    title: 'Jamboree',
    link: 'https://jamboree.igem.org',
    toggle: 'navbar_jamboree'
  },
  // videos: {
  //   title: 'Videos',
  //   link: 'https://video.igem.org',
  //   toggle: 'navbar_videos',
  // },
  // registry: {
  //   title: 'Registry',
  //   link: 'https://parts.igem.org',
  //   toggle: 'navbar_registry',
  // },
  // media: {
  //   title: 'Media',
  //   link: 'https://blog.igem.org',
  //   toggle: 'navbar_media',
  // },
  dashboard: {
    title: 'Dashboard',
    link: 'https://my.igem.org',
    toggle: ''
  }
};
var spacerHeightsRem = ['3rem', '6rem', '9rem', '12rem'];
var spacerHeights = ['ii-mb-12 ii-navbar-spacer--0', 'ii-mb-24 ii-navbar-spacer--1', 'ii-mb-36 ii-navbar-spacer--2', 'ii-mb-48 ii-navbar-spacer--3'];
var lgSpacerHeights = ['lg:ii-mb-12 lg:ii-navbar-spacer--0', 'lg:ii-mb-24 lg:ii-navbar-spacer--1', 'lg:ii-mb-36 lg:ii-navbar-spacer--2', 'lg:ii-mb-48 lg:ii-navbar-spacer--3'];
var navbarHeightProperty = '--navbar-height';
var getSpacerClassname = function getSpacerClassname(navbarElementsNo, secondLevelItemsPresent) {
  setRootVariable(navbarHeightProperty, spacerHeightsRem[navbarElementsNo]);
  return secondLevelItemsPresent ? clsx(lgSpacerHeights[navbarElementsNo], spacerHeights[navbarElementsNo - 1]) : spacerHeights[navbarElementsNo];
};

var setRootVariable = function setRootVariable(property, value) {
  document.documentElement.style.setProperty(property, value);
};

var mobilePanelOpeningDelayMs = 450;

var ComingSoonPopup = function ComingSoonPopup(_ref) {
  var className = _ref.className;
  return React.createElement("div", {
    className: clsx('ii-fade-in-animation ii-coming-soon-popup ii-flex ii-w-fit ii-items-center ii-justify-center', ' ii-rounded-full ii-bg-igemo-gray-200 ii-px-3 ii-py-1 ii-text-center ii-text-xs ii-text-black-500', 'ii-invisible ii-transition-opacity group-hover:ii-visible', className)
  }, "Coming soon!");
};

var UnderConstruction2LevelNavbar = function UnderConstruction2LevelNavbar() {
  return React.createElement("div", {
    className: 'ii-navbar__second-level ii-flex ii-items-center ii-justify-center ii-whitespace-nowrap ii-bg-yellow-550 ii-text-black-400'
  }, React.createElement(ExclamationIcon, {
    className: 'ii-mr-2 ii-h-5 ii-w-5 ii-flex-shrink-0 sm:ii-mr-4 sm:ii-h-6 sm:ii-w-6'
  }), React.createElement("div", {
    className: 'ii-text-sm ii-font-bold'
  }, "WEBSITES UNDER CONSTRUCTION"), React.createElement("p", {
    className: 'ii-hidden ii-pl-8 ii-pr-4 ii-text-sm xl:ii-block'
  }, "This is a temporary page! As iGEM enters its 20th year, we are transitioning from our old Mediawiki infrastructure to a modern cloud-based software and website solution."));
};

var ScrollMode;

(function (ScrollMode) {
  ScrollMode[ScrollMode["BOTH"] = 0] = "BOTH";
  ScrollMode[ScrollMode["LEFT"] = 1] = "LEFT";
  ScrollMode[ScrollMode["RIGHT"] = 2] = "RIGHT";
  ScrollMode[ScrollMode["NONE"] = 3] = "NONE";
})(ScrollMode || (ScrollMode = {}));

var HorizontalScroll = function HorizontalScroll(props) {
  var _innerRef$current2, _coverRef$current2, _ref$current9;

  var children = props.children,
      className = props.className,
      scrollRef = props.scrollRef,
      showLast = props.showLast;
  var innerRef = useRef(null);
  var coverRef = useRef(null);
  var ref = scrollRef;

  var _useState = useState(ScrollMode.NONE),
      scrollMode = _useState[0],
      setScrollMode = _useState[1];

  var recalculateOverlay = useCallback(function () {
    var _innerRef$current, _coverRef$current, _ref$current, _ref$current2, _ref$current3;

    var innerWidth = (_innerRef$current = innerRef.current) == null ? void 0 : _innerRef$current.clientWidth;
    var coverWidth = (_coverRef$current = coverRef.current) == null ? void 0 : _coverRef$current.clientWidth;
    var scrollLeft = (_ref$current = ref.current) == null ? void 0 : _ref$current.scrollLeft;
    var offsetWidth = (_ref$current2 = ref.current) == null ? void 0 : _ref$current2.offsetWidth;
    var scrollWidth = (_ref$current3 = ref.current) == null ? void 0 : _ref$current3.scrollWidth;

    if (innerWidth !== undefined && coverWidth !== undefined && innerWidth <= coverWidth) {
      setScrollMode(ScrollMode.NONE);
    } else {
      if (scrollLeft !== undefined && offsetWidth !== undefined) {
        if (scrollLeft + offsetWidth === scrollWidth) {
          setScrollMode(ScrollMode.RIGHT);
        } else if (scrollLeft === 0) {
          setScrollMode(ScrollMode.LEFT);
        } else {
          setScrollMode(ScrollMode.BOTH);
        }
      } else {
        setScrollMode(ScrollMode.NONE);
      }
    }
  }, [innerRef, coverRef, ref]);
  useEffect(function () {
    recalculateOverlay();
  }, [(_innerRef$current2 = innerRef.current) == null ? void 0 : _innerRef$current2.clientWidth, (_coverRef$current2 = coverRef.current) == null ? void 0 : _coverRef$current2.clientWidth, recalculateOverlay]);
  window.addEventListener('resize', function () {
    return recalculateOverlay();
  });

  var handleScrollClick = function handleScrollClick(toTheRight) {
    var _ref$current4;

    if (((_ref$current4 = ref.current) == null ? void 0 : _ref$current4.scrollLeft) !== undefined) {
      var _ref$current5;

      (_ref$current5 = ref.current) == null ? void 0 : _ref$current5.scrollBy({
        left: toTheRight ? 300 : -300,
        behavior: 'smooth'
      });
    }
  };

  useEffect(function () {
    if (showLast !== undefined && showLast) {
      var _ref$current6, _ref$current7, _ref$current8;

      (_ref$current6 = ref.current) == null ? void 0 : _ref$current6.scrollTo({
        left: ((_ref$current7 = ref.current) == null ? void 0 : _ref$current7.scrollWidth) - ((_ref$current8 = ref.current) == null ? void 0 : _ref$current8.clientWidth),
        behavior: 'auto'
      });
    }
  }, [(_ref$current9 = ref.current) == null ? void 0 : _ref$current9.scrollWidth, children, showLast, ref]);

  var getGradientClass = function getGradientClass() {
    switch (scrollMode) {
      case ScrollMode.BOTH:
        return 'ii-cover-gradient-both';

      case ScrollMode.LEFT:
        return 'ii-cover-gradient-left';

      case ScrollMode.RIGHT:
        return 'ii-cover-gradient-right';

      case ScrollMode.NONE:
        return '';
    }
  };

  return React.createElement("div", {
    className: 'ii-horizontal-scroll ii-relative'
  }, React.createElement("div", {
    className: 'ii-no-scrollbar ii-overflow-y-scroll',
    ref: ref,
    onScroll: recalculateOverlay
  }, React.createElement("div", {
    className: className,
    ref: innerRef
  }, children)), React.createElement("div", {
    className: clsx('ii-pointer-events-none ii-absolute ii-inset-0 ii-z-10 ii-flex ii-h-full ii-w-full ii-items-center ii-justify-between', getGradientClass()),
    ref: coverRef
  }, scrollMode !== ScrollMode.NONE && React.createElement("div", {
    className: 'ii-relative ii-flex ii-h-full ii-w-full ii-items-center'
  }, (scrollMode === ScrollMode.BOTH || scrollMode === ScrollMode.RIGHT) && React.createElement("button", {
    onClick: function onClick() {
      return handleScrollClick(false);
    },
    className: 'ii-horizontal-scroll-button'
  }, React.createElement(ChevronIcon, {
    className: 'ii-rotate-90 ii-transform'
  })), (scrollMode === ScrollMode.BOTH || scrollMode === ScrollMode.LEFT) && React.createElement("button", {
    onClick: function onClick() {
      return handleScrollClick(true);
    },
    className: 'ii-horizontal-scroll-button ii--right-0'
  }, React.createElement(ChevronIcon, {
    className: 'ii--rotate-90 ii-transform'
  })))));
};

var Timeline = function Timeline(_ref) {
  var items = _ref.items,
      _ref$scrollToRightOnL = _ref.scrollToRightOnLoad,
      scrollToRightOnLoad = _ref$scrollToRightOnL === void 0 ? false : _ref$scrollToRightOnL;
  var scrollRef = useRef(null);
  var currentYear = new Date().getFullYear();
  return React.createElement(HorizontalScroll, {
    scrollRef: scrollRef,
    className: 'ii-relative ii-z-0 ii-w-max',
    showLast: scrollToRightOnLoad
  }, React.createElement(React.Fragment, null, React.createElement(Divider, {
    className: 'ii-absolute ii-top-3 ii--z-10'
  }), React.createElement("div", {
    className: 'ii-mx-12 ii-flex',
    ref: scrollRef
  }, items.map(function (item, index) {
    var _item$header;

    return React.createElement("div", {
      className: 'ii-w-48',
      key: ((_item$header = item.header) != null ? _item$header : '') + "-" + index
    }, React.createElement("div", {
      className: 'ii-flex ii-flex-col ii-items-center ii-gap-3'
    }, React.createElement("div", {
      className: clsx('ii-flex ii-h-6 ii-flex-col ii-justify-center ii-rounded-full ii-border ii-px-4 ii-text-sm', 'ii-font-bold ii-text-igem-black', item.header === currentYear.toString() ? 'ii-border-green-500 ii-bg-green-300' : 'ii-border-igemo-gray-300 ii-bg-igem-white')
    }, item.header), item.children));
  }))));
};

var JamboreeTimeLineItem = function JamboreeTimeLineItem(_ref) {
  var teams = _ref.teams,
      participants = _ref.participants,
      events = _ref.events,
      location = _ref.location;
  return React.createElement("div", null, React.createElement("div", {
    className: 'ii-grid ii-grid-cols-2 ii-items-center ii-gap-x-3 ii-gap-y-2 ii-text-sm'
  }, React.createElement("p", {
    className: 'ii-text-right ii-font-bold'
  }, teams != null ? teams : '?'), React.createElement("p", null, "teams"), React.createElement("p", {
    className: 'ii-text-right ii-font-bold'
  }, participants != null ? participants : '?'), React.createElement("p", null, "participants"), events.map(function (event) {
    return React.createElement(Fragment, {
      key: event + "-" + (participants != null ? participants : '')
    }, React.createElement("div", {
      className: 'ii-flex ii-justify-end'
    }, React.createElement(ChevronIcon, {
      className: 'ii-w-4 ii--rotate-90 ii-transform'
    })), React.createElement("p", {
      className: 'ii-uppercase ii-tracking-wider'
    }, event));
  }), React.createElement("div", {
    className: 'ii-flex ii-justify-end'
  }, React.createElement(LocationIcon, {
    className: 'ii-w-4'
  })), React.createElement("p", null, location)));
};

var TimelineEvents;

(function (TimelineEvents) {
  TimelineEvents["JAMBOREE"] = "jamboree";
  TimelineEvents["REGIONAL"] = "5 regional jamborees";
  TimelineEvents["WORLD"] = "1 world championship";
  TimelineEvents["GIANT"] = "giant jamboree";
  TimelineEvents["VIRTUAL"] = "virtual giant jamboree";
  TimelineEvents["MEETUPS"] = "10 jamboree meetups";
  TimelineEvents["GRAND"] = "grand jamboree";
})(TimelineEvents || (TimelineEvents = {}));

var TimelineLocations;

(function (TimelineLocations) {
  TimelineLocations["BOSTON"] = "Boston, USA";
  TimelineLocations["PARIS"] = "Paris, France";
  TimelineLocations["ONLINE"] = "Online";
})(TimelineLocations || (TimelineLocations = {}));

var timelineData = {
  2022: {
    events: [TimelineEvents.GRAND],
    location: TimelineLocations.PARIS
  },
  2021: {
    teams: 350,
    participants: 7314,
    events: [TimelineEvents.MEETUPS, TimelineEvents.VIRTUAL],
    location: TimelineLocations.ONLINE
  },
  2020: {
    teams: 249,
    participants: 4800,
    events: [TimelineEvents.VIRTUAL],
    location: TimelineLocations.ONLINE
  },
  2019: {
    teams: 353,
    participants: 6375,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2018: {
    teams: 340,
    participants: 5790,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2017: {
    teams: 310,
    participants: 5386,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2016: {
    teams: 300,
    participants: 4432,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2015: {
    teams: 280,
    participants: 5018,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2014: {
    teams: 245,
    participants: 4515,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2013: {
    teams: 215,
    participants: 4027,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2012: {
    teams: 190,
    participants: 3696,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2011: {
    teams: 165,
    participants: 2586,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2010: {
    teams: 128,
    participants: 2327,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2009: {
    teams: 113,
    participants: 1840,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2008: {
    teams: 88,
    participants: 1248,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2007: {
    teams: 54,
    participants: 777,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2006: {
    teams: 32,
    participants: 723,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2005: {
    teams: 13,
    participants: 125,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2004: {
    teams: 5,
    participants: 31,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  }
};

var JamboreeTimeline = function JamboreeTimeline() {
  var eventsTimelineItems = useMemo(function () {
    return Object.entries(timelineData).map(function (_ref) {
      var year = _ref[0],
          itemInfo = _ref[1];
      return {
        header: year,
        children: React.createElement(JamboreeTimeLineItem, Object.assign({}, itemInfo))
      };
    });
  }, [timelineData]);
  return React.createElement(Timeline, {
    items: eventsTimelineItems,
    scrollToRightOnLoad: true
  });
};

var NavbarMobileExpandSection = function NavbarMobileExpandSection(_ref) {
  var show = _ref.show,
      pageTitle = _ref.pageTitle,
      blackBarItems = _ref.blackBarItems,
      nativeNavigationComponent = _ref.nativeNavigationComponent,
      customNavigationComponent = _ref.customNavigationComponent;

  var _useState = useState({
    show: false,
    pause: false,
    blackBar: false
  }),
      menuState = _useState[0],
      setMenuState = _useState[1];

  useEffect(function () {
    if (!show && menuState.blackBar) {
      setMenuState({
        blackBar: true,
        pause: true,
        show: false
      });
      setTimeout(function () {
        return setMenuState({
          show: false,
          pause: false,
          blackBar: false
        });
      }, mobilePanelOpeningDelayMs);
    } else if (!menuState.pause) {
      setMenuState(_extends({}, menuState, {
        show: show
      }));
    }
  }, [show]);
  var hasSecondLevelMenu = nativeNavigationComponent !== undefined || customNavigationComponent !== undefined;

  var SwitchMenuButton = function SwitchMenuButton(_ref2) {
    var children = _ref2.children,
        className = _ref2.className;
    return React.createElement("button", {
      className: clsx('ii-navbar-mobile-expand-section__switch-menu-button ii-px-5 ii-py-4', className),
      onClick: function onClick() {
        return setMenuState(function (prevState) {
          return _extends({}, prevState, {
            blackBar: !menuState.blackBar
          });
        });
      }
    }, children);
  };

  return React.createElement("div", {
    className: clsx('ii-navbar-mobile-expand-section ii-transition-base ii-fixed ii-flex ii-h-full ii-w-full', 'ii--translate-y-full ii-flex-col ii-items-center ii-overflow-y-auto ii-overflow-x-hidden lg:ii-hidden', menuState.show && 'ii-translate-y-0')
  }, !hasSecondLevelMenu ? React.createElement("div", {
    className: 'ii-navbar-mobile-expand-section__panel--black'
  }, blackBarItems) : React.createElement("div", {
    className: clsx('ii-full-width-children-div ii-transition-base', menuState.blackBar && '!ii--translate-x-full')
  }, React.createElement("div", {
    className: clsx('ii-navbar-mobile-expand-section__panel', !menuState.blackBar && 'ii-mr-1')
  }, React.createElement("div", {
    className: 'ii-text-neutral-500 ii-flex ii-w-full ii-items-center ii-pt-3 ii-pr-6'
  }, React.createElement(SwitchMenuButton, {
    className: 'ii-navbar-mobile-expand-section__to-left-button'
  }, React.createElement(ChevronIcon, {
    className: 'ii-h-5 ii-w-5 ii-rotate-90'
  })), React.createElement("p", {
    className: 'ii-small-caps ii-navbar-mobile-expand-section__current-website-text'
  }, pageTitle)), customNavigationComponent !== undefined ? customNavigationComponent : React.createElement("div", {
    className: 'ii-navbar-mobile-expand-section__links-spacing ii-w-full ii-pl-12'
  }, nativeNavigationComponent)), React.createElement("div", {
    className: 'ii-navbar-mobile-expand-section__panel--black'
  }, React.createElement(SwitchMenuButton, {
    className: 'ii-navbar-mobile-expand-section__to-right-button ii-absolute ii-left-0 ii-top-3 ii-text-gray-400'
  }, React.createElement(ChevronIcon, {
    className: 'ii-h-5 ii-w-5 ii--rotate-90'
  })), blackBarItems)));
};

var NavbarUserControls = function NavbarUserControls(_ref) {
  var loggedIn = _ref.loggedIn,
      onAccountClick = _ref.onAccountClick,
      onLogInClick = _ref.onLogInClick;

  /*
    TODO: add this in fragment before button when we have functionality
    <button className='ii-navbar-user__faq-button ii-small-caps ii-hidden lg:ii-block' onClick={onFaqClick}>
      faq
     </button>
     <button onClick={onSettingsClick} className='ii-navbar-user__settings-button ii-hidden lg:ii-block'>
      <Settings className='ii-h-8 ii-w-8' />
     </button>
    */

  /*
    TODO: add this before Account when we have functionality
    userPhoto != null ? (
      <img
        src={userPhoto}
        className='ii-navbar-user__img ii-h-full ii-w-full ii-rounded-full
            ii-object-cover ii-object-center ii-shadow'
        alt={userPhoto}
      />
      ) :
      */
  return loggedIn ? React.createElement(React.Fragment, null, React.createElement("button", {
    className: 'ii-navbar-user__img-wrapper ii-h-8 ii-w-8',
    onClick: onAccountClick
  }, React.createElement(AccountIcon, {
    className: 'ii-navbar-user__account-logo ii-h-full ii-w-full ii-flex-shrink-0'
  }))) : React.createElement("button", {
    onClick: onLogInClick,
    className: 'ii-font-bold'
  }, "Log In");
};

var BlackBarItems = function BlackBarItems(_ref) {
  var pageTitle = _ref.pageTitle,
      linkWrapper = _ref.linkWrapper;
  return React.createElement(React.Fragment, null, Object.values(navbarItems).map(function (_ref2) {
    var title = _ref2.title,
        link = _ref2.link;
    return title === 'Dashboard' ? undefined : React.createElement("div", {
      key: title
    }, linkWrapper !== undefined ? linkWrapper(link, title) : React.createElement(LinkWrapper, {
      link: link,
      className: clsx('ii-black-bar-link ii-navbar__black-bar-link ii-text-gray-400', title === pageTitle && 'ii-navbar__black-bar-link--active ii-font-bold ii-text-white')
    }, title));
  }));
};
var SecondLevelItems = function SecondLevelItems(_ref3) {
  var secondLevelItems = _ref3.secondLevelItems,
      linkWrapper = _ref3.linkWrapper;
  return React.createElement(React.Fragment, null, secondLevelItems.map(function (_ref4) {
    var title = _ref4.title,
        link = _ref4.link;
    return React.createElement("div", {
      key: link
    }, linkWrapper !== undefined ? linkWrapper(link, title) : React.createElement(LinkWrapper, {
      link: link,
      className: 'ii-black-bar-link ii-navbar__second-level-link ii-text-black-500'
    }, title));
  }));
};

var NavbarUserSection = function NavbarUserSection(_ref) {
  var children = _ref.children,
      _ref$showComingSoon = _ref.showComingSoon,
      showComingSoon = _ref$showComingSoon === void 0 ? false : _ref$showComingSoon;
  return React.createElement("a", {
    href: 'https://old.igem.org/User_Information',
    target: '_blank',
    rel: 'noreferrer noopener',
    className: 'ii-navbar-user ii-group ii-z-10 ii-h-full ii-w-fit ii-flex-shrink-0 ii-justify-self-end\n    ii-rounded-l-full ii-bg-green-400 ii-text-white ii-text-black-400 lg:ii-ml-6 lg:ii-pl-2'
  }, React.createElement("div", {
    className: 'ii-mr-4 ii-ml-5 ii-flex ii-h-full ii-w-full\n      ii-cursor-pointer ii-items-center ii-text-sm ii-font-bold lg:ii-space-x-3'
  }, children), showComingSoon && React.createElement(Popup, {
    className: 'ii-left-auto'
  }, React.createElement("div", {
    className: 'ii-fade-in-animation ii-flex ii-flex-col ii-items-center\n        ii-opacity-0 ii-transition-opacity group-hover:ii-opacity-100'
  }, React.createElement(TriangleIcon, {
    className: 'ii--mb-1.5 ii-fill-igemo-gray-200'
  }), React.createElement(ComingSoonPopup, null))));
};

var NavbarUserPanel = function NavbarUserPanel(_ref) {
  var show = _ref.show,
      children = _ref.children;
  return React.createElement("div", {
    className: clsx('ii-transition-base ii-items-center-center ii-fixed ii-top-0 ii-right-0 ii-flex ii-h-fit ii-w-32', 'ii--translate-y-full ii-flex-col ii-space-y-4 ii-rounded-2xl ii-bg-igemo-gray-200 ii-py-4', show && 'ii-translate-y-12')
  }, children);
};

var SecondLevelWhiteBar = function SecondLevelWhiteBar(_ref) {
  var title = _ref.title,
      children = _ref.children,
      customHomeLink = _ref.customHomeLink;
  return React.createElement("div", {
    className: 'ii-navbar__native-second-level ii-flex ii-h-full ii-flex-row ii-items-center ii-px-3'
  }, React.createElement(Link, {
    to: customHomeLink != null ? customHomeLink : '/',
    className: 'ii-navbar__link ii-flex ii-items-center'
  }, React.createElement(HomeIcon, {
    className: 'ii-mx-3 ii-h-6 ii-w-6'
  }), React.createElement("div", {
    className: 'ii-mr-3 ii-font-bold'
  }, title)), React.createElement("div", {
    className: 'ii-ml-20'
  }, children));
};

var Navbar = function Navbar(props) {
  var page = props.page,
      secondLevelItems = props.secondLevelItems,
      hideNativeSecondLevelMenu = props.hideNativeSecondLevelMenu,
      customSecondLevelTitle = props.customSecondLevelTitle,
      customSecondLevelMenu = props.customSecondLevelMenu,
      mobileNavigationComponent = props.mobileNavigationComponent,
      showTemporaryBanner = props.showTemporaryBanner,
      blackBarItemWrapper = props.blackBarItemWrapper,
      secondLevelItemWrapper = props.secondLevelItemWrapper,
      _props$userLoggedIn = props.userLoggedIn,
      userLoggedIn = _props$userLoggedIn === void 0 ? false : _props$userLoggedIn,
      customHomeLink = props.customHomeLink,
      onProfileClick = props.onProfileClick,
      onLogInClick = props.onLogInClick,
      onLogOutClick = props.onLogOutClick;

  var _useState = useState(false),
      showMobileMenu = _useState[0],
      setShowMobileMenu = _useState[1];

  var _useState2 = useState(false),
      showProfilePanel = _useState2[0],
      setShowProfilePanel = _useState2[1];

  var currentPage = navbarItems[page];
  var pageTitle = currentPage == null ? void 0 : currentPage.title;
  var renderedBlackBarItems = React.createElement(BlackBarItems, {
    pageTitle: pageTitle,
    linkWrapper: blackBarItemWrapper
  });
  var renderedSecondLevelItems = secondLevelItems !== undefined ? React.createElement(SecondLevelItems, {
    secondLevelItems: secondLevelItems,
    linkWrapper: secondLevelItemWrapper
  }) : undefined;
  var navbarElementsNo = [hideNativeSecondLevelMenu === true ? undefined : true, customSecondLevelMenu, showTemporaryBanner].reduce(function (sum, current) {
    return sum + Number(current !== undefined);
  }, 0);
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: clsx('ii-navbar ii-fixed ii-top-0 ii-z-50 ii-w-full', !showMobileMenu && 'ii-shadow--bottom')
  }, React.createElement("div", {
    className: 'ii-navbar__black-bar ii-relative ii-z-10 ii-grid ii-h-12 ii-h-12\n        ii-grid-cols-3 ii-bg-black-400 lg:ii-flex lg:ii-items-center lg:ii-justify-between'
  }, React.createElement("button", {
    id: 'ii-navbar__mobile-menu-button',
    className: 'ii-navbar__mobile-menu-button ii-px-5 ii-text-white lg:ii-hidden',
    onClick: function onClick() {
      return setShowMobileMenu(!showMobileMenu);
    }
  }, React.createElement(MenuIcon, null)), React.createElement(Link, {
    to: '/',
    className: 'ii-navbar__logo-wrapper ii-flex ii-min-h-0 ii-items-center ii-justify-self-center ii-pl-6 ii-pr-6'
  }, React.createElement(IgemLogo, {
    className: 'ii-navbar__logo ii-h-[3.25rem] ii-w-[3.25rem] lg:ii-h-12 lg:ii-w-12',
    variant: LogoVariant.LIGHT
  })), React.createElement("div", {
    className: 'ii-navbar__black-bar-links ii-hidden ii-h-full ii-w-full\n          ii-items-center ii-justify-between lg:ii-flex xl:ii-px-4 2xl:ii-px-32'
  }, renderedBlackBarItems), React.createElement(NavbarUserSection, null, page === LINK_VALUE.DASHBOARD ? React.createElement(NavbarUserControls, {
    loggedIn: userLoggedIn,
    onAccountClick: function onAccountClick() {
      return setShowProfilePanel(!showProfilePanel);
    },
    onLogInClick: onLogInClick
  }) : 'My Account')), React.createElement(NavbarUserPanel, {
    show: showProfilePanel
  }, React.createElement("button", {
    onClick: function onClick() {
      onProfileClick == null ? void 0 : onProfileClick();
      setShowProfilePanel(false);
    },
    className: 'ii-small-caps ii-py-2 ii-text-sm ii-transition-colors hover:ii-text-igem-green'
  }, "My Profile"), React.createElement("button", {
    onClick: function onClick() {
      onLogOutClick == null ? void 0 : onLogOutClick();
      setShowProfilePanel(false);
    },
    className: 'ii-small-caps ii-py-2 ii-text-sm ii-transition-colors hover:ii-text-igem-green'
  }, "Log Out")), React.createElement(NavbarMobileExpandSection, {
    blackBarItems: renderedBlackBarItems,
    pageTitle: pageTitle,
    show: showMobileMenu,
    nativeNavigationComponent: renderedSecondLevelItems,
    customNavigationComponent: mobileNavigationComponent
  }), hideNativeSecondLevelMenu === undefined && React.createElement("div", {
    className: 'ii-navbar__second-level'
  }, React.createElement(SecondLevelWhiteBar, {
    title: customSecondLevelTitle != null ? customSecondLevelTitle : capitalize(pageTitle),
    customHomeLink: customHomeLink
  }, renderedSecondLevelItems != null && React.createElement("div", {
    className: 'ii-navbar__native-second-level-contents ii-hidden ii-w-full ii-items-center ii-justify-center ii-gap-20 lg:ii-flex'
  }, renderedSecondLevelItems))), customSecondLevelMenu !== undefined && React.createElement("div", {
    className: 'ii-navbar__second-level'
  }, customSecondLevelMenu), showTemporaryBanner === true && React.createElement(UnderConstruction2LevelNavbar, null)), React.createElement("div", {
    className: getSpacerClassname(navbarElementsNo, secondLevelItems !== undefined),
    id: 'ii-navbar-spacer'
  }));
};

var TabGroup = function TabGroup(_ref) {
  var _tabs$;

  var tabs = _ref.tabs,
      onChange = _ref.onChange,
      _ref$activeTab = _ref.activeTab,
      activeTab = _ref$activeTab === void 0 ? tabs == null ? void 0 : (_tabs$ = tabs[0]) == null ? void 0 : _tabs$.value : _ref$activeTab;
  return React.createElement("div", {
    className: 'ii-mb-3 ii-flex ii-items-center ii-gap-x-8'
  }, tabs == null ? void 0 : tabs.map(function (tab) {
    return React.createElement("button", {
      key: tab.value,
      className: clsx('ii-mb-2 ii-flex-shrink-0 ii-font-bold', tab.disabled === true && 'ii-cursor-not-allowed ii-text-gray-700'),
      onClick: function onClick() {
        return onChange(tab.value);
      },
      disabled: tab.disabled === true && activeTab !== tab.value
    }, React.createElement("p", {
      className: clsx(activeTab === tab.value && 'ii-text-green-500 ii-underline', 'ii-whitespace-nowrap ii-decoration-2 ii-underline-offset-8')
    }, tab.label));
  }), React.createElement(Divider, null));
};

var NavigationTabGroup = function NavigationTabGroup(_ref) {
  var tabs = _ref.tabs,
      pathLevel = _ref.pathLevel,
      _onChange = _ref.onChange;
  var navigate = useNavigate();

  var _useLocation = useLocation(),
      pathname = _useLocation.pathname;

  var _useState = useState(undefined),
      activeTab = _useState[0],
      setActiveTab = _useState[1];

  useEffect(function () {
    var fields = pathname.split('/');
    var path = fields[pathLevel != null ? pathLevel : fields.length - 1];
    setActiveTab((path == null ? void 0 : path.length) > 0 ? path : tabs[0].value);
  }, [pathname, pathLevel, tabs]);
  return React.createElement(TabGroup, {
    tabs: tabs,
    activeTab: activeTab,
    onChange: function onChange(value) {
      navigate(value);
      _onChange == null ? void 0 : _onChange(value);
    }
  });
};

var ExpandingSubEntriesPanel = function ExpandingSubEntriesPanel(_ref) {
  var isVisible = _ref.isVisible,
      children = _ref.children;
  return React.createElement("div", {
    className: clsx(isVisible ? 'ii-flex' : 'ii-hidden', 'ii-grow-down-animation ii-h-fit ii-w-full ii-flex-col ii-pl-16 ii-pr-4 ii-text-gray-400')
  }, children);
};

var SidebarSubEntry = function SidebarSubEntry(_ref) {
  var parentUrl = _ref.parentUrl,
      url = _ref.url,
      name = _ref.name,
      onClick = _ref.onClick,
      selectedSubEntryUrl = _ref.selectedSubEntryUrl,
      isComingSoon = _ref.isComingSoon,
      className = _ref.className;
  return React.createElement("div", {
    key: name,
    onClick: function onClick(event) {
      return event.preventDefault();
    }
  }, React.createElement(ConditionalWrapper, {
    condition: url !== undefined,
    wrapper: function wrapper(children) {
      return (// eslint-disable-next-line
        React.createElement(LinkWrapper, {
          onClick: onClick,
          link: linkIsOutside(url) ? url : parentUrl + "/" + url
        }, children)
      );
    }
  }, React.createElement("div", {
    className: clsx('ii-sidebar__entry ii-group ii-space-x-4 ii-text-igemo-gray-400 ii-transition hover:ii-text-igem-black', url !== undefined && selectedSubEntryUrl === url && 'ii-font-bold ii-text-igem-black', className)
  }, React.createElement("div", null, name), isComingSoon === true && React.createElement(ComingSoonPopup, {
    className: 'ii-z-10 ii-flex-shrink-0'
  }))));
};

var GenericSidebarEntry = function GenericSidebarEntry(props) {
  var name = props.name,
      url = props.url,
      icon = props.icon,
      separatorAfter = props.separatorAfter,
      subcontents = props.subcontents,
      additionalPanels = props.additionalPanels,
      entryOnClick = props.entryOnClick,
      className = props.className,
      match = props.match,
      isComingSoon = props.isComingSoon;
  var subEntriesPresent = subcontents !== undefined;
  return React.createElement(React.Fragment, null, React.createElement(ConditionalWrapper, {
    condition: url !== undefined && !subEntriesPresent,
    wrapper: function wrapper(children) {
      return React.createElement(LinkWrapper, {
        link: url
      }, children);
    }
  }, React.createElement("div", {
    className: clsx('ii-sidebar__entry ii-group ii-flex-shrink-0 ii-cursor-pointer ii-pl-5', match != null && 'ii-font-bold ii-text-igem-green', className == null ? void 0 : className.outerDiv),
    onClick: entryOnClick
  }, React.createElement("div", {
    className: 'ii-flex ii-flex-grow ii-items-center ii-transition'
  }, icon != null && createElement(icon, {
    className: 'ii-h-5 ii-w-5'
  }), React.createElement("div", {
    className: 'ii-flex ii-w-fit ii-space-x-4'
  }, React.createElement("div", {
    className: 'ii-ml-3 ii-flex-shrink-0 ii-truncate'
  }, name), isComingSoon === true && React.createElement(ComingSoonPopup, {
    className: 'ii-z-10 ii-flex-shrink-0'
  }))), url !== undefined && subEntriesPresent && React.createElement("div", {
    className: clsx('ii-sidebar__chevron ii-mx-3 ii-transition', className == null ? void 0 : className.chevron)
  }, React.createElement(ChevronIcon, null)))), additionalPanels, separatorAfter === true && React.createElement(Divider, {
    className: 'ii-m-auto ii-my-3 ii-w-10/12'
  }));
};

var MobileSidebarEntry = function MobileSidebarEntry(props) {
  var url = props.url,
      subcontents = props.subcontents;
  var subcontentsPresent = subcontents !== undefined;

  var _useState = useState(false),
      showingSubItems = _useState[0],
      setShowingSubItems = _useState[1];

  var location = url === undefined ? undefined : useLocation();
  var match = url === undefined ? undefined : useMatch(url + '/*');
  useEffect(function () {
    setShowingSubItems(match != null);
  }, [location]);

  var closeMobileMenu = function closeMobileMenu() {
    var _document$getElementB;

    return (_document$getElementB = document.getElementById('ii-navbar__mobile-menu-button')) == null ? void 0 : _document$getElementB.click();
  };

  return React.createElement(GenericSidebarEntry, Object.assign({}, props, {
    match: match,
    className: {
      chevron: clsx(showingSubItems && '!ii-rotate-180')
    },
    entryOnClick: function entryOnClick() {
      return subcontentsPresent ? setShowingSubItems(!showingSubItems) : closeMobileMenu();
    },
    additionalPanels: url === undefined || !subcontentsPresent ? undefined : React.createElement(ExpandingSubEntriesPanel, {
      isVisible: showingSubItems
    }, subcontents == null ? void 0 : subcontents.map(function (subEntry) {
      return (subEntry.isComingSoon === true || subEntry.url !== undefined) && React.createElement(SidebarSubEntry, {
        parentUrl: url,
        url: subEntry.url,
        name: subEntry.name,
        onClick: closeMobileMenu,
        selectedSubEntryUrl: match == null ? void 0 : match.params['*'],
        key: subEntry.name,
        isComingSoon: subEntry.isComingSoon
      });
    }))
  }));
};

var DesktopSidebarEntry = function DesktopSidebarEntry(props) {
  var url = props.url,
      subcontents = props.subcontents;

  var _useState = useState(false),
      hoverPanelVisible = _useState[0],
      setHoverPanelVisible = _useState[1];

  var entryRef = useRef(null);
  var subEntryRef = useRef(null);

  var showHoverPanel = function showHoverPanel() {
    var entry = entryRef.current;
    var subEntry = subEntryRef.current;

    if (entry != null && subEntry != null) {
      subEntry.style.display = 'block';
      var subEntryBoundRect = subEntry.getBoundingClientRect();
      var entryTop = entry.getBoundingClientRect().top;
      var bottomOverflow = window.innerHeight - (subEntryBoundRect.height + entryTop);
      subEntry.style.transform = "translate(var(--sidebar-width), " + (bottomOverflow < 0 ? entryTop + bottomOverflow : entryTop) + "px)";
      setHoverPanelVisible(true);
    }
  };

  var hideHoverPanel = function hideHoverPanel() {
    var subEntry = subEntryRef.current;

    if (subEntry != null) {
      subEntry.style.display = 'none';
      setHoverPanelVisible(false);
    }
  };

  var HoverPanelWrapper = function HoverPanelWrapper(children) {
    return React.createElement("div", {
      className: 'ii-relative',
      ref: entryRef
    }, React.createElement(Link, {
      onMouseLeave: hideHoverPanel,
      onMouseEnter: showHoverPanel,
      // eslint-disable-next-line
      to: url + (subcontents == null || subcontents[0].url == null ? '' : "/" + subcontents[0].url)
    }, children));
  };

  var match = url === undefined ? undefined : useMatch(url + '/*');
  var HoverPanel = url === undefined || subcontents === undefined ? undefined : React.createElement("div", {
    ref: subEntryRef,
    className: clsx('ii-shadow--right-bottom ii-before-hover-margin ii-fixed ii--top-4 ii-z-50 ii-flex', 'ii-hidden ii-h-fit ii-w-56 ii-flex-col ii-bg-igemo-gray-100 ii-py-4 ii-px-8', match != null && '!ii-hidden')
  }, subcontents.map(function (subEntry) {
    return (subEntry.isComingSoon === true || subEntry.url !== undefined) && React.createElement(SidebarSubEntry, {
      parentUrl: url,
      url: subEntry.url,
      name: subEntry.name,
      selectedSubEntryUrl: match == null ? void 0 : match.params['*'],
      key: subEntry.name,
      isComingSoon: subEntry.isComingSoon
    });
  }));
  return React.createElement(ConditionalWrapper, {
    condition: url !== undefined && subcontents !== undefined,
    wrapper: HoverPanelWrapper
  }, React.createElement(GenericSidebarEntry, Object.assign({}, props, {
    match: match,
    className: {
      chevron: clsx(hoverPanelVisible && 'ii--rotate-90', match != null && 'ii-hidden'),
      outerDiv: clsx('ii-cursor-pointer hover:ii-text-igem-green', hoverPanelVisible && 'ii-text-igem-green')
    },
    additionalPanels: React.createElement(React.Fragment, null, HoverPanel, url !== undefined && subcontents !== undefined && React.createElement(ExpandingSubEntriesPanel, {
      isVisible: match != null
    }, subcontents.map(function (subEntry) {
      return (subEntry.isComingSoon === true || subEntry.url !== undefined) && React.createElement(SidebarSubEntry, {
        parentUrl: url,
        url: subEntry.url,
        name: subEntry.name,
        selectedSubEntryUrl: match == null ? void 0 : match.params['*'],
        key: subEntry.name,
        isComingSoon: subEntry.isComingSoon
      });
    })))
  })));
};

var Sidebar = function Sidebar(_ref) {
  var _ref$mobile = _ref.mobile,
      mobile = _ref$mobile === void 0 ? false : _ref$mobile,
      _ref$hasPopups = _ref.hasPopups,
      hasPopups = _ref$hasPopups === void 0 ? false : _ref$hasPopups,
      contents = _ref.contents;
  return React.createElement("aside", {
    className: clsx('ii-sidebar z-50 ii-relative ii-h-full ii-w-full ii-flex-col ii-py-2', mobile ? 'ii-sidebar--mobile ii-flex lg:ii-hidden' : 'ii-sidebar--desktop ii-hidden ii-shadow-md lg:ii-flex', hasPopups ? 'ii-overflow-visible' : 'ii-overflow-y-auto')
  }, contents == null ? void 0 : contents.map(function (props) {
    return mobile ? React.createElement(MobileSidebarEntry, Object.assign({}, props, {
      key: props.name
    })) : React.createElement(DesktopSidebarEntry, Object.assign({}, props, {
      key: props.name
    }));
  }));
};

var SidebarLayout = function SidebarLayout(_ref) {
  var children = _ref.children;
  return React.createElement("div", {
    className: 'lg:ii-sidebar-grid xl:ii-sidebar-grid-xl ii-contents ii-h-full'
  }, children);
};

var ImageSize;

(function (ImageSize) {
  ImageSize["AUTO"] = "auto";
  ImageSize["SMALL"] = "small";
  ImageSize["LARGE"] = "large";
})(ImageSize || (ImageSize = {}));

var imageSizeMap = {
  small: 'ii-w-1/3 ii-image-size--small',
  large: 'ii-w-5/6 ii-image-size--large',
  auto: 'ii-w-auto ii-image-size--auto'
};
var Image = function Image(props) {
  var imageUrl = props.imageUrl,
      alt = props.alt,
      imageSize = props.imageSize,
      text = props.text;
  return React.createElement("div", {
    className: clsx('ii-image-outer-div ii-flex', text !== undefined && 'ii-flex-col ii-gap-4', imageSizeMap[imageSize != null ? imageSize : ImageSize.AUTO])
  }, React.createElement("img", {
    className: 'ii-image-img ii-rounded-md ii-object-cover',
    src: imageUrl,
    alt: alt
  }), text !== undefined && React.createElement("label", {
    className: 'ii-image-label ii-text-xs ii-italic'
  }, text));
};

var ImageBanner = function ImageBanner(_ref) {
  var title = _ref.title,
      imageUrl = _ref.imageUrl,
      alt = _ref.alt,
      _ref$showFullImage = _ref.showFullImage,
      showFullImage = _ref$showFullImage === void 0 ? false : _ref$showFullImage,
      className = _ref.className;
  return React.createElement("div", {
    className: 'ii-banner-outer-div ii-relative ii-flex ii-h-fit ii-w-full ii-justify-center ii-text-igem-white'
  }, title !== undefined && React.createElement("div", {
    className: 'ii-banner-gradient-div ii-absolute ii-flex ii-h-full ii-w-full ii-items-end ii-justify-start'
  }, React.createElement("div", {
    className: 'ii-banner-heading ii-ml-3 ii-mb-1 ii-text-xl ii-font-bold md:ii-ml-6 md:ii-mb-4 md:ii-text-3xl lg:ii-ml-8 lg:ii-text-4xl xl:ii-mb-8 xl:ii-ml-16'
  }, title)), React.createElement("img", {
    alt: alt,
    src: imageUrl,
    className: clsx('ii-banner-img ii-w-full', clsx(!showFullImage && 'ii-h-20 ii-object-cover sm:ii-h-32 md:ii-h-40 lg:ii-h-44 xl:ii-h-52 2xl:ii-h-64'), className)
  }));
};

var ElementWithOverlay = function ElementWithOverlay(_ref) {
  var children = _ref.children,
      className = _ref.className;
  return React.createElement("div", {
    className: clsx('h-full ii-relative', className == null ? void 0 : className.outerDiv)
  }, children, React.createElement("div", {
    className: clsx('ii-overlay-gradient ii-absolute ii-top-0 ii-h-full ii-w-full ii-bg-gradient-to-t', className == null ? void 0 : className.overlay)
  }));
};

var TextColor;

(function (TextColor) {
  TextColor["LIGHT"] = "light";
  TextColor["DARK"] = "dark";
})(TextColor || (TextColor = {}));

var GradientColor;

(function (GradientColor) {
  GradientColor["GREEN"] = "green";
  GradientColor["YELLOW"] = "yellow";
  GradientColor["BLUE"] = "blue";
  GradientColor["BLACK"] = "black";
})(GradientColor || (GradientColor = {}));

var LinkPosition;

(function (LinkPosition) {
  LinkPosition["INSIDE_BOTTOM_LEFT"] = "inside-bottom-left";
  LinkPosition["OUTSIDE_BOTTOM_CENTER"] = "outside-bottom-center";
})(LinkPosition || (LinkPosition = {}));

var LinkWithThumbnail = function LinkWithThumbnail(_ref) {
  var link = _ref.link,
      shouldOpenInNewTabOverride = _ref.shouldOpenInNewTabOverride,
      imageUrl = _ref.imageUrl,
      alt = _ref.alt,
      title = _ref.title,
      linkPosition = _ref.linkPosition,
      _ref$gradientColor = _ref.gradientColor,
      gradientColor = _ref$gradientColor === void 0 ? GradientColor.BLACK : _ref$gradientColor,
      className = _ref.className,
      titleClassName = _ref.titleClassName,
      overlayClassName = _ref.overlayClassName,
      textColor = _ref.textColor;

  var getTextColor = function getTextColor(color) {
    switch (color) {
      case TextColor.DARK:
        return 'ii-text-igem-black';

      case TextColor.LIGHT:
        return 'ii-text-igem-white';
    }
  };

  var getGradient = function getGradient(color) {
    switch (color) {
      case GradientColor.GREEN:
        return 'ii-from-igem-green';

      case GradientColor.YELLOW:
        return 'ii-from-igem-yellow';

      case GradientColor.BLUE:
        return 'ii-from-igem-blue';

      case GradientColor.BLACK:
        return 'ii-from-igem-black';
    }
  };

  var renderTitle = function renderTitle() {
    return React.createElement("div", {
      className: clsx('ii-small-caps ii-flex ii-items-center ii-text-sm ii-tracking-widest', clsx(linkPosition === LinkPosition.INSIDE_BOTTOM_LEFT && [GradientColor.BLACK, GradientColor.BLUE, GradientColor.GREEN].includes(gradientColor) && getTextColor(TextColor.LIGHT), titleClassName, textColor !== undefined && [getTextColor(textColor)]))
    }, React.createElement(ChevronIcon, {
      className: 'ii-w-5 ii--rotate-90 ii-transform'
    }), React.createElement("p", null, title));
  };

  return React.createElement(PopoutLinkWrapper, {
    link: link,
    shouldOpenInNewTabOverride: shouldOpenInNewTabOverride
  }, React.createElement("div", {
    className: clsx('ii-h-fit ii-w-fit', className)
  }, React.createElement(ElementWithOverlay, {
    className: {
      outerDiv: 'ii-overflow-hidden ii-rounded-lg',
      overlay: clsx(overlayClassName, gradientColor !== undefined && getGradient(gradientColor))
    }
  }, React.createElement("img", {
    src: imageUrl,
    alt: alt
  })), linkPosition === LinkPosition.INSIDE_BOTTOM_LEFT ? React.createElement("div", {
    className: 'ii-absolute ii-bottom-0 ii-mx-2 ii-my-1 ii-w-full'
  }, renderTitle()) : React.createElement("div", {
    className: 'ii-mt-1 ii-flex ii-justify-center'
  }, renderTitle())));
};

var LinksWithThumbnailsRow = function LinksWithThumbnailsRow(_ref) {
  var linksTitle = _ref.linksTitle,
      items = _ref.items;
  return React.createElement("div", {
    className: 'ii-flex ii-justify-center'
  }, React.createElement("div", null, linksTitle !== undefined && React.createElement("p", {
    className: 'ii-small-caps ii-m-2 ii-text-sm ii-text-gray-700'
  }, linksTitle), React.createElement("div", {
    className: clsx('ii-grid ii-w-fit ii-gap-3', 'ii-grid-cols-2 ii-grid-rows-3', 'md:ii-grid-cols-5 md:ii-grid-rows-1')
  }, items.map(function (_ref2) {
    var imageUrl = _ref2.imageUrl,
        link = _ref2.link,
        title = _ref2.title;
    return React.createElement(LinkWithThumbnail, {
      link: link,
      linkPosition: LinkPosition.OUTSIDE_BOTTOM_CENTER,
      title: title,
      imageUrl: imageUrl,
      alt: title,
      key: title
    });
  }))));
};

export { AccountIcon, AnnotatedContentBox, AnnotatedContentBoxVariant, ArticleIcon, BricksIcon, Button, ButtonColor, ButtonVariant, Calendar, CalendarEventType, CalendarIcon, CalendarItem, CalendarItemType, CampaignIcon, CenteredContentWrapper, ChainLinkIcon, CheckIcon, Checkbox, CheckboxList, CheckboxType, ChevronIcon, CloseIcon, ColumnItem, ComingSoonBanner, ComingSoonPopup, ConditionalWrapper, ContentBox, ContentWithFooter, DashboardIcon, DeliverablesIcon, Divider, DocsIcon, Download, DownloadIcon, Dropdown, DropdownFilter, EventRegistrationIcon, ExclamationIcon, FacebookIcon, FeatureFlagWrapper, Footer, FormWrapper, FormsIcon$1 as FormsIcon, FourColumns, FullWidthContentWrapper, GradientColor, HomeIcon, IconsMap, IgemLogo, Image, ImageBanner, ImageSize, InformationPopup, InformationPopupPosition, Input, InstagramIcon, InstitutionIcon, InvitationModal, InvitationTargetType, InvitationType, JamboreeTimeline, JudgingIcon, LINK_VALUE, LinkCard, LinkCardSize, LinkPosition, LinkWithThumbnail, LinkWrapper, LinkedInIcon, LinksWithThumbnailsRow, Loader, LoaderType, LocationIcon, LogoVariant, MailIcon, MdxTable, MenuIcon, Message, Modal, FormsIcon as MyFormsIcon, MyIgemExperienceIcon, Navbar, NavigationTabGroup, NewsBox, NewsIcon, NotAllowedIcon, NotificationsIcon, ParticipationIcon, PinIcon, PlayIcon, PopoutLinkWrapper, Popup, PreviousYearsIcon, QuestionIcon, RadioButton, RadioGroup, RegistrationIcon, RibbonColor, RibbonContentBox, RibbonPosition, ScrollToTopWrapper, ScrollingContentWrapper, Select, SettingsIcon, Sidebar, SidebarLayout, SlackIcon, SmoothScrollToTopWrapper, SponsorshipsIcon, Status, StatusCell, StatusCellColor, StatusIcon, SubmissionsIcon, TabButton, TabGroup, Table, TeamListIcon, TeamSelector, TeamSelectorType, TeamsIcon, TextColor, Textarea, ThreeColumns, TikTokIcon, Timeline, TriangleIcon, TwitterIcon, TwoColumns, UnderConstruction2LevelNavbar, VideoCard, VideoSize, WarningIcon, WikiEditingIcon, WorkspacesIcon, YoutubeIcon, countries, countryCodeToNameMap, languages, languagesOptions, useClickOutside };
//# sourceMappingURL=ui-components.esm.js.map
